<?php
/**
 * Created by PhpStorm.
 * User: thinkpad
 * Date: 29-05-2018
 * Time: 12:43 PM
 */

class AdminStore
{
  private $db = null;

  public function __construct($db = null)
  {
    if (isset($db)) {
      $this->db = $db;
    } else {
      $this->db = Db::getInstance();
    }
  }


 public function allotUnitUser($data)
    {
        $query = "CALL " . StoredProcedures::$allotUnitUser . "(:inputUserId, :inputAllotUserId, :inputUserType, :inputSiteId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $data->userId,
            ':inputAllotUserId' => $data->allotUserId,
            ':inputUserType' => $data->typeId,
            ':inputSiteId' => $data->siteId,
            ':inputLanguage' => $data->language,
        ));
    }
    public function getAllotUserList($request) {
        $query = 'CALL ' . StoredProcedures::$getUnitAllotUserList . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputBusinessId' => $request->businessId,
            ':inputLocationId' => $request->locationId,
            ':inputLanguage' => $request->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getReportList($request) {
        $query = 'CALL ' . StoredProcedures::$getReportList . "(:inputUserId, :inputLocationId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputLocationId' => $request->locationId,
            ':inputLanguage' => $request->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getAdminDashboard($request) {
        $query = 'CALL ' . StoredProcedures::$getAdminDashboard . "(:inputUserId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputLanguage' => $request->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getLocationAuditCSATList($request) {
        $query = 'CALL ' . StoredProcedures::$getLocationAuditCSATList . "(:inputUserId, :inputLocationId, :inputServiceType, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputLocationId' => $request->locationId,
            ':inputServiceType' => $request->serviceType,
            ':inputLanguage' => $request->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getLocationAuditOSASList($request) {
        $query = 'CALL ' . StoredProcedures::$getLocationAuditOSASList . "(:inputUserId, :inputLocationId, :inputServiceType, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputLocationId' => $request->locationId,
            ':inputServiceType' => $request->serviceType,
            ':inputLanguage' => $request->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
     public function deleteUser($request) {
        $query = 'CALL ' . StoredProcedures::$deleteUser . "(:inputUserId, :inputCustomerUserId, :inoutTypeId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
       return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputCustomerUserId' => $request->customerUserId,
            ':inoutTypeId' => $request->typeId,
            ':inputLanguage' => $request->language,
        ));
    }
    public function deleteUnit($request) {
        $query = 'CALL ' . StoredProcedures::$deleteUnit . "(:inputUserId, :inputLocationId, :inoutTypeId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputLocationId' => $request->locationId,
            ':inoutTypeId' => $request->typeId,
            ':inputLanguage' => $request->language,
        ));
    }
}
