<?php
/**
 * Created by PhpStorm.
 * User: Narendra Kumar
 * Date: 19-12-2017
 * Time: 12:53 PM
 */

class AuthStore
{
    private $db = null;

    public function __construct($db = null)
    {
        if (isset($db)) {
            $this->db = $db;
        } else {
            $this->db = Db::getInstance();
        }
    }

    public function registerCustomer($users)
    {

        $query = "CALL " . StoredProcedures::$registerCustomer . "(:inputUserName, :inputPasswordText, :inputPasswordHash, :inputOtp, :inputDeviceId, :inputDeviceToken, :inputDeviceModal, :inputOs, :inputVersion, :inputLatitude, :inputLongitude, :inputDeviceType, :inputDeviceLocation, :inputIpAddress, :inputToken, :inputDialingCode)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserName' => $users->userName,
            ':inputPasswordText' => $users->passwordText,
            ':inputPasswordHash' => $users->passwordhash,
            ':inputOtp' => $users->otp,
            ':inputDeviceId' => $users->deviceId,
            ':inputDeviceToken' => $users->deviceToken,
            ':inputDeviceModal' => $users->deviceModal,
            ':inputOs' => $users->os,
            ':inputVersion' => $users->version,
            ':inputLatitude' => $users->latitude,
            ':inputLongitude' => $users->longitude,
            ':inputDeviceType' => $users->deviceType,
            ':inputDeviceLocation' => $users->deviceLoc,
            ':inputIpAddress' => $users->ipAddress,
            ':inputToken' => HelperMethods::createJwtToken($users->userName),
            ':inputDialingCode' => $users->dialingCode
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        print_r($dataSet);
        return $dataSet;
    }


//    old function starts
    public function checkIfDriverAlreadyLogin($userId)
    {
        $query = "CALL " . StoredProcedures::$isDriverAlreadyLogin . "(:userId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':userId' => $userId));
        return $stmt->rowCount();
    }

    public function createUserSession($deviceData)
    {
        $query = "CALL " . StoredProcedures::$createUserSession . "(
            :userId, :userTypeId, :token, :deviceToken, :deviceId,
            :deviceModal, :os, :osVersion, :latitude, :longitude, :ipAddress, :inputLanguage
        )";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':userId' => $deviceData->userId,
            ':userTypeId' => $deviceData->userTypeId,
            ':token' => $deviceData->token,
            ':deviceToken' => $deviceData->deviceToken,
            ':deviceId' => $deviceData->deviceId,
            ':deviceModal' => $deviceData->deviceModal,
            ':os' => $deviceData->os,
            ':osVersion' => $deviceData->version,
            ':latitude' => $deviceData->latitude,
            ':longitude' => $deviceData->longitude,
            ':ipAddress' => $deviceData->ipAddress,
            ':inputLanguage' => isset($deviceData->language) ? $deviceData->language : NULL
        ));
    }

    public function getUser($userId)
    {
        $query = "CALL " . StoredProcedures::$getUser . "(:userId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':userId' => $userId));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function getUserByReferralCode($referralCode)
    {
        $query = "CALL " . StoredProcedures::$getUserByReferralCode . "(:referralCode)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':referralCode' => $referralCode));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function getUserByToken($token)
    {
        $query = "CALL " . StoredProcedures::$getUserByToken . "(:token)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':token' => $token));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    /**
     * @param $username
     * @param $typeId
     * @return array|false
     */
    public function getUserByUsernameAndType($username, $typeId) {
        $query = "CALL " . StoredProcedures::$getUserByUsernameAndType . "(:username, :typeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':username' => $username,
            ':typeId' => $typeId));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function getUserByUsername($username)
    {
        $query = "CALL " . StoredProcedures::$getUserByUsername . "(:username)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':username' => $username));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function getUserByUserIdAndType($userId, $typeId)
    {
        $query = "CALL " . StoredProcedures::$getUserByUsernameAndType . "(:userId, :typeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':userId' => $userId, ':typeId' => $typeId));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function getUserByUserIdAndTypeNew($userId, $typeId)
    {
        $query = "CALL " . StoredProcedures::$getUserByUserIdAndType . "(:userId, :typeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':userId' => $userId, ':typeId' => $typeId));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function updateUserVerificationCode($verificationCode, $userId)
    {
        $query = "CALL " . StoredProcedures::$updateUserVerificationCode . "(:verificationCode, :userId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':verificationCode' => $verificationCode,
            ':userId' => $userId
        ));
    }

    public function updatePhoneVerifiedFlag($userId, $newPhone, $verifiedFlag)
    {
        $query = "CALL " . StoredProcedures::$updatePhoneVerifiedFlag . "(:userId, :newPhone, :verifiedFlag)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':userId' => $userId,
            ':newPhone' => $newPhone,
            ':verifiedFlag' => $verifiedFlag
        ));
        $inviterData = null;
        if ($stmt->rowCount()) {
            $inviterData = $stmt->fetch(PDO::FETCH_ASSOC);
            $deviceDetails = explode('#', $inviterData['device_token']);
            $deviceToken = $deviceDetails[0];
            $deviceType = $deviceDetails[1];
            $stmt->closeCursor();
            $notificationtemplete = NotificationTemplate::getNotificationTemplateNew(1007, 1, $inviterData['user_id'], NULL)->templateText;
            $notificationtemplete = str_replace('@p', $inviterData['inviter_points'], $notificationtemplete);
            $stmt->closeCursor();
            if ($deviceType == 'iOS') {
                ApplePushNotificationManager::sendNotification($inviterData['user_type_id'], $deviceToken, $notificationtemplete);
            } elseif ($deviceType == 'android') {
                FCMManager::sendNotification('1', $deviceToken, $notificationtemplete);
            }
        }
        return $inviterData;
    }

    public function getDriverLoginData($userId)
    {
        $query = "CALL " . StoredProcedures::$getDriverLoginData . "(:userId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':userId' => $userId
        ));
        $dataSet = array();
        $dataSet[0] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        if (!$stmt->nextRowset()) return $dataSet;
        $dataSet[1] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $dataSet;
    }

    public function registerPassenger($passenger)
    {
        $passenger->stripCustomerId = StripeManager::CreateCustomer($passenger)->id;
        $query = "CALL " . StoredProcedures::$registerPassenger . "(
            :appId, :firstName, :lastName, :email, :dialingCode,
            :phoneNumber, :passwordText, :passwordHash,
            :referralCode, :verificationCode, :inputIpAddress,:inputStripCustomerId,:inputLanguage)";
        $stmt = $this->db->prepare($query);
        if (!$stmt->execute(array(
            ':appId' => $passenger->appId,
            ':firstName' => $passenger->firstName,
            ':lastName' => $passenger->lastName,
            ':email' => $passenger->email,
            ':dialingCode' => $passenger->dialingCode,
            ':phoneNumber' => $passenger->phone,
            ':passwordText' => $passenger->passwordText,
            ':passwordHash' => $passenger->passwordHash,
            ':referralCode' => $passenger->referralCode,
            ':verificationCode' => $passenger->verificationCode,
            ':inputIpAddress' => $passenger->ipAddress,
            ':inputStripCustomerId' => $passenger->stripCustomerId,
            ':inputLanguage' => $passenger->language
        ))) {
            StripeManager::DeleteCustomer($passenger->stripCustomerId);
        }
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getUserPaymentCards($userId)
    {
        $query = "CALL " . StoredProcedures::$getUserPaymentCards . "(:userId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':userId' => $userId));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function addPaymentCard($paymentCard)
    {
        $query = "CALL " . StoredProcedures::$addPaymentCard . "(:userId, :cardNumber, :expiry, :nameOnCard, :cvv)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':userId' => $paymentCard->userId,
            ':cardNumber' => $paymentCard->cardNumber,
            ':expiry' => $paymentCard->expiry,
            ':nameOnCard' => $paymentCard->nameOnCard,
            ':cvv' => $paymentCard->cvv,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function updateResetToken($userId, $typeId, $token, $cd)
    {
        $query = "CALL " . StoredProcedures::$updateResetToken . " (:userId, :typeId, :token, :cd)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':userId' => $userId,
            ':typeId' => $typeId,
            ':token' => $token,
            ':cd' => $cd
        ));
    }

    public function changePassword($token, $cd, $password)
    {
        $query = "CALL " . StoredProcedures::$changePassword . " (:token, :cd, :password, :appId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(':token' => $token, ':cd' => $cd, 'password' => $password, ':appId' => 1));
    }

    public function updateUserPassword($userId, $typeId, $passwordText, $passwordHash)
    {
        $query = "CALL " . StoredProcedures::$updateUserPassword . " (:userId, :typeId, :passwordText, :passwordHash)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(':userId' => $userId, ':typeId' => $typeId, 'passwordText' => $passwordText, ':passwordHash' => $passwordHash));
    }

    public function updateUserAppLanguage($data)
    {
        $query = "CALL updateUserAppLanguage(:inputUserId, :inputLanguageCode, :inputUserType)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $data->userId,
            ':inputLanguageCode' => $data->language,
            ':inputUserType' => $data->typeId
        ));
    }

    public function verifyDriverPhoneCode($data)
    {
        $query = "CALL updateDriverPhoneCode(:inputUserId, :inputVerificationCode)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $data->userId,
            ':inputVerificationCode' => $data->verificationCode
        ));
    }
//    public function loginUser($customer)
//    {
//        // print_r($customer);
//        $query = "CALL " . StoredProcedures::$loginUser . "(:inputUserName, :inputPassword, :inputPasswordHash, :inputTypeId, :inputToken, :inputDeviceToken, :inputOS, :inputVersion, :inputLatitude, :inputLongitude, :inputDeviceType, :inputDeviceId, :inputLanguage, :inputIPAddress)";
//        $stmt = $this->db->prepare($query);
//        $stmt->execute(array(
//            ':inputUserName' => $customer->userName,
//            ':inputPassword' => $customer->passwordText,
//            ':inputPasswordHash' => $customer->passwordhash,
//            ':inputTypeId' => $customer->typeId,
//            ':inputToken' => $customer->token,
//            ':inputDeviceToken' => $customer->deviceToken,
//            ':inputOS' => $customer->os,
//            ':inputVersion' => $customer->version,
//            ':inputLatitude' => $customer->latitude,
//            ':inputLongitude' => $customer->longitude,
//            ':inputDeviceType' => $customer->deviceType,
//            ':inputDeviceId' => $customer->deviceId,
//            ':inputLanguage' => $customer->language,
//            ':inputIPAddress' => $customer->ipAddress,
//        ));
//        $dataSet = array();
//        if ($stmt->rowCount()) {
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//
//        }
//        return $dataSet;
//    }

    public function loginSuperAdmin ($request) {
        $query = 'CALL ' . StoredProcedures::$loginSuperAdmin . "(:inputUserName, :inputPassword, :inputPasswordHash, :inputTypeId, :inputToken, :inputIPAddress,
        :inputOS, :inputVersion, :inputDeviceId, :inputDeviceToken, :inputDeviceType, :inputDeviceModel, :inputAppVersion, :inputUserAppLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserName' => $request->username,
            ':inputPassword' => $request->password,
            ':inputPasswordHash' => $request->passwordHash,
            ':inputTypeId' => $request->typeId,
            ':inputToken' => HelperMethods::createJwtToken($request->username),
            ':inputIPAddress' => $request->ipAddress,
            ':inputOS' => $request->os,
            ':inputVersion' => $request->version,
            ':inputDeviceId' => $request->deviceId,
            ':inputDeviceToken' => $request->deviceToken,
            ':inputDeviceType' => $request->deviceType,
            ':inputDeviceModel' => $request->deviceModel,
            ':inputAppVersion' => $request->appVersion,
            ':inputUserAppLanguage' => $request->userAppLanguage,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function createBusiness($request) {
        $query = 'CALL ' . StoredProcedures::$createBusiness . "(:inputUserId, :inputBusinessId, :inputBusinessName, :inputBusinessLegalName, :inputBusinessIcon, :inputBusinessLogo, :inputMobile, :inputEmail, :inputGSTIN, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputLanguage, :inputContactPerson)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputBusinessId' => $request->businessId,
            ':inputBusinessName' => $request->businessName,
            ':inputBusinessLegalName' => $request->businessLegalName,
            ':inputBusinessIcon' => $request->businessIcon,
            ':inputBusinessLogo' => $request->businessLogo,
            ':inputMobile' => $request->mobile,
            ':inputEmail' => $request->email,
            ':inputGSTIN' => $request->GSTIN,
            ':inputAddress' => $request->address,
            ':inputLocality' => $request->locality,
            ':inputCity' => $request->city,
            ':inputState' => $request->state,
            ':inputCountry' => $request->country,
            ':inputZipCode' => $request->zipCode,
            ':inputLatitude' => $request->latitude,
            ':inputLongitude' => $request->longitude,
            ':inputLanguage' => $request->language,
             ':inputContactPerson' => $request->contactPersonName,
            
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function loginCustomer ($request) {
        $query = 'CALL ' . StoredProcedures::$loginCustomer . "(:inputUserName, :inputPassword, :inputPasswordHash, :inputTypeId, :inputToken, :inputIPAddress, :inputOS, :inputVersion, :inputDeviceId, :inputDeviceToken, :inputDeviceType, :inputDeviceModel, :inputAppVersion, :inputUserAppLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserName' => $request->username,
            ':inputPassword' => $request->password,
            ':inputPasswordHash' => $request->passwordHash,
            ':inputTypeId' => $request->typeId,
            ':inputToken' => HelperMethods::createJwtToken($request->username),
            ':inputIPAddress' => $request->ipAddress,
            ':inputOS' => $request->os,
            ':inputVersion' => $request->version,
            ':inputDeviceId' => $request->deviceId,
            ':inputDeviceToken' => $request->deviceToken,
            ':inputDeviceType' => $request->deviceType,
            ':inputDeviceModel' => $request->deviceModel,
            ':inputAppVersion' => $request->appVersion,
            ':inputUserAppLanguage' => $request->userAppLanguage,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function loginAuditor ($request) {
       
        $query = 'CALL ' . StoredProcedures::$loginAuditor . "(:inputUserName, :inputPassword, :inputPasswordHash, :inputToken, :inputIPAddress, :inputOS, :inputVersion, :inputDeviceId, :inputDeviceToken, :inputDeviceType, :inputDeviceModel, :inputAppVersion, :inputUserAppLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserName' => $request->username,
            ':inputPassword' => $request->password,
            ':inputPasswordHash' => $request->passwordHash,
            ':inputToken' => HelperMethods::createJwtToken($request->username),
            ':inputIPAddress' => $request->ipAddress,
            ':inputOS' => $request->os,
            ':inputVersion' => $request->version,
            ':inputDeviceId' => $request->deviceId,
            ':inputDeviceToken' => $request->deviceToken,
            ':inputDeviceType' => $request->deviceType,
            ':inputDeviceModel' => $request->deviceModel,
            ':inputAppVersion' => $request->appVersion,
            ':inputUserAppLanguage' => $request->userAppLanguage,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
}


