<?php
/**
 * Created by PhpStorm.
 * User: Narendra Kumar
 * Date: 19-12-2017
 * Time: 12:53 PM
 */

class SystemStore
{
    private $db = null;

    public function __construct($db = null)
    {
        if (isset($db)) {
            $this->db = $db;
        } else {
            $this->db = Db::getInstance();
        }
    }

    public function getCodeList($newCodeList)
    {
        $query = "CALL " . StoredProcedures:: $getCodeList . "( :inputCategory, :inputTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCategory' => $newCodeList->category,
            ':inputTypeId' => $newCodeList->typeId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getCountryList($newCountryList)
    {
        $query = "CALL " . StoredProcedures:: $getCountryList . "( :inputCountryId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCountryId' => $newCountryList->countryId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }
    public function getDayList($days)
    {
        $query = "CALL " . StoredProcedures:: $getDayList . "( :inputDayId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputDayId' => $days->daysId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }
    public function getTimeList($time)
    {
        // print_r($details);
         $query = "CALL " . StoredProcedures:: $getTimeList . "(:inputUserId, :inputTimeId,  :inputTypeId, :inputCurrentTime)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $time->userId,
            ':inputTimeId' => $time->timeId,
            ':inputTypeId' => $time->typeId,
            ':inputCurrentTime' => $time->currentTime,


        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }
    public function getAppConfigurationList($image)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getAppOfferImageList . "(:inputUserId, :inputTimeId, :inputTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $image->userId,
            ':inputTimeId' => $image->timeId,
            ':inputTypeId' => $image->typeId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['timeDetails'] = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        if($stmt->nextRowset()){
            $dataSet['offerImage'] =  $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        if($stmt->nextRowset()){
            $dataSet['appDetails'] =  $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        if($stmt->nextRowset()){
            $dataSet['dayDetails'] =  $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function allotJobsWasher($job)
    {
        $query = "CALL " . StoredProcedures:: $allotJobTest . "()";
        $stmt = $this->db->prepare($query);
        return $stmt->execute();
    }

    public function getUserAppSetting($newApp)
    {
        $query = "CALL " . StoredProcedures:: $getUserAppSetting . "( :inputCountryId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCountryId' => $newApp->countryId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }
    public function backDateJob($job)
    {
        $query = "CALL " . StoredProcedures:: $backDateCompleteJob . "()";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(set_time_limit(0));
    }


    public function cashbackCronJob($job)
    {
        $query = "CALL " . StoredProcedures:: $cashbackCronJob . "()";
        $stmt = $this->db->prepare($query);
        return $stmt->execute();
    }


    public function getAppConfigurations($appId)
    {
        $query = "CALL " . StoredProcedures::$getAppConfigurations . "(:locAppId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':locAppId' => $appId));
        $dataSet = array();
        $dataSet[0] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        if (!$stmt->nextRowset()) return $dataSet;
        $dataSet[1] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        return $dataSet;
    }
 public function getRegionList($newApp)
    {
        $query = "CALL " . StoredProcedures:: $getRegionList . "( :inputUserId, :inputRegionId, :inputStatus)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $newApp->userId,
            ':inputRegionId' => $newApp->regionId,
            ':inputStatus' => $newApp->status,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }
    public function getBranchList($newApp)
    {
        $query = "CALL " . StoredProcedures:: $getBranchList . "( :inputUserId, :inputBranchId, :inputStatus, :inputRegionId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $newApp->userId,
            ':inputBranchId' => $newApp->branchId,
            ':inputStatus' => $newApp->status,
             ':inputRegionId' => $newApp->regionId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }
     public function cronSiteAllotment($job)
    {
        $query = "CALL " . StoredProcedures:: $cronSiteAllotment . "()";
        $stmt = $this->db->prepare($query);
        return $stmt->execute();
    }
     public function getSMCAppConfigurations($appId)
    {
        $query = "CALL " . StoredProcedures::$getAppConfigurations . "(:locAppId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(':locAppId' => $appId));
        $dataSet = array();
        $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
       // print_R($dataSet);
        return $dataSet;
    }
}
