<?php

class UserStore
{
    private $db = null;

    public function __construct($db = null)
    {
        if (isset($db)) {
            $this->db = $db;
        } else {
            $this->db = Db::getInstance();
        }
    }

    public function createCustomerBasicDetails($details)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $createCustomerBasicDetails . "(:inputUserId, :inputEmail, :inputFirstName, :inputLastName, :inputGender)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $details->userId,
            ':inputEmail' => $details->email,
            ':inputFirstName' => $details->firstName,
            ':inputLastName' => $details->lastName,
            ':inputGender' => $details->gender

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function createCustomerAddressDetails($address)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $createUserAddress . "(:inputUserId, :inputAddressId, :inputCityId, :inputSocietyId, :inputAddress, :inputFlatNumber, :inputParkingLocation, :inputNickName, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $address->userId,
            ':inputAddressId' => $address->userAddressId,
            ':inputCityId' => $address->cityId,
            ':inputSocietyId' => $address->societyId,
            ':inputAddress' => $address->address,
            ':inputFlatNumber' => $address->flatNumber,
            ':inputParkingLocation' => $address->parkingLocation,
            ':inputNickName' => $address->nickName,
            ':inputLanguage' => $address->language,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getCategoryList($category)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getCategoryList . "(:inputUserId, :inputCategoryId, :inputVehicleWheelerTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $category->userId,
            ':inputCategoryId' => $category->categoryId,
            ':inputVehicleWheelerTypeId' => $category->vehicleWheelerTypeId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getCategoryPlanList($plan)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getCategoryPlanList . "(:inputUserId, :inputCategoryId, :inputPlanId, :inputPlanDescriptionId, :inputPlanTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $plan->userId,
            ':inputCategoryId' => $plan->categoryId,
            ':inputPlanId' => $plan->planId,
            ':inputPlanDescriptionId' => $plan->planDescriptionId,
            ':inputPlanTypeId' => $plan->planTypeId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['planList'] = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        if ($stmt->nextRowset()) {
            $dataSet['userDetails'] = $stmt->fetch(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function createUserVehicle($vehicle)
    {
        //print_r($vehicle);
        $query = "CALL " . StoredProcedures:: $createUserVehicle . "(:inputUserId, :inputVehicleId, :inputFuelType, :inputBrandId, :inputModelId, :inputRegistrationNumber, :inputColor, :inputRegistrationDate, :inputParkingLocation, :inputPakingINformation, :inputAddressId, :inputVehicleWheelerTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $vehicle->userId,
            ':inputVehicleId' => $vehicle->vehicleId,
            ':inputFuelType' => $vehicle->fuelType,
            ':inputBrandId' => $vehicle->brandId,
            ':inputModelId' => $vehicle->modelId,
            ':inputRegistrationNumber' => $vehicle->registrationNumber,
            ':inputColor' => $vehicle->color,
            ':inputRegistrationDate' => $vehicle->registrationDate,
            ':inputParkingLocation' => $vehicle->parkingLocation,
            ':inputPakingINformation' => $vehicle->parkingInformation,
            ':inputAddressId' => $vehicle->userAddressId,
            ':inputVehicleWheelerTypeId' => $vehicle->vehicleWheelerTypeId,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getUserVehicleList($vehicle)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getUserVehicleList . "(:inputUserId, :inputVehicleId, :inputVehicleWheelerTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $vehicle->userId,
            ':inputVehicleId' => $vehicle->vehicleId,
            ':inputVehicleWheelerTypeId' => $vehicle->vehicleWheelerTypeId,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function createUserOrder($order)
    {
        //print_r($order);
        if (!is_null($order->perDayDates) && $order->perDayDates != '') {
            $payperdayQuesry = "INSERT INTO order_select_date (order_id, service_type, created_by, modified_by, created_date, modified_date, preffered_date, time_id) VALUES";
            $dates = explode(',', $order->perDayDates);
            sort($dates);
            $order->startDate = $dates[0];
            foreach ($dates as $d) {
                $payperdayQuesry .= "('#orderId#', '#serviceTypeId#', '" . $order->userId . "', '" . $order->userId . "', UTC_TIMESTAMP(), UTC_TIMESTAMP(), '" . $d . "','" . $order->preferredTimeId . "'),";
            }
            $payperdayQuesry = substr($payperdayQuesry, 0, -1) . ';';

        } else {
            $payperdayQuesry = NULL;
        }

        //echo $payperdayQuesry;
        $query = "CALL " . StoredProcedures:: $createUserOrder . "(:inputUserId, :inputOrderId, :inputCategoryId, :inputPlanId, :inputVehicleId, :inputAmount, :inputTaxName, :inputTaxAmount, :inputTaxPercent, :inputDiscountPercent, :inputDiscountAmount, :inputPreferredTimeId, :inputPaymentJson, :inputStartDate, :inputEndDate, :inputOrderJson, :inputTransactionId, :inputSuperPlanId, :inputTotalWash, :inputValidity, :inputDayId, :inputServiceTimeId, :inputPerDayDate, :inputPayPerDayQuery)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $order->userId,
            ':inputOrderId' => $order->orderId,
            ':inputCategoryId' => $order->subscriptionId,
            ':inputPlanId' => $order->subscriptionItemId,
            ':inputVehicleId' => $order->vehicleId,
            ':inputAmount' => $order->amountPaid,
            ':inputTaxName' => $order->taxName,
            ':inputTaxAmount' => $order->taxAmount,
            ':inputTaxPercent' => $order->taxPercent,
            ':inputDiscountPercent' => $order->discountPercent,
            ':inputDiscountAmount' => $order->discountAmount,
            ':inputPreferredTimeId' => $order->preferredTimeId,
            ':inputPaymentJson' => $order->razorPayTransDetails,
            ':inputStartDate' => $order->startDate,
            ':inputEndDate' => $order->endDate,
            ':inputOrderJson' => $order->orderJson,
            ':inputTransactionId' => $order->transactionId,
            ':inputSuperPlanId' => $order->superPlanId,
            ':inputTotalWash' => $order->totalWash,
            ':inputValidity' => $order->validity,
            ':inputDayId' => $order->dayId,
            ':inputServiceTimeId' => $order->servicePrefTimeId,
            ':inputPerDayDate' => $order->perDayDates,
            ':inputPayPerDayQuery' => $payperdayQuesry

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
//        if($stmt->nextRowset()){
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//        }
        return $dataSet;
    }

    public function getSocietyList($plan)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getSocietyList . "(:inputUserId, :inputCityId, :inputSocietyId, :inputStatusTypeId, :inputSearchText)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $plan->userId,
            ':inputCityId' => $plan->cityId,
            ':inputSocietyId' => $plan->societyId,
            ':inputStatusTypeId' => $plan->statusTypeId,
            ':inputSearchText' => $plan->searchText,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getVehicleBrandList($brand)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getVehicleBrandList . "(:inputUserId, :inputBrandId, :inputVehicleWheelerTypeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $brand->userId,
            ':inputBrandId' => $brand->brandId,
            ':inputVehicleWheelerTypeId' => $brand->vehicleWheelerTypeId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getVehicleModelList($model)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getVehicleModelList . "(:inputUserId, :inputBrandId, :inputModelId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $model->userId,
            ':inputBrandId' => $model->brandId,
            ':inputModelId' => $model->modelId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function verifiedMobileNumber($verifiedMobile)
    {
        //print_r($verifiedMobile);
        $query = "CALL " . StoredProcedures::$verifyCustomerMobileCode . "(:inputUserId, :inputVerificationCode, :inputTypeId, :inputActionType)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $verifiedMobile->userId,
            ':inputVerificationCode' => $verifiedMobile->verificationCode,
            ':inputTypeId' => $verifiedMobile->typeId,
            ':inputActionType' => $verifiedMobile->actionType,
        ));

    }

    public function addWalletAmountByUser($amount)
    {
        //print_r($verifiedMobile);
        $query = "CALL " . StoredProcedures::$addWalletAmountByUser . "(:inputUserId, :inputUserWalletId, :inputUserTypeId, :inputAmount, :inputPayoutType, :inputOrderId, :inputTransactionId, :inputPaymentDetails)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $amount->userId,
            ':inputUserWalletId' => $amount->userWalletId,
            ':inputUserTypeId' => $amount->userTypeId,
            ':inputAmount' => $amount->amount,
            ':inputPayoutType' => $amount->payoutType,
            ':inputOrderId' => $amount->orderId,
            ':inputTransactionId' => $amount->transactionId,
            ':inputPaymentDetails' => $amount->razorPayTransDetails,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getUserTransactionHistory($wallet)
    {
        $query = "CALL " . StoredProcedures:: $getUserTransactionHistory . "(:inputUserId, :inputUserWalletId, :inputTransactionId, :inputPayoutType)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $wallet->userId,
            ':inputUserWalletId' => $wallet->userWalletId,
            ':inputTransactionId' => $wallet->transactionId,
            ':inputPayoutType' => $wallet->payoutType,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function setUpUserPassword($updatePassword)
    {
        $query = "CALL " . StoredProcedures::$setUpUserPassword . "(:inputUserId, :inputPasswordText, :inputPasswordHash, :inputTypeId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $updatePassword->userId,
            ':inputPasswordText' => $updatePassword->newPassword,
            ':inputPasswordHash' => $updatePassword->passwordhash,
            ':inputTypeId' => $updatePassword->typeId,

        ));

    }

    public function userLogout($logout)
    {
        $query = "CALL " . StoredProcedures:: $userLogout . "( :inputUserId, :inputTypeId, :inputToken, :inputDeviceToken, :inputDeviceId, :inputDeviceModal, :inputOs, :inputLatitude, :inputLongitude, :inputVersion, :inputIpAddress)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $logout->userId,
            ':inputTypeId' => $logout->typeId,
            ':inputToken' => $logout->token,
            ':inputDeviceToken' => $logout->deviceToken,
            ':inputDeviceId' => $logout->deviceId,
            ':inputDeviceModal' => $logout->deviceModal,
            ':inputOs' => $logout->os,
            ':inputLatitude' => $logout->latitude,
            ':inputLongitude' => $logout->longitude,
            ':inputVersion' => $logout->version,
            ':inputIpAddress' => $logout->ipAddress


        ));

    }

    public function userVehicleDelete($delete)
    {
        $query = "CALL " . StoredProcedures::$deleteUserVehicle . "(:inputUserId, :inputVehicleId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $delete->userId,
            ':inputVehicleId' => $delete->vehicleId

        ));

    }

    public function getSubscriptionHistory($history)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getSubscriptionHistory . "(:inputUserId, :inputSubCriptionId, :inputPlanId, :inputVehicleId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $history->userId,
            ':inputSubCriptionId' => $history->subscriptionId,
            ':inputPlanId' => $history->planId,
            ':inputVehicleId' => $history->vehicleId,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
//        if ($stmt->rowCount()) {
//            $dataSet['timeDetails'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
//
//        }
        return $dataSet;
    }

    public function updateServiceDateTime($dateTime)
    {
        $selectDateArray = json_decode($dateTime->selectDate, true);
        if (count($selectDateArray)) {
            $dateQuery = "INSERT INTO order_select_date (order_id, preffered_date, time_id, service_type, created_by, modified_by, modified_date, created_date, local_start_date, local_end_date)VALUES";
            foreach ($selectDateArray as &$selectDate) {
                $datetime = $selectDate['jobStartDateTime'] == "" ? 'NULL' : "'" . $selectDate['jobStartDateTime'] . "'";
                $dateEndtime = $selectDate['jobEndDateTime'] == "" ? 'NULL' : "'" . $selectDate['jobEndDateTime'] . "'";
                $dateQuery .= "($dateTime->orderId, '" . $selectDate['selectDate'] . "', '" . $selectDate['prefferedTimeId'] . "', $dateTime->serviceType, $dateTime->userId, $dateTime->userId, UTC_TIMESTAMP(), UTC_TIMESTAMP(), $datetime, $dateEndtime),";
            }
            $dateQuery;
            $dateQuery = substr($dateQuery, 0, -1) . ';';
        } else {
            $dateQuery = NULL;
        }

        $query = "CALL " . StoredProcedures::$updateServiceDateTime . "(:inputUserId, :inputSelectedDates, :inputOrderId, :inputServiceType, :inputDateQuery)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $dateTime->userId,
            ':inputSelectedDates' => $dateTime->selectDate,
            ':inputOrderId' => $dateTime->orderId,
            ':inputServiceType' => $dateTime->serviceType,
            ':inputDateQuery' => $dateQuery

        ));

    }

    public function getUserServiceList($service)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getUserServiceList . "(:inputUserId, :inputOrderId, :inputTimeId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $service->userId,
            ':inputOrderId' => $service->orderId,
            ':inputTimeId' => $service->prefferedTimeId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function updateSubscriptionDateTime($dateTime)
    {
        $selectDateArray = json_decode($dateTime->holidaysDate, true);
        if (count($selectDateArray)) {
            $dateQuery = "INSERT INTO order_holiday (order_id, reason, holiday_date, created_date, modified_date, created_by, modified_by)VALUES";
            foreach ($selectDateArray as & $holidaysDate) {
                $dateQuery .= "($dateTime->orderId, '" . $holidaysDate['reason'] . "', '" . $holidaysDate['holidaysDate'] . "', UTC_TIMESTAMP(), UTC_TIMESTAMP(),  $dateTime->userId, $dateTime->userId),";
            }
            $dateQuery = substr($dateQuery, 0, -1) . ';';
        } else {
            $dateQuery = NULL;
        }
        $query = "CALL " . StoredProcedures::$updateSubscriptionDateTime . "(:inputUserId, :inputOrderId, :inputStartDate, :inputEndDate, :inputHolidayDate, :inputDateQuery, :inputPreferredTimeId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $dateTime->userId,
            ':inputOrderId' => $dateTime->orderId,
            ':inputStartDate' => $dateTime->startDate,
            ':inputEndDate' => $dateTime->endDate,
            ':inputHolidayDate' => $dateTime->holidaysDate,
            ':inputDateQuery' => $dateQuery,
            ':inputPreferredTimeId' => $dateTime->prefferedTimeId,

        ));

    }

    public function getShinerDetails($shiner)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getShinerDetails . "(:inputUserId, :inputOrderId, :inputStartDate, :inputEndDate)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $shiner->userId,
            ':inputOrderId' => $shiner->orderId,
            ':inputStartDate' => $shiner->startDate,
            ':inputEndDate' => $shiner->endDate

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['orderDetails'] = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        if ($stmt->nextRowset()) {
            $dataSet['imagesList'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function sendFeedback($rating)
    {
        $query = "CALL " . StoredProcedures::$sendFeedback . "(:inputUserId, :inputWasherUserId, :inputRating, :inputTitle, :inputBodyText)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $rating->userId,
            ':inputWasherUserId' => $rating->washerUserId,
            ':inputRating' => $rating->rating,
            ':inputTitle' => $rating->title,
            ':inputBodyText' => $rating->body,

        ));

    }

    public function applyCoupon($coupon)
    {
        $query = "CALL " . StoredProcedures::$applyCoupon . "(:inputUserId, :inputOrderId, :inputCouponCode, :inputDate)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $coupon->userId,
            ':inputOrderId' => $coupon->orderId,
            ':inputCouponCode' => $coupon->couponCode,
            ':inputDate' => $coupon->date

        ));

    }

    public function getCityList($city)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getCityList . "(:inputUserId, :inputCityId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $city->userId,
            ':inputCityId' => $city->cityId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

//    public function getUserAddressList($userAddress)
//    {
//        // print_r($details);
//        $query = "CALL " . StoredProcedures:: $getUserAddressList . "(:inputUserId, :inputCustomerUserId, :inputAddressId, :inputLanguage)";
//        $stmt = $this->db->prepare($query);
//        $stmt->execute(array(
//            ':inputUserId' => $userAddress->userId,
//            ':inputCustomerUserId' => $userAddress->customerUserId,
//            ':inputAddressId' => $userAddress->userAddressId,
//            ':inputLanguage' => $userAddress->language,
//
//        ));
//        $dataSet = array();
//        if ($stmt->rowCount()) {
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//
//        }
//        return $dataSet;
//    }

    public function updateVehicleAddress($address)
    {
        $query = "CALL " . StoredProcedures::$updateVehicleAddress . "(:inputUserId, :inputAddressId, :inputVehicleId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $address->userId,
            ':inputAddressId' => $address->userAddressId,
            ':inputVehicleId' => $address->vehicleId,
            ':inputLanguage' => $address->language

        ));

    }

    public function getUserSubscriptionActiveList($activeList)
    {
        // print_r($details);
        $query = "CALL " . StoredProcedures:: $getUserSubscriptionActiveList . "(:inputUserId, :inputOrderId, :inputPlanId, :inputVehicleId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $activeList->userId,
            ':inputOrderId' => $activeList->orderId,
            ':inputPlanId' => $activeList->planId,
            ':inputVehicleId' => $activeList->vehicleId,
            ':inputLanguage' => $activeList->language,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

// old
    public function updateOrderStatus($updateStatus)
    {

        $query = "CALL " . StoredProcedures:: $updateOrderStatus . "(:inputUserId, :inputOrderId, :inputStatus)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $updateStatus->userId,
            ':inputOrderId' => $updateStatus->orderId,
            ':inputStatus' => $updateStatus->status,
        ));

    }

    public function updateOrderLocation($updateLocation)
    {

        $query = "CALL " . StoredProcedures:: $updateOrderLocation . "(:inputUserId, :inputOrderId, :inputLatitude, :inputLongitude, :inputDistance)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $updateLocation->userId,
            ':inputOrderId' => $updateLocation->orderId,
            ':inputLatitude' => $updateLocation->latitude,
            ':inputLongitude' => $updateLocation->longitude,
            ':inputDistance' => $updateLocation->distance,
        ));

    }


    public function willLoginWithOtp($verifiedMobile)
    {
        // print_r($verifiedMobile);
        $query = "CALL " . StoredProcedures::$willLoginWithOtp . "(:inputUserId, :inputTypeId, :inputActionType)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $verifiedMobile->userId,
            ':inputTypeId' => $verifiedMobile->typeId,
            ':inputActionType' => $verifiedMobile->actionType,


        ));

    }

    public function createItemReview($review)
    {

        $query = "CALL " . StoredProcedures:: $createItemReview . "(:inputUserId, :inputItemId, :inputCustomerId, :inputNoOfStar, :inputDescription)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $review->userId,
            ':inputItemId' => $review->itemId,
            ':inputCustomerId' => $review->customerId,
            ':inputNoOfStar' => $review->noOfStar,
            ':inputDescription' => $review->customerDescription

        ));
    }

    public function createOutletReview($review)
    {

        $query = "CALL " . StoredProcedures:: $createOutletReview . "(:inputUserId, :inputOutletId, :inputCustomerId, :inputNoOfStar, :inputDescription)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $review->userId,
            ':inputOutletId' => $review->outletId,
            ':inputCustomerId' => $review->customerId,
            ':inputNoOfStar' => $review->noOfStar,
            ':inputDescription' => $review->customerDescription

        ));
    }

    public function getItemReviewList($reviewList)
    {
        $query = "CALL " . StoredProcedures:: $getItemReviewList . "(:inputUserId, :inputCustomerId, :inputItemId, :inputItemReviewId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $reviewList->userId,
            ':inputCustomerId' => $reviewList->customerId,
            ':inputItemId' => $reviewList->itemId,
            ':inputItemReviewId' => $reviewList->itemReviewId,


        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getOutletReviewList($reviewOutletList)
    {
        $query = "CALL " . StoredProcedures:: $getOutletReviewList . "(:inputUserId, :inputCustomerId, :inputOutletId, :inputOutletReviewId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $reviewOutletList->userId,
            ':inputCustomerId' => $reviewOutletList->customerId,
            ':inputOutletId' => $reviewOutletList->outletId,
            ':inputOutletReviewId' => $reviewOutletList->outletReviewId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function createCustomerOrder($order)

    {
        $portionFlag = false;
        $custFlag = false;
        $orderItemQuery = "INSERT INTO tmp_order_items(order_item_id, loc_order_id, item_custmization_allowed, item_portion_allowed, item_name, item_qty, item_total_price, item_is_tax_exceptions, item_is_discount_editable, item_disc, item_disc_amount, item_final_price, item_base_price, item_change_price, extra_charge, original_price, selling_price)VALUES";
        $portionQuery = "INSERT INTO tmp_order_portion(portion_id, portion_item_id, loc_order_id, portion_name , price, disc, disc_amount) VALUES";
        $custmizationQuery = "INSERT INTO tmp_order_custmization(custmization_id, item_id, loc_order_id,custmization_name, price, disc, disc_amount) VALUES";
        foreach ($order['itemDetails'] as $item) {
            $orderItemQuery .= "('" . $item['itemProductId'] . "','" . $order['orderId'] . "', '" . $item['itemIsCustomizationAllowed'] . "', '" . $item['itemIsPortionAllowed'] . "', '" . $item['itemProductName'] . "', '" . $item['itemProductQty'] . "','" . $item['itemTotalPrice'] . "', '" . $item['itemIsTaxExceptions'] . "', '" . $item['itemIsDiscountEditable'] . "','" . $item['itemDisc'] . "', '" . $item['itemDiscAmount'] . "',  '" . $item['itemFinalPrice'] . "', '" . $item['itemBasePrice'] . "', '" . $item['itemChangeBasePrice'] . "', '" . $item['extraCharge'] . "', '" . $item['itemOrigenalPrice'] . "', '" . $item['itemSellingPrice'] . "'),";
            if ($item['itemIsPortionAllowed']) {
                foreach ($item['itemPortion'] as $portion) {
                    $portionQuery .= "('" . $portion['portionId'] . "','" . $item['itemProductId'] . "', '" . $order['orderId'] . "','" . $portion['portionName'] . "', '" . $portion['portionPrice'] . "', '" . $portion['portionDisc'] . "', '" . $portion['portionDiscAmt'] . "'),";
                    $portionFlag = true;
                }
            }
            if ($item['itemIsCustomizationAllowed']) {
                foreach ($item['itemCustomization'] as $custmization) {
                    $custmizationQuery .= "('" . $custmization['customizationId'] . "','" . $item['itemProductId'] . "', '" . $order['orderId'] . "', '" . $custmization['customizationName'] . "', '" . $custmization['price'] . "', '" . $custmization['disc'] . "','" . $custmization['discAmount'] . "'),";
                    $custFlag = true;
                }
            }
        }
        $orderStatusQuery = "INSERT INTO tmp_order_status(status_code, loc_order_id, status_name, order_time)VALUES";
        $paymentQuery = "INSERT INTO tmp_order_payment( payment_mode, loc_order_id, payment_mode_name, amount, card_number, transaction_id) VALUES";
        $orderAddressQuery = "INSERT INTO tmp_order_address( loc_order_id, first_name, middle_name, last_name, address, locality, city, state, country_name, latitude, longitude, zipcode, address_type, address_type_text, customer_address_id) VALUES";
        $taxQuery = "INSERT INTO tmp_order_outlet_tax( loc_order_id, outlet_tax_id, tax_name, tax_value, tax_amount, tax_status) VALUES";
        foreach ($order['orderStatus'] as $status) {
            $orderStatusQuery .= "('" . $status['orderStatusCode'] . "','" . $order['orderId'] . "','" . $status['orderStatusName'] . "', '" . $status['orderStatusTime'] . "'),";
        }
        foreach ($order['paymentDetails'] as $payment) {
            $paymentQuery .= "( '" . $payment['paymentType'] . "','" . $order['orderId'] . "','" . $payment['paymentTypeName'] . "','" . $payment['paidAmount'] . "','" . $payment['cardNumber'] . "','" . $payment['transactionId'] . "'),";
        }
        foreach ($order['orderDeliveryAddress'] as $address) {
            $orderAddressQuery .= "( '" . $order['orderId'] . "','" . $address['firstName'] . "','" . $address['MiddleName'] . "','" . $address['lastName'] . "','" . $address['address'] . "', '" . $address['locality'] . "','" . $address['city'] . "', '" . $address['state'] . "', '" . $address['countryName'] . "', '" . $address['latitude'] . "','" . $address['longitude'] . "','" . $address['zipcode'] . "','" . $address['addressType'] . "', '" . $address['addressTypeText'] . "', '" . $address['addressId'] . "'),";
        }
        if (count($order['orderTaxDetails'])) {

            foreach ($order['orderTaxDetails'] as $tax) {
                $taxQuery .= "( '" . $order['orderId'] . "','" . $tax['outletTaxId'] . "', '" . $tax['taxName'] . "', '" . $tax['taxValue'] . "', '" . $tax['taxAmount'] . "', '" . $tax['taxStatus'] . "'),";
            }
        } else {
            $taxQuery = null;
        }


        $orderItemQuery = substr($orderItemQuery, 0, -1) . ";";
        if (!$portionFlag) {
            $portionQuery = NULL;

        } else {
            $portionQuery = substr($portionQuery, 0, -1) . ";";
        }
        if (!$custFlag) {
            $custmizationQuery = NULL;

        } else {
            $custmizationQuery = substr($custmizationQuery, 0, -1) . ";";
        }
        $orderStatusQuery = substr($orderStatusQuery, 0, -1) . ";";
        $paymentQuery = substr($paymentQuery, 0, -1) . ";";
        $orderAddressQuery = substr($orderAddressQuery, 0, -1) . ";";
        $taxQuery = substr($taxQuery, 0, -1) . ";";

        $query = "CALL " . StoredProcedures:: $createCustomerOrder . "(:inputUserId, :inputUserEmail, :inputCustomerNumber, :inputLatitude, :inputLongitude, :inputOutletId, :inputTypeId, :inputTotalAmount, :inputPayableAmount, :inputDiscountPercent, :inputDiscountPercentAmount, :inputCgst, :inputIgst, :inputSgst, :inputServiceTaxPercent, :inputServiceTaxAmount, :inputCgstAmount, :inputIgstAmount, :inputSgstAmount, :inputOrderExtraCharge, :inputLocalOrderId, :inputSlipString,  :inputLocalCreatedDate, :inputLocalModifiedDate, :inputItemQueryText, :inputOrderStatusQueryText, :inputItemCustmizationQueryText, :inputItemPortionQueryText, :inputPaymentQueryText, :inputOrderAddressQueryText, :inputOrderTaxQueryText,  :inputOrderJson)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $order['userId'],
            ':inputUserEmail' => isset($order['orderCustomerEmail']) ? $order['orderCustomerEmail'] : '',
            ':inputCustomerNumber' => $order['orderCustomerId'],
            ':inputLatitude' => $order['orderLat'],
            ':inputLongitude' => $order['orderLong'],
            ':inputOutletId' => $order['orderOutletId'],
            ':inputTypeId' => $order['orderType'],
            ':inputTotalAmount' => $order['orderTotalAmount'],
            ':inputPayableAmount' => $order['orderPayableAmount'],
            ':inputDiscountPercent' => $order['orderPercentDisc'],
            ':inputDiscountPercentAmount' => $order['orderPercentDiscAmount'],
            ':inputCgst' => $order['orderCgst'],
            ':inputIgst' => $order['orderIgst'],
            ':inputSgst' => $order['orderSgst'],
            ':inputServiceTaxPercent' => $order['orderServiceCharges'],
            ':inputServiceTaxAmount' => $order['orderServiceChargesAmount'],
            ':inputCgstAmount' => $order['orderCgstAmount'],
            ':inputIgstAmount' => $order['orderIgstAmount'],
            ':inputSgstAmount' => $order['orderSgstAmount'],
            ':inputOrderExtraCharge' => $order['restaurantCharge'],
            ':inputLocalOrderId' => $order['orderId'],
            ':inputSlipString' => $order['orderSlipString'],
            ':inputLocalCreatedDate' => $order['orderCreatedTime'],
            ':inputLocalModifiedDate' => $order['orderModifiedTime'],
            ':inputItemQueryText' => $orderItemQuery,
            ':inputOrderStatusQueryText' => $orderStatusQuery,
            ':inputItemCustmizationQueryText' => $custmizationQuery,
            ':inputItemPortionQueryText' => $portionQuery,
            ':inputPaymentQueryText' => $paymentQuery,
            ':inputOrderAddressQueryText' => $orderAddressQuery,
            ':inputOrderTaxQueryText' => $taxQuery,
            ':inputOrderJson' => json_encode($order)

        ));
        $result = array();
        if ($stmt->rowCount()) {
            $result = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $result;

    }

    public function getCustomerOrderHistory($orderHistory)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $getCustomerOrderHistory . "(:inputUserId, :inputCustomerId, :inputOrderId, :inputItemId, :inputPortionId, :inputCustmizationId, :inputOutletId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $orderHistory->userId,
            ':inputCustomerId' => $orderHistory->customerId,
            ':inputOrderId' => $orderHistory->orderId,
            ':inputItemId' => $orderHistory->itemId,
            ':inputPortionId' => $orderHistory->portionId,
            ':inputCustmizationId' => $orderHistory->custmizationId,
            ':inputOutletId' => $orderHistory->outletId,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        //print_r($dataSet);
        return $dataSet;
    }

    public function getCustomerOrderList($orderHistory)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $getCustomerOrderList . "(:inputUserId, :inputCustomerId, :inputOrderId, :inputItemId, :inputPortionId, :inputCustmizationId, :inputOutletId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $orderHistory->userId,
            ':inputCustomerId' => $orderHistory->customerId,
            ':inputOrderId' => $orderHistory->orderId,
            ':inputItemId' => $orderHistory->itemId,
            ':inputPortionId' => $orderHistory->portionId,
            ':inputCustmizationId' => $orderHistory->custmizationId,
            ':inputOutletId' => $orderHistory->outletId,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        //print_r($dataSet);
        return $dataSet;
    }

    public function createCustomerAddress($customerAddress)
    {
        //print_r($customerAddress);
        $query = "CALL " . StoredProcedures:: $createCustomerAddress . "(:inputUserId, :inputCustomerId, :inputFirstName, :inputMiddleName, :inputLastName, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountryName, :inputLatitude, :inputLongitude, :inputZipcode, :inputAddressType, :inputAddressTypeText)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $customerAddress->userId,
            ':inputCustomerId' => $customerAddress->customerId,
            ':inputFirstName' => $customerAddress->firstName,
            ':inputMiddleName' => $customerAddress->middleName,
            ':inputLastName' => $customerAddress->lastName,
            ':inputAddress' => $customerAddress->customerAddress,
            ':inputLocality' => $customerAddress->locality,
            ':inputCity' => $customerAddress->city,
            ':inputState' => $customerAddress->state,
            ':inputCountryName' => $customerAddress->countryName,
            ':inputLatitude' => $customerAddress->latitude,
            ':inputLongitude' => $customerAddress->longitude,
            ':inputZipcode' => $customerAddress->zipcode,
            ':inputAddressType' => $customerAddress->addressType,
            ':inputAddressTypeText' => $customerAddress->addressTypeText,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        //print_r($dataSet);
        return $dataSet;
    }

    public function getCustomerAddressList($addressList)
    {
        $query = "CALL " . StoredProcedures:: $getCustomerAddressList . "(:inputUserId, :inputCustomerId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $addressList->userId,
            ':inputCustomerId' => $addressList->customerId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getMyOutletOrderOnline($onlineOrder)
    {
        //print_r($onlineOrder);
        $query = "CALL " . StoredProcedures:: $getMyOutletOrderOnline . "(:inputUserId, :inputCustomerId, :inputOrderId, :inputOutletId, :inputOnlineTypeId, :inputOrderStatus, :inputStartDate, :inputEndDate)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $onlineOrder->userId,
            ':inputCustomerId' => $onlineOrder->customerId,
            ':inputOrderId' => $onlineOrder->orderId,
            ':inputOutletId' => $onlineOrder->outletId,
            ':inputOnlineTypeId' => $onlineOrder->orderOnline,
            ':inputOrderStatus' => $onlineOrder->orderStatus,
            ':inputStartDate' => $onlineOrder->startDate,
            ':inputEndDate' => $onlineOrder->endDate,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['orderList'] = $stmt->fetchAll(PDO::FETCH_ASSOC);

            if ($stmt->nextRowset()) {
                $dataSet['orderCount'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
            }
        }
        //print_r($dataSet);
        return $dataSet;
    }

    public function updateCustomerAddress($defaultAddress)
    {
        // print_r($defaultAddress);
        $query = "CALL " . StoredProcedures:: $updateCustomerAddress . "(:inputUserId, :inputCustomerId, :inputCustomerAddressId, :inputByDefaultAddress)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $defaultAddress->userId,
            ':inputCustomerId' => $defaultAddress->customerId,
            ':inputCustomerAddressId' => $defaultAddress->customerAddressId,
            ':inputByDefaultAddress' => $defaultAddress->byDefaultAddress,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        //print_r($dataSet);
        return $dataSet;
    }

    public function setUpPasswordOutletManager($managerPassword)
    {

        $query = "CALL " . StoredProcedures::$setupPasswordOfOutletManager . "(:inputUserId, :inputPasswordText, :inputPasswordHash, :inputTypeId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $managerPassword->userId,
            ':inputPasswordText' => $managerPassword->newPassword,
            ':inputPasswordHash' => $managerPassword->passwordhash,
            ':inputTypeId' => $managerPassword->typeId,

        ));

    }

    public function verifiedMobileNumberOutletManager($managerVerifiedMobile)
    {
        $query = "CALL " . StoredProcedures::$verifiedOutletManagerMobileCode . "(:inputUserId, :inputVerificationCode, :inputTypeId, :inputActionType)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $managerVerifiedMobile->userId,
            ':inputVerificationCode' => $managerVerifiedMobile->verificationCode,
            ':inputTypeId' => $managerVerifiedMobile->typeId,
            ':inputActionType' => $managerVerifiedMobile->actionType,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        //print_r($dataSet);
        return $dataSet;

    }

    public function willLoginWithOtpOutletManager($loginWithOtpManager)
    {
        // print_r($verifiedMobile);
        $query = "CALL " . StoredProcedures::$outletManagerLoginWithOtp . "(:inputUserId, :inputTypeId, :inputActionType)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $loginWithOtpManager->userId,
            ':inputTypeId' => $loginWithOtpManager->typeId,
            ':inputActionType' => $loginWithOtpManager->actionType,


        ));

    }

    public function getOutletManagerOrderOnlineList($onlineOrderList)
    {
        //print_r($onlineOrderList);die;
        $query = "CALL " . StoredProcedures:: $getOutletManagerOrderOnlineList . "(:inputUserId, :inputCustomerId, :inputOrderId, :inputItemId, :inputPortionId, :inputCustmizationId, :inputOutletId, :inputOnlineTypeId, :inputStartDate, :inputEndDate)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $onlineOrderList->userId,
            ':inputCustomerId' => $onlineOrderList->customerId,
            ':inputItemId' => $onlineOrderList->orderId,
            ':inputOrderId' => $onlineOrderList->itemId,
            ':inputPortionId' => $onlineOrderList->portionId,
            ':inputCustmizationId' => $onlineOrderList->customizationId,
            ':inputOutletId' => $onlineOrderList->outletId,
            ':inputOnlineTypeId' => $onlineOrderList->orderOnline,
            ':inputStartDate' => $onlineOrderList->startDate,
            ':inputEndDate' => $onlineOrderList->endDate,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        //print_r($dataSet);die;
        return $dataSet;
    }

    public function updateOrderOnlineStatus($updateOnlineStatus)
    {
// print_r($updateOnlineStatus);
        $query = "CALL " . StoredProcedures:: $updateOrderOnlineStatus . "(:inputUserId, :inputOrderId, :inputOrderStatus, :inputDeliveryMethodType, :inputDeliveryBoyId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $updateOnlineStatus->userId,
            ':inputOrderId' => $updateOnlineStatus->orderId,
            ':inputOrderStatus' => $updateOnlineStatus->orderStatus,
            ':inputDeliveryMethodType' => $updateOnlineStatus->deliveryMethodType,
            ':inputDeliveryBoyId' => $updateOnlineStatus->deliveryBoyId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['orderDetails'] = $stmt->fetch(PDO::FETCH_ASSOC);

        }
        if ($stmt->nextRowset()) {
            $dataSet['usersDetails'] = $stmt->fetch(PDO::FETCH_ASSOC);
        }
        //print_r($dataSet);die;
        return $dataSet;
    }

    public function createReservation($reservation)
    {
        //print_r($customerAddress);
        $query = "CALL " . StoredProcedures:: $createReservation . "(:inputUserId, :inputOutletId, :inputreservationName, :inputDate, :inputTime, :inputNoOfPerson, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $reservation->userId,
            ':inputOutletId' => $reservation->outletId,
            ':inputreservationName' => $reservation->reservationName,
            ':inputDate' => $reservation->date,
            ':inputTime' => $reservation->time,
            ':inputNoOfPerson' => $reservation->noOfPerson,
            ':inputLanguage' => $reservation->language,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getReservationList($reservationList)
    {
        //print_r($customerAddress);
        $query = "CALL " . StoredProcedures:: $getReservationList . "(:inputUserId, :inputOutletId, :inputCustomerUserId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $reservationList->userId,
            ':inputOutletId' => $reservationList->outletId,
            ':inputCustomerUserId' => $reservationList->customerUserId

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getDeliveryBoyAssignOrderList($assignOrderList)
    {
        // print_r($assignOrderList);
        $query = "CALL " . StoredProcedures:: $getDeliveryBoyAssignOrderList . "(:inputUserId, :inputCustomerId, :inputDeliveryBoyId, :inputLatitude, :inputLongitude, :inputOrderId, :inputItemId, :inputPortionId, :inputCustmizationId, :inputOutletId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $assignOrderList->userId,
            ':inputCustomerId' => $assignOrderList->customerId,
            ':inputDeliveryBoyId' => $assignOrderList->deliveryBoyId,
            ':inputLatitude' => $assignOrderList->latitude,
            ':inputLongitude' => $assignOrderList->longitude,
            ':inputOrderId' => $assignOrderList->orderId,
            ':inputItemId' => $assignOrderList->itemId,
            ':inputPortionId' => $assignOrderList->portionId,
            ':inputCustmizationId' => $assignOrderList->customizationId,
            ':inputOutletId' => $assignOrderList->outletId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function updateRiderStatus($updateStatus)
    {
        // print_r($updateStatus);
        $query = "CALL " . StoredProcedures:: $updateRiderStatus . "(:inputUserId, :inputRiderId, :inputRideStatus)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $updateStatus->userId,
            ':inputRiderId' => $updateStatus->riderId,
            ':inputRideStatus' => $updateStatus->riderStatus
        ));

    }

    public function getOutletRiderList($riderList)
    {
        // print_r($riderList);
        $query = "CALL " . StoredProcedures:: $getOutletRiderList . "(:inputUserId, :inputOutletId, :inputRiderId, :inputRiderStatus)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $riderList->userId,
            ':inputOutletId' => $riderList->outletId,
            ':inputRiderId' => $riderList->riderId,
            ':inputRiderStatus' => $riderList->riderStatus
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getRiderList($outletRiderList)
    {
        // print_r($outletRiderList);
        $query = "CALL " . StoredProcedures:: $getRiderList . "(:inputUserId, :inputRiderId, :inputOutletId, :inputOnduty)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $outletRiderList->userId,
            ':inputRiderId' => $outletRiderList->riderId,
            ':inputOutletId' => $outletRiderList->outletId,
            ':inputOnduty' => $outletRiderList->onDuty

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        return $dataSet;
    }

    public function getRiderOrderList($orderList)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $getRiderOrderList . "(:inputUserId, :inputRiderId, :inputCustomerId, :inputOrderId, :inputItemId, :inputPortionId, :inputCustmizationId, :inputOutletId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $orderList->userId,
            ':inputRiderId' => $orderList->riderId,
            ':inputCustomerId' => $orderList->customerId,
            ':inputOrderId' => $orderList->orderId,
            ':inputItemId' => $orderList->itemId,
            ':inputPortionId' => $orderList->portionId,
            ':inputCustmizationId' => $orderList->custmizationId,
            ':inputOutletId' => $orderList->outletId,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        // print_r($dataSet);
        return $dataSet;
    }

    public function updateUserPauseJob($pause)
    {
        // print_r($pause);
        $query = "CALL " . StoredProcedures::$updateUserPauseJob . "(:inputUserId, :inputOrderId, :inputStartDate, :inputEndDate, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $pause->userId,
            ':inputOrderId' => $pause->orderId,
            ':inputStartDate' => $pause->startDate,
            ':inputEndDate' => $pause->endDate,
            ':inputLanguage' => $pause->language

        ));

    }

    public function updateServiceTimeRequestByUser($changeTime)
    {
        //$dataList =($changeTime->orderSelectedDateId);
//        if(count($changeTime->orderSelectedDateId)){
//            $dateQuery = "INSERT INTO tem_order_date (user_id, order_id, order_select_date_id, preffered_date, time_id, service_type_id, created_date, modified_date, created_by, modified_by, local_end_date)VALUES";
//            foreach ($changeTime->orderSelectedDateId as $changeTime)   {
//                $dateQuery.="($changeTime->userId, $changeTime->orderId, '".$changeTime['orderSelectedDateId']."', '".$changeTime['selectedDates']."', '".$changeTime['timeId']."', '".$changeTime['serviceTypeId']."', UTC_TIMESTAMP(), UTC_TIMESTAMP(),  $changeTime->userId, $changeTime->userId, $changeTime->startDate, $changeTime->endDate),";
//            }
//            $dateQuery = substr($dateQuery, 0, -1).';';
//            print_r($dateQuery) ;
//        }else{
//            $dateQuery = NULL;
//        }

        $serviceRequestObject = gettype($changeTime->serviceRequestObject) == "string" ? json_decode(($changeTime->serviceRequestObject)) : $changeTime->serviceRequestObject;
//        print_r($changeTime->serviceRequestObject);
//        print_r(gettype($changeTime->serviceRequestObject));
        if (count($serviceRequestObject)) {
            $queryupdate = "INSERT INTO tem_order_date (user_id, order_id, order_select_date_id, preffered_date, time_id, service_type_id, created_date, modified_date, created_by, modified_by)VALUES";
            foreach ($serviceRequestObject as $obj) {
                $queryupdate .= "($changeTime->userId, $changeTime->orderId, '" . $obj->orderselectedDateId . "', '" . $obj->date . "', '" . $obj->timeId . "', '" . $obj->serviceType . "', UTC_TIMESTAMP(), UTC_TIMESTAMP(),  $changeTime->userId, $changeTime->userId),";
            }
            $queryupdate = substr($queryupdate, 0, -1).';';
        } else {
            $queryupdate = NULL;
        }
      // echo $queryupdate;
//        die();
        $query = "CALL " . StoredProcedures::$updateServiceTimeRequestByUser . "(:inputUserId, :inputOrderId, :inputServiceTimeRequestId, :inputOrderSelectedDateId, :inputStartDate, :inputEndDate, :inputTimeId, :inputSelectedDates, :inputServiceTypeId, :inputStatusTypeId, :inputRequestStatusTypeId, :inputRequestText, :inputServiceDateQuery, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $changeTime->userId,
            ':inputOrderId' => $changeTime->orderId,
            ':inputServiceTimeRequestId' => $changeTime->serviceTimeRequestId,
            ':inputOrderSelectedDateId' => $changeTime->orderSelectedDateId,
            ':inputStartDate' => $changeTime->startDate,
            ':inputEndDate' => $changeTime->endDate,
            ':inputTimeId' => $changeTime->timeId,
            ':inputSelectedDates' => $changeTime->selectedDates,
            ':inputServiceTypeId' => $changeTime->serviceTypeId,
            ':inputStatusTypeId' => $changeTime->statusTypeId,
            ':inputRequestStatusTypeId' => $changeTime->requestStatusTypeId,
            ':inputRequestText' => $changeTime->requestText,
            ':inputServiceDateQuery' => $queryupdate,
            ':inputLanguage' => $changeTime->language

        ));

    }

    public function updateCustomerNameImage($customerName)
    {
        $query = "CALL " . StoredProcedures:: $updateCustomerName . "(:inputUserId, :inputFirstName, :inputMiddleName, :inputLastName, :inputProfileImage, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $customerName->userId,
            ':inputFirstName' => $customerName->firstName,
            ':inputMiddleName' => $customerName->middleName,
            ':inputLastName' => $customerName->lastName,
            ':inputProfileImage' => $customerName->profileImage,
            ':inputLanguage' => $customerName->language,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        // print_r($dataSet);
        return $dataSet;
    }
    public function sendMobileOtp($otp)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $sendMobileOtpByUser . "(:inputUserId, :inputMobile, :inputOtp, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $otp->userId,
            ':inputMobile' => $otp->mobile,
            ':inputOtp' => $otp->mobileOtp,
            ':inputLanguage' => $otp->language,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        // print_r($dataSet);
        return $dataSet;
    }
    public function sendEmailOtp($emailChange)
    {
      //  print_r($emailChange);
        $query = "CALL " . StoredProcedures:: $SendEmailOtpByUser . "(:inputUserId, :inputEmail, :inputOtp, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $emailChange->userId,
            ':inputEmail' => $emailChange->email,
            ':inputOtp' => $emailChange->emailOtp,
            ':inputLanguage' => $emailChange->language,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        // print_r($dataSet);
        return $dataSet;
    }
    public function updateCustomerMobile($mobile)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $updateCustomerMobile . "(:inputUserId, :inputMobile, :inputTypeId, :inputVerificationCode, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $mobile->userId,
            ':inputMobile' => $mobile->mobile,
            ':inputTypeId' => $mobile->typeId,
            ':inputVerificationCode' => $mobile->verificationCode,
            ':inputLanguage' => $mobile->language,

        ));
//        $dataSet = array();
//        if ($stmt->rowCount()) {
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//
//        }
//        // print_r($dataSet);
//        return $dataSet;
    }
    public function updateCustomerEmail($email)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $updateCustomerEmail . "(:inputUserId, :inputEmail, :inputTypeId, :inputVerificationCode, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $email->userId,
            ':inputEmail' => $email->email,
            ':inputTypeId' => $email->typeId,
            ':inputVerificationCode' => $email->verificationCode,
            ':inputLanguage' => $email->language,

         ));
//        $dataSet = array();
//        if ($stmt->rowCount()) {
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//
//        }
//        // print_r($dataSet);
//        return $dataSet;
    }
    public function changeUserPasswordByUser($password)
    {
        // print_r($orderHistory);
        $query = "CALL " . StoredProcedures:: $changeUserPassword . "(:inputUserId, :inputOldPassword, :inputPasswordText, :inputPasswordHash, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $password->userId,
            ':inputOldPassword' => $password->oldPassword,
            ':inputPasswordText' => $password->passwordText,
            ':inputPasswordHash' => $password->passwordhash,
            ':inputLanguage' => $password->language,

        ));
//        $dataSet = array();
//        if ($stmt->rowCount()) {
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//
//        }
//        // print_r($dataSet);
//        return $dataSet;
    }




    public function getUserCashbackList($request)
    {
        $query = "CALL " . StoredProcedures:: $getUserCashbackList . "(:inputUserId, :inputSocietyId, :inputCityId, :inputSearchText, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputSocietyId' => $request->societyId == "" ? NULL : $request->societyId,
            ':inputCityId' => $request->cityId == "" ? NULL : $request->cityId,
            ':inputSearchText' => $request->searchText,
            ':inputLanguage' => $request->language,

        ));
        /*$stmt->debugDumpParams();
        die;*/
        $dataSet = array();
         if ($stmt->rowCount()) {
             $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        // print_r($dataSet);
        return $dataSet;
    }


    public function addUserCashback($request)
    {
        $query = "CALL " . StoredProcedures:: $addCashbackToUser . "(:inputUserId, :inputCustomerId, :inputTypeId, :inputAmount, :inputAmountType, :inputComment, :inputValidDate, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputCustomerId' => $request->customerId,
            ':inputTypeId' => $request->typeId,
            ':inputAmount' => $request->amount,
            ':inputAmountType' => $request->amountType,
            ':inputComment' => $request->comment,
            ':inputValidDate' => $request->validDate,
            ':inputLanguage' => $request->language,
        ));
    }


    public function getUserCashbackDetails($request)
    {
        $query = "CALL " . StoredProcedures:: $getUserCashbackDetails . "(:inputUserId, :inputCustomerId, :inputTypeId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputCustomerId' => $request->customerId,
            ':inputTypeId' => $request->typeId,
            ':inputLanguage' => $request->language,

        ));
        /*$stmt->debugDumpParams();
        die;*/
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);

        }
        // print_r($dataSet);
        return $dataSet;
    }


    public function addCouponToUser($request)
    {
        $query = "CALL " . StoredProcedures:: $addCouponToUser . "(:inputUserId, :inputCouponId,:inputLanguage)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputCouponId' => $request->couponId,
            ':inputLanguage' => $request->language,
        ));
    }
  public function updateUserUnpauseJob($request)
    {
        $query = "CALL " . StoredProcedures:: $updateUserUnpauseJob . "(:inputUserId, :inputOrderId, :inputPrefferDate, :inputServiceType)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputOrderId' => $request->orderId,
            ':inputPrefferDate' => $request->prefferDate,
            ':inputServiceType' => $request->serviceType,
        ));
    }
    public function resetPassword($request)
    {
        $query = "CALL " . StoredProcedures:: $resetUserPassword . "(:inputUserId, :inputUserType, :inputCustomerId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputUserType' => $request->typeId,
            ':inputCustomerId' => $request->customerUserId
        ));
    }
    public function getUserPauseJobList($request)
    {
        $query = "CALL " . StoredProcedures:: $getUserPauseJobList . "(:inputUserId, :inputOrderId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputOrderId' => $request->orderId,
            ':inputLanguage' => $request->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }

        return $dataSet;
    }

    public function createAddress($request) {
        $query = "CALL " . StoredProcedures::$createAddress . "(:inputUserId, :inputAddressId, :inputFirstName, :inputMiddleName, :inputLastName, :inputMobile, :inputEmail, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputAddressType, :inputLatitude, :inputLongitude)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputAddressId' => $request->addressId,
            ':inputFirstName' => $request->firstName,
            ':inputMiddleName' => $request->middleName,
            ':inputLastName' => $request->lastName,
            ':inputMobile' => $request->mobile,
            ':inputEmail' => $request->email,
            ':inputAddress' => $request->address,
            ':inputLocality' => $request->locality,
            ':inputCity' => $request->city,
            ':inputState' => $request->state,
            ':inputCountry' => $request->country,
            ':inputZipCode' => $request->zipCode,
            ':inputAddressType' => $request->addressType,
            ':inputLatitude' => $request->latitude,
            ':inputLongitude' => $request->longitude

        ));
        $dataset = array();
        if ($stmt->rowCount()) {
            $dataset = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataset;
    }
    public function getAddressDetails($request) {
        $query = "CALL " . StoredProcedures:: $getUserAddressByUserId . "(:inputCustomerId, :inputAddressId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCustomerId' => $request->customerId,
            ':inputAddressId' => $request->addressId
        ));
        $dataset = array();
        if ($stmt->rowCount()) {
            $dataset = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataset;
    }

    public function createBusinessLocation($location) {
        $query = 'CALL ' . StoredProcedures::$createBusinessLocation . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputLocationName, :inputBusinessLegalName, :inputLocationIcon, :inputLocationLogo, :inputGSTIN, :inputMobile, :inputEmail, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $location->userId,
            ':inputBusinessId' => $location->businessId,
            ':inputLocationId' => $location->locationId,
            ':inputLocationName' => $location->locationName,
            ':inputBusinessLegalName' => $location->businessLegalName,
            ':inputLocationIcon' => $location->locationIcon,
            ':inputLocationLogo' => $location->locationLogo,
            ':inputGSTIN' => $location->GSTIN,
            ':inputMobile' => $location->mobile,
            ':inputEmail' => $location->email,
            ':inputAddress' => $location->address,
            ':inputLocality' => $location->locality,
            ':inputCity' => $location->city,
            ':inputState' => $location->state,
            ':inputCountry' => $location->country,
            ':inputZipCode' => $location->zipCode,
            ':inputLatitude' => $location->latitude,
            ':inputLongitude' => $location->longitude,
            ':inputLanguage' => $location->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function deleteBusiness($request)
    {
        $query = 'CALL ' . StoredProcedures::$deleteBusiness . "(:inputUserId, :inputBusinessId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
             ':inputUserId' => $request->userId,
            ':inputBusinessId' => $request->businessId
        ));
    }
    public function deleteLocation($request)
    {
        $query = 'CALL ' . StoredProcedures::$deleteLocation . "(:inputBusinessId, :inputLocationId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputBusinessId' => $request->businessId,
            ':inputLocationId' => $request->locationId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getBusinessDetails($list) {
        $query = 'CALL ' . StoredProcedures::$getBusinessDetails . "(:inputUserId, :inputBusinessId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $list->userId,
            ':inputBusinessId' => $list->businessId,
            ':inputLanguage' => $list->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function logoutUser($logout) {
        $query = 'CALL ' . StoredProcedures::$logoutUser . "(:inputUserId, :inputTypeId, :inputToken, :inputIPAddress, :inputOS, :inputVersion, :inputDeviceId, :inputDeviceToken, :inputDeviceType, :inputDeviceModel, :inputAppVersion, :inputUserAppLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $logout->userId,
            ':inputTypeId' => $logout->typeId,
            ':inputToken' => $logout->token,
            ':inputIPAddress' => $logout->ipAddress,
            ':inputOS' => $logout->os,
            ':inputVersion' => $logout->version,
            ':inputDeviceId' => $logout->deviceId,
            ':inputDeviceToken' => $logout->deviceToken,
            ':inputDeviceType' => $logout->deviceType,
            ':inputDeviceModel' => $logout->deviceModel,
            ':inputAppVersion' => $logout->appVersion,
            ':inputUserAppLanguage' => $logout->userAppLanguage,
        ));
        $dataset = array();
        if ($stmt->rowCount()) {
            $dataset = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataset;
    }
    public function createSuperAdmin($createSuperAdmin) {
        $query = "CALL " . StoredProcedures::$createSuperAdmin . "(:inputUserId, :inputLocationId, :inputMobile, :inputEmail, :inputDialingCode, :inputFirstName, :inputMiddleName, :inputLastName, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputToken, :inputPassword, :inputPasswordHash, :inputAccountStatus, :inputIsEmailVerified, :inputIsMobileVerified, :inputUserAppLanguage, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $createSuperAdmin->userId,
            ':inputLocationId' => $createSuperAdmin->locationId,
            ':inputMobile' => $createSuperAdmin->mobile,
            ':inputEmail' => $createSuperAdmin->email,
            ':inputDialingCode' => $createSuperAdmin->dialingCode,
            ':inputFirstName' => $createSuperAdmin->firstName,
            ':inputMiddleName' => $createSuperAdmin->middleName,
            ':inputLastName' => $createSuperAdmin->lastName,
            ':inputAddress' => $createSuperAdmin->address,
            ':inputLocality' => $createSuperAdmin->locality,
            ':inputCity' => $createSuperAdmin->city,
            ':inputState' => $createSuperAdmin->state,
            ':inputCountry' => $createSuperAdmin->country,
            ':inputZipCode' => $createSuperAdmin->zipCode,
            ':inputLatitude' => $createSuperAdmin->latitude,
            ':inputLongitude' => $createSuperAdmin->longitude,
            ':inputToken' => $createSuperAdmin->token,
            ':inputPassword' => $createSuperAdmin->password,
            ':inputPasswordHash' => $createSuperAdmin->passwordHash,
            ':inputAccountStatus' => $createSuperAdmin->accountStatus,
            ':inputIsEmailVerified' => $createSuperAdmin->isEmailVerified,
            ':inputIsMobileVerified' => $createSuperAdmin->isMobileVerified,
            ':inputUserAppLanguage' => $createSuperAdmin->userAppLanguage,
            ':inputLanguage' => $createSuperAdmin->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createCustomer($createCustomer) {
        $query = "CALL " . StoredProcedures::$createCustomer . "(:inputUserId, :inputLocationId, :inputMobile, :inputEmail, :inputDialingCode, :inputFirstName, :inputMiddleName, :inputLastName, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputToken, :inputPassword, :inputPasswordHash, :inputAccountStatus, :inputIsEmailVerified, :inputIsMobileVerified, :inputUserAppLanguage, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $createCustomer->userId,
            ':inputLocationId' => $createCustomer->locationId,
            ':inputMobile' => $createCustomer->mobile,
            ':inputEmail' => $createCustomer->email,
            ':inputDialingCode' => $createCustomer->dialingCode,
            ':inputFirstName' => $createCustomer->firstName,
            ':inputMiddleName' => $createCustomer->middleName,
            ':inputLastName' => $createCustomer->lastName,
            ':inputAddress' => $createCustomer->address,
            ':inputLocality' => $createCustomer->locality,
            ':inputCity' => $createCustomer->city,
            ':inputState' => $createCustomer->state,
            ':inputCountry' => $createCustomer->country,
            ':inputZipCode' => $createCustomer->zipCode,
            ':inputLatitude' => $createCustomer->latitude,
            ':inputLongitude' => $createCustomer->longitude,
            ':inputToken' => $createCustomer->token,
            ':inputPassword' => $createCustomer->password,
            ':inputPasswordHash' => $createCustomer->passwordHash,
            ':inputAccountStatus' => $createCustomer->accountStatus,
            ':inputIsEmailVerified' => $createCustomer->isEmailVerified,
            ':inputIsMobileVerified' => $createCustomer->isMobileVerified,
            ':inputUserAppLanguage' => $createCustomer->userAppLanguage,
            ':inputLanguage' => $createCustomer->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getLocationDetails($details) {
       // print_r($details);
        $query = 'CALL ' . StoredProcedures::$getLocationDetails . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputRegionId, :inputBranchId, :inputLanguage, :inputSearchText)";
        $stmt = $this->db->prepare($query);
     
        $stmt->execute(array(
            ':inputUserId' => $details->userId,
            ':inputBusinessId' => $details->businessId,
            ':inputLocationId' => $details->locationId,
             ':inputRegionId' => $details->regionId,
            ':inputBranchId' => $details->branchId,
            ':inputLanguage' => $details->language,
             ':inputSearchText' => $details->searchText,

        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['list'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        if ($stmt->nextRowset()) {

            $dataSet['count'] = $stmt->fetch(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createBranchManager($createBranchManager) {
        $query = "CALL " . StoredProcedures::$createBranchManager . "(:inputUserId, :inputLocationId, :inputMobile, :inputEmail, :inputDialingCode, :inputFirstName, :inputMiddleName, :inputLastName, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputToken, :inputPassword, :inputPasswordHash, :inputAccountStatus, :inputIsEmailVerified, :inputIsMobileVerified, :inputUserAppLanguage, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $createBranchManager->userId,
            ':inputLocationId' => $createBranchManager->locationId,
            ':inputMobile' => $createBranchManager->mobile,
            ':inputEmail' => $createBranchManager->email,
            ':inputDialingCode' => $createBranchManager->dialingCode,
            ':inputFirstName' => $createBranchManager->firstName,
            ':inputMiddleName' => $createBranchManager->middleName,
            ':inputLastName' => $createBranchManager->lastName,
            ':inputAddress' => $createBranchManager->address,
            ':inputLocality' => $createBranchManager->locality,
            ':inputCity' => $createBranchManager->city,
            ':inputState' => $createBranchManager->state,
            ':inputCountry' => $createBranchManager->country,
            ':inputZipCode' => $createBranchManager->zipCode,
            ':inputLatitude' => $createBranchManager->latitude,
            ':inputLongitude' => $createBranchManager->longitude,
            ':inputToken' => $createBranchManager->token,
            ':inputPassword' => $createBranchManager->password,
            ':inputPasswordHash' => $createBranchManager->passwordHash,
            ':inputAccountStatus' => $createBranchManager->accountStatus,
            ':inputIsEmailVerified' => $createBranchManager->isEmailVerified,
            ':inputIsMobileVerified' => $createBranchManager->isMobileVerified,
            ':inputUserAppLanguage' => $createBranchManager->userAppLanguage,
            ':inputLanguage' => $createBranchManager->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }

    public function createAuditor($createAuditor) {
        $query = "CALL " . StoredProcedures::$createAuditor . "(:inputUserId, :inputLocationId, :inputMobile, :inputEmail, :inputDialingCode, :inputFirstName, :inputMiddleName, :inputLastName, :inputAddress, :inputLocality, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputToken, :inputPassword, :inputPasswordHash, :inputAccountStatus, :inputIsEmailVerified, :inputIsMobileVerified, :inputUserAppLanguage, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $createAuditor->userId,
            ':inputLocationId' => $createAuditor->locationId,
            ':inputMobile' => $createAuditor->mobile,
            ':inputEmail' => $createAuditor->email,
            ':inputDialingCode' => $createAuditor->dialingCode,
            ':inputFirstName' => $createAuditor->firstName,
            ':inputMiddleName' => $createAuditor->middleName,
            ':inputLastName' => $createAuditor->lastName,
            ':inputAddress' => $createAuditor->address,
            ':inputLocality' => $createAuditor->locality,
            ':inputCity' => $createAuditor->city,
            ':inputState' => $createAuditor->state,
            ':inputCountry' => $createAuditor->country,
            ':inputZipCode' => $createAuditor->zipCode,
            ':inputLatitude' => $createAuditor->latitude,
            ':inputLongitude' => $createAuditor->longitude,
            ':inputToken' => $createAuditor->token,
            ':inputPassword' => $createAuditor->password,
            ':inputPasswordHash' => $createAuditor->passwordHash,
            ':inputAccountStatus' => $createAuditor->accountStatus,
            ':inputIsEmailVerified' => $createAuditor->isEmailVerified,
            ':inputIsMobileVerified' => $createAuditor->isMobileVerified,
            ':inputUserAppLanguage' => $createAuditor->userAppLanguage,
            ':inputLanguage' => $createAuditor->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getUsersDetails($details) {
        $query = "CALL " . StoredProcedures::$getUsersDetails . "(:inputUserDetailsId, :inputLocationId, :inputTypeId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserDetailsId' => $details->userDetailsId,
            ':inputLocationId' => $detsild->locationId,
            ':inputTypeId' => $details->typeId,
            ':inputLanguage' => $details->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createLocationRegion($request) {
        $query = 'CALL ' . StoredProcedures::$createLocationRegion . "(:inputLocationId, :inputRegionId, :inputRegionName)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputLocationId' => $request->locationId,
            ':inputRegionId' => $request->regionId,
            ':inputRegionName' => $request->regionName
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getLocationRegionDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getLocationRegionDetails . "(:inputLocationId, :inputRegionId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputLocationId' => $request->locationId,
            ':inputRegionId' => $request->regionId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createCategory($request) {
        $query = 'CALL ' . StoredProcedures::$createCategory . "(:inputCategoryId, :inputCategoryName, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCategoryId' => $request->categoryId,
            ':inputCategoryName' => $request->categoryName,
            ':inputLanguage' => $request->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getCategoryDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getCategoryDetails . "(:inputCategoryId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCategoryId' => $request->categoryId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createSubCategory($request) {
        $query = 'CALL ' . StoredProcedures::$createSubCategory . "(:inputCategoryId, :inputSubCategoryId, :inputQuestionName, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCategoryId' => $request->categoryId,
            ':inputSubCategoryId' => $request->subCategoryId,
            ':inputQuestionName' => $request->questionName,
            ':inputLanguage' => $request->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getSubCategoryDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getSubCategoryDetails . "(:inputCategoryId, :inputSubCategoryId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCategoryId' => $request->categoryId,
            ':inputSubCategoryId' => $request->subCategoryId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createQuestion($request) {
        $query = 'CALL ' .StoredProcedures::$createQuestion . "(:inputQuestionId, :inputCategoryId, :inputSubCategoryId, :inputQuestion)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputQuestionId' => $request->questionId,
            ':inputCategoryId' => $request->categoryId,
            ':inputSubCategoryId' => $request->subCategoryId,
            ':inputQuestion' => $request->question
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getQuestionsDetails($request) {
        $query = 'CALL ' .StoredProcedures::$getQuestionsDetails . "(:inputQuestionId, :inputCategoryId, :inputSubCategoryId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputQuestionId' => $request->questionId,
            ':inputCategoryId' => $request->categoryId,
            ':inputSubCategoryId' => $request->subCategoryId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createAnswer($request) {
        $query = 'CALL ' . StoredProcedures::$createAnswer . "(:inputAnswerId, :inputQuestionId, :inputShortAnswer, :inputDescription, :inputExactLocation, :inputStatus)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputAnswerId' => $request->answerId,
            ':inputQuestionId' => $request->questionId,
            ':inputShortAnswer' => $request->shortAnswer,
            ':inputDescription' => $request->description,
            ':inputExactLocation' => $request->exactLocation,
            ':inputStatus' => $request->status
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getAnswerDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getAnswerDetails . "(:inputAnswerId, :inputQuestionId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputAnswerId' => $request->answerId,
            ':inputQuestionId' => $request->questionId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createRegionalHead($regionalHead) {
        $query = 'CALL ' . StoredProcedures::$createRegionalHead . "(:inputUserId, :inputLocationId, :inputMobile, :inputEmail, :inputDialingCode, :inputFirstName, :inputMiddleName, :inputLastName, :inputAddress, :inputCity, :inputState, :inputCountry, :inputZipCode, :inputLatitude, :inputLongitude, :inputToken, :inputPassword, :inputPasswordHash, :inputAccountStatus, :inputIsEmailVerified, :inputIsMobileVerified, :inputUserAppLanguage, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $regionalHead->userId,
            ':inputLocationId' => $regionalHead->locationId,
            ':inputMobile' => $regionalHead->mobile,
            ':inputEmail' => $regionalHead->email,
            ':inputDialingCode' => $regionalHead->dialingCode,
            ':inputFirstName' => $regionalHead->firstName,
            ':inputMiddleName' => $regionalHead->middleName,
            ':inputLastName' => $regionalHead->lastName,
            ':inputAddress' => $regionalHead->address,
            ':inputCity' => $regionalHead->city,
            ':inputState' => $regionalHead->state,
            ':inputCountry' => $regionalHead->country,
            ':inputZipCode' => $regionalHead->zipCode,
            ':inputLatitude' => $regionalHead->latitude,
            ':inputLongitude' => $regionalHead->longitude,
            ':inputToken' => $regionalHead->token,
            ':inputPassword' => $regionalHead->password,
            ':inputPasswordHash' => $regionalHead->passwordHash,
            ':inputAccountStatus' => $regionalHead->accountStatus,
            ':inputIsEmailVerified' => $regionalHead->isEmailVerified,
            ':inputIsMobileVerified' => $regionalHead->isMobileVerified,
            ':inputUserAppLanguage' => $regionalHead->userAppLanguage,
            ':inputLanguage' => $regionalHead->language,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createFeedbackPatientDetails($request)
    {
        $query = "CALL " . StoredProcedures::$createFeedbackPatientDetails . "(:inputFeedbackDetailsId, :inputFirstName, :inputMiddleName, :inputLastName, :inputMobile, :inputIPNumber, :inputEmail)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputFeedbackDetailsId' => $request->feedbackDetailsId,
            ':inputFirstName' => $request->firstName,
            ':inputMiddleName' => $request->middleName,
            ':inputLastName' => $request->lastName,
            ':inputMobile' => $request->mobile,
            ':inputIPNumber' => $request->ipNumber,
            ':inputEmail' => $request->email
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;

    }
    public function createFeedbackQuestions($request) {
        $query = 'CALL ' . StoredProcedures::$createFeedbackQuestions . "(:inputFeedbackQuestionId, :inputQuestions)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputFeedbackQuestionId' => $request->feedbackQuestionId,
            ':inputQuestions' => $request->questions
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getFeedbackQuestionDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getFeedbackQuestionDetails . "(:inputFeedbackQuestionId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputFeedbackQuestionId' => $request->feedbackQuestionId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createFeedbackAnswers($request) {
        $query = 'CALL ' . StoredProcedures::$createFeedbackAnswers . "(:inputFeedbackAnswerId, :inputFeedbackQuestionId, :inputFeedbackPatientDetailsId, :inputAnswer, :inputRating)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputFeedbackAnswerId' => $request->feedbackAnswerId,
            ':inputFeedbackQuestionId' => $request->feedbackQuestionId,
            ':inputAnswer' => $request->answer,
            ':inputRating' => $request->rating
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getFeedbackAnswerDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getFeedbackAnswerDetails . "(:inputFeedbackAnswerId, :inputFeedbackQuestionId, :inputFeedbackPatientDetailsId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputFeedbackAnswerId' => $request->feedbackAnswerId,
            ':inputFeedbackQuestionId' => $request->feedbackQuestionId,
            ':inputFeedbackPatientDetailsId' => $request->feedbackPatientDetailsId
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function dashboardDetails($details) {
        $query = 'CALL ' . StoredProcedures::$dashboardDetails . "()";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array());
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getAuditDashboardDetails($request) {
        $query = 'CALL ' . StoredProcedures::$getAuditDashboardDetails . "()";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array());
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createAuditCategory($category) {
        $query = 'CALL ' . StoredProcedures::$createAuditCategory . "(:inputUserId, :inputCategoryId, :inputCategoryName)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputCategoryId' => $category->categoryId,
            ':inputCategoryName' => $category->categoryName
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getAuditCategoryDetails($category) {
        $query = 'CALL ' . StoredProcedures::$getAuditCategoryDetails . "(:inputUserId, :inputCategoryId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $category->userId,
            ':inputCategoryId' => $category->categoryId,
            ':inputLanguage' => $category->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createAuditQuestion($question) {
        $query = 'CALL ' . StoredProcedures::$createAuditQuestion . "(:inputUserId, :inputQuestionId, :inputCategoryId, :inputQuestion)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $question->userId,
            ':inputQuestionId' => $question->questionId,
            ':inputCategoryId' => $question->categoryId,
            ':inputQuestion' => $question->question
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getAuditQuestionDetails($question) {
        $query = 'CALL ' . StoredProcedures::$getAuditQuestionDetails . "(:inputUserId, :inputCategoryId, :inputQuestionId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $question->userId,
            ':inputCategoryId' => $question->categoryId,
            ':inputQuestionId' => $question->questionId,
            ':inputLanguage' => $question->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createAuditAnswer($request) {
        //$selectAnswerArray = json_decode($request->submitReport, true);
        $selectAnswerArray = gettype($request->submitReport) == "string" ? json_decode(($request->submitReport)) : $request->submitReport;

        if (count($selectAnswerArray)) {
            $dateQuery = "INSERT INTO audit_answer (category_id, auditor_id, location_id, answer, question_id, created_by, modified_by, business_location_audit_xref_id)VALUES";
            foreach ($selectAnswerArray as &$selectAnswer) {
                $dateQuery .= "($request->categoryId, $request->auditorId, $request->locationId, '" . $selectAnswer->answer . "', '" . $selectAnswer->questionId . "', $request->auditorId, $request->auditorId, $request->auditId),";
            }
            $dateQuery = substr($dateQuery, 0, -1). ';';
            // print_r($dateQuery);
        } else {
            $dateQuery = NULL;
        }
        $query = 'CALL ' . StoredProcedures::$createAuditAnswer . "(:inputUserId, :inputCategoryId, :inputAuditorId, :inputLocationId, :inputImage, :inputAnswerQuery, :inputAuditId)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputCategoryId' => $request->categoryId,
            ':inputAuditorId' => $request->auditorId,
            ':inputLocationId' => $request->locationId,
            ':inputImage' => $request->image,
            ':inputAnswerQuery' => $dateQuery,
             ':inputAuditId' => $request->auditId,
        ));
        //$dataSet = array();
//        if ($stmt->rowCount()) {
//            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
//        }
//        return $dataSet;
    }
    public function createUsers($request) {
       // print_r($request);
         if (strlen($request->locationId)) {

            $auditQuery = "INSERT INTO inspections( location_id, start_date, created_date, modified_date, created_by, modified_by, user_id) VALUES";
               $n = explode(',', $request->locationId);
            foreach ($n as $id => $i) {

                $auditQuery .= "('" . $i . "', UTC_TIMESTAMP(), UTC_TIMESTAMP(), UTC_TIMESTAMP()," . $request->userId ."," . $request->userId .", '#auditUserId#'),";
            }

            $auditQuery = substr($auditQuery, 0, -1) . ";";
        }
        $query = "CALL " . StoredProcedures::$createUsers . "(:inputUserDetailsId, :inputCustomerUserId, :inputMobile, :inputEmail, :inputDialingCode, :inputFirstName, :inputMiddleName, :inputLastName, :inputUserType,
        :inputRegionId, :inputBranchId, :inputStatus, :inputLocationId, :inputPassword, :inputPasswordHash, :auditInsertQuery)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserDetailsId' => $request->userDetailsId,
            ':inputCustomerUserId' => $request->customerUserId,
            ':inputMobile' => $request->phone,
            ':inputEmail' => $request->email,
            ':inputDialingCode' => $request->dialingCode,
            ':inputFirstName' => $request->firstName,
            ':inputMiddleName' => $request->middleName,
            ':inputLastName' => $request->lastName,
            ':inputUserType' => $request->typeId,
            ':inputRegionId' => $request->regionId,
            ':inputBranchId' => $request->branchId,
            ':inputStatus' => $request->status,
            ':inputLocationId' => $request->locationId,
            ':inputPassword' => $request->passwordText,
            ':inputPasswordHash' => $request->passwordHash,
           ':auditInsertQuery' =>$auditQuery,
            //':auditInsertQuery' =>!isset($auditQuery) || is_null($auditQuery) ? NULL : $auditQuery,
            
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function createSite($request) {
        //print_r($request);
        $query = 'CALL ' . StoredProcedures::$createSite . "(:inputUserId, :inputLocationId, :inputBusinessId,
         :inputRegionId, :inputBranchId, :inputCustomerUserId, :inputLocationName,
         :inputPhone, :inputEmail, :inputAddress, :inputCity, :inputState, :inputCountry,
          :inputBillingValue, :inputStatus, :inputTypeId, :inputLatitude, :inputLongitude,
          :inputUnitType, :inputUnitCode, :inputService, :inputSoftArea, :inputSegment,
          :inputCSAT, :inputOSAS, :inputContactPersonName, :inputQrCode, :inputSiteType)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputLocationId' => $request->locationId,
            ':inputBusinessId' => $request->businessId,
            ':inputRegionId' => $request->regionId,
            ':inputBranchId' => $request->branchId,
            ':inputCustomerUserId' => $request->customerUserId,
            ':inputLocationName' => $request->locationName,
            ':inputPhone' => $request->mobile,
            ':inputEmail' => $request->email,
            ':inputAddress' => $request->address,
            ':inputCity' => $request->city,
            ':inputState' => $request->state,
            ':inputCountry' => $request->country,
            ':inputBillingValue' => $request->billingValue,
            ':inputStatus' => $request->status,
             ':inputTypeId' => $request->typeId,
             ':inputLatitude' => $request->latitude,
            ':inputLongitude' => $request->longitude,
             ':inputUnitType' => $request->unitType,
            ':inputUnitCode' => $request->unitCode,
            ':inputService' => $request->service,
            ':inputSoftArea' => $request->softArea,
            ':inputSegment' => $request->segment,
             ':inputCSAT' => $request->csat,
            ':inputOSAS' => $request->osas,
            ':inputContactPersonName' => $request->contactPersonName,
            ':inputQrCode' => $request->qrCode,
            ':inputSiteType' => $request->siteType
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
     public function getInspectionList($request) {
        $query = 'CALL ' . StoredProcedures::$getInspectionList . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputInspectionId, :inputStatus, :inputBranchId, :inputRegionId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputBusinessId' => $request->businessId,
            ':inputLocationId' => $request->locationId,
            ':inputInspectionId' => $request->inspectionId,
            ':inputStatus' => $request->status,
            ':inputBranchId' => $request->branchId,
            ':inputRegionId' => $request->regionId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function addInspection($request)
    {
        $query = 'CALL ' . StoredProcedures::$addInspection . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputUserTypeId, :inputCustomerUserId, :inputEndDate)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputBusinessId' => $request->businessId,
            ':inputLocationId' => $request->locationId,
            ':inputUserTypeId' => $request->userTypeId,
            ':inputCustomerUserId' => $request->customerUserId,
            ':inputEndDate' => $request->endDate,
        ));
    }
    public function getDashboardDetails($dashboardDetails) {
        $query = 'CALL ' . StoredProcedures::$getDashboardDetails . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $dashboardDetails->userId,
            ':inputBusinessId' => $dashboardDetails->businessId,
            ':inputLocationId' => $dashboardDetails->locationId,
            ':inputLanguage' => $dashboardDetails->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet['csat'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        if ($stmt->nextRowset()) {
            $dataSet['osas'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        
        }
        return $dataSet;
    }
    public function getAuditPendingInspectionList($pendingInspectionList) {
       // print_r();
        $query = 'CALL ' . StoredProcedures::$getAuditPendingInspectionList . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputBranchId, :inputRegionId, :inputAuditUserId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $pendingInspectionList->userId,
            ':inputBusinessId' => $pendingInspectionList->businessId,
            ':inputLocationId' => $pendingInspectionList->locationId,
            ':inputBranchId' => $pendingInspectionList->branchId,
            ':inputRegionId' => $pendingInspectionList->regionId,
            ':inputAuditUserId' => $pendingInspectionList->auditUserId,
            ':inputLanguage' => $pendingInspectionList->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
       // print_r($dataSet);
        return $dataSet;
    }
     public function sendMessageUsers($userMessage) {
        $query = 'CALL ' . StoredProcedures::$sendMessageUsers . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $userMessage->userId,
            ':inputBusinessId' => $userMessage->businessId,
            ':inputLocationId' => $userMessage->locationId,
            ':inputLanguage' => $userMessage->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function sendPdfFilesUsers($sendEmail) {
        $query = 'CALL ' . StoredProcedures::$sendReportByEmail . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputAuditId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $sendEmail->userId,
            ':inputBusinessId' => $sendEmail->businessId,
            ':inputLocationId' => $sendEmail->locationId,
              ':inputAuditId' => $sendEmail->auditId,
            ':inputLanguage' => $sendEmail->language
        ));
        $dataSet = array();
          if ($stmt->rowCount()) {
            $dataSet['list'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        if ($stmt->nextRowset()) {
            $dataSet['mailDetails'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
     public function sendPdfFilesUsersOsas($sendEmail) {
        $query = 'CALL ' . StoredProcedures::$sendReportByEmailOsas . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputAuditId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $sendEmail->userId,
            ':inputBusinessId' => $sendEmail->businessId,
            ':inputLocationId' => $sendEmail->locationId,
             ':inputAuditId' => $sendEmail->auditId,
            ':inputLanguage' => $sendEmail->language
        ));
        $dataSet = array();
          if ($stmt->rowCount()) {
            $dataSet['list'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        if ($stmt->nextRowset()) {
            $dataSet['mailDetails'] = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
      public function getPendingQuestionStatus($statusDetails) {
        $query = 'CALL ' . StoredProcedures::$getPendingQuestionStatus . "(:inputUserId, :inputLocationId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $statusDetails->userId,
            ':inputLocationId' => $statusDetails->locationId,
            ':inputLanguage' => $statusDetails->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
     public function updateAuditStatus($statusDetails) {
        $query = 'CALL ' . StoredProcedures::$updateAuditStatus . "(:inputUserId, :inputAuditId, :inputStatus, :inputLanguage)";
        $stmt = $this->db->prepare($query);
      return  $stmt->execute(array(
            ':inputUserId' => $statusDetails->userId,
            ':inputAuditId' => $statusDetails->auditId,
            ':inputStatus' => $statusDetails->typeId,
            ':inputLanguage' => $statusDetails->language
        ));

    }
     public function getAdminUserList($userDetailsList) {
        $query = 'CALL ' . StoredProcedures::$getAdminUserList . "(:inputUserId, :inputTypeId, :inputCustomerUserId, :inputSearchText, :inputLanguage)";
        $stmt = $this->db->prepare($query);
          $stmt->execute(array(
            ':inputUserId' => $userDetailsList->userId,
            ':inputTypeId' => $userDetailsList->typeId,
            ':inputCustomerUserId' => $userDetailsList->customerUserId,
            ':inputSearchText' => $userDetailsList->searchText,
            ':inputLanguage' => $userDetailsList->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;

    }
     public function saveAuditAnswerOSAS($request) {
        $selectAnswerArray = gettype($request->summitAnswer) == "string" ? json_decode(($request->summitAnswer)) : $request->summitAnswer;

        if (count($selectAnswerArray)) {
            $dateQuery = "INSERT INTO audit_answer (category_id, auditor_id, location_id, answer, question_id, created_by, modified_by, comment, business_location_audit_xref_id, answer_two)VALUES";
            foreach ($selectAnswerArray as &$selectAnswer) {
                $dateQuery .= "($request->categoryId, $request->auditorId, $request->locationId, '" . $selectAnswer->answer . "', '" . $selectAnswer->questionId . "', $request->auditorId, $request->auditorId, '" . $selectAnswer->comment . "', $request->auditId, '" . $selectAnswer->answerTwo . "'),";
            }
            $dateQuery = substr($dateQuery, 0, -1). ';';
        } else {
            $dateQuery = NULL;
        }
        $query = 'CALL ' . StoredProcedures::$saveAuditAnswerOSAS . "(:inputUserId, :inputCategoryId, :inputAuditorId, :inputLocationId, :inputAnswerQuery)";
        $stmt = $this->db->prepare($query);
        return $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputCategoryId' => $request->categoryId,
            ':inputAuditorId' => $request->auditorId,
            ':inputLocationId' => $request->locationId,
            ':inputAnswerQuery' => $dateQuery
        ));
    }
     public function getAdminInspectionOsasList($request) {
        $query = 'CALL ' . StoredProcedures::$getAdminInspectionOSASList . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputInspectionId, :inputStatus, :inputBranchId, :inputRegionId)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $request->userId,
            ':inputBusinessId' => $request->businessId,
            ':inputLocationId' => $request->locationId,
            ':inputInspectionId' => $request->inspectionId,
            ':inputStatus' => $request->status,
            ':inputBranchId' => $request->branchId,
            ':inputRegionId' => $request->regionId,
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getLocationQuestionAnswer($sendEmail) {
        $query = 'CALL ' . StoredProcedures::$getLocationQuestionAnswer . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputAuditId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $sendEmail->userId,
            ':inputBusinessId' => $sendEmail->businessId,
            ':inputLocationId' => $sendEmail->locationId,
            ':inputAuditId' => $sendEmail->auditId,
            ':inputLanguage' => $sendEmail->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
    public function getLocationOSASQuestionAnswer($sendEmail) {
        $query = 'CALL ' . StoredProcedures::$getLocationOSASQuestionAnswer . "(:inputUserId, :inputBusinessId, :inputLocationId, :inputAuditId, :inputLanguage)";
        $stmt = $this->db->prepare($query);
        $stmt->execute(array(
            ':inputUserId' => $sendEmail->userId,
            ':inputBusinessId' => $sendEmail->businessId,
            ':inputLocationId' => $sendEmail->locationId,
            ':inputAuditId' => $sendEmail->auditId,
            ':inputLanguage' => $sendEmail->language
        ));
        $dataSet = array();
        if ($stmt->rowCount()) {
            $dataSet = $stmt->fetchAll(PDO::FETCH_ASSOC);
        }
        return $dataSet;
    }
}

