<?php

/**
 * Created by PhpStorm.
 * User: Narendra Kumar
 * Date: 2/8/2016
 * Time: 11:50 PM
 */
class BusinessMessages
{
    const SUCCESS = 50008;
    const FAILED = 50009;
    const MISSING_PARAMS = 50010;
    const EMAIL_ALREADY_EXISTS = 1004;
    const INVALID_REFERRAL_CODE = 1005;
    const VERIFICATION_CODE_SENT_SUCCESS = 1006;
    const VERIFICATION_CODE_SENT_FAILED = 1007;
    const SESSION_EXPIRED = 1008;
    const INVALID_CREDENTIALS = 1009;
    const AUTHORIZATION_MISSING = 50014;
    const INVALID_VERIFICATION_CODE = 1011;
    const COMPANY_NAME_ALREADY_EXISTS = 1012;
    const DRIVER_ALREADY_ASSOCIATED_WITH_VEHICLE = 1013;
    const VEHICLE_IS_ALREADY_TAKEN = 1014;
    const REACHED_MAX_SESSION_ALLOWED = 1015;
    const CARD_ALREADY_EXISTS = 1016;
    const SENT_RESET_PASSWORD_LINK = 1017;
    const EMAIL_NOT_REGISTERED = 1018;
    const PASSWORD_CHANGE_SUCCESS = 1019;
    const REQUEST_CANNOT_PROCESS = 1020;
    const RESET_PASSWORD_TOKEN_EXPIRED = 1021;
    const NO_DRIVER_AVAILABLE = 1022;
    const OUT_OF_SERVICE_ZONE = 1023;
    const TRIP_ALREADY_ACCEPTED = 1024;
    const SCHEDULE_RIDE_BOOKING_SUCCESS = 1025;
    const DRIVER_ALREADY_LOGIN = 1026;
    const REGION_ALREADY_EXISTS = 1027;
    const REGION_SERVICE_ALREDY_EXISTS = 1028;
    const DOCUMENT_REQUEST_ALREADY_EXISTS = 1029;
    const REQUEST_ALREADY_PROCESSED = 1030;
    const ALREADY_HAVE_RUNNING_TRIP = 1031;
    const INVALID_OLD_PASSWORD = 1032;


    private function __construct()
    {
    }

    public static function getMessage($responseCode = BusinessMessages::SUCCESS, $userId = NULL, $language = NULL)
    {
        $conn = Db::getInstance();
        $query = "CALL " . StoredProcedures::$getResponseMessage . "(:responseCode, :inputUserId, :inputLanguage)";
        $stmt = $conn->prepare($query);
        $stmt->execute(array(
            ':responseCode' => $responseCode,
            ':inputUserId' => $userId,
            ':inputLanguage' => $language
        ));
        $message = "";
        if ($stmt->rowCount()) {
            $message = $stmt->fetch()[CommonDbColumns::$responseMessage];
        }
        return $message;
    }

}
