<?php
/**
 * Created by PhpStorm.
 * User: thinkpad
 * Date: 15-03-2018
 * Time: 11:43 AM
 */

use Dompdf\Dompdf;

class EmailTemplate
{

    public static function getNotificationForOutlet($data)
    {
        $query = "CALL getNotification(:inputUserId , :inputNotificationId , :inputOrderId, :inputLanguage)";
        $db = Db::getInstance();
        $stmt = $db->prepare($query);
        $stmt->execute(
            array(
                ':inputUserId' => $data->userId,
                ':inputNotificationId' => $data->notificationId,
                ':inputOrderId' => $data->orderId,
                ':inputLanguage' => $data->language
            )
        );
        $dataSet = $stmt->fetch(PDO::FETCH_ASSOC);
        return $dataSet;
    }

    public static function getMessageForOutlet($data)
    {
        $query = "CALL getMessage(:inputUserId , :inputMessageId , :inputOutletId, :inputLanguage)";
        $db = Db::getInstance();
        $stmt = $db->prepare($query);
        $stmt->execute(
            array(
                ':inputUserId' => $data->userId,
                ':inputMessageId' => $data->messageId,
                ':inputOutletId' => $data->outletId,
                ':inputLanguage' => $data->language
            )
        );
        $dataSet = $stmt->fetch(PDO::FETCH_ASSOC);
        return $dataSet;
    }

    public static function getMailForOutlet($data)
    {
        $query = "CALL getMessage(:inputUserId , :inputMailId , :inputOutletId, :inputLanguage)";
        $db = Db::getInstance();
        $stmt = $db->prepare($query);
        $stmt->execute(
            array(
                ':inputUserId' => $data->userId,
                ':inputMailId' => $data->mailId,
                ':inputOutletId' => $data->outletId,
                ':inputLanguage' => $data->language
            )
        );
        $dataSet = $stmt->fetch(PDO::FETCH_ASSOC);
        return $dataSet;
    }

    public static function prepareRegistrationTemplate()
    {
        return '<!DOCTYPE html>
                <html lang="en">
                <head>
                    <meta charset="UTF-8">
                    <title>Zareou | Mailer</title>
                </head>
                <body style="background: #f1f1f1; padding:15px;">
                <div style="font-family:Avenir;width:100%;background:#CCC;padding:15px;">
                    <div style="width:70%; height:auto; background:#fff; border-radius:5px; padding:40px 20px; margin:60px auto; -webkit-box-shadow: 0px 5px 13px 1px rgba(133,133,133,1);-moz-box-shadow: 0px 5px 13px 1px rgba(133,133,133,1);box-shadow: 0px 5px 13px 1px rgba(133,133,133,1);">
                    <table width="100%" cellpadding="8" cellspacing="0">
                        <tr>
                            <td width="98%" style="color:#999; font-size:16px;">A WORLD FULL OF OPPORTUNITIES</td>
                            <td width="2%"><img src="https://www.zareou.com/resources/logo.png" alt="logo" width="100"></td>
                        </tr>
                        <tr>
                            <td colspan="2" style="color:#333; font-size:26px;">WELCOME!</td>
                        </tr>
                        <tr>
                            <td colspan="2" style="color:#999; font-size:14px;">Hello Dear,</td>
                        </tr>
                        <tr align="center">
                            <td colspan="2">
                                <div style="padding:40px 0px; border-top:2px dotted #CCC; border-bottom:2px dotted #CCC;color:#999; font-size:14px; line-height:20px;">
                                    Thanks for joining the Zareou movement!
                                </div>
                            </td>
                        </tr>
                        <tr align="center">
                            <td colspan="2" style="color:#999;">ZAREOU</td>
                        </tr>
                        <tr align="center">
                            <td colspan="2" style="color:#999; font-size:12px;">www.zareou.com &nbsp;|&nbsp;info@zareou.com</td>
                        </tr>
                    </table>
                </div>
                </div>
                </body>
                </html>';
    }

    public static function prepareInvitationTemplate($link)
    {
        return '
                <div style="font-family:Avenir;width:100%;background:#CCC;padding:15px;">
                    <div style="width:70%; height:auto; background:#fff; border-radius:5px; padding:40px 20px; margin:60px auto; -webkit-box-shadow: 0px 5px 13px 1px rgba(133,133,133,1);-moz-box-shadow: 0px 5px 13px 1px rgba(133,133,133,1);box-shadow: 0px 5px 13px 1px rgba(133,133,133,1);">
                    <table width="100%" cellpadding="8" cellspacing="0">
                        <tr>
                            <td width="98%" style="color:#999; font-size:16px;">A WORLD FULL OF OPPORTUNITIES</td>
                            <td width="2%"><img src="http://54.203.102.55/admin/assets/images/logo.png" alt="logo" width="100"></td>
                        </tr>
                        <tr>
                            <td colspan="2" style="color:#333; font-size:26px;">WELCOME!</td>
                        </tr>
                        <tr>
                            <td colspan="2" style="color:#999; font-size:14px;">Hello Dear,</td>
                        </tr>
                        <tr>
                            <td colspan="2" style="color:#999; font-size:14px; line-height:20px;">You are invited to join the new ride share app Zareou. We are happy see you on-board. Please click on the link below and continue with your registration process. Feel free to contact our customer support in case you have any issues.</td>
                        </tr>
                        <tr align="center">
                            <td colspan="2">
                                <div style="padding:40px 0px; border-top:2px dotted #CCC; border-bottom:2px dotted #CCC;">
                                    <a href="' . $link . '" style="text-decoration:none; background:#109bc5; color:#fff; padding:15px 30px; border-radius:25px;">CLICK HERE TO REGISTER</a>
                                </div>
                            </td>
                        </tr>
                        <tr align="center">
                            <td colspan="2" style="color:#999;">ZAREOU</td>
                        </tr>
                        <tr align="center">
                            <td colspan="2" style="color:#999; font-size:12px;">www.zareou.com &nbsp;|&nbsp;info@zareou.com</td>
                        </tr>
                    </table>
                </div> </div>
        ';
    }

    public static function createAccountStatusChangeEmailTemplate($details)
    {
        return "<html><headd><title></title></headd>
            <body>
                <p>Dear " . $details['first_name'] . " " . $details['last_name'] . "</p>

                <p>Your account status has been changed to " . $details['description'] . "</p>
            </body>
        </html>";
    }

    public static function createOrderEmailTemplate($orders)
    {
        return "<html><headd><title></title></headd>
            <body>
                <p>Name " . $orders['firstName'] . " " . $orders['middleName'] . " " . $orders['lastName'] . "</p>
                <p>Amount " . $orders['amountPaid'] . " </p>
                <p>Mobile " . $orders['mobile'] . " </p>
                <p>Vehicle Brand  " . $orders['brandName'] . " </p>
                <p>Vehicle Model  " . $orders['modelName'] . " </p>
                <p>Registration Number  " . $orders['registrationNumber'] . " </p>
                <p>Vehicle Color " . $orders['color'] . " </p>
                <p>Plan  " . $orders['planName'] . " </p>
                <p>Validity  " . $orders['validity'] . " </p>

            </body>
        </html>";
    }

    public static function sendUserDetailsEmailTemplate1($mailDetails)
    {
        $table = "<html><head><title>Hello</title></head>
            <body><table border='1' cellspacing='0' style='width:100%;  '> <tr style='background:#eeeeee;'><td>Question</td><td>Answer</td><tr>";
        foreach ($mailDetails as $row) {
            $table .= "<tr><td>" . $row['question'] . "</td><td>" . $row['answer'] . "</td><tr>";
        }


        $table .= "</table></body>
        </html>";

        return $table;
    }

    public static function sendUserDetailsEmailTemplate($mailDetails, $user)
    {
        //  print_r($user);
        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
        <html>

    <head>
    <meta http-equiv="Content-Type" content="text/html;  charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>SMC Email Template</title>

    <style>
        body {
            margin: 0; 
            background-color: #e5e5e5; 
            padding: 0; 
        }
        
        @font-face {
            font-family: "Avenir Heavy"; 
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf"); 
        }
        
        @font-face {
            font-family: "Avenir Medium"; 
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf"); 
        }
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%;  background-color:
            #e5e5e5;  padding-top: 30px;  padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff;  padding-bottom: 30px;  max-width:
                        680px;  margin: 0 auto;  padding-left: 30px; padding-right:
                        30px; padding-top: 30px; ">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%; border-collapse: collapse; ">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                        \'Arial\' ;  font-weight:
                                                        700; font-size: 18px; ">
                                                    Hi ' . $user['first_name'] . ' ' . $user['middle_name'] . ' ' . $user['last_name'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #6d6d6d; ">
                                                    Our team has completed the monthly Inspection and CSAT at ' . $user['location_name'] . ' and here is the summary report of the same.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="background:rgba(255, 236, 83,0.7); border-radius:10px;  padding-left:15px;  padding-top:15px;  padding-bottom:15px; ">
                                                    <p style="font-family:\'Arial\' ; font-weight:600; font-size:15px; color:#333333; ">Audit Score
                                                    </p>
                                                    <p style="font-family:\'Arial\' ; font-weight:600; font-size:15px; color:#333333; ">' . $mailDetails[0]['auditScore'] . '/160</p>
                                                </td>
                                                <td style="width: 10px; "></td>
                                                <td style="padding-left:15px; padding-top:15px; padding-bottom:15px; background:rgba(242,174, 46,0.7); border-radius:10px; ">
                                                    <p style="font-family:
                                                                        \'Arial\' ; font-weight:
                                                                        600; font-size:
                                                                        15px; color:
                                                                        #333333; ">CSAT Score
                                                    </p>
                                                    <p style="font-family:
                                                                        \'Arial\' ; font-weight:
                                                                        600; font-size:
                                                                        15px; color:
                                                                        #333333; ">' . $mailDetails[0]['csatScore'] . '/50</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #6d6d6d; ">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width: 100%; ">
                                                        <tr>
                                                            <th style="background-color: #575656; color:#fff; font-family:\'Arial\' ; font-size: 16px; padding-left: 12px; padding-top: 12px; padding-bottom: 12px; text-align: left; border-radius: 10px 0 0 0;   ">Parameter</th>
                                                            <th style="background-color: #575656; color:#fff; font-family:\'Arial\' ; font-size: 16px; padding-left: 12px; padding-top: 12px; padding-bottom: 12px; text-align: left; border-radius: 0 10px 0 0;    ">Score</th>
                                                        </tr>';
        foreach ($mailDetails as $k => $detail) {
            $html .= '

                                                        <tr style="background-color:#FBFBFB; ">
                                                           <td style="font-weight: 400; font-size: 15px; color:#7e7e7e; font-family: \'Arial\' ; width: 50%; padding-top: 12px; padding-bottom: 12px; padding-left: 12px; ">' . ($k + 1) . ' . ' . $detail['categoryName'] . '</td>
                                                            <td style="font-weight: 700; font-size: 15px; color:#7e7e7e; font-family: \'Arial\' ; width: 50%; padding-top: 12px; padding-bottom: 12px; padding-left: 12px; ">' . $detail['total'] . ' /  ' . $detail['totaMarks'] . '</td>
                                                        </tr>
                                                        ';
        }

        $html .= '
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #7e7e7e; ">
                                                    Click the button below to see detailed response to Inspection and CSAT Survey Questions.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td><button style="background-color:#00A2B2; color:#fff; font-size:16px; font-family:\'Arial\' ; font-weight:700; border-radius: 7px; padding: 12px; border: solid 1px transparent; ">See Survey Details</button></td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <p style="font-size: 15px; color:#7E7E7E; font-family:\'Arial\' ; font-weight:400">Thanks For your Business</p>
                                        
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <p style="font-size: 15px; color:#7E7E7E; font-family:\'Arial\' ; font-weight:700; margin:0px; ">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="text-align: end; ">
                                                    <p style="color: #7E7E7E; font-size:15px; font-family: \'Arial\' ; ">Powered by</p>
                                                    <img src="https://servicemastercleanindia.com/wp-content/uploads/2021/12/smc-mian-logo.png" style="width: 100px; ">
                                                    <p style="color: #7E7E7E; font-size:9px; font-family: \'Arial\' ; ">' . $mailDetails[0]['reportDate'] . '</p>
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </body>
   </html>';

    }

    public static function sendReportDetailsEmailTemplate($mailDetails, $user)
    {

        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
        <html>

    <head>
    <meta http-equiv="Content-Type" content="text/html;  charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>SMC Report</title>

    <style>
        body {
            margin: 0; 
            background-color: #e5e5e5; 
            padding: 0; 
        }
        
        @font-face {
            font-family: "Avenir Heavy"; 
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf"); 
        }
        
        @font-face {
            font-family: "Avenir Medium"; 
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf"); 
        }
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%;  background-color:
            #e5e5e5;  padding-top: 30px;  padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff;  padding-bottom: 30px;  max-width:
                        680px;  margin: 0 auto;  padding-left: 30px; padding-right:
                        30px; padding-top: 30px; ">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%; border-collapse: collapse; ">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                        \'Arial\' ;  font-weight:
                                                        700; font-size: 18px; ">
                                                    Hi ' . $user['FirstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #6d6d6d; ">
                                                    Our team has completed the monthly Inspection and CSAT at ' . $user['locationName'] . '  and here is the summary report of the same.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="background:rgba(255, 236, 83,0.7); border-radius:10px;  padding-left:15px;  padding-top:15px;  padding-bottom:15px; ">
                                                    <p style="font-family:\'Arial\' ; font-weight:600; font-size:15px; color:#333333; ">Audit Score
                                                    </p>
                                                    <p style="font-family:\'Arial\' ; font-weight:600; font-size:15px; color:#333333; ">' . $mailDetails[0]['auditScore'] . '/160</p>
                                                </td>
                                                <td style="width: 10px; "></td>
                                                <td style="padding-left:15px; padding-top:15px; padding-bottom:15px; background:rgba(242,174, 46,0.7); border-radius:10px; ">
                                                    <p style="font-family:
                                                                        \'Arial\' ; font-weight:
                                                                        600; font-size:
                                                                        15px; color:
                                                                        #333333; ">CSAT Score
                                                    </p>
                                                    <p style="font-family:
                                                                        \'Arial\' ; font-weight:
                                                                        600; font-size:
                                                                        15px; color:
                                                                        #333333; ">' . $mailDetails[0]['csatScore'] . '/50</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #6d6d6d; ">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width: 100%; ">
                                                        <tr>
                                                            <th style="background-color: #575656; color:#fff; font-family:\'Arial\' ; font-size: 16px; padding-left: 12px; padding-top: 12px; padding-bottom: 12px; text-align: left; border-radius: 10px 0 0 0;   ">Parameter</th>
                                                            <th style="background-color: #575656; color:#fff; font-family:\'Arial\' ; font-size: 16px; padding-left: 12px; padding-top: 12px; padding-bottom: 12px; text-align: left; border-radius: 0 10px 0 0;    ">Score</th>
                                                        </tr>';
        foreach ($mailDetails as $k => $detail) {
            $html .= '

                                                        <tr style="background-color:#FBFBFB; ">
                                                           <td style="font-weight: 400; font-size: 15px; color:#7e7e7e; font-family: \'Arial\' ; width: 50%; padding-top: 12px; padding-bottom: 12px; padding-left: 12px; ">' . ($k + 1) . ' . ' . $detail['categoryName'] . '</td>
                                                            <td style="font-weight: 700; font-size: 15px; color:#7e7e7e; font-family: \'Arial\' ; width: 50%; padding-top: 12px; padding-bottom: 12px; padding-left: 12px; ">' . $detail['total'] . ' /  ' . $detail['totaMarks'] . '</td>
                                                        </tr>
                                                        ';
        }

        $html .= '
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #7e7e7e; ">
                                                    Click the button below to see detailed response to Inspection and CSAT Survey Questions.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td><button style="background-color:#00A2B2; color:#fff; font-size:16px; font-family:\'Arial\' ; font-weight:700; border-radius: 7px; padding: 12px; border: solid 1px transparent; ">See Survey Details</button></td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <p style="font-size: 15px; color:#7E7E7E; font-family:\'Arial\' ; font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <p style="font-size: 15px; color:#7E7E7E; font-family:\'Arial\' ; font-weight:700; margin:0px; ">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="text-align: end; ">
                                                    <p style="color: #7E7E7E; font-size:15px; font-family: \'Arial\' ; ">Powered by</p>
                                                    <img src="https://servicemastercleanindia.com/wp-content/uploads/2021/12/smc-mian-logo.png" style="width: 100px; ">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </body>
   </html>';
        return $html;
    }
 public static function sendReportDetailsEmailTemplateOHSAS($mailDetails, $user)
    {

        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
        <html>

    <head>
    <meta http-equiv="Content-Type" content="text/html;  charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>SMC Report</title>

    <style>
        body {
            margin: 0; 
            background-color: #e5e5e5; 
            padding: 0; 
        }
        
        @font-face {
            font-family: "Avenir Heavy"; 
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf"); 
        }
        
        @font-face {
            font-family: "Avenir Medium"; 
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf"); 
        }
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%;  background-color:
            #e5e5e5;  padding-top: 30px;  padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff;  padding-bottom: 30px;  max-width:
                        680px;  margin: 0 auto;  padding-left: 30px; padding-right:
                        30px; padding-top: 30px; ">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%; border-collapse: collapse; ">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                        \'Arial\' ;  font-weight:
                                                        700; font-size: 18px; ">
                                                    Hi ' . $user['FirstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #6d6d6d; ">
                                                    Our team has completed the monthly Inspection and OHSAS at ' . $user['locationName'] . '  and here is the summary report of the same.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="background:rgba(255, 236, 83,0.7); border-radius:10px;  padding-left:15px;  padding-top:15px;  padding-bottom:15px; ">
                                                    <p style="font-family:\'Arial\' ; font-weight:600; font-size:15px; color:#333333; ">Audit Score
                                                    </p>
                                                    <p style="font-family:\'Arial\' ; font-weight:600; font-size:15px; color:#333333; ">' . $mailDetails[0]['auditScore'] . '/160</p>
                                                </td>
                                                <td style="width: 10px; "></td>
                                                <td style="padding-left:15px; padding-top:15px; padding-bottom:15px; background:rgba(242,174, 46,0.7); border-radius:10px; ">
                                                    <p style="font-family:
                                                                        \'Arial\' ; font-weight:
                                                                        600; font-size:
                                                                        15px; color:
                                                                        #333333; ">OHSAS Score
                                                    </p>
                                                    <p style="font-family:
                                                                        \'Arial\' ; font-weight:
                                                                        600; font-size:
                                                                        15px; color:
                                                                        #333333; ">' . $mailDetails[0]['csatScore'] . '/50</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #6d6d6d; ">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width: 100%; ">
                                                        <tr>
                                                            <th style="background-color: #575656; color:#fff; font-family:\'Arial\' ; font-size: 16px; padding-left: 12px; padding-top: 12px; padding-bottom: 12px; text-align: left; border-radius: 10px 0 0 0;   ">Parameter</th>
                                                            <th style="background-color: #575656; color:#fff; font-family:\'Arial\' ; font-size: 16px; padding-left: 12px; padding-top: 12px; padding-bottom: 12px; text-align: left; border-radius: 0 10px 0 0;    ">Score</th>
                                                        </tr>';
        foreach ($mailDetails as $k => $detail) {
            $html .= '

                                                        <tr style="background-color:#FBFBFB; ">
                                                           <td style="font-weight: 400; font-size: 15px; color:#7e7e7e; font-family: \'Arial\' ; width: 50%; padding-top: 12px; padding-bottom: 12px; padding-left: 12px; ">' . ($k + 1) . ' . ' . $detail['categoryName'] . '</td>
                                                            <td style="font-weight: 700; font-size: 15px; color:#7e7e7e; font-family: \'Arial\' ; width: 50%; padding-top: 12px; padding-bottom: 12px; padding-left: 12px; ">' . $detail['total'] . ' /  ' . $detail['totaMarks'] . '</td>
                                                        </tr>
                                                        ';
        }

        $html .= '
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="font-family:\'Arial\' ; font-weight:400; font-size:15px; color: #7e7e7e; ">
                                                    Click the button below to see detailed response to Inspection and CSAT Survey Questions.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td><button style="background-color:#00A2B2; color:#fff; font-size:16px; font-family:\'Arial\' ; font-weight:700; border-radius: 7px; padding: 12px; border: solid 1px transparent; ">See Survey Details</button></td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>&nbsp; </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <p style="font-size: 15px; color:#7E7E7E; font-family:\'Arial\' ; font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td>
                                                    <p style="font-size: 15px; color:#7E7E7E; font-family:\'Arial\' ; font-weight:700; margin:0px; ">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%; ">
                                            <tr>
                                                <td style="text-align: end; ">
                                                    <p style="color: #7E7E7E; font-size:15px; font-family: \'Arial\' ; ">Powered by</p>
                                                    <img src="https://satayender.com/smcosas/resources/SMC.png" style="width: 100px; ">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </body>
   </html>';
        return $html;
    }
    public static function sendReportDetailsEmailTemplateTesting($mailDetails, $user)
    {
        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=urf=8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<!-- <meta name="viewport" content="width=device-width, initial-scale=1.0" /> -->
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0" />
<title>SMC Report</title>

<style>
body {
margin: 0;
background-color: #e5e5e5;
padding: 0;
}

@font-face {
    font-family: "Avenir Heavy";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf");
        }

        @font-face {
    font-family: "Avenir Medium";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf");
        }

        .semi-donut-model-2 {
    width: 200px;
            height: 100px;
            position: relative;
            text-align: center;
            border-radius: 150px 150px 0 0;
            overflow: hidden;
            color: var(--fill);
            display: flex;
            align-items: flex-end;
            justify-content: center;
            box-sizing: border-box;
        }

        .semi-donut-model-2:before,
        .semi-donut-model-2:after {
    content: "";
    width: 200px;
            height: 100px;
            border: 30px solid var(--fill);
            border-top: none;
            position: absolute;
            transform-origin: 50% 0% 0;
            border-radius: 0 0 300px 300px;
            box-sizing: border-box;
            left: 0;
            top: 100%;
        }

        .semi-donut-model-2:before {
    /* border-color: rgba(0, 0, 0, 0.15); */
    border-color: #fff;
            transform: rotate(180deg);
        }

        .semi-donut-model-2:after {
    z-index: 3;
            -webkit-animation: 1s fillGraphAnimation ease-in;
            animation: 1s fillGraphAnimation ease-in;
            transform: rotate(calc(1deg * (var(--percentage) * 1.8)));
        }

        .semi-donut-model-2-small {
    width: 160px;
            height: 80px;
        }

        .semi-donut-model-2-small:before,
        .semi-donut-model-2-small:after {
    width: 160px;
            height: 80px;
        }
        /* .semi-donut-model-2:hover:after {
            opacity: 0.8;
            cursor: pointer;
        } */
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%; background-color:
            #e5e5e5; padding-top: 30px; padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff; padding-bottom: 30px; max-width:
                        680px; margin: 0 auto; padding-left: 30px;padding-right:
                        30px;padding-top: 30px;">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%;border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                        "Arial" ;font-weight:
                                                        700;font-size: 18px;">
    Dear ' . $user['FirstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family:"Arial";font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
    Here is your Monthly Inspection and CSAT Report for ' . $user['locationName'] . ',
</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width:100%;">
                                            <tr>
                                                <td style="background-color: #FFF287;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                    <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Audit Score</p>
                                                    <div class="semi-donut-model-2 margin" style="--percentage : (100/160)*100; --fill: #43a3b2;left: 50%;
                                                    transform: translate(-50%, 0%);">
                                                        <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">100/160</span>
                                                    </div>
                                                </td>
                                                <td style="padding-left: 10px;padding-right: 10px;"></td>
                                                <td style="background-color: #F6C66D;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                    <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">CSAT Score</p>
                                                    <div class="semi-donut-model-2 margin" style="--percentage : (40/50)*100; --fill: #575656;left: 50%;
                                                    transform: translate(-50%, 0%);">
                                                        <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">40/50</span>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family:"Arial";font-weight:400;font-size:17px;color:
                                                        #6d6d6d;">
    Below is the individual score of various inspection parameters
</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family:"Arial";font-weight:700;font-size:18px;color:
                                                        #000000;">
    Inspection Parameter Score
</td>
                                            </tr>
                                        </table>

                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width: 100%;">
                                                        <tr>
                                                            <td style="background-color: #f5f5f5;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Facility</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (100/150)*100; --fill: #f7bd45;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">100/150</span>
                                                                </div>
                                                            </td>
                                                            <td style="padding-left: 3px;padding-right: 3px;"></td>
                                                            <td style="background-color: #E8E8E8;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Uniform Grooming</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (100/160)*100; --fill: #c33235;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">100/160</span>
                                                                </div>
                                                            </td>
                                                            <td style="padding-left: 3px;padding-right: 3px;"></td>
                                                            <td style="background-color: #f5f5f5;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Document Standards</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (25/50)*100; --fill: #45a7b5;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">25/50</span>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="height: 6px;"></td>
                                                        </tr>
                                                        <tr>
                                                            <td style="background-color: #e8e8e8;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Equipment Bay</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (16/50)*100; --fill: #c33235;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">16/50</span>
                                                                </div>
                                                            </td>
                                                            <td style="padding-left: 3px;padding-right: 3px;"></td>
                                                            <td style="background-color: #f5f5f5;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Store Room</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (40/50)*100; --fill: #45a7b5;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">40/50</span>
                                                                </div>
                                                            </td>
                                                            <td style="padding-left: 3px;padding-right: 3px;"></td>
                                                            <td style="background-color: #E8E8E8;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Washroom</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (40/50)*100; --fill: #f7bd45;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">40/50</span>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td style="height: 6px;"></td>
                                                        </tr>
                                                        <tr>
                                                            <td style="background-color: #f5f5f5;border-radius: 10px;padding-top: 15px;padding-bottom: 30px;">
                                                                <p style="font-size: 18px;color: #444;font-family:"Arial";font-weight:600;text-align: center;">Food Area</p>
                                                                <div class="semi-donut-model-2-small semi-donut-model-2 margin" style="--percentage : (100/160)*100; --fill: #c33235;left: 50%;
                                                                transform: translate(-50%, 0%);">
                                                                    <span style="z-index: 9999;color: #444;padding: 0 0 15px 0;font-family:"Arial";font-weight:600;font-size:18px;">35/50</span>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:"Arial";font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:"Arial" ;font-weight:700;margin:0px;">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <img src="https://satayender.com/smcosas/resources/SMC.png" style="width:
                                                            100px;">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>';
        $dompdf = new Dompdf();
         $fileName = time().'.pdf';
       echo $dompdf->loadHtml("$html");
        $dompdf->setPaper('A4', 'landscape');
        $dompdf->render();
       // $dompdf->stream();
       $file = $dompdf-> output();
       file_put_contents($fileName, $file);
    }
     public static function sendReportDetailsEmailTemplateTesting2()
    {
        $html = '<!DOCTYPE html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0" />
    <title>Graph</title>
    <style>
     .ring {
  position: relative;
  --pointerleft: 11%;
  --pointertop: 11%;
  --pointerdeg: -45deg;
  width: 50vmin;
  height: 50vmin;
  background-image: radial-gradient(red 0, red 50%, transparent 50%, transparent 100%), radial-gradient(green 0, green 50%, transparent 50%, transparent 100%), radial-gradient(white 0, white 60%, transparent 60%), conic-gradient(orange 0, green 130deg, white 130deg, white 230deg, red 230deg, orange 360deg);
  background-size: 11% 11%, 11% 11%, 100% 100%, 100% 100%;
  background-repeat: no-repeat;
  background-position: 9.2% 82.3%, 90.8% 82.3%, center center, center center;
  border-radius: 50%;
  border-style: none;
}

.ring::after {
  position: absolute;
  width: 5%;
  height: 15%;
  left: var(--pointerleft);
  top: var(--pointertop);
  transform: rotate(var(--pointerdeg));
  border-style: solid;
  border-width: 0.5vmin;
  border-radius: 2vmin;
  background-color: white;
}

.speed {
  display: inline-block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  text-align: center;
  color: gray;
}

.speed .number {
  font-size: 6vw;
}

.speed .units {
  font-size: 3vw;
}
    </style>


</head>

<b<div class="ring">
  <div class="speed">
    <div class="number">21</div>
    <div class="units"style=";">km/h</div>
  </div>
</div>
</body>

</html>';
return $html;
        // $dompdf = new Dompdf();
        // $filename = "document.pdf";
        // $dompdf->loadHtml("$html");
        // $dompdf->setPaper('A4', 'landscape');
        // $dompdf->render();
        //  $dompdf->stream();
        // $file = $dompdf-> output();
        // file_put_contents($fileName, $file);
    }
     public static function sendReportDetailsEmailTemplateNew($mailDetails)
    {

        $html = '<!DOCTYPE html>
<html>
<body>
<p> Dear Sir,</p>


 
<p> Greetings from ServiceMASTER India!!</p>


<p>
    We are pleased to inform you that we have successfully completed our recent customer satisfaction (CSAT) survey for the month of ' . $mailDetails[0]['reportDate'] . '  and our
    survey result shows that our CSAT score is ' . $mailDetails[0]['csatScore'] . '/50.</p>
    
<p>We are thrilled to see the score and are ensuring our commitment to maintain a high level of customer satisfaction in all the defined parameters.</p>

<p>We value your feedback and would like to thank you for taking the time to participate in our survey. Your opinions and suggestions are important to us
and help us continually improve our products and services.</p>

 <p>If you have any additional feedback or questions, please do not hesitate to reach out. We are always here to help.</p>


    <p>Thank you for your continued support.</p>


   <p> ServiceMASTER India</p>
    </html>';
        return $html;
    }
     public static function sendReportDetailsEmailTemplateNewOHSAS($mailDetails)
    {

        $html = '<!DOCTYPE html>
<html>
<body>
<p> Dear Sir,</p>


 
<p> Greetings from ServiceMASTER India!!</p>


<p>
    We are pleased to inform you that we have successfully completed our recent customer satisfaction (OHSAS) survey for the month of ' . $mailDetails[0]['reportDate'] . '  and our
    survey result shows that our OHSAS score is ' . $mailDetails[0]['csatScore'] . '/50.</p>
    
<p>We are thrilled to see the score and are ensuring our commitment to maintain a high level of customer satisfaction in all the defined parameters.</p>

<p>We value your feedback and would like to thank you for taking the time to participate in our survey. Your opinions and suggestions are important to us
and help us continually improve our products and services.</p>

 <p>If you have any additional feedback or questions, please do not hesitate to reach out. We are always here to help.</p>


    <p>Thank you for your continued support.</p>


   <p> ServiceMASTER India</p>
    </html>';
        return $html;
    }
    
     public static function sendReportEmailTemplateSMC($mailDetails, $user)
    {

       $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
        <html>

    <head>
    <meta http-equiv="Content-Type" content="text/html;  charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>SMC Report</title>

    <style>
       body {
            margin: 0;
            background-color: #e5e5e5;
            padding: 0;
        }
        
        @font-face {
            font-family: "Avenir Heavy";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf");
        }
        
        @font-face {
            font-family: "Avenir Medium";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf");
        }
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%; background-color:
            #e5e5e5; padding-top: 30px; padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff; padding-bottom: 30px; max-width:
                        680px; margin: 0 auto; padding-left: 30px;padding-right:
                        30px;padding-top: 30px;">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%;border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                        \'Arial\';font-weight:
                                                        700;font-size: 18px;">
                                                    Hi ' . $user['FirstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family:\'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Our team has completed the monthly Inspection and CSAT at ' . $user['locationName'] . ' and here is the summary report of the same.
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width:100%;">
                                            <tr>
                                                <td style="background: #FFEC53;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">Audit Score</p>
                                                    <p style="margin-top:10px;margin-bottom: 0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['auditScore'] . '/160</p>
                                                </td>
                                                <td style="width: 10px;"></td>
                                                <td style="background: #F2AE2E;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">CSAT Score</p>
                                                    <p style="margin-top:10px;margin-bottom:0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['csatScore'] . '/50</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family:\'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width:
                                                            100%;">
                                                        <tr>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family:\'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    10px 0 0 0;
                                                                    ">Parameter</th>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family:\'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    0 10px 0 0;
                                                                    ">Score</th>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. Facility
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">2. Uniform Grooming
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">3. Documents Standards
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">4. Equipment Bay
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">5. Store Room</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">6. Washroom
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                    \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;border-radius:
                                                                    0 0 0
                                                                    10px;">7. Food Area</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;">
                                                                    <tr>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">1</td>
                                                                        <td style="background: #d93223;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">2</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">3</td>
                                                                        <td style="background: #ef874c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">4</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">5</td>
                                                                        <td style="background: #f8c446;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">6</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">7</td>
                                                                        <td style="background: #82e23c;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">8</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">9</td>
                                                                        <td style="background: #4f9a25;border-radius: 5px;text-align: center;width: 10%;padding: 5px;">10</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="color:#7E7E7E;font-size: 18px;font-family: Avenir-Medium;">Below is your CSAT response </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">1. How do you rate professionalism of our team?</td>
                                            </tr>
                                            <tr>
                                                <td style="padding-left: 20px;">
                                                     <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_grey.png" style="width: 25px;">
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">2. How is our response time?</td>
                                            </tr>
                                            <tr>
                                                <td style="padding-left: 20px;">
                                                     <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_grey.png" style="width: 25px;">
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">3. Do you find senior management visibility?</td>
                                            </tr>
                                            <tr>
                                                <td style="padding-left: 20px;">
                                                     <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_grey.png" style="width: 25px;">
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">4. Are you Satisfied with our compliance management?</td>
                                            </tr>
                                            <tr>
                                                <td style="padding-left: 20px;">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_grey.png" style="width: 25px;">
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">5. How do you rate our quality of service?</td>
                                            </tr>
                                            <tr>
                                                <td style="padding-left: 20px;">
                                                 <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_yellow.png">
                                                    <img src="https://satayender.com/smcosas/production/resources/template/star_grey.png" style="width: 25px;">
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:\'Arial\';font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:\'Arial\';font-weight:700;margin:0px;">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="text-align:
                                                        end;">
                                                    <p style="color:
                                                            #7E7E7E;font-size:15px;font-family:
                                                           \'Arial\';">Powered by</p>
                                                    <img src="https://satayender.com/smcosas/resources/SMC.png" style="width:
                                                            100px;">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    </body>
   </html>';
        return $html;
    }
    public static function sendReportEmailTemplateSMCNew($mailDetails, $user)
    {
        //print_r($mailDetails);
        $imageOne = ['<img src = "https://satayender.com/smcosas/production/resources/template/1.png">',
                     '<img src="https://satayender.com/smcosas/production/resources/template/2.png">',
                     '<img src = "https://satayender.com/smcosas/production/resources/template/3.png" >',
                     '<img src="https://satayender.com/smcosas/production/resources/template/4.png">',
                    '<img src="https://satayender.com/smcosas/production/resources/template/5.png">'];

        $image= $imageOne[$mailDetails[0]['csatAnswerONe'] -1];
        $imageOn= $imageOne[$mailDetails[0]['csatAnswertwo'] -1];
        $imageTwo= $imageOne[$mailDetails[0]['csatAnswerthree'] -1];
        $imageThree= $imageOne[$mailDetails[0]['csatAnswerfour'] -1];
        $imageFour= $imageOne[$mailDetails[0]['csatAnswerfive'] -1];
        
        $imageRating = ['<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/5.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/6.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/7.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/8.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/9.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/10.png">'];
            
        $imageRating0= $imageRating[$mailDetails[0]['auditScoreOne'] -1];
        $imageRating1= $imageRating[$mailDetails[0]['auditScoreTwo'] -1];
        $imageRating2= $imageRating[$mailDetails[0]['auditScoreThree'] -1];
        $imageRating3= $imageRating[$mailDetails[0]['auditScoreFour'] -1];
        $imageRating4= $imageRating[$mailDetails[0]['auditScoreFive'] -1];
        $imageRating5= $imageRating[$mailDetails[0]['auditScoreSix'] -1];
        $imageRating6= $imageRating[$mailDetails[0]['auditScoreSeven'] -1];
    
    $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1.0" /> -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0" />
    <title>SMC Email Template</title>

    <style>
        body {
            margin: 0;
            background-color: #e5e5e5;
            padding: 0;
        }
        
        @font-face {
            font-family: "Avenir Heavy";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf");
        }
        
        @font-face {
            font-family: "Avenir Medium";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf");
        }
        table tr td > img{
            max-width:150px;
        }
        #score tr td > img{
            max-width:100%;
        }
       
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%; background-color:
            #e5e5e5; padding-top: 30px; padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff; padding-bottom: 30px; max-width:
                        680px; margin: 0 auto; padding-left: 30px;padding-right:
                        30px;padding-top: 30px;">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%;border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                         \'Arial\';font-weight:
                                                        700;font-size: 18px;">
                                                    Hi ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Monthly Inspection and CSAT for ' . $user['locationName'] . ' has been completed on ' . $mailDetails[0]['reportDate'] . ' by ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . '. Here is the summary report of the same
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width:100%;">
                                            <tr>
                                                <td style="background: #FFEC53;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">Audit Score</p>
                                                    <p style="margin-top:10px;margin-bottom: 0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['auditScore'] . '/100</p>
                                                </td>
                                                <td style="width: 10px;"></td>
                                                <td style="background: #F2AE2E;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">CSAT Score</p>
                                                    <p style="margin-top:10px;margin-bottom:0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['csatScore'] . '/100</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width:
                                                            100%;">
                                                        <tr>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    10px 0 0 0;
                                                                    ">Parameter</th>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    0 10px 0 0;
                                                                    ">Score</th>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. Facility
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>'.$imageRating0.'</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">2. Uniform Grooming
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>'.$imageRating1.'</td>
        
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">3. Documents Standards
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                       <td>'.$imageRating2.'</td>
                                                                    
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">4. Equipment Bay
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                      <td>'.$imageRating3.'</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">5. Store Room</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>'.$imageRating4.'</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">6. Washroom
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                  <td>'.$imageRating5.'</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;border-radius:
                                                                    0 0 0
                                                                    10px;">7. Food Area</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                       <td>'.$imageRating6.'</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="color:#7E7E7E;font-size: 18px;font-family: Avenir-Medium;">Below is your CSAT response </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">1. How do you rate professionalism of our team?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px; max-width: 10%" >'.$image.'</td>
                                              
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">2. How is our response time?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >'.$imageOn.'</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">3. Do you find senior management visibility?</td>
                                            </tr>
                                            <tr>
                                              <td style="padding-left: 20px;" >'.$imageTwo.'</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">4. Are you Satisfied with our compliance management?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >'.$imageThree.'</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">5. How do you rate our quality of service?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >'.$imageFour.'</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">If you have any issues or concerns, please reach out to our Customer Service Team at csat@smcleanindia.com</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:  \'Arial\';font-weight:700;margin:0px;">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="text-align:
                                                        end;">
                                                    <p style="color:
                                                            #7E7E7E;font-size:15px;font-family:
                                                             \'Arial\';">Powered by</p>
                                                    <img src="https://satayender.com/smcosas/resources/SMC.png" style="width:
                                                            100px;">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>';
        return $html;

}
public static function sendReportEmailTemplateSMCReportTemplate($mailDetails, $user)
    {
       // print_r($mailDetails);
        $imageOne = ['<img src = "https://satayender.com/smcosas/production/resources/template/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/5.png">'];

        $image = $imageOne[$mailDetails[0]['csatAnswerONe'] - 1];
        $imageOn = $imageOne[$mailDetails[0]['csatAnswertwo'] - 1];
        $imageTwo = $imageOne[$mailDetails[0]['csatAnswerthree'] - 1];
        $imageThree = $imageOne[$mailDetails[0]['csatAnswerfour'] - 1];
        $imageFour = $imageOne[$mailDetails[0]['csatAnswerfive'] - 1];

        $imageRating = ['<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/5.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/6.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/7.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/8.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/9.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/10.png">'];

        $imageRating0 = $imageRating[$mailDetails[0]['auditScoreOne'] - 1];
        $imageRating1 = $imageRating[$mailDetails[0]['auditScoreTwo'] - 1];
        $imageRating2 = $imageRating[$mailDetails[0]['auditScoreThree'] - 1];
        $imageRating3 = $imageRating[$mailDetails[0]['auditScoreFour'] - 1];
        $imageRating4 = $imageRating[$mailDetails[0]['auditScoreFive'] - 1];
        $imageRating5 = $imageRating[$mailDetails[0]['auditScoreSix'] - 1];
        $imageRating6 = $imageRating[$mailDetails[0]['auditScoreSeven'] - 1];

        $imageEngineer = ['<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/5.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/6.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/7.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/8.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/9.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/10.png">'];

        $imageEng0 = $imageEngineer[$mailDetails[0]['engineeringScoreOne'] - 1];
        $imageEng1 = $imageEngineer[$mailDetails[0]['engineeringScoreTwo'] - 1];
        $imageEng2 = $imageEngineer[$mailDetails[0]['engineeringScoreThree'] - 1];
        $imageEng3 = $imageEngineer[$mailDetails[0]['engineeringScoreFour'] - 1];
        $imageEng4 = $imageEngineer[$mailDetails[0]['engineeringScoreFive'] - 1];
        $imageEng5 = $imageEngineer[$mailDetails[0]['engineeringScoreSix'] - 1];


        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1.0" /> -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0" />
    <title>SMC Email Template</title>

    <style>
        body {
            margin: 0;
            background-color: #e5e5e5;
            padding: 0;
        }
        
        @font-face {
            font-family: "Avenir Heavy";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf");
        }
        
        @font-face {
            font-family: "Avenir Medium";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf");
        }
        table tr td > img{
            max-width:150px;
        }
        #score tr td > img{
            max-width:100%;
        }
       
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%; background-color:
            #e5e5e5; padding-top: 30px; padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff; padding-bottom: 30px; max-width:
                        680px; margin: 0 auto; padding-left: 30px;padding-right:
                        30px;padding-top: 30px;">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%;border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                         \'Arial\';font-weight:
                                                        700;font-size: 18px;">
                                                    Hi ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Monthly Inspection and CSAT for ' . $user['locationName'] . ' has been completed on ' . $mailDetails[0]['reportDate'] . ' by ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . '. Here is the summary report of the same
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width:100%;">
                                            <tr>
                                                <td style="background: #FFEC53;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">FM Audit</p>
                                                    <p style="margin-top:10px;margin-bottom: 0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['auditScore'] . '/100</p>
                                                </td>
                                                <td style="width: 10px;"></td>
                                                <td style="background: #F2AE2E;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">Engineering Audit</p>
                                                    <p style="margin-top:10px;margin-bottom:0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['engineeringScore'] . '/290</p>
                                                </td>
                                                <td style="width: 10px;"></td>
                                                <td style="background: #F2AE2E;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">CSAT Score</p>
                                                    <p style="margin-top:10px;margin-bottom:0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['csatScore'] . '/100</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width:
                                                            100%;">
                                                        <tr>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    10px 0 0 0;
                                                                    ">Parameter</th>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    0 10px 0 0;
                                                                    ">Score</th>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. Facility
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageRating0 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">2. Uniform Grooming
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageRating1 . '</td>
        
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">3. Documents Standards
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                       <td>' . $imageRating2 . '</td>
                                                                    
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">4. Equipment Bay
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                      <td>' . $imageRating3 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">5. Store Room</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageRating4 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">6. Washroom
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                  <td>' . $imageRating5 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;border-radius:
                                                                    0 0 0
                                                                    10px;">7. Food Area</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                       <td>' . $imageRating6 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                         <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width:
                                                            100%;">
                                                        <tr>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    10px 0 0 0;
                                                                    ">Parameter</th>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    0 10px 0 0;
                                                                    ">Score</th>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. Engineering Dashboard			
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageEng0 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">2. Technical Knowledge / Training			
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageEng1 . '</td>
        
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">3. SOPS / PPES- Tools/Uniform/Grroming	
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                       <td>' . $imageEng2 . '</td>
                                                                    
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">4. SOPs / PPEs - Documentation		
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                      <td>' . $imageEng3 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">5. SOPs / PPEs - Reporting</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageEng4 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">6. SOPs / PPEs - HSE			
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                  <td>' . $imageEng5 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="color:#7E7E7E;font-size: 18px;font-family: Avenir-Medium;">Below is your CSAT response </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">1. How do you rate professionalism of our team?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px; max-width: 10%" >' . $image . '</td>
                                              
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">2. How is our response time?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >' . $imageOn . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">3. Do you find senior management visibility?</td>
                                            </tr>
                                            <tr>
                                              <td style="padding-left: 20px;" >' . $imageTwo . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">4. Are you Satisfied with our compliance management?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >' . $imageThree . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">5. How do you rate our quality of service?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >' . $imageFour . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">If you have any issues or concerns, please reach out to our Customer Service Team at csat@smcleanindia.com</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:  \'Arial\';font-weight:700;margin:0px;">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="text-align:
                                                        end;">
                                                    <p style="color:
                                                            #7E7E7E;font-size:15px;font-family:
                                                             \'Arial\';">Powered by</p>
                                                    <img src="https://satayender.com/smcosas/resources/SMC.png" style="width:
                                                            100px;">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>';
        return $html;
    }

    public static function sendReportEmailTemplateSMCCSAT($mailDetails, $user)
    {
       // print_r($mailDetails);
        $imageOne = ['<img src = "https://satayender.com/smcosas/production/resources/template/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/5.png">'];

        $image = $imageOne[$mailDetails[0]['csatAnswerONe'] - 1];
        $imageOn = $imageOne[$mailDetails[0]['csatAnswertwo'] - 1];
        $imageTwo = $imageOne[$mailDetails[0]['csatAnswerthree'] - 1];
        $imageThree = $imageOne[$mailDetails[0]['csatAnswerfour'] - 1];
        $imageFour = $imageOne[$mailDetails[0]['csatAnswerfive'] - 1];

        $imageRating = ['<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/5.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/6.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/7.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/8.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/9.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/10.png">'];

        $imageRating0 = $imageRating[$mailDetails[0]['auditScoreOne'] - 1];
        $imageRating1 = $imageRating[$mailDetails[0]['auditScoreTwo'] - 1];
        $imageRating2 = $imageRating[$mailDetails[0]['auditScoreThree'] - 1];
        $imageRating3 = $imageRating[$mailDetails[0]['auditScoreFour'] - 1];
        $imageRating4 = $imageRating[$mailDetails[0]['auditScoreFive'] - 1];
        $imageRating5 = $imageRating[$mailDetails[0]['auditScoreSix'] - 1];
        $imageRating6 = $imageRating[$mailDetails[0]['auditScoreSeven'] - 1];

        $imageEngineer = ['<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/1.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/2.png">',
            '<img src = "https://satayender.com/smcosas/production/resources/template/Ratting/3.png" >',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/4.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/5.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/6.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/7.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/8.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/9.png">',
            '<img src="https://satayender.com/smcosas/production/resources/template/Ratting/10.png">'];

        $imageEng0 = $imageEngineer[$mailDetails[0]['engineeringScoreOne'] - 1];
        $imageEng1 = $imageEngineer[$mailDetails[0]['engineeringScoreTwo'] - 1];
        $imageEng2 = $imageEngineer[$mailDetails[0]['engineeringScoreThree'] - 1];
        $imageEng3 = $imageEngineer[$mailDetails[0]['engineeringScoreFour'] - 1];
        $imageEng4 = $imageEngineer[$mailDetails[0]['engineeringScoreFive'] - 1];
        $imageEng5 = $imageEngineer[$mailDetails[0]['engineeringScoreSix'] - 1];


        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1.0" /> -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0" />
    <title>SMC Email Template</title>

    <style>
        body {
            margin: 0;
            background-color: #e5e5e5;
            padding: 0;
        }
        
        @font-face {
            font-family: "Avenir Heavy";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf");
        }
        
        @font-face {
            font-family: "Avenir Medium";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf");
        }
        .square_box tr td img{
        width: 100%;
        height:100%;
        }
        table tr td > img{
            max-width:150px;
        }
        #score tr td > img{
            max-width:100%;
        }
       
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%; background-color:
            #e5e5e5; padding-top: 30px; padding-bottom: 30px">
        <tr>
            <td>
                <table class="square_box" rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff; padding-bottom: 30px; max-width:
                        680px; margin: 0 auto; padding-left: 30px;padding-right:
                        30px;padding-top: 30px;">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%;border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                         \'Arial\';font-weight:
                                                        700;font-size: 18px;">
                                                    Hi ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Monthly Inspection and CSAT for ' . $user['locationName'] . ' has been completed on ' . $mailDetails[0]['reportDate'] . ' by ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . '. Here is the summary report of the same
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width:100%;">
                                            <tr>
                                              
                                                <td style="background: #F2AE2E;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">Engineering Audit</p>
                                                    <p style="margin-top:10px;margin-bottom:0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['engineeringScore'] . '/290</p>
                                                </td>
                                                <td style="width: 10px;"></td>
                                                <td style="background: #F2AE2E;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">CSAT Score</p>
                                                    <p style="margin-top:10px;margin-bottom:0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['csatScore'] . '/100</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                      
                                         <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width:
                                                            100%;">
                                                        <tr>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    10px 0 0 0;
                                                                    ">Parameter</th>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    0 10px 0 0;
                                                                    ">Score</th>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. Engineering Dashboard			
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageEng0 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">2. Technical Knowledge / Training			
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageEng1 . '</td>
        
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">3. SOPS / PPES- Tools/Uniform/Grroming	
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                       <td>' . $imageEng2 . '</td>
                                                                    
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">4. SOPs / PPEs - Documentation		
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                      <td>' . $imageEng3 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">5. SOPs / PPEs - Reporting</td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td>' . $imageEng4 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">6. SOPs / PPEs - HSE			
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                  <td>' . $imageEng5 . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="color:#7E7E7E;font-size: 18px;font-family: Avenir-Medium;">Below is your CSAT response </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">1. How do you rate professionalism of our team?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px; max-width: 10%" >' . $image . '</td>
                                              
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">2. How is our response time?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >' . $imageOn . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">3. Do you find senior management visibility?</td>
                                            </tr>
                                            <tr>
                                              <td style="padding-left: 20px;" >' . $imageTwo . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #e8e8e8;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">4. Are you Satisfied with our compliance management?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >' . $imageThree . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;width: 100%;padding: 15px 0 15px 15px;background: #fbfbfb;">
                                            <tr>
                                                <td style="font-size: 18px;color: #7E7E7E;font-family: Avenir-Medium;">5. How do you rate our quality of service?</td>
                                            </tr>
                                            <tr>
                                               <td style="padding-left: 20px;" >' . $imageFour . '</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">If you have any issues or concerns, please reach out to our Customer Service Team at csat@smcleanindia.com</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:  \'Arial\';font-weight:700;margin:0px;">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="text-align:
                                                        end;">
                                                    <p style="color:
                                                            #7E7E7E;font-size:15px;font-family:
                                                             \'Arial\';">Powered by</p>
                                                    <img src="https://satayender.com/smcosas/resources/SMC.png" style="width:
                                                            100px;">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>';
        return $html;
    }
     public static function sendOSASReportEmailTemplateSMC($mailDetails, $user)
    {

        $html = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
    "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=urf=8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- <meta name="viewport" content="width=device-width, initial-scale=1.0" /> -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0" />
    <title>SMC Email Template</title>

    <style>
        body {
            margin: 0;
            background-color: #e5e5e5;
            padding: 0;
        }
        
        @font-face {
            font-family: "Avenir Heavy";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Heavy.otf");
        }
        
        @font-face {
            font-family: "Avenir Medium";
            src: url("https://iporter.in/new-version/resources/emailResources/Avenirfont/Avenir/Avenir-Medium.otf");
        }
        table tr td > img{
            max-width:150px;
        }
        #score tr td > img{
            max-width:100%;
        }
       
    </style>
</head>

<body>
    <table rowspan="0" colspan="0" style="width: 100%; background-color:
            #e5e5e5; padding-top: 30px; padding-bottom: 30px">
        <tr>
            <td>
                <table rowspan="0" colspan="0" width="100%" style="
                        background-color: #fff; padding-bottom: 30px; max-width:
                        680px; margin: 0 auto; padding-left: 30px;padding-right:
                        30px;padding-top: 30px;">
                    <tr>
                        <td>
                            <table colspan="0" rowspan="0" style="width:
                                    100%;border-collapse: collapse;">
                                <tr>
                                    <td>
                                        <table colspan="0" rowspan="0" width="100%">
                                            <tr>
                                                <td style="font-family:
                                                         \'Arial\';font-weight:
                                                        700;font-size: 18px;">
                                                    Hi ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . ',
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Monthly Inspection Report ' . $user['locationName'] . ' has been completed on ' . $mailDetails[0]['reportDate'] . ' by ' . $user['firstName'] . ' ' . $user['middleName'] . ' ' . $user['lastName'] . '. Here is the summary report of the same
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width:100%;">
                                            <tr>
                                                <td style="background: #FFEC53;padding: 20px 0px 20px 20px;border-radius: 10px;">
                                                    <p style="margin:0px;font-size: 18px;font-family: Avenir-Medium;color: #333333;">Inspection</p>
                                                    <p style="margin-top:10px;margin-bottom: 0;font-size: 25px;font-family: Avenir-Medium;color: #333333;">' . $mailDetails[0]['answer'] . '</p>
                                                </td>
                
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="font-family: \'Arial\';font-weight:400;font-size:15px;color:
                                                        #6d6d6d;">
                                                    Below is the individual score of various inspection parameters
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <table colspan="0" rowspan="0" style="width:
                                                            100%;">
                                                        <tr>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    10px 0 0 0;
                                                                    ">Parameter</th>
                                                            <th style="background-color:
                                                                    #575656;color:#fff;font-family: \'Arial\';font-size:
                                                                    16px;padding-left:
                                                                    12px;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;text-align:
                                                                    left;border-radius:
                                                                    0 10px 0 0;
                                                                    ">Score</th>
                                                        </tr>
                                                        <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. PEOPLE SAFETY	
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td style="color:green;">' . $mailDetails[0]['oneAnswer'] . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                         <tr style="background-color:#FBFBFB;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">1. INFRASTRUCTURE HAZARDS	
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td style="color:green;">' . $mailDetails[0]['twoAnswer'] . '</td>
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                        <tr style="background-color:
                                                                #E8E8E8;">
                                                            <td style="font-weight:
                                                                    400;font-size:
                                                                    15px;color:#7e7e7e;font-family:
                                                                     \'Arial\';width:
                                                                    50%;padding-top:
                                                                    12px;padding-bottom:
                                                                    12px;padding-left:
                                                                    12px;">2. Environmental HAZARDS
                                                            </td>
                                                            <td style="padding-left: 7px;padding-right: 7px;">
                                                                <table colspan="0" rowspan="0" style="width: 100%;" id="score">
                                                                    <tr>
                                                                        <td style="color:green;">' . $mailDetails[0]['threeAnswer'] . '</td>
        
                                                                    </tr>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </table>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>&nbsp;</td>
                                            </tr>
                                        </table>
                                        
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">If you have any issues or concerns, please reach out to our Customer Service Team at csat@smcleanindia.com</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family: \'Arial\';font-weight:400">Thanks For your Business</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td>
                                                    <p style="font-size:
                                                            15px;color:#7E7E7E;font-family:  \'Arial\';font-weight:700;margin:0px;">SMC Integrated Facility Management Solutions Limited</p>
                                                </td>
                                            </tr>
                                        </table>
                                        <table colspan="0" rowspan="0" style="width: 100%;">
                                            <tr>
                                                <td style="text-align:
                                                        end;">
                                                    <p style="color:
                                                            #7E7E7E;font-size:15px;font-family:
                                                             \'Arial\';">Powered by</p>
                                                    <img src="https://servicemastercleanindia.com/wp-content/uploads/2021/12/smc-mian-logo.png" style="width:
                                                            100px;">
                                                </td>
                                            </tr>
                                        </table>

                                    </td>
                                </tr>
                            </table>
                            <!-- ================ -->
                            <!-- ======================== -->
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</body>

</html>';
        return $html;
    }
}
