<?php

/**
 * Created by PhpStorm.
 * User: Narendra Kumar
 * Date: 01-Mar-16
 * Time: 4:45 PM
 */
class ApplePushNotificationManager
{
    public static $passPhrase = '';
    public static $certificatePath = '';

    private function __construct($userType)
    {

    }

    public static function sendNotification($userType, $deviceToken, $message, $messageBody = '', $attachment = "", $hiddenMessage = array(), $notificationFlag = 1)
    {
        if ($userType == UserType::CUSTOMER) {
            self::$certificatePath = 'certificates/passenger/Certificates.pem';
        } elseif ($userType == UserType::MANAGER) {
            self::$certificatePath = 'certificates/driver/Certificates.pem';
        }
        try {
            $ctx = stream_context_create();
            stream_context_set_option($ctx, 'ssl', 'local_cert', self::$certificatePath);
            stream_context_set_option($ctx, 'ssl', 'passphrase', self::$passPhrase);

            $fp = stream_socket_client('ssl://gateway.sandbox.push.apple.com:2195', $err, $errstr, 60,
                STREAM_CLIENT_CONNECT | STREAM_CLIENT_PERSISTENT,
                $ctx);

            // Create the payload body
            $body['aps'] = array(
                'badge' => 1,
                'alert' => array(
                    'title' => $message,
                    'body' => $messageBody,
                ),
                'category' => "coupon",
                'mutable-content' => 1,
                'hiddenMessage' => $hiddenMessage,
                'content-available' => 1
            );

            if ($notificationFlag) {
                $body['aps']['sound'] = 'default';
            }

            if (strpos($attachment, 'https://') !== false) {
                $body['data'] = array("attachment-url" => $attachment);
            } elseif (strpos($attachment, 'http://') !== false) {
                $body['data'] = array("attachment-url" => $attachment);
            } else {
                $body['data'] = array("attachment-url" => "");
            }

            $payload = json_encode($body);

            // Build the binary notification
            $msg = chr(0) . pack('n', 32) . pack('H*', $deviceToken) . pack('n', strlen($payload)) . $payload;

            // Send it to the server
            $result = fwrite($fp, $msg, strlen($msg));
            if (!$result) {
                $response['error'] = 1;
                $response['message'] = "Message not delivered!";
            } else {
                $response['error'] = 0;
                $response['message'] = 'Message successfully delivered';
            }
            // Close the connection to the server
            fclose($fp);

            return $response;
        } catch (Exception $e) {
            //echo $e->getMessage();
        }
    }
}
