<?php

class SystemManager
{
    public function __construct($store = null)
    {
        if (isset($store)) {
            $this->store = $store;
        } else {
            $this->store = new SystemStore();
        }
    }

    public function getCodeList($newCodeList)
    {
        $dataSet = $this->store->getCodeList($newCodeList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCodeListObject($dataSet);
        }
        return $result;
    }

    public function getCountryList($newCountryList)
    {
        $dataSet = $this->store->getCountryList($newCountryList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCountryListObject($dataSet);
        }
        return $result;
    }

    public function getDayList($days)
    {
        $dataSet = $this->store->getDayList($days);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getDayListObject($dataSet);
        }
        return $result;
    }
    public function getTimeList($time)
    {
        $dataSet = $this->store->getTimeList($time);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getTimeListObject($dataSet);
        }
        return $result;
    }
    public function getAppConfigurationList($image)
    {
        $dataSet = $this->store->getAppConfigurationList($image);
        $result = array();
        if (count($dataSet)) {
           // $result['details'] = Converter::getAppOfferImageListObject($dataSet);
            $result['details'] = Converter::getTimeListObject($dataSet['timeDetails']);
            $result['images'] = Converter::getAppOfferImageListObject($dataSet['offerImage']);
            $result['appDetail'] = Converter::getAppDetailsObject($dataSet['appDetails']);
            $result['dayList'] = Converter::getDayListObject($dataSet['dayDetails']);
        }
        return $result;
    }

    public function allotJobsWasher($job)
    {

        $dataSet = $this->store->allotJobsWasher($job);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function getUserAppSetting($newApp)
    {
        $dataSet = $this->store->getUserAppSetting($newApp);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserAppSettingListObject($dataSet);
        }
        return $result;
    }
    public function backDateJob($job)
    {

        $dataSet = $this->store->backDateJob($job);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }


    public function cashbackCronJob($job)
    {

        $dataSet = $this->store->cashbackCronJob($job);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }


    public function getAppConfigurations($appId)
    {
        $dataSet = $this->store->getAppConfigurations($appId);
        $configurations = new stdClass();
        $configurations->countries = array();
        $configurations->updateConfig = null;
        $totalDataSet = count($dataSet);
        if ($totalDataSet > 0 && count($dataSet[0])) {
            $countries = array();
            foreach ($dataSet[0] as $row) {
                $countries[] = Converter::getCountryObject($row);
            }
            $configurations->countries = $countries;
        }
        if ($totalDataSet > 1 && count($dataSet[1])) {
            $config = new stdClass();
/*          $config->googleApiKeyAndroid = HelperMethods::getColumnValue($dataSet[1][0], CommonDbColumns::$googleApiKeyAndroid, DataType::STRING);
            $config->googleApiKeyIos = HelperMethods::getColumnValue($dataSet[1][0], CommonDbColumns::$googleApiKeyIos, DataType::STRING);
            $config->googleApiKeyWeb = HelperMethods::getColumnValue($dataSet[1][0], CommonDbColumns::$googleApiKeyWeb, DataType::STRING);
            $config->otpVerifyAboveAmount = HelperMethods::getColumnValue($dataSet[1][0], 'verfiy_with_otp_above_estimated_dare', DataType::STRING);
            $config->bookACabTimer = HelperMethods::getColumnValue($dataSet[1][0], 'book_a_cab_timer', DataType::INTEGER);
            $config->bookACabTotalTimer = HelperMethods::getColumnValue($dataSet[1][0], 'book_a_cab_total_timer', DataType::INTEGER);
            $config->incrementAmountInterval = HelperMethods::getColumnValue($dataSet[1][0], 'amount_increment_interval', DataType::INTEGER);
            $config->decrementAmountInterval = HelperMethods::getColumnValue($dataSet[1][0], 'amount_decrement_interval', DataType::INTEGER);
            $config->sinpeMinimumAmount = HelperMethods::getColumnValue($dataSet[1][0], 'sinpe_minimum_amount', DataType::INTEGER);*/

            $config->android = new stdClass();
            $config->ios = new stdClass();
            $androidConfig = new stdClass();
            $iosConfig = new stdClass();

            $androidConfig->wahser->version = HelperMethods::getColumnValue($dataSet[1][0], 'android_washer_verison', DataType::STRING);
            $androidConfig->wahser->willUpdate = HelperMethods::getColumnValue($dataSet[1][0], 'android_washer_will_update', DataType::INTEGER);
            $androidConfig->wahser->willShowPopup = HelperMethods::getColumnValue($dataSet[1][0], 'android_washer_will_show_popup', DataType::INTEGER);


            $androidConfig->customer->version = HelperMethods::getColumnValue($dataSet[1][0], 'android_customer_verison', DataType::STRING);
            $androidConfig->customer->willUpdate = HelperMethods::getColumnValue($dataSet[1][0], 'android_customer_will_update', DataType::INTEGER);
            $androidConfig->customer->willShowPopup = HelperMethods::getColumnValue($dataSet[1][0], 'android_customer_will_show_popup', DataType::INTEGER);

            $iosConfig->customer->version = HelperMethods::getColumnValue($dataSet[1][0], 'ios_customer_verison', DataType::STRING);
            $iosConfig->customer->willUpdate = HelperMethods::getColumnValue($dataSet[1][0], 'ios_customer_will_update', DataType::STRING);
            $iosConfig->customer->willShowPopup = HelperMethods::getColumnValue($dataSet[1][0], 'ios_customer_will_show_popup', DataType::INTEGER);
            $config->android = $androidConfig;
            $config->ios = $iosConfig;
        /*  $config->huaweiUpdateConfig = new stdClass();
            $config->huaweiUpdateConfig->version = HelperMethods::getColumnValue($dataSet[1][0], 'huawei_verison', DataType::INTEGER);
            $config->huaweiUpdateConfig->willUpdate = HelperMethods::getColumnValue($dataSet[1][0], 'huawei_will_update', DataType::INTEGER);
            $config->huaweiUpdateConfig->willShowPopup = HelperMethods::getColumnValue($dataSet[1][0], 'huawei_will_show_popup', DataType::INTEGER);*/

            $configurations->updateConfig = $config;

        }

        return $configurations;
    }
 public function getRegionList($newApp)
    {
        $dataSet = $this->store->getRegionList($newApp);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getRegionListObject($dataSet);
        }
        return $result;
    }
    public function getBranchList($newApp)
    {
        $dataSet = $this->store->getBranchList($newApp);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getBranchListObject($dataSet);
        }
        return $result;
    }
      public function cronSiteAllotment($job)
    {

        $dataSet = $this->store->cronSiteAllotment($job);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }
  public function getSMCAppConfigurations($appId)
    {
        $dataSet = $this->store->getSMCAppConfigurations($appId);
        $configurations = new stdClass();
        $configurations->updateConfig = null;
        //print_r($dataSet);
        $totalDataSet = count($dataSet);
        if (count($dataSet)) {
            $config = new stdClass();
            $config->android = new stdClass();
            $config->ios = new stdClass();
            $androidConfig->customer->version = HelperMethods::getColumnValue($dataSet[0], 'android_customer_verison', DataType::STRING);
            $androidConfig->customer->willUpdate = HelperMethods::getColumnValue($dataSet[0], 'android_customer_will_update', DataType::INTEGER);
            $androidConfig->customer->willShowPopup = HelperMethods::getColumnValue($dataSet[0], 'android_customer_will_show_popup', DataType::INTEGER);

            $iosConfig->customer->version = HelperMethods::getColumnValue($dataSet[0], 'ios_customer_verison', DataType::STRING);
            $iosConfig->customer->willUpdate = HelperMethods::getColumnValue($dataSet[0], 'ios_customer_will_update', DataType::STRING);
            $iosConfig->customer->willShowPopup = HelperMethods::getColumnValue($dataSet[0], 'ios_customer_will_show_popup', DataType::INTEGER);
            $config->android = $androidConfig;
            $config->ios = $iosConfig;
            $configurations->updateConfig = $config;

        }

        return $configurations;
    }
}
