<?php

/**
 * Created by PhpStorm.
 * User: Pankaj
 * Date: 31-Aug-19
 * Time: 03:01 PM
 */
 use Dompdf\Dompdf;
class UserManager
{
    private $store = null;

    public function __construct()
    {
        if (isset($store)) {
            $this->store = $store;
        } else {
            $this->store = new UserStore();
        }
    }

    public function createCustomerBasicDetails($details)
    {
        $dataSet = $this->store->createCustomerBasicDetails($details);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCustomerSignupDetailsObject($dataSet);
            $userDetails = $result['details'][0];
            if ($userDetails['userId'] != 0) {
                // $data = new stdClass();
                $to = "hello@carblushh.com";
                $toName = "hello@carblushh.com";
                $subject = "New Carblushh Registration";
                $body = EmailTemplate::sendUserDetailsEmailTemplate($userDetails);
                EmailManager::sendEMail($to, $toName, $subject, $body);
            }
        }
        return $result;
    }

    public function createCustomerAddressDetails($address)
    {
        $dataSet = $this->store->createCustomerAddressDetails($address);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCustomerAddressDetailsObject($dataSet);
        }
        return $result;
    }

    public function getCategoryList($category)
    {
        $dataSet = $this->store->getCategoryList($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCategoryListObject($dataSet);
        }
        return $result;
    }

    public function getCategoryPlanList($plan)
    {
        $dataSet = $this->store->getCategoryPlanList($plan);
        $result = array();
        if (count($dataSet)) {
            // $manager = New AuthManager();
            $result['planList'] = Converter::getCategoryPlanListObject($dataSet['planList']);
            $result['userDetails'] = Converter::getCustomerDetailsObject(array($dataSet['userDetails']));
        }
        return $result;
    }

    public function createUserVehicle($vehicle)
    {
        $dataSet = $this->store->createUserVehicle($vehicle);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserVehicleListObject($dataSet);
        }
        return $result;
    }

    public function getUserVehicleList($vehicle)
    {
        $dataSet = $this->store->getUserVehicleList($vehicle);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserVehicleListObject($dataSet);
        }
        return $result;
    }

    public function createUserOrder($order)
    {
        $dataSet = $this->store->createUserOrder($order);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserOrderListObject($dataSet);
            $orders = $result['details'][0];
            if ($orders['orderId'] != 0) {
                $data = new stdClass();
//                $to = $orders['email'];
//                $toName = $orders['email'];
//                $to = "hello@carblushh.com";
//                $toName = "hello@carblushh.com";
                $to = $orders['email'];
                $toName = "";
                $subject = "Your Subscription Details";
                $body = EmailTemplate::createOrderEmailTemplate($orders);
                // $data->message = "Login OTP " . $userId['otp'] ;
                // $data->message = "Your OTP for Login is " . $userId['otp'] . " , Please Do Not Share This with anyone. Thanks Carblush.";
                //$data->dailingCode = $userId['dialingCode'];
                // $data->message = "Login OTP." . HelperMethods::generateVerificationCode();
                // EmailManager::sendEMail($to, $toName, $subject, $body);
                EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, [["hello@carblushh.com", "Carblushh Support"]]);
            }
        }
        return $result;
    }

    public function getSocietyList($society)
    {
        $dataSet = $this->store->getSocietyList($society);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getSocietyListObject($dataSet);
        }
        return $result;
    }

    public function getVehicleBrandList($brand)
    {
        $dataSet = $this->store->getVehicleBrandList($brand);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getVehicleBrandListObject($dataSet);
        }
        return $result;
    }

    public function getVehicleModelList($model)
    {
        $dataSet = $this->store->getVehicleModelList($model);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getVehicleModelListObject($dataSet);
        }
        return $result;
    }

    public function verifiedMobileNumber($verifiedMobile)
    {
        $dataSet = $this->store->verifiedMobileNumber($verifiedMobile);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function addWalletAmountByUser($amount)
    {
        $dataSet = $this->store->addWalletAmountByUser($amount);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserWalletAmount($dataSet);
        }
        return $result;
    }

    public function getUserTransactionHistory($wallet)
    {
        $dataSet = $this->store->getUserTransactionHistory($wallet);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserWalletHistoryObject($dataSet);
        }
        return $result;
    }

    public function setUpUserPassword($updatePassword)
    {
        //print_r($updatePassword);
        $dataSet = $this->store->setUpUserPassword($updatePassword);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function userLogout($logout)
    {
        $dataSet = $this->store->userLogout($logout);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function userVehicleDelete($delete)
    {
        $dataSet = $this->store->userVehicleDelete($delete);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function getSubscriptionHistory($history)
    {
        $dataSet = $this->store->getSubscriptionHistory($history);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getSubscriptionHistoryObject($dataSet);
            //$result['timeDetails'] = Converter::getUserServiceTimeDetailsObject($dataSet['timeDetails']);
        }
        return $result;

    }

    public function updateServiceDateTime($dateTime)
    {
        $dataSet = $this->store->updateServiceDateTime($dateTime);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function getUserServiceList($service)
    {
        $dataSet = $this->store->getUserServiceList($service);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserBySelectedDateServiceObject($dataSet);
        }
        return $result;

    }

    public function updateSubscriptionDateTime($dateTime)
    {
        $dataSet = $this->store->updateSubscriptionDateTime($dateTime);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function getShinerDetails($shiner)
    {
        $dataSet = $this->store->getShinerDetails($shiner);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getShinerOrderDetailsObject($dataSet['orderDetails']);
            $result['services'] = Converter::getShinerDetailsObject($dataSet['imagesList']);
        }
        return $result;

    }

    public function sendFeedback($rating)
    {
        $dataSet = $this->store->sendFeedback($rating);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function applyCoupon($coupon)
    {
        $dataSet = $this->store->applyCoupon($coupon);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function getCityList($city)
    {
        $dataSet = $this->store->getCityList($city);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCityListObject($dataSet);
        }
        return $result;
    }

//    public function getUserAddressList($userId)
//    {
//        $dataSet = $this->store->getUserAddressList($userId);
//        $result = array();
//        if (count($dataSet)) {
//            $result['details'] = Converter::getUserAddressListObject($dataSet);
//        }
//        return $result;
//    }

    public function updateVehicleAddress($address)
    {
        $dataSet = $this->store->updateVehicleAddress($address);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;

    }

    public function getUserSubscriptionActiveList($activeList)
    {
        $dataSet = $this->store->getUserSubscriptionActiveList($activeList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUserSubscriptionActiveListObject($dataSet);
        }
        return $result;

    }

// old
    public function updateOrderStatus($updateStatus)
    {
        $dataSet = $this->store->updateOrderStatus($updateStatus);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function updateOrderLocation($updateLocation)
    {
        $dataSet = $this->store->updateOrderLocation($updateLocation);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function willLoginWithOtp($loginWithOtp)
    {
        $dataSet = $this->store->willLoginWithOtp($loginWithOtp);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function createItemReview($review)
    {
        $dataSet = $this->store->createItemReview($review);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function createOutletReview($outletCustomerReview)
    {
        $dataSet = $this->store->createOutletReview($outletCustomerReview);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function getItemReviewList($reviewList)
    {
        $dataSet = $this->store->getItemReviewList($reviewList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getItemReviewListObject($dataSet);
        }
        return $result;
    }

    public function getOutletReviewList($reviewOutletList)
    {
        $dataSet = $this->store->getOutletReviewList($reviewOutletList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getOutletReviewListObject($dataSet);
        }
        return $result;
    }

    public function createCustomerOrder($customerOrder)
    {
        $result = array();
        $orderDetails = array();
        // $customerOrder->customerOrderString;
        $orderDetails = json_decode($customerOrder->customerOrderString, true);
        foreach ($orderDetails['data'][0]['details'] as $k => $order) {
            $result['details'] = array();
            // print_r($result);die;
            $order['userId'] = $customerOrder->userId;
            $dataSet = $this->store->createCustomerOrder($order);
            //print_r($dataSet);die;
            $result['details'] = Converter::getCustomerOrderListObject($dataSet);;
        }

        return $result;
    }

    public function getCustomerOrderHistory($orderHistory)
    {
        $dataSet = $this->store->getCustomerOrderHistory($orderHistory);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCustomerOrderHistoryObject($dataSet);
        }
        return $result;
    }

    public function getCustomerOrderList($orderList)
    {
        $dataSet = $this->store->getCustomerOrderList($orderList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getOutletMangerOrderListObject($dataSet);
        }
        return $result;
    }

    public function createCustomerAddress($customerAddress)
    {
        $dataSet = $this->store->createCustomerAddress($customerAddress);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCustomerAddressObject($dataSet);
        }
        return $result;
    }

    public function getCustomerAddressList($addressList)
    {
        $dataSet = $this->store->getCustomerAddressList($addressList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCustomerAddressListObject($dataSet);
        }
        return $result;
    }

    public function getMyOutletOrderOnline($onlineOrder)
    {
        //print_r($onlineOrder);
        $dataSet = $this->store->getMyOutletOrderOnline($onlineOrder);
        $result = array();
        if (count($dataSet) && isset($dataSet['orderList'])) {
            $result['details'] = Converter::getCustomerOrderOnlineObject($dataSet['orderList']);
        }
        if (count($dataSet) && isset($dataSet['orderCount'])) {
            $result['orderStatus'] = Converter::getOrderStatusCountObject($dataSet['orderCount']);
        }
        return $result;
    }

    public function updateCustomerAddress($defaultAddress)
    {
        $dataSet = $this->store->updateCustomerAddress($defaultAddress);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUpdateCustomerAddressListObject($dataSet);
        }
        return $result;
    }

    public function setUpPasswordOutletManager($managerPassword)
    {
        //print_r($updatePassword);
        $dataSet = $this->store->setUpPasswordOutletManager($managerPassword);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function verifiedMobileNumberOutletManager($managerVerifiedMobile)
    {
        $dataSet = $this->store->verifiedMobileNumberOutletManager($managerVerifiedMobile);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getOutletManagerOutletDetailsObject($dataSet);
        }
        return $result;
    }

    public function willLoginWithOtpOutletManager($loginWithOtpManager)
    {
        $dataSet = $this->store->willLoginWithOtpOutletManager($loginWithOtpManager);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function getOutletManagerOrderOnlineList($onlineOrderList)
    {

        $dataSet = $this->store->getOutletManagerOrderOnlineList($onlineOrderList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getOutletMangerOrderListObject($dataSet);
        }
        return $result;
    }

    public function updateOrderOnlineStatus($updateOnlineStatus)
    {


        $dataSet = $this->store->updateOrderOnlineStatus($updateOnlineStatus);


        if (count($dataSet)) {


            $order = $dataSet['orderDetails'];

            $userDetailsOrder = $dataSet['usersDetails'];
            //print_r($userDetailsOrder);
            switch ($order['type_id']) {

                case OrderStatus::ACCEPTED :


                    $auth = new AuthManager();

                    $notification = new stdClass();

                    $notification->userId = $updateOnlineStatus->userId;

                    $notification->notificationId = 1000;

                    $notification->outletId = $order['outlet_id'];

                    $notification->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $notificationDetails = EmailTemplate::getNotificationForOutlet($notification);

                    $userDetails = $auth->getUserByUserIdAndTypeNew($userDetailsOrder['custmer_user_id'], UserType::CUSTOMER);

                    // print_r($notificationDetails);

                    // print_r($userDetails);


                    if ($notificationDetails['flag']) {

                        if (strlen($userDetails['device_token']) > 10) {

                            if ($userDetails['device_type'] == 'ios') {

                                ApplePushNotificationManager::sendNotification(UserType::CUSTOMER, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], '', array('orderDetails' => $order));

                            } else {

                                FCMManager::sendNotification(1, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], array('orderDetails' => $order));

                            }

                        }

                    }

                    $message = new stdClass();

                    $message->userId = $updateOnlineStatus->userId;

                    $message->messageId = 1000;

                    $message->outletId = $order['outlet_id'];

                    $message->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $messageDetails = EmailTemplate::getMessageForOutlet($message);

                    if ($messageDetails['flag']) {

                        TwilioManager::sendMessage(1, $userDetails['dailing_code'] . $userDetails['mobile'], $messageDetails['text']);

                    }


                    $mail = new stdClass();

                    $mail->userId = $updateOnlineStatus->userId;

                    $mail->mailId = 1000;

                    $mail->outletId = $order['outlet_id'];

                    $mail->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $mailDetails = EmailTemplate::getMailForOutlet($mail);

                    EmailManager::sendMail(1, $userDetails['email'], 'User Name', $mailDetails['mail_subject'], $mailDetails['text']);

                    break;

                case OrderStatus::READY :

                    $auth = new AuthManager();

                    $notification = new stdClass();

                    $notification->userId = $updateOnlineStatus->userId;

                    $notification->notificationId = 1001;

                    $notification->outletId = $order['outlet_id'];

                    $notification->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $notificationDetails = EmailTemplate::getNotificationForOutlet($notification);

                    $userDetails = $auth->getUserByUserIdAndTypeNew($userDetailsOrder['custmer_user_id'], UserType::CUSTOMER);

                    if ($notificationDetails['flag']) {

                        if (strlen($userDetails['device_token']) > 10) {

                            if ($userDetails->deviceType == 'ios') {

                                ApplePushNotificationManager::sendNotification(UserType::CUSTOMER, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], '', array('orderDetails' => $order));

                            } else {

                                FCMManager::sendNotification(1, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], array('orderDetails' => $order));

                            }

                        }

                    }

                    $message = new stdClass();

                    $message->userId = $updateOnlineStatus->userId;

                    $message->messageId = 1001;

                    $message->outletId = $order['outlet_id'];

                    $message->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $messageDetails = EmailTemplate::getMessageForOutlet($message);

                    if ($messageDetails['flag']) {

                        TwilioManager::sendMessage(1, $userDetails['dailing_code'] . $userDetails['mobile'], $messageDetails['text']);

                    }


                    $mail = new stdClass();

                    $mail->userId = $updateOnlineStatus->userId;

                    $mail->mailId = 1001;

                    $mail->outletId = $order['outlet_id'];

                    $mail->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $mailDetails = EmailTemplate::getMailForOutlet($mail);

                    EmailManager::sendMail(1, $userDetails['email'], 'User Name', $mailDetails['mail_subject'], $mailDetails['text']);

                    break;


                case OrderStatus::DISPATCHED  :

                    $auth = new AuthManager();

                    $notification = new stdClass();

                    $notification->userId = $updateOnlineStatus->userId;

                    $notification->notificationId = 1000;

                    $notification->outletId = $order['outlet_id'];

                    $notification->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $notificationDetails = EmailTemplate::getNotificationForOutlet($notification);

                    $userDetails = $auth->getUserByUserIdAndTypeNew($userDetailsOrder['custmer_user_id'], UserType::CUSTOMER);

                    if ($notificationDetails['flag']) {

                        if (strlen($userDetails['device_token']) > 10) {

                            if ($userDetails->deviceType == 'ios') {

                                ApplePushNotificationManager::sendNotification(UserType::CUSTOMER, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], '', array('orderDetails' => $order));

                            } else {

                                FCMManager::sendNotification(1, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], array('orderDetails' => $order));

                            }

                        }

                    }

                    $message = new stdClass();

                    $message->userId = $updateOnlineStatus->userId;

                    $message->messageId = 1000;

                    $message->outletId = $order['outlet_id'];

                    $message->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $messageDetails = EmailTemplate::getMessageForOutlet($message);

                    if ($messageDetails['flag']) {

                        TwilioManager::sendMessage(1, $userDetails['dailing_code'] . $userDetails['mobile'], $messageDetails['text']);

                    }


                    $mail = new stdClass();

                    $mail->userId = $updateOnlineStatus->userId;

                    $mail->mailId = 1000;

                    $mail->outletId = $order['outlet_id'];

                    $mail->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $mailDetails = EmailTemplate::getMailForOutlet($mail);

                    EmailManager::sendMail(1, $userDetails['email'], 'User Name', $mailDetails['mail_subject'], $mailDetails['text']);

                    break;


                case OrderStatus::DELIVERED :

                    $auth = new AuthManager();

                    $notification = new stdClass();

                    $notification->userId = $updateOnlineStatus->userId;

                    $notification->notificationId = 1000;

                    $notification->outletId = $order['outlet_id'];

                    $notification->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $notificationDetails = EmailTemplate::getNotificationForOutlet($notification);

                    $userDetails = $auth->getUserByUserIdAndTypeNew($userDetailsOrder['custmer_user_id'], UserType::CUSTOMER);

                    if ($notificationDetails['flag']) {

                        if (strlen($userDetails['device_token']) > 10) {

                            if ($userDetails->deviceType == 'ios') {

                                ApplePushNotificationManager::sendNotification(UserType::MANAGER, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], '', array('orderDetails' => $order));

                            } else {

                                FCMManager::sendNotification(1, $userDetails['device_token'], $notificationDetails['heading'], $notificationDetails['text'], array('orderDetails' => $order));

                            }

                        }

                    }

                    $message = new stdClass();

                    $message->userId = $updateOnlineStatus->userId;

                    $message->messageId = 1000;

                    $message->outletId = $order['outlet_id'];

                    $message->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $messageDetails = EmailTemplate::getMessageForOutlet($message);

                    if ($messageDetails['flag']) {

                        TwilioManager::sendMessage(1, $userDetails['dailing_code'] . $userDetails['mobile'], $messageDetails['text']);

                    }

                    $mail = new stdClass();

                    $mail->userId = $updateOnlineStatus->userId;

                    $mail->mailId = 1000;

                    $mail->outletId = $order['outlet_id'];

                    $mail->language = isset($updateOnlineStatus->language) ? $updateOnlineStatus->language : 'en';

                    $mailDetails = EmailTemplate::getMailForOutlet($mail);

                    EmailManager::sendMail(1, $userDetails['email'], 'User Name', $mailDetails['mail_subject'], $mailDetails['text']);

                    break;

            }

        }

        return $dataSet;

    }

    public function createReservation($reservation)
    {
        $dataSet = $this->store->createReservation($reservation);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getReservationListObject($dataSet);
        }
        return $result;
    }

    public function getReservationList($reservationList)
    {
        $dataSet = $this->store->getReservationList($reservationList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getReservationListObject($dataSet);
        }
        return $result;
    }

    public function getDeliveryBoyAssignOrderList($assignOrderList)
    {
        $dataSet = $this->store->getDeliveryBoyAssignOrderList($assignOrderList);
        $result = array();
        if (count($dataSet)) {

            $result['details'] = Converter::getOutletAssignOrderListObject($dataSet);
        }
        return $result;
    }

    public function updateRiderStatus($updateStatus)
    {
        return $this->store->updateRiderStatus($updateStatus);

    }

    public function getOutletRiderList($riderList)
    {
        $dataSet = $this->store->getOutletRiderList($riderList);
        $result = array();
        if (count($dataSet)) {

            $result['details'] = Converter::getOutletOnlineRiderListObject($dataSet);
        }
        return $result;
    }

    public function getRiderList($outletRiderList)
    {
        $dataSet = $this->store->getRiderList($outletRiderList);
        $result = array();
        if (count($dataSet)) {

            $result['details'] = Converter::getRiderListObject($dataSet);
        }
        return $result;
    }

    public function getRiderOrderList($orderList)
    {
        $dataSet = $this->store->getRiderOrderList($orderList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getOutletMangerOrderListObject($dataSet);
        }
        return $result;
    }

    public function updateUserPauseJob($pause)
    {
        $dataSet = $this->store->updateUserPauseJob($pause);
        $result = array();
        if ($dataSet) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function updateServiceTimeRequestByUser($changeTime)
    {
        $dataSet = $this->store->updateServiceTimeRequestByUser($changeTime);
        $result = array();
        if ($dataSet) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function updateCustomerNameImage($customerName)
    {
        $dataSet = $this->store->updateCustomerNameImage($customerName);

        $result = array();
        if ($dataSet) {
            $result['details'] = Converter::getCustomerSignupDetailsObject($dataSet);
        }
        return $result;
    }

    public function sendMobileOtp($otp)
    {
        $dataSet = $this->store->sendMobileOtp($otp);
        $result = array();
        if ($dataSet) {
            $result['details'] = Converter::getCustomerSignupDetailsObject($dataSet);
            $userId = $result['details'][0];
            if ($userId['userStatus'] == 3003) {
                $data = new stdClass();
                $data->phone = $otp->mobile;
                // $data->message = "Login OTP " . $userId['otp'] ;
                $data->message = "Your Carblushh login OTP is " . $otp->mobileOtp . " ,. Keep Blushing!";
                $data->dailingCode = $userId['dialingCode'];
                // $data->message = "Login OTP." . HelperMethods::generateVerificationCode();
                HelperMethods::sendOtpMessage($data);
            }
        }
        return $result;
    }

    public function sendEmailOtp($emailChange)
    {
        $dataSet = $this->store->sendEmailOtp($emailChange);
        $result = array();
        if ($dataSet) {
            $result['details'] = Converter::getCustomerSignupDetailsObject($dataSet);
            $userDetails = $result['details'][0];
            if ($userDetails['userStatus'] == 3003) {
                // print_r($emailChange['email']);
                $data = new stdClass();
                $to = "hello@carblushh.com";
                $toName = $emailChange->email;
                $subject = "Your OTP Details";
                $body = EmailTemplate::createEmailOtpTemplate($userDetails);
                $array = [[$toName, '']];
                EmailManager::sendEMail($to, 'Carblush', $subject, $body, null, null, null, $array);
                // EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL);
            }
        }
        return $result;
    }

    public function updateCustomerMobile($mobile)
    {
        $dataSet = $this->store->updateCustomerMobile($mobile);
        $result = array();
        if ($dataSet) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function updateCustomerEmail($email)
    {
        $dataSet = $this->store->updateCustomerEmail($email);
        $result = array();
        if ($dataSet) {
            $result['details'] = $dataSet;
        }
        return $result;
    }

    public function changeUserPasswordByUser($password)
    {
        $dataSet = $this->store->changeUserPasswordByUser($password);
        $result = array();
        if ($dataSet) {
            $result['details'] = $dataSet;
        }
        return $result;
    }


    public function getUserCashbackList($password)
    {
        $dataSet = $this->store->getUserCashbackList($password);
        $result = array();
        if ($dataSet) {
            $result['details'] = converter::getUserCashbackObject($dataSet);
        }
        return $result;
    }


    public function addUserCashback($password)
    {
        return $this->store->addUserCashback($password);
    }


    public function getUserCashbackDetails($password)
    {
        $dataSet = $this->store->getUserCashbackDetails($password);
        $result = array();
        if ($dataSet) {
            $result['details'] = converter::getUserCashbackDetailsObject($dataSet);
        }
        return $result;
    }


    public function addCouponToUser($password)
    {
        return $this->store->addCouponToUser($password);
    }
     public function updateUserUnpauseJob($unpause)
    {
        return $this->store->updateUserUnpauseJob($unpause);
    }
    public function resetPassword($unpause)
    {
        return $this->store->resetPassword($unpause);
    }
    public function getUserPauseJobList($pauseJobList)
    {
        $dataSet = $this->store->getUserPauseJobList($pauseJobList);
        $result = array();
        if ($dataSet) {
            $result['details'] = converter::getUserPauseJobListObject($dataSet);
        }
        return $result;
    }

    public function getAddressDetails($address) {
        $dataset = $this->store->getAddressDetails($address);
        $result = array();
        if ($dataset) {
            $result['details'] = Converter::getAddressDetails($dataset);
        }
        return $result;
    }

    public function createAddress($address) {
        $dataSet = $this->store->createAddress($address);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAddressDetails($dataSet);
        }
        return $result;
    }
    public function logoutUser($logout){
        $dataSet = $this->store->logoutUser($logout);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLoginDetails($dataSet);
        }
        return $result;
    }
    public function createBusinessLocation($location) {
        $dataSet = $this->store->createBusinessLocation($location);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLocationDetails($dataSet);
        }
        return $result;
    }

    public function deleteBusiness($delete) {
        return $dataSet = $this->store->deleteBusiness($delete);
    }
    public function deleteLocation($delete) {
        $dataSet = $this->store->deleteLocation($delete);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLocationDetails($dataSet);
        }
        return $result;
    }
    public function getBusinessDetails($details) {
        $dataSet = $this->store->getBusinessDetails($details);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getBusinessDetails($dataSet);
        }
        return $result;
    }
    public function getLocationDetails($details) {
        $dataSet = $this->store->getLocationDetails($details);
        $result = array();
      if (count($dataSet['list'])) {
            $result['details'] = Converter::getLocationDetails($dataSet['list']);
        }
        $result['count'] = $dataSet['count']['count'];
        return $result;
    }
    public function createSuperAdmin($createSuperAdmin) {
        $dataSet = $this->store->createSuperAdmin($createSuperAdmin);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
    public function createCustomer($createCustomer) {
        $dataSet = $this->store->createCustomer($createCustomer);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
    public function createBranchManager($branchManager) {
        $dataSet = $this->store->createBranchManager($branchManager);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
    public function createAuditor($createAuditor) {
        $dataSet = $this->store->createAuditor($createAuditor);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
    public function getUsersDetails($details) {
        $dataSet = $this->store->getUsersDetails($details);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
    public function createLocationRegion($region) {
        $dataSet = $this->store->createLocationRegion($region);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getRegionDetails($dataSet);
        }
        return $result;
    }
    public function getLocationRegionDetails($region) {
        $dataSet = $this->store->getLocationRegionDetails($region);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getRegionDetails($dataSet);
        }
        return $result;
    }
    public function createCategory($category) {
        $dataSet = $this->store->createCategory($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCategoryDetails($dataSet);
        }
        return $result;
    }
    public function getCategoryDetails($category) {
        $dataSet = $this->store->getCategoryDetails($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getCategoryDetails($dataSet);
        }
        return $result;
    }
    public function createSubCategory($category) {
        $dataSet = $this->store->createSubCategory($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getSubCategoryDetails($dataSet);
        }
        return $result;
    }
    public function getSubCategoryDetails($category) {
        $dataSet = $this->store->getSubCategoryDetails($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getSubCategoryDetails($dataSet);
        }
        return $result;
    }

    public function createQuestion($question) {
        $dataSet = $this->store->createQuestion($question);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getQuestionDetails($dataSet);
        }
        return $result;
    }
    public function getQuestionsDetails($question) {
        $dataSet = $this->store->getQuestionsDetails($question);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getQuestionDetails($dataSet);
        }
        return $result;
    }
    public function createAnswer($answer) {
        $dataSet = $this->store->createAnswer($answer);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAnswerDetails($dataSet);
        }
        return $result;
    }
    public function getAnswerDetails($answer) {
        $dataSet = $this->store->getAnswerDetails($answer);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAnswerDetails($dataSet);
        }
        return $result;
    }

    public function createRegionalHead($regionalHead) {
        $dataSet = $this->store->createRegionalHead($regionalHead);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
    public function createFeedbackPatientDetails($feedbackDetails)
    {
        $dataset = $this->store->createFeedbackPatientDetails($feedbackDetails);
        $result = array();
        if ($dataset) {
            $result['details'] = Converter::getFeedbackPatientDetails($dataset);
        }
        return $result;
    }
    public function createFeedbackQuestions($feedbackQuestion) {
        $dataSet = $this->store->createFeedbackQuestions($feedbackQuestion);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getFeedbackQuestionDetails($dataSet);
        }
        return $result;
    }
    public function getFeedbackQuestionDetails($details) {
        $dataSet = $this->store->getFeedbackQuestionDetails($details);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getFeedbackQuestionDetails($dataSet);
        }
        return $result;
    }
    public function createFeedbackAnswers($feedbackAnswer) {
        $dataSet = $this->store->createFeedbackAnswers($feedbackAnswer);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getFeedbackAnswerDetails($dataSet);
        }
        return $result;
    }
    public function getFeedbackAnswerDetails($details) {
        $dataSet = $this->store->getFeedbackAnswerDetails($details);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getFeedbackAnswerDetails($dataSet);
        }
        return $result;
    }
    public function dashboardDetails($total) {
        return $this->store->dashboardDetails($total);
    }

    public function getAuditDashboardDetails($total) {
        return $this->store->getAuditDashboardDetails($total);
    }
    public function createAuditCategory($category) {
        $dataSet = $this->store->createAuditCategory($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAuditCategoryDetails($dataSet);
        }
        return $result;
    }
    public function getAuditCategoryDetails($category) {
        $dataSet = $this->store->getAuditCategoryDetails($category);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAuditCategoryDetails($dataSet);
        }
        return $result;
    }
    public function createAuditQuestion($question) {
        $dataSet = $this->store->createAuditQuestion($question);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAuditQuestionDetails($dataSet);
        }
        return $result;
    }
    public function getAuditQuestionDetails($question) {
        $dataSet = $this->store->getAuditQuestionDetails($question);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAuditQuestionDetails($dataSet);
        }
        return $result;
    }
    public function createAuditAnswer($category) {
        return $dataSet = $this->store->createAuditAnswer($category);
        // $result = array();
//        if (count($dataSet)) {
//            $result['details'] = Converter::getAuditAnswerDetails($dataSet);
//        }
//        return $result;
    }
      public function createUsers($details) {
        $dataSet = $this->store->createUsers($details);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
        }
        return $result;
    }
      public function createSite($location) {
        $dataSet = $this->store->createSite($location);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLocationDetails($dataSet);
        }
        return $result;
    }
      public function getInspectionList($request) {
        $dataSet = $this->store->getInspectionList($request);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLocationAuditCSATListObject($dataSet);
        }
        return $result;
    }
    public function addInspection($request) {
        return $dataSet = $this->store->addInspection($request);
    }
    public function getDashboardDetails($dashboardDetails) {
        $dataSet = $this->store->getDashboardDetails($dashboardDetails);
        $result = array();
        if (count($dataSet)) {
             $result['details'] = Converter::getCsatDashboardDetailsObject($dataSet['csat']);
            $result['list'] = Converter::getOsasDashboardDetailsObject($dataSet['osas']);
        }
        return $result;
    }
    public function getAuditPendingInspectionList($pendingInspectionList) {
        $dataSet = $this->store->getAuditPendingInspectionList($pendingInspectionList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getAuditPendingInspectionListObject($dataSet);
        }
        return $result;
    }
      public function sendMessageUsers($userMessage)
    {
        $dataSet = $this->store->sendMessageUsers($userMessage);
        $result = array();
        // if (count($dataSet)) {
        //     $result['details'] = Converter::getUsersDetails($dataSet);
        //     $userId = $result['details'][0];
        //         $data = new stdClass();
        //         $data->phone = $userId['mobile'];
        //         $data->message = "Your Carblushh login OTP is " . $userId['tesing'] . " ,. Keep Blushing!";
        //         $data->dailingCode = 91;
        //         // $data->message = "Login OTP." . HelperMethods::generateVerificationCode();
        //         HelperMethods::sendOtpMessage($data);
        //     }
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet);
            $userId = $result['details'][0];
            foreach ($dataSet as $k => $user) {
                $data = new stdClass();
                $data->phone = $user['mobile'];
                $data->message = "Your Carblushh login OTP is " . $userId['tesing'] . " ,. Keep Blushing!";
                $data->dailingCode = 91;
                // $data->message = "Login OTP." . HelperMethods::generateVerificationCode();
               // HelperMethods::sendOtpMessage($data);
            }
        }
        return $result;
    }
    public function sendPdfFilesUsersOld($sendEmail)
    {
        $dataSet = $this->store->sendPdfFilesUsers($sendEmail);
        $result = array();
        if (count($dataSet)) {
                $result['details'] = Converter::getUsersDetails($dataSet['list']);
                $result['answer'] = Converter::getAuditReportObject($dataSet['mailDetails']);
                $mailDetails = $result['answer'];
                $userDetails = $result['details'][0];
                $user = $userDetails;
                $to = 'deepali.verma@smcleanindia.com';
                $toName ='csat@smcleanindia.com';
                $subject = "CSAT Audit Report - " . $userDetails['locationName'] . "";
                $subjectCsat = "CSAT Minimum Audit Report - " . $userDetails['locationName'] . "";
                $body = EmailTemplate::sendReportEmailTemplateSMCNew($mailDetails,$user);
                EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
            foreach ($result['details'] as $k => $user) {
                // $dompdf = new Dompdf();
                // $filename = "document.pdf";
               // $file_code= EmailTemplate::sendReportDetailsEmailTemplate($mailDetails,$user);
                // $dompdf->loadHtml($file_code);
                // $dompdf->render();
                // $file = $dompdf->output();
                // file_put_contents($filename, $file);
                $data = new stdClass();
                $to = $user['email'];
                $subject = "CSAT Audit Report - " . $userDetails['locationName'] . "";
                $subjectCsat = "CSAT Minimum Audit Report - " . $userDetails['locationName'] . "";
                $body = EmailTemplate::sendReportEmailTemplateSMCReportTemplate($mailDetails,$user);
                //$attachments = array($filename);
               // $fileName = EmailTemplate::sendReportDetailsEmailTemplateTesting($mailDetails, $user);
                EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
                EmailManager::sendEMail('pankaj@dexconsulting.com', $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
                if (($mailDetails[0]['auditScore'] < 75) && ($mailDetails[0]['csatScore'] < 75)) {
                    $subjectb = "ALERT - Low CSAT Score  -  " . $userDetails['locationName'] . "";
                    $body = EmailTemplate::sendReportEmailTemplateSMCNew($mailDetails, $user);
                    EmailManager::sendEMail($to, $toName, $subjectb, $body, 1, NULL, NULL, NULL, NULL);
                }
            }
        }
       
        return $result;
    }
     public function sendPdfFilesUsers($sendEmail)
    {
        $dataSet = $this->store->sendPdfFilesUsers($sendEmail);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getUsersDetails($dataSet['list']);
            $result['answer'] = Converter::getAuditReportObject($dataSet['mailDetails']);
            $mailDetails = $result['answer'];
            $userDetails = $result['details'][0];
            $user = $userDetails;
           // print_r($user);
            $to = 'deepali.verma@smcleanindia.com';
            $toName ='csat@smcleanindia.com';
            $subject = "CSAT Audit Report - " . $userDetails['locationName'] . "";
            //$subjectCsat = "CSAT Minimum Audit Report - " . $userDetails['locationName'] . "";
            if($user['siteType'] == 11000){
                $body = EmailTemplate::sendReportEmailTemplateSMCReportTemplate($mailDetails,$user);
            }
            if($user['siteType'] == 11001){
                $body = EmailTemplate::sendReportEmailTemplateSMCNew($mailDetails,$user);
            }
            if($user['siteType'] == 11002){
                $body = EmailTemplate::sendReportEmailTemplateSMCCSAT($mailDetails,$user);
            }
            EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
            EmailManager::sendEMail('pankaj@dexconsulting.com', '', $subject, $body, 1, NULL, NULL, NULL, NULL);
           // EmailManager::sendEMail('pankaj@dexconsulting.com', $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
            foreach ($result['details'] as $k => $user) {
                $data = new stdClass();
                $to = $user['email'];
                $subject = "CSAT Audit Report - " . $userDetails['locationName'] . "";
               // $subjectCsat = "CSAT Minimum Audit Report - " . $userDetails['locationName'] . "";
                EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
                //EmailManager::sendEMail('pankaj@dexconsulting.com', $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
                if (($mailDetails[0]['auditScore'] < 70) && ($mailDetails[0]['csatScore'] < 70)) {
                    $subjectb = "ALERT - Low CSAT Score  -  " . $userDetails['locationName'] . "";
                    EmailManager::sendEMail($to, $toName, $subjectb, $body, 1, NULL, NULL, NULL, NULL);
                }
            }
        }

        return $result;
    }
    //  public function sendPdfFilesUsersOsas($sendEmail)
    // {
    //     $dataSet = $this->store->sendPdfFilesUsersOsas($sendEmail);
    //     $result = array();
    //     if (count($dataSet)) {
    //             $result['details'] = Converter::getUsersDetails($dataSet['list']);
    //             $result['answer'] = Converter::getAuditReportObject($dataSet['mailDetails']);
    //             $mailDetails = $result['answer'];
    //             $userDetails = $result['details'][0];
    //         foreach ($dataSet['list'] as $k => $user) {
    //             $dompdf = new Dompdf();
    //             $filename = "document.pdf";
    //             $file_code= EmailTemplate::sendReportDetailsEmailTemplateOHSAS($mailDetails,$user);
    //             $dompdf->loadHtml($file_code);
    //             $dompdf->render();
    //             $file = $dompdf->output();
    //             file_put_contents($filename, $file);
    //             $data = new stdClass();
    //             $to = $user['email'];
    //             $toName = "";
    //             $subject = "OHSAS Audit Report - " . $userDetails['locationName'] . "";
    //             $subjectCsat = "OHSAS Minimum Audit Report - " . $userDetails['locationName'] . "";
            
    //              $body = EmailTemplate::sendOSASReportEmailTemplateSMC($mailDetails);
    //              EmailManager::sendEMail('pankaj@dexconsulting.com', $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
    //           // $attachments = array($filename);
    //           // $fileName = EmailTemplate::sendReportDetailsEmailTemplateTesting($mailDetails, $user);
    //           // EmailManager::sendEMail($to, $toName, $subject, $body, $filename, 1, NULL, NULL, NULL);
    //             // if (count($dataSet) && ($mailDetails[0]['csatScore'] < 100) && ($mailDetails[0]['csatScore'] < 40)) {
    //             //     $body = EmailTemplate::sendReportDetailsEmailTemplateTesting($mailDetails, $user);
    //             //     EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL);
    //             // }
    //         }
    //     }
       
    //     return $result;
    // }
     public function sendPdfFilesUsersOsas($sendEmail)
    {
        $dataSet = $this->store->sendPdfFilesUsersOsas($sendEmail);
        $result = array();
        if (count($dataSet)) {
                $result['details'] = Converter::getUsersDetails($dataSet['list']);
                $result['answer'] = Converter::getLocationOSASReportObject($dataSet['mailDetails']);
                $mailDetails = $result['answer'];
                $userDetails = $result['details'][0];
                $user = $userDetails;
                $to = 'divya.gopalani@smcleanindia.com';
                $toName ='csat@smcleanindia.com';
                $subject = "CSAT Audit Report - " . $userDetails['locationName'] . "";
                $subjectCsat = "OHSAS Minimum Audit Report - " . $userDetails['locationName'] . "";
                $body = EmailTemplate::sendOSASReportEmailTemplateSMC($mailDetails,$user);
                EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
            foreach ($result['details'] as $k => $user) {
            
                $data = new stdClass();
                $to = $user['email'];
                $subject = "OHSAS Audit Report - " . $userDetails['locationName'] . "";
                $subjectCsat = "OHSAS Minimum Audit Report - " . $userDetails['locationName'] . "";
                $body = EmailTemplate::sendOSASReportEmailTemplateSMC($mailDetails,$user);
                EmailManager::sendEMail($to, $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
               // EmailManager::sendEMail('pankaj@dexconsulting.com', $toName, $subject, $body, 1, NULL, NULL, NULL, NULL);
            }
        }
       
        return $result;
    }
      public function getPendingQuestionStatus($statusDetails) {
        $dataSet = $this->store->getPendingQuestionStatus($statusDetails);
       // print_r( $dataSet);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = $dataSet;
        }
        return $result;
    }
     public function updateAuditStatus($statusDetails)
    {
        return $dataSet = $this->store->updateAuditStatus($statusDetails);
    }
     public function getAdminUserList($userDetailsList) {

        $dataSet = $this->store->getAdminUserList($userDetailsList);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter:: getAdminUserDetailsObject($dataSet);
        }
        return $result;
    }
      public function saveAuditAnswerOSAS($category) {
        return $dataSet = $this->store->saveAuditAnswerOSAS($category);
    }
     public function getAdminInspectionOsasList($request) {
        $dataSet = $this->store->getAdminInspectionOsasList($request);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLocationAuditOSASListObject($dataSet);
        }
        return $result;
    }
    public function getLocationQuestionAnswer($userEmail) {
    $dataSet = $this->store->getLocationQuestionAnswer($userEmail);
    $result = array();
    if (count($dataSet)) {
        $result['details'] = Converter::getLocationQuestionAnswerObject($dataSet);
    }
    return $result;
}
 public function getLocationOSASQuestionAnswer($userEmail) {
        $dataSet = $this->store->getLocationOSASQuestionAnswer($userEmail);
        $result = array();
        if (count($dataSet)) {
            $result['details'] = Converter::getLocationQuestionAnswerObject($dataSet);
        }
        return $result;
    }
}
