<?php
/**
 * Created by PhpStorm.
 * User: Narendra Kumar
 * Date: 29-11-2017
 * Time: 6:17 PM
 */

global $userId, $appId, $userTypeId;

/**
 * Request Interceptor
 * @param $request
 * @param $response
 * @param $next
 * @return mixed
 */
$authenticate = function ($request, $response, $next) {
    try {
        // Verifying Authorization Header
        if ($request->hasHeader('Authorization')) {
            // get the header authorization
            $authHeader = $request->getHeaderLine('Authorization');
            if (strpos($authHeader, 'Bearer') !== false) {
                list($jwt) = sscanf($authHeader, 'Bearer %s');
            } else {
                $jwt = $authHeader;
            }
            try {
                $secretKey = '425413171420194';
                $payload = \Firebase\JWT\JWT::decode($jwt, $secretKey, array('HS512'));
                $isTokenValid = 1;
            } catch (Exception $e) {
                $isTokenValid = 1;
                // echo $e->getMessage();
            }

            if ($isTokenValid == 0) {
                // authorization is not present in users table
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::SESSION_EXPIRED));
                return $response->withStatus(ResponseCode::UNAUTHORISED)->withJson($output);
            } else {
                global $userId, $appId, $userTypeId, $authToken, $deviceType;
                // Create business manager instance.
                $authManager = new AuthManager();
                // get passenger primary key id
                if ($user = $authManager->getUserByToken($jwt)) {
                    $userId = $user->userId;
                    if ($userId == 0) {
                        // api key is not present in users table
                        $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::SESSION_EXPIRED));
                        return $response->withStatus(ResponseCode::UNAUTHORISED)->withJson($output);
                    } else {
                        $userTypeId = $user->typeId;
                        $authToken = $jwt;
                        $response = $next($request, $response);
                        return $response;
                    }
                } else {
                    // api key is not present in users table
                    $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::SESSION_EXPIRED));
                    return $response->withStatus(ResponseCode::UNAUTHORISED)->withJson($output);
                }
            }
        } else {
            // api key is missing in header
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::AUTHORIZATION_MISSING));
            return $response->withStatus(ResponseCode::FORBIDDEN)->withJson($output);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
};

$app->get('/', function ($request, $response, $args) {
    return $response->withStatus(ResponseCode::SUCCESS)->write('Hello World!');
});


include_once "routes/Auth.php";
include_once "routes/Admin.php";
include_once "routes/Test.php";
include_once "routes/System.php";
include_once "routes/User.php";


