<?php
/**
 * Created by PhpStorm.
 * User: thinkpad
 * Date: 29-05-2018
 * Time: 12:43 PM
 */

$app->get('/getApps', function ($request, $response) {
  try {
    $adminManager = new AdminManager();
    $apps = $adminManager->getApps();
    $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS), $apps);
    return $response->withJson($output, ResponseCode::SUCCESS);
  } catch (Exception $exception) {
    return HelperMethods::handleException($response, $exception);
  }
});

$app->group('', function () {
  $this->post("/getAllotUserList", function ($request, $response) {
    global $userId, $appId;

    try {
      $data = new  stdClass();
      $data->userId = $userId;
      $data->status = HelperMethods::getRequestParam($request, 'status');
      $data->regionId = HelperMethods::getRequestParam($request, 'regionId');
      $data->driverId = HelperMethods::getRequestParam($request, 'driverId');
      $adminManager = new AdminManager();
      if ($result = $adminManager->getAllotUserList($data)) {
        $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
      } else {
        $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
      }
      return $response->withJson($output, ResponseCode::SUCCESS);
    } catch (Exception $exception) {
      return HelperMethods::handleException($response, $exception);
    }
  });


  $this->post("/allotUnitUser", function ($request, $response) {
    global $userId;
    try {
      $data = new  stdClass();
      $data->userId = $userId;
      $data->typeId = HelperMethods::getRequestParam($request, 'typeId');
      $data->allotUserId = HelperMethods::getRequestParam($request, 'allotUserId');
      $data->siteId = HelperMethods::getRequestParam($request, 'siteId');
      $data->language = HelperMethods::getRequestParam($request, 'language');
      $adminManager = new AdminManager();
      if ($result = $adminManager->allotUnitUser($data)) {
        $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
      } else {
        $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
      }
      return $response->withJson($output, ResponseCode::SUCCESS);
    } catch (Exception $exception) {
      return HelperMethods::handleException($response, $exception);
    }
  });
 $this->post("/getReportList", function ($request, $response) {
        global $userId;
        try {
            $data = new  stdClass();
            $data->userId = $userId;
            $data->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $data->language = HelperMethods::getRequestParam($request, 'language');
            $adminManager = new AdminManager();
            if ($result = $adminManager->getReportList($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
            }
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
     $this->post("/getAdminDashboard", function ($request, $response) {
        global $userId;
        try {
            $data = new  stdClass();
            $data->userId = $userId;
            $data->language = HelperMethods::getRequestParam($request, 'language');
            $adminManager = new AdminManager();
            if ($result = $adminManager->getAdminDashboard($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
            }
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
    $this->post("/getLocationAuditCSATList", function ($request, $response) {
        global $userId;
        try {
            $data = new  stdClass();
            $data->userId = $userId;
            $data->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $data->serviceType = HelperMethods::getRequestParam($request, 'serviceType');
            $data->language = HelperMethods::getRequestParam($request, 'language');
            $adminManager = new AdminManager();
            if ($result = $adminManager->getLocationAuditCSATList($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
            }
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
    $this->post("/getLocationAuditOSASList", function ($request, $response) {
        global $userId;
        try {
            $data = new  stdClass();
            $data->userId = $userId;
            $data->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $data->serviceType = HelperMethods::getRequestParam($request, 'serviceType');
            $data->language = HelperMethods::getRequestParam($request, 'language');
            $adminManager = new AdminManager();
            if ($result = $adminManager->getLocationAuditOSASList($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
            }
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
    $this->post("/deleteUser", function ($request, $response) {
        global $userId;
        try {
            $data = new  stdClass();
            $data->userId = $userId;
            $data->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $data->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $data->language = HelperMethods::getRequestParam($request, 'language');
            $adminManager = new AdminManager();
            if ($result = $adminManager->deleteUser($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
            }
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
    $this->post("/deleteUnit", function ($request, $response) {
        global $userId;
        try {
            $data = new  stdClass();
            $data->userId = $userId;
            $data->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $data->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $data->language = HelperMethods::getRequestParam($request, 'language');
            $adminManager = new AdminManager();
            if ($result = $adminManager->deleteUnit($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
            }
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
})->add($authenticate);

