<?php

$app->post('/registerCustomer', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('mobile', 'dialingCode'))) {
            return $output;
        }
        $newUser = new stdClass();
        $newUser->userName = HelperMethods::getRequestParam($request, 'mobile');
        $newUser->passwordText = NULL;
        $newUser->passwordhash = NULL;
        $newUser->otp = HelperMethods::generateVerificationCode();
        $newUser->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
        $newUser->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
        $newUser->deviceModal = HelperMethods::getRequestParam($request, 'deviceModal');
        $newUser->os = HelperMethods::getRequestParam($request, 'os');
        $newUser->version = HelperMethods::getRequestParam($request, 'version');
        $newUser->latitude = HelperMethods::getRequestParam($request, 'latitude');
        $newUser->longitude = HelperMethods::getRequestParam($request, 'longitude');
        $newUser->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
        $newUser->deviceType = HelperMethods::getRequestParam($request, 'deviceType');
        $newUser->deviceLoc = HelperMethods::getRequestParam($request, 'deviceLoc');
        $newUser->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
        if ($newUser->ipAddress == '') {
            if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                $newUser->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
            } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                $newUser->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } else {
                $newUser->ipAddress = $_SERVER['REMOTE_ADDR'];
            }
        }
        $authManager = new AuthManager();

        if ($users = $authManager->registerCustomer($newUser)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $users);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

//$app->post('/loginUser', function ($request, $response) {
//    try {
//        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('username', 'password', 'language'))) {
//            return $output;
//        }
//        $loginCustomer = new stdClass();
//        $loginCustomer->userName = HelperMethods::getRequestParam($request, 'username');
//        $loginCustomer->passwordText = HelperMethods::getRequestParam($request, 'password');
//        $loginCustomer->passwordhash = HelperMethods::getPasswordHash($loginCustomer->passwordText);
//        $loginCustomer->language = HelperMethods::getRequestParam($request, 'language');
//        $loginCustomer->os = HelperMethods::getRequestParam($request, 'os');
//        $loginCustomer->version = HelperMethods::getRequestParam($request, 'version');
//        $loginCustomer->latitude = HelperMethods::getRequestParam($request, 'latitude');
//        $loginCustomer->longitude = HelperMethods::getRequestParam($request, 'longitude');
//        $loginCustomer->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
//        $loginCustomer->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
//        $loginCustomer->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
//        $loginCustomer->deviceModal = HelperMethods::getRequestParam($request, 'deviceModal');
//        $loginCustomer->deviceType = HelperMethods::getRequestParam($request, 'deviceType');
//
//        if ($loginCustomer->ipAddress == '') {
//            if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
//                $loginCustomer->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
//            } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
//                $loginCustomer->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
//            } else {
//                $loginCustomer->ipAddress = $_SERVER['REMOTE_ADDR'];
//
//            }
//        }
//        $authManager = new AuthManager();
//        $checckUser = $authManager->getUserByUsernameAndType($loginCustomer->userName, 1003);
//        if (password_verify($loginCustomer->passwordText, $checckUser->passwordHash)) {
//            if ($customer = $authManager->loginUser($loginCustomer)) {
//
//                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $customer);
//                return $response->withJson($output, ResponseCode::SUCCESS);
//
//            } else {
//
//                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
//                return $response->withJson($output, ResponseCode::UNAUTHORISED);
//            }
//
//        } else {
//
//            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
//            return $response->withJson($output, ResponseCode::UNAUTHORISED);
//        }
//
//    } catch (Exception $e) {
//        return HelperMethods::handleException($response, $e);
//    }
//
//});


$app->group('', function () {
    $this->post('/resendVerificationCode', function ($request, $response) {
        global $userId;
        try {
            $authManager = new AuthManager();
            // Get passenger details
            $user = $authManager->getUser($userId);
            // Generate verification code
            $verificationCode = HelperMethods::generateVerificationCode();
            //$verificationCode = 1234;
            // Update verification code into db
            if ($authManager->updateUserVerificationCode($verificationCode, $userId)) {
                // Success, send verification code to passenger phone
                if ($authManager->sendVerificationCode($user->appId, $verificationCode, $user->dialingCode . $user->phone)) {
                    $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::VERIFICATION_CODE_SENT_SUCCESS, $userId));
                    return $response->withJson($output, ResponseCode::SUCCESS);
                } else {
                    $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::VERIFICATION_CODE_SENT_FAILED, $userId));
                    return $response->withJson($output, ResponseCode::SUCCESS);
                }
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });


    $this->post('/getUserPaymentCards', function ($request, $response) {
        global $userId;
        try {
            $authManager = new AuthManager();
            $paymentCards = $authManager->getuserPaymentCards($userId);
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $paymentCards);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });

    $this->post('/addPaymentCard', function ($request, $response) {
        global $userId;
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('cardNumber', 'expiry', 'cvv'))) {
                return $output;
            }

            $paymentCard = new stdClass();
            $paymentCard->cardNumber = HelperMethods::getRequestParam($request, 'cardNumber');
            $paymentCard->expiry = HelperMethods::getRequestParam($request, 'expiry');
            $paymentCard->cvv = HelperMethods::getRequestParam($request, 'cvv');
            $paymentCard->nameOnCard = HelperMethods::getRequestParam($request, 'nameOnCard');
            $paymentCard->userId = $userId;

            $authManager = new AuthManager();
            if ($addedPaymentCard = $authManager->addPaymentCard($paymentCard)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $addedPaymentCard);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });

    $this->post('/inviteUser', function ($request, $response) {
        global $userId, $appId;
        try {

            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('email'))) {
                return $output;
            }
            $email = HelperMethods::getRequestParam($request, 'email');

            $authManager = new AuthManager();
            // Get passenger details
            $user = $authManager->getUser($userId);

            $link = str_replace("{{referralCode}}", $user->referralCode, Configuration::getConfiguration($appId, Configuration::INVITATION_URL));
            $subject = "You are invited to join Zareou";
            $body = EmailTemplate::prepareInvitationTemplate($link);

            if (EmailManager::sendMail($appId, $email, '', $subject, $body)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/changeUserPassword', function ($request, $response) {
        global $userId, $appId;
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('typeId', 'oldPassword', 'newPassword'))) {
                return $output;
            }

            $typeId = HelperMethods::getRequestParam($request, 'typeId');
            $oldPassword = HelperMethods::getRequestParam($request, 'oldPassword');
            $newPassword = HelperMethods::getRequestParam($request, 'newPassword');

            $authManager = new AuthManager();
            // Get passenger details
            $user = $authManager->getUserByUserIdAndType($userId, $typeId);

            $isValid = $authManager->isValidUser($user, $oldPassword);
            if ($isValid) {
                if ($authManager->updateUserPassword($userId, $typeId, $newPassword)) {
                    $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId));
                    return $response->withJson($output, ResponseCode::SUCCESS);
                } else {
                    $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
                    return $response->withJson($output, ResponseCode::SUCCESS);
                }
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_OLD_PASSWORD, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/updateUserAppLanguage', function ($request, $response) {
        global $userId;
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('typeId', 'language'))) {
                return $output;
            }

            $details = new stdClass();
            $details->userId = $userId;
            $details->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $details->language = HelperMethods::getRequestParam($request, 'language');

            $authManager = new AuthManager();
            if ($result = $authManager->updateUserAppLanguage($details)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $result);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });

    $this->post('/verifyDriverPhoneCode', function ($request, $response) {
        global $userId;
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('verificationCode'))) {
                return $output;
            }
            $data = new  stdClass();
            $data->userId = $userId;
            $data->verificationCode = HelperMethods::getRequestParam($request, 'verificationCode');
            $authManager = new AuthManager();

            if ($user = $authManager->verifyDriverPhoneCode($data)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId), $user);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_VERIFICATION_CODE, $userId));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $exception) {
            return HelperMethods::handleException($response, $exception);
        }
    });
    $this->post('/createBusiness', function ($request, $response) {
        try {
//        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('userId', 'businessId', 'phone', 'email', 'businessName', 'businessLegalName', 'businessIcon', 'businessLogo', 'GSTIN', 'address', 'city', 'state', 'country', 'zipCode', 'latitude', 'longitude'))) {
//            return $output;
//        }
            $newBusiness = new stdClass();
            $newBusiness->userId = HelperMethods::getRequestParam($request, 'userId');
            $newBusiness->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $newBusiness->businessName = HelperMethods::getRequestParam($request, 'businessName');
            $newBusiness->businessLegalName = HelperMethods::getRequestParam($request, 'businessLegalName');
            $newBusiness->businessIcon = HelperMethods::getRequestParam($request, 'businessIcon');
            $newBusiness->businessLogo = HelperMethods::getRequestParam($request, 'businessLogo');
            $newBusiness->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $newBusiness->email = HelperMethods::getRequestParam($request, 'email');
            $newBusiness->GSTIN = HelperMethods::getRequestParam($request, 'GSTIN');
            $newBusiness->address = HelperMethods::getRequestParam($request, 'address');
            $newBusiness->locality = HelperMethods::getRequestParam($request, 'locality');
            $newBusiness->city = HelperMethods::getRequestParam($request, 'city');
            $newBusiness->state = HelperMethods::getRequestParam($request, 'state');
            $newBusiness->country = HelperMethods::getRequestParam($request, 'country');
            $newBusiness->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $newBusiness->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $newBusiness->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $newBusiness->contactPersonName = HelperMethods::getRequestParam($request, 'contactPersonName');
            $newBusiness->language = HelperMethods::getRequestParam($request, 'language');
            $authManager = new AuthManager();
            if ($business = $authManager->createBusiness($newBusiness)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS), $business);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });


})->add($authenticate);


$app->post('/loginSuperAdmin', function($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('username', 'password'))) {
            return $output;
        }
        $loginSuperAdmin = new stdClass();
        $loginSuperAdmin->username = HelperMethods::getRequestParam($request,'username');
        $loginSuperAdmin->password = HelperMethods::getRequestParam($request, 'password');
        $loginSuperAdmin->passwordHash = HelperMethods::getPasswordHash($loginSuperAdmin->password);
        $loginSuperAdmin->typeId = HelperMethods::getRequestParam($request, 'typeId');
        $loginSuperAdmin->token = HelperMethods::getRequestParam($request, 'token');
        $loginSuperAdmin->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
        $loginSuperAdmin->os = HelperMethods::getRequestParam($request, 'os');
        $loginSuperAdmin->version = HelperMethods::getRequestParam($request, 'version');
        $loginSuperAdmin->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
        $loginSuperAdmin->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
        $loginSuperAdmin->deviceType = HelperMethods::getRequestParam($request, 'deviceType');
        $loginSuperAdmin->deviceModel = HelperMethods::getRequestParam($request, 'deviceModel');
        $loginSuperAdmin->appVersion = HelperMethods::getRequestParam($request, 'appVersion');
        $loginSuperAdmin->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
        if ($loginSuperAdmin->ipAddress == '') {
            if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                $loginSuperAdmin->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
            } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                $loginSuperAdmin->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } else {
                $loginSuperAdmin->ipAddress = $_SERVER['REMOTE_ADDR'];
            }
        }
        $authManager = new AuthManager();
        $checkUser = $authManager->getUserByUsernameAndType($loginSuperAdmin->username, 1001);
        if (password_verify($loginSuperAdmin->password, $checkUser->passwordHash)) {
             if ($admin = $authManager->loginSuperAdmin($loginSuperAdmin)) {
                 $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $admin);
                 return $response->withJson($output, ResponseCode::SUCCESS);
             } else {
                 $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
                 return $response->withJson($output, ResponseCode::UNAUTHORISED);
             }
        } else {

            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
            return $response->withJson($output, ResponseCode::UNAUTHORISED);
        }
    } catch(Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/loginCustomer', function($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('username', 'password'))) {
            return $output;
        }
        $login = new stdClass();
        $login->username = HelperMethods::getRequestParam($request,'username');
        $login->password = HelperMethods::getRequestParam($request, 'password');
        $login->passwordHash = HelperMethods::getPasswordHash($login->password);
        $login->typeId = HelperMethods::getRequestParam($request, 'typeId');
        $login->token = HelperMethods::getRequestParam($request, 'token');
        $login->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
        $login->os = HelperMethods::getRequestParam($request, 'os');
        $login->version = HelperMethods::getRequestParam($request, 'version');
        $login->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
        $login->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
        $login->deviceType = HelperMethods::getRequestParam($request, 'deviceType');
        $login->deviceModel = HelperMethods::getRequestParam($request, 'deviceModel');
        $login->appVersion = HelperMethods::getRequestParam($request, 'appVersion');
        $login->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
        if ($login->ipAddress == '') {
            if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                $login->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
            } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                $login->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } else {
                $login->ipAddress = $_SERVER['REMOTE_ADDR'];
            }
        }
        $authManager = new AuthManager();
        $checkUser = $authManager->getUserByUsernameAndType($login->username, 1003);
        if (password_verify($login->password, $checkUser[0]['passwordHash'])) {
            if ($customer = $authManager->loginCustomer($login)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $customer);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
                return $response->withJson($output, ResponseCode::UNAUTHORISED);
            }
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
            return $response->withJson($output, ResponseCode::UNAUTHORISED);
        }
    } catch(Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/loginAuditor', function($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('username', 'password'))) {
            return $output;
        }
        $login = new stdClass();
        $login->username = HelperMethods::getRequestParam($request,'username');
        $login->passwordText = HelperMethods::getRequestParam($request, 'password');
        $login->passwordHash = HelperMethods::getPasswordHash($login->passwordText);
        $login->token = HelperMethods::getRequestParam($request, 'token');
        $login->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
        $login->os = HelperMethods::getRequestParam($request, 'os');
        $login->version = HelperMethods::getRequestParam($request, 'version');
        $login->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
        $login->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
        $login->deviceType = HelperMethods::getRequestParam($request, 'deviceType');
        $login->deviceModel = HelperMethods::getRequestParam($request, 'deviceModel');
        $login->appVersion = HelperMethods::getRequestParam($request, 'appVersion');
        $login->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
        if ($login->ipAddress == '') {
            if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                $login->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
            } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                $login->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } else {
                $login->ipAddress = $_SERVER['REMOTE_ADDR'];
            }
        }
        $authManager = new AuthManager();
        $checkUser = $authManager->getUserByUsername($login->username);
    
        if (password_verify($login->passwordText, $checkUser->passwordHash)) {
            if ($auditor = $authManager->loginAuditor($login)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $auditor);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
                return $response->withJson($output, ResponseCode::UNAUTHORISED);
            }
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::INVALID_CREDENTIALS, NULL, NULL));
            return $response->withJson($output, ResponseCode::UNAUTHORISED);
        }
    } catch(Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
