<?php

$app->group('', function () {

  $this->post('/getCodeList', function ($request, $response) {
    try {
      $CodeList = new stdClass();
      $CodeList->category = HelperMethods::getRequestParam($request, 'category');
      $CodeList->typeId = HelperMethods::getRequestParam($request, 'typeId');

      $SystemManager = new SystemManager();
      if ($newCodeList = $SystemManager->getCodeList($CodeList)) {
        $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $newCodeList);
        return $response->withJson($output, ResponseCode::SUCCESS);
      } else {
        $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
        return $response->withJson($output, ResponseCode::SUCCESS);
      }
    } catch (Exception $e) {

      return HelperMethods::handleException($response, $e);

    }
  });

})->add($authenticate);
$app->post('/getCountryList', function ($request, $response) {
  try {
    $countryList = new stdClass();
    $countryList->countryId = HelperMethods::getRequestParam($request, 'countryId');
    $SystemManager = new SystemManager();
    if ($newCountryList = $SystemManager->getCountryList($countryList)) {
      $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $newCountryList);
      return $response->withJson($output, ResponseCode::SUCCESS);
    } else {
      $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
      return $response->withJson($output, ResponseCode::SUCCESS);
    }
  } catch (Exception $e) {

    return HelperMethods::handleException($response, $e);

  }
});
$app->post('/getDayList', function ($request, $response) {
    try {
        $daysList = new stdClass();
        $daysList->daysId = HelperMethods::getRequestParam($request, 'daysId');
        $SystemManager = new SystemManager();
        if ($days = $SystemManager->getDayList($daysList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $days);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->post('/getTimeList', function ($request, $response) {
    try {
        global $userId;
        $timeList = new stdClass();
        $timeList->userId = $userId;
        $timeList->timeId = HelperMethods::getRequestParam($request, 'timeId');
        $timeList->typeId = HelperMethods::getRequestParam($request, 'typeId');
         $timeList->currentTime = HelperMethods::getRequestParam($request, 'currentTime');
        $SystemManager = new SystemManager();
        if ($time = $SystemManager->getTimeList($timeList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $time);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->post('/getAppConfigurationList', function ($request, $response) {
    try {
        $SystemManager = new SystemManager();
        global $userId;
        $timeList = new stdClass();
        $timeList->userId = $userId;
        $timeList->timeId = HelperMethods::getRequestParam($request, 'timeId');
        $timeList->typeId = HelperMethods::getRequestParam($request, 'typeId');
        if ($image = $SystemManager->getAppConfigurationList($timeList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, null, NULL), $image);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->post('/allotJobsWasher', function ($request, $response) {
    try {
        $jobList = new stdClass();
        $SystemManager = new SystemManager();
        if ($job = $SystemManager->allotJobsWasher($jobList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $job);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->post('/backDateJob', function ($request, $response) {
    try {
        $backJobList = new stdClass();
        $SystemManager = new SystemManager();
        if ($job = $SystemManager->backDateJob($backJobList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $job);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->post('/getUserAppSetting', function ($request, $response) {
  try {
    $appSetting = new stdClass();
    $appSetting->countryId = HelperMethods::getRequestParam($request, 'countryId');
    $SystemManager = new SystemManager();
    if ($newApp = $SystemManager->getUserAppSetting($appSetting)) {
      $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $newApp);
      return $response->withJson($output, ResponseCode::SUCCESS);
    } else {
      $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
      return $response->withJson($output, ResponseCode::SUCCESS);
    }
  } catch (Exception $e) {

    return HelperMethods::handleException($response, $e);

  }
});



$app->get('/cashbackCronJob', function ($request, $response) {
    try {
        $jobList = new stdClass();
        $SystemManager = new SystemManager();
        if ($job = $SystemManager->cashbackCronJob($jobList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $job);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});


$app->post('/getAppConfigurations', function ($request, $response) {
    try {
        $appId = HelperMethods::getRequestParam($request, 'appId');
        $systemManager = new SystemManager();
        $configurations = $systemManager->getAppConfigurations($appId);
        $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS), $configurations);
        return $response->withJson($output, ResponseCode::SUCCESS);
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getRegionList', function ($request, $response) {
    try {
        $appSetting = new stdClass();
        $appSetting->userId = HelperMethods::getRequestParam($request, 'userId');
        $appSetting->regionId = HelperMethods::getRequestParam($request, 'regionId');
        $appSetting->status = HelperMethods::getRequestParam($request, 'status');
        $SystemManager = new SystemManager();
        if ($newApp = $SystemManager->getRegionList($appSetting)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $newApp);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});

$app->post('/getBranchList', function ($request, $response) {
    try {
        $appSetting = new stdClass();
        $appSetting->userId = HelperMethods::getRequestParam($request, 'userId');
        $appSetting->branchId = HelperMethods::getRequestParam($request, 'branchId');
        $appSetting->status = HelperMethods::getRequestParam($request, 'status');
        $appSetting->regionId = HelperMethods::getRequestParam($request, 'regionId');
        $SystemManager = new SystemManager();
        if ($newApp = $SystemManager->getBranchList($appSetting)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $newApp);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->get('/cronSiteAllotment', function ($request, $response) {
    try {
        $jobList = new stdClass();
        $SystemManager = new SystemManager();
        if ($job = $SystemManager->cronSiteAllotment($jobList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $job);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {

        return HelperMethods::handleException($response, $e);

    }
});
$app->post('/getSMCAppConfigurations', function ($request, $response, $args) {
    try {
        $appId = $args['appId'];
        $systemManager = new SystemManager();
        $configurations = $systemManager->getSMCAppConfigurations($appId);
        $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS), $configurations);
        return $response->withJson($output, ResponseCode::SUCCESS);
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
