<?php
/**
 * Created by PhpStorm.
 * User: Pankaj
 * Date: 31-Aug-19
 * Time: 03:01 PM
 */
$app->group('', function () {

    $this->post('/createCustomerBasicDetails', function ($request, $response) {
        try {
            global $userId;
            $basicDetails = new stdClass();
            $basicDetails->userId = $userId;
            $basicDetails->email = HelperMethods::getRequestParam($request, 'email');
            $basicDetails->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $basicDetails->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $basicDetails->gender = HelperMethods::getRequestParam($request, 'gender');
            $UserManager = new UserManager();
            if ($details = $UserManager->createCustomerBasicDetails($basicDetails)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $details);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/createCustomerAddressDetails', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('userId', 'address', 'flatNumber', 'parkingLocation', 'nickName'))) {
                return $output;
            }
            global $userId;
            $addressDetails = new stdClass();
            $addressDetails->userId = $userId;
            $addressDetails->userAddressId = HelperMethods::getRequestParam($request, 'userAddressId');
            $addressDetails->cityId = HelperMethods::getRequestParam($request, 'cityId');
            $addressDetails->societyId = HelperMethods::getRequestParam($request, 'societyId');
            $addressDetails->address = HelperMethods::getRequestParam($request, 'address');
            $addressDetails->flatNumber = HelperMethods::getRequestParam($request, 'flatNumber');
            $addressDetails->parkingLocation = HelperMethods::getRequestParam($request, 'parkingLocation');
            $addressDetails->nickName = HelperMethods::getRequestParam($request, 'nickName');
            $addressDetails->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($address = $UserManager->createCustomerAddressDetails($addressDetails)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $address);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/createUserVehicle', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('fuelType', 'brandId', 'modelId', 'color', 'registrationDate', 'registrationNumber', 'parkingLocation', 'userAddressId'))) {
                return $output;
            }
            global $userId;
            $createVehicle = new stdClass();
            $createVehicle->userId = $userId;
            $createVehicle->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $createVehicle->fuelType = HelperMethods::getRequestParam($request, 'fuelType');
            $createVehicle->brandId = HelperMethods::getRequestParam($request, 'brandId');
            $createVehicle->modelId = HelperMethods::getRequestParam($request, 'modelId');
            $createVehicle->registrationNumber = HelperMethods::getRequestParam($request, 'registrationNumber');
            $createVehicle->color = HelperMethods::getRequestParam($request, 'color');
            $createVehicle->registrationDate = HelperMethods::getRequestParam($request, 'registrationDate');
            $createVehicle->parkingLocation = HelperMethods::getRequestParam($request, 'parkingLocation');
            $createVehicle->parkingInformation = HelperMethods::getRequestParam($request, 'parkingInformation');
            $createVehicle->userAddressId = HelperMethods::getRequestParam($request, 'userAddressId');
            $createVehicle->vehicleWheelerTypeId = HelperMethods::getRequestParam($request, 'vehicleWheelerTypeId');
            $UserManager = new UserManager();
            if ($vehicle = $UserManager->createUserVehicle($createVehicle)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $vehicle);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getCategoryList', function ($request, $response) {
        try {
            global $userId;
            $categoryList = new stdClass();
            $categoryList->userId = $userId;
            $categoryList->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
            $categoryList->vehicleWheelerTypeId = HelperMethods::getRequestParam($request, 'vehicleWheelerTypeId');
            $UserManager = new UserManager();
            if ($category = $UserManager->getCategoryList($categoryList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $category);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getCategoryPlanList', function ($request, $response) {
        try {
            global $userId;
            $planList = new stdClass();
            $planList->userId = $userId;
            $planList->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
            $planList->planId = HelperMethods::getRequestParam($request, 'planId');
            $planList->planDescriptionId = HelperMethods::getRequestParam($request, 'planDescriptionId');
            $planList->planTypeId = HelperMethods::getRequestParam($request, 'planTypeId');
            $UserManager = new UserManager();
            if ($plan = $UserManager->getCategoryPlanList($planList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $plan);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getUserVehicleList', function ($request, $response) {
        try {
            global $userId;
            $vehicleList = new stdClass();
            $vehicleList->userId = $userId;
            $vehicleList->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $vehicleList->vehicleWheelerTypeId = HelperMethods::getRequestParam($request, 'vehicleWheelerTypeId');
            $UserManager = new UserManager();
            if ($vehicle = $UserManager->getUserVehicleList($vehicleList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $vehicle);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/createUserOrder', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('subscriptionId', 'subscriptionItemId', 'vehicleId', 'amountPaid'))) {
                return $output;
            }
            global $userId;
            $createOrder = new stdClass();
            $createOrder->userId = $userId;
            $createOrder->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $createOrder->subscriptionId = HelperMethods::getRequestParam($request, 'subscriptionId');
            $createOrder->subscriptionItemId = HelperMethods::getRequestParam($request, 'subscriptionItemId');
            $createOrder->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $createOrder->amountPaid = HelperMethods::getRequestParam($request, 'amountPaid');
            $createOrder->taxName = HelperMethods::getRequestParam($request, 'taxName');
            $createOrder->taxPercent = HelperMethods::getRequestParam($request, 'taxPercent');
            $createOrder->taxAmount = HelperMethods::getRequestParam($request, 'taxAmount');
            $createOrder->discountPercent = HelperMethods::getRequestParam($request, 'discountPercent');
            $createOrder->discountAmount = HelperMethods::getRequestParam($request, 'discountAmount');
            $createOrder->preferredTimeId = HelperMethods::getRequestParam($request, 'preferredTimeId');
            $createOrder->razorPayTransDetails = HelperMethods::getRequestParam($request, 'razorPayTransDetails');
            $createOrder->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $createOrder->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $createOrder->orderJson = HelperMethods::getRequestParam($request, 'orderJson');
            $createOrder->transactionId = HelperMethods::getRequestParam($request, 'transactionId');
            $createOrder->superPlanId = HelperMethods::getRequestParam($request, 'superPlanId');
            $createOrder->totalWash = HelperMethods::getRequestParam($request, 'totalWash');
            $createOrder->validity = HelperMethods::getRequestParam($request, 'validity');
            $createOrder->dayId = HelperMethods::getRequestParam($request, 'dayId');
            $createOrder->perDayDates = HelperMethods::getRequestParam($request, 'perDayDates');
            $createOrder->servicePrefTimeId = HelperMethods::getRequestParam($request, 'servicePrefTimeId');
            $UserManager = new UserManager();
            if ($order = $UserManager->createUserOrder($createOrder)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $order);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getSocietyList', function ($request, $response) {
        try {
//            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('cityId'))) {
//                return $output;
//            }
            global $userId;
            $societyList = new stdClass();
            $societyList->userId = $userId;
            $societyList->cityId = HelperMethods::getRequestParam($request, 'cityId');
            $societyList->societyId = HelperMethods::getRequestParam($request, 'societyId');
            $societyList->statusTypeId = HelperMethods::getRequestParam($request, 'statusTypeId');
            $societyList->searchText = HelperMethods::getRequestParam($request, 'searchText');
            $UserManager = new UserManager();
            if ($society = $UserManager->getSocietyList($societyList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $society);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getVehicleBrandList', function ($request, $response) {
        try {
            global $userId;
            $brandList = new stdClass();
            $brandList->userId = $userId;
            $brandList->brandId = HelperMethods::getRequestParam($request, 'brandId');
            $brandList->vehicleWheelerTypeId = HelperMethods::getRequestParam($request, 'vehicleWheelerTypeId');
            $UserManager = new UserManager();
            if ($brand = $UserManager->getVehicleBrandList($brandList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $brand);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getVehicleModelList', function ($request, $response) {
        try {
            global $userId;
            $modelList = new stdClass();
            $modelList->userId = $userId;
            $modelList->brandId = HelperMethods::getRequestParam($request, 'brandId');
            $modelList->modelId = HelperMethods::getRequestParam($request, 'modelId');
            $UserManager = new UserManager();
            if ($model = $UserManager->getVehicleModelList($modelList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $model);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/verifiedMobileNumber', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('verificationCode', 'typeId', 'actionType'))) {
                return $output;
            }
            global $userId;
            $userVerifiedMobile = new stdClass();
            $userVerifiedMobile->userId = $userId;
            $userVerifiedMobile->verificationCode = HelperMethods::getRequestParam($request, 'verificationCode');
            $userVerifiedMobile->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $userVerifiedMobile->actionType = HelperMethods::getRequestParam($request, 'actionType');

            $UserManager = new UserManager();
            if ($verifiedMobile = $UserManager->verifiedMobileNumber($userVerifiedMobile)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $verifiedMobile);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/addWalletAmountByUser', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('amount', 'payoutType', 'userTypeId'))) {
                return $output;
            }
            global $userId;
            $userAddAmount = new stdClass();
            $userAddAmount->userId = $userId;
            $userAddAmount->userWalletId = HelperMethods::getRequestParam($request, 'userWalletId');
            $userAddAmount->userTypeId = HelperMethods::getRequestParam($request, 'userTypeId');
            $userAddAmount->amount = HelperMethods::getRequestParam($request, 'amount');
            $userAddAmount->payoutType = HelperMethods::getRequestParam($request, 'payoutType');
            $userAddAmount->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $userAddAmount->transactionId = HelperMethods::getRequestParam($request, 'transactionId');
            $userAddAmount->razorPayTransDetails = HelperMethods::getRequestParam($request, 'razorPayTransDetails');

            $UserManager = new UserManager();
            if ($amount = $UserManager->addWalletAmountByUser($userAddAmount)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $amount);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getUserTransactionHistory', function ($request, $response) {
        try {
            global $userId;
            $userWallet = new stdClass();
            $userWallet->userId = $userId;
            $userWallet->userWalletId = HelperMethods::getRequestParam($request, 'userWalletId');
            $userWallet->transactionId = HelperMethods::getRequestParam($request, 'transactionId');
            $userWallet->payoutType = HelperMethods::getRequestParam($request, 'payoutType');
            $UserManager = new UserManager();
            if ($wallet = $UserManager->getUserTransactionHistory($userWallet)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $wallet);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/setUpUserPassword', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('newPassword'))) {
                return $output;
            }
            global $userId;
            $userPassword = new stdClass();
            $userPassword->userId = $userId;
            $userPassword->newPassword = HelperMethods::getRequestParam($request, 'newPassword');
            $userPassword->passwordhash = HelperMethods::getPasswordHash($userPassword->newPassword);
            $userPassword->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $UserManager = new UserManager();
            if ($updatePassword = $UserManager->setUpUserPassword($userPassword)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $updatePassword);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/userLogout', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('typeId'))) {
                return $output;
            }
            global $userId, $authToken;
            $logoutUser = new stdClass();
            $logoutUser->userId = $userId;
            $logoutUser->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $logoutUser->token = $authToken;
            $logoutUser->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
            $logoutUser->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
            $logoutUser->deviceModal = HelperMethods::getRequestParam($request, 'deviceModal');
            $logoutUser->os = HelperMethods::getRequestParam($request, 'os');
            $logoutUser->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $logoutUser->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $logoutUser->version = HelperMethods::getRequestParam($request, 'version');
            $logoutUser->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
            if ($logoutUser->ipAddress == '') {
                if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                    $logoutUser->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
                } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                    $logoutUser->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
                } else {
                    $logoutUser->ipAddress = $_SERVER['REMOTE_ADDR'];

                }
            }
            $UserManager = new UserManager();
            if ($logout = $UserManager->userLogout($logoutUser)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $logout);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/userVehicleDelete', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('vehicleId'))) {
                return $output;
            }
            global $userId;
            $deleteVehicle = new stdClass();
            $deleteVehicle->userId = $userId;
            $deleteVehicle->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $UserManager = new UserManager();
            if ($delete = $UserManager->userVehicleDelete($deleteVehicle)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $delete);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getSubscriptionHistory', function ($request, $response) {
        try {
            global $userId;
            $subscriptionHistory = new stdClass();
            $subscriptionHistory->userId = $userId;
            $subscriptionHistory->subscriptionId = HelperMethods::getRequestParam($request, 'subscriptionId');
            $subscriptionHistory->planId = HelperMethods::getRequestParam($request, 'planId');
            $subscriptionHistory->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $UserManager = new UserManager();
            if ($history = $UserManager->getSubscriptionHistory($subscriptionHistory)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $history);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateServiceDateTime', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId'))) {
                return $output;
            }
            global $userId;
            $subscriptionDateTime = new stdClass();
            $subscriptionDateTime->userId = $userId;
            $subscriptionDateTime->selectDate = HelperMethods::getRequestParam($request, 'selectDate');
            $subscriptionDateTime->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $subscriptionDateTime->serviceType = HelperMethods::getRequestParam($request, 'serviceType');
            $UserManager = new UserManager();
            if ($dateTime = $UserManager->updateServiceDateTime($subscriptionDateTime)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $dateTime);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/getUserServiceList', function ($request, $response) {
        try {
            global $userId;
            $selectDate = new stdClass();
            $selectDate->userId = $userId;
            $selectDate->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $selectDate->prefferedTimeId = HelperMethods::getRequestParam($request, 'prefferedTimeId');
            $UserManager = new UserManager();
            if ($service = $UserManager->getUserServiceList($selectDate)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $service);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateSubscriptionDateTime', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId'))) {
                return $output;
            }
            global $userId;
            $subscriptionDateTime = new stdClass();
            $subscriptionDateTime->userId = $userId;
            $subscriptionDateTime->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $subscriptionDateTime->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $subscriptionDateTime->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $subscriptionDateTime->holidaysDate = HelperMethods::getRequestParam($request, 'holidaysDate');
            $subscriptionDateTime->prefferedTimeId = HelperMethods::getRequestParam($request, 'prefferedTimeId');
            $UserManager = new UserManager();
            if ($dateTime = $UserManager->updateSubscriptionDateTime($subscriptionDateTime)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $dateTime);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getShinerDetails', function ($request, $response) {
        try {

            global $userId;
            $shinerDetails = new stdClass();
            $shinerDetails->userId = $userId;
            $shinerDetails->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $shinerDetails->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $shinerDetails->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $UserManager = new UserManager();
            if ($shiner = $UserManager->getShinerDetails($shinerDetails)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $shiner);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/sendFeedback', function ($request, $response) {
        try {

            global $userId;
            $feedback = new stdClass();
            $feedback->userId = $userId;
            $feedback->washerUserId = HelperMethods::getRequestParam($request, 'washerUserId');
            $feedback->rating = HelperMethods::getRequestParam($request, 'rating');
            $feedback->title = HelperMethods::getRequestParam($request, 'title');
            $feedback->body = HelperMethods::getRequestParam($request, 'body');
            $UserManager = new UserManager();
            if ($rating = $UserManager->sendFeedback($feedback)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $rating);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/applyCoupon', function ($request, $response) {
        try {

            global $userId;
            $couponApply = new stdClass();
            $couponApply->userId = $userId;
            $couponApply->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $couponApply->couponCode = HelperMethods::getRequestParam($request, 'couponCode');
            $couponApply->date = HelperMethods::getRequestParam($request, 'date');
            $UserManager = new UserManager();
            if ($coupon = $UserManager->applyCoupon($couponApply)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $coupon);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getCityList', function ($request, $response) {
        try {
            global $userId;
            $cityList = new stdClass();
            $cityList->userId = $userId;
            $cityList->cityId = HelperMethods::getRequestParam($request, 'cityId');
            $UserManager = new UserManager();
            if ($city = $UserManager->getCityList($cityList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $city);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getUserAddressList', function ($request, $response) {
        try {
            global $userId;
            $addressList = new stdClass();
            $addressList->userId = $userId;
            $addressList->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $addressList->userAddressId = HelperMethods::getRequestParam($request, 'userAddressId');
            $addressList->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($userAddress = $UserManager->getUserAddressList($addressList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $userAddress);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateVehicleAddress', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('userAddressId', 'vehicleId'))) {
                return $output;
            }
            global $userId;
            $updateAddress = new stdClass();
            $updateAddress->userId = $userId;
            $updateAddress->userAddressId = HelperMethods::getRequestParam($request, 'userAddressId');
            $updateAddress->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $updateAddress->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($address = $UserManager->updateVehicleAddress($updateAddress)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $address);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getUserSubscriptionActiveList', function ($request, $response) {
        try {
            global $userId;
            $subscriptionList = new stdClass();
            $subscriptionList->userId = $userId;
            $subscriptionList->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $subscriptionList->planId = HelperMethods::getRequestParam($request, 'planId');
            $subscriptionList->vehicleId = HelperMethods::getRequestParam($request, 'vehicleId');
            $subscriptionList->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($activeList = $UserManager->getUserSubscriptionActiveList($subscriptionList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $activeList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/updateOrderStatus', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId', 'status'))) {
                return $output;
            }
            global $userId;
            $orderStatus = new stdClass();
            $orderStatus->userId = $userId;
            $orderStatus->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $orderStatus->status = HelperMethods::getRequestParam($request, 'status');

            $UserManager = new UserManager();
            if ($updateStatus = $UserManager->updateOrderStatus($orderStatus)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $updateStatus);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/updateOrderLocation', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId', 'latitude', 'longitude'))) {
                return $output;
            }
            global $userId;
            $orderLocation = new stdClass();
            $orderLocation->userId = $userId;
            $orderLocation->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $orderLocation->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $orderLocation->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $orderLocation->distance = HelperMethods::getRequestParam($request, 'distance');

            $UserManager = new UserManager();
            if ($updateLocation = $UserManager->updateOrderStatus($orderLocation)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $updateLocation);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/willLoginWithOtp', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('typeId', 'actionType'))) {
                return $output;
            }
            global $userId;
            $userLoginWithOtp = new stdClass();
            $userLoginWithOtp->userId = $userId;
            $userLoginWithOtp->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $userLoginWithOtp->actionType = HelperMethods::getRequestParam($request, 'actionType');

            $UserManager = new UserManager();
            if ($loginWithOtp = $UserManager->willLoginWithOtp($userLoginWithOtp)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $loginWithOtp);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/createItemReview', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('itemId', 'noOfStar'))) {
                return $output;
            }
            global $userId;
            $itemReview = new stdClass();
            $itemReview->userId = $userId;
            $itemReview->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $itemReview->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $itemReview->noOfStar = HelperMethods::getRequestParam($request, 'noOfStar');
            $itemReview->customerDescription = HelperMethods::getRequestParam($request, 'customerDescription');

            $UserManager = new UserManager();
            if ($review = $UserManager->createItemReview($itemReview)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $review);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/createOutletReview', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('outletId', 'noOfStar'))) {
                return $output;
            }
            global $userId;
            $outletReview = new stdClass();
            $outletReview->userId = $userId;
            $outletReview->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $outletReview->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $outletReview->noOfStar = HelperMethods::getRequestParam($request, 'noOfStar');
            $outletReview->customerDescription = HelperMethods::getRequestParam($request, 'customerDescription');

            $UserManager = new UserManager();
            if ($outletCustomerReview = $UserManager->createOutletReview($outletReview)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $outletCustomerReview);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/getItemReviewList', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('itemId'))) {
                return $output;
            }
            global $userId;
            $itemReviewList = new stdClass();
            $itemReviewList->userId = $userId;
            $itemReviewList->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $itemReviewList->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $itemReviewList->itemReviewId = HelperMethods::getRequestParam($request, 'itemReviewId');
            $UserManager = new UserManager();
            if ($reviewList = $UserManager->getItemReviewList($itemReviewList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $reviewList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/getOutletReviewList', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('outletId'))) {
                return $output;
            }
            global $userId;
            $outletReviewList = new stdClass();
            $outletReviewList->userId = $userId;
            $outletReviewList->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $outletReviewList->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $outletReviewList->outletReviewId = HelperMethods::getRequestParam($request, 'outletReviewId');
            $UserManager = new UserManager();
            if ($reviewOutletList = $UserManager->getOutletReviewList($outletReviewList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $reviewOutletList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/createCustomerOrder', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('customerOrderString'))) {
                return $output;
            }
            global $userId;
            $newCustomerOrder = new stdClass();
            $newCustomerOrder->userId = $userId;
            $newCustomerOrder->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
            $newCustomerOrder->customerOrderString = HelperMethods::getRequestParam($request, 'customerOrderString');
            if ($newCustomerOrder->ipAddress == '') {
                if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
                    $newCustomerOrder->ipAddress = $_SERVER['HTTP_CLIENT_IP'];
                } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
                    $newCustomerOrder->ipAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
                } else {
                    $newCustomerOrder->ipAddress = $_SERVER['REMOTE_ADDR'];
                }
            }
            $UserManager = new UserManager();
            if ($customerOrder = $UserManager->createCustomerOrder($newCustomerOrder)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $customerOrder);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e, $newCustomerOrder->customerOrderString);
        }
    });

    $this->post('/getCustomerOrderHistory', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId'))) {
                return $output;
            }
            global $userId;
            $customerOrderHistory = new stdClass();
            $customerOrderHistory->userId = $userId;
            $customerOrderHistory->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $customerOrderHistory->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $customerOrderHistory->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $customerOrderHistory->portionId = HelperMethods::getRequestParam($request, 'portionId');
            $customerOrderHistory->custmizationId = HelperMethods::getRequestParam($request, 'custmizationId');
            $customerOrderHistory->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $customerOrderHistory->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
            $UserManager = new UserManager();
            if ($orderHistory = $UserManager->getCustomerOrderHistory($customerOrderHistory)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $orderHistory);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getCustomerOrderList', function ($request, $response) {
        try {
//      if ($output = HelperMethods::verifyRequiredParams($request, $response, array('customerId'))) {
//        return $output;
//      }
            global $userId;
            $customerOrderList = new stdClass();
            $customerOrderList->userId = $userId;
            $customerOrderList->customerId = HelperMethods::getRequestParam($request, 'customerId');
            //$customerOrderList->customerId = is_null($customerOrderList) ? $userId : $customerOrderList;
            $customerOrderList->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $customerOrderList->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $customerOrderList->portionId = HelperMethods::getRequestParam($request, 'portionId');
            $customerOrderList->custmizationId = HelperMethods::getRequestParam($request, 'custmizationId');
            $customerOrderList->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $customerOrderList->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
            $UserManager = new UserManager();
            if ($orderList = $UserManager->getCustomerOrderList($customerOrderList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $orderList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/createCustomerAddress', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('customerAddress', 'locality', 'city', 'state', 'countryName', 'latitude', 'longitude', 'addressType', 'addressTypeText'))) {
                return $output;
            }
            global $userId;
            $newCustomerAddress = new stdClass();
            $newCustomerAddress->userId = $userId;
            $newCustomerAddress->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $newCustomerAddress->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $newCustomerAddress->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $newCustomerAddress->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $newCustomerAddress->customerAddress = HelperMethods::getRequestParam($request, 'customerAddress');
            $newCustomerAddress->locality = HelperMethods::getRequestParam($request, 'locality');
            $newCustomerAddress->city = HelperMethods::getRequestParam($request, 'city');
            $newCustomerAddress->state = HelperMethods::getRequestParam($request, 'state');
            $newCustomerAddress->countryName = HelperMethods::getRequestParam($request, 'countryName');
            $newCustomerAddress->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $newCustomerAddress->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $newCustomerAddress->zipcode = HelperMethods::getRequestParam($request, 'zipcode');
            $newCustomerAddress->addressType = HelperMethods::getRequestParam($request, 'addressType');
            $newCustomerAddress->addressTypeText = HelperMethods::getRequestParam($request, 'addressTypeText');

            $UserManager = new UserManager();
            if ($customerAddress = $UserManager->createCustomerAddress($newCustomerAddress)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $customerAddress);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/getCustomerAddressList', function ($request, $response) {
        try {
            global $userId;
            $customerAddressList = new stdClass();
            $customerAddressList->userId = $userId;
            $customerAddressList->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $UserManager = new UserManager();
            if ($addressList = $UserManager->getCustomerAddressList($customerAddressList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $addressList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getMyOutletOrderOnline', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('outletId', 'orderOnline', 'orderStatus'))) {
                return $output;
            }
            global $userId;
            $customerOrderOnline = new stdClass();
            $customerOrderOnline->userId = $userId;
            $customerOrderOnline->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $customerOrderOnline->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $customerOrderOnline->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $customerOrderOnline->orderOnline = HelperMethods::getRequestParam($request, 'orderOnline');
            $customerOrderOnline->orderStatus = HelperMethods::getRequestParam($request, 'orderStatus');
            $customerOrderOnline->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $customerOrderOnline->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $UserManager = new UserManager();
            if ($onlineOrder = $UserManager->getMyOutletOrderOnline($customerOrderOnline)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $onlineOrder);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateCustomerAddress', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('customerAddressId'))) {
                return $output;
            }
            global $userId;
            $updateCustomerAddress = new stdClass();
            $updateCustomerAddress->userId = $userId;
            $updateCustomerAddress->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $updateCustomerAddress->customerAddressId = HelperMethods::getRequestParam($request, 'customerAddressId');
            $updateCustomerAddress->byDefaultAddress = HelperMethods::getRequestParam($request, 'byDefaultAddress');

            $UserManager = new UserManager();
            if ($defaultAddress = $UserManager->updateCustomerAddress($updateCustomerAddress)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $defaultAddress);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getOutletCurrentOrderList', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('outletId'))) {
                return $output;
            }
            global $userId;
            $currentOrder = new stdClass();
            $currentOrder->userId = $userId;
            $currentOrder->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $currentOrder->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $currentOrder->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $currentOrder->portionId = HelperMethods::getRequestParam($request, 'portionId');
            $currentOrder->customizationId = HelperMethods::getRequestParam($request, 'customizationId');
            $currentOrder->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $currentOrder->orderStatus = HelperMethods::getRequestParam($request, 'orderStatus');
            $currentOrder->orderOnline = HelperMethods::getRequestParam($request, 'orderOnline');

            $UserManager = new UserManager();
            $OutletCashierManager = new OutletCashierManager();
            if ($currentOrderList = $OutletCashierManager->getOrderList($currentOrder)) {
                ($currentOrderList['onlineOrders'][0] = $UserManager->getMyOutletOrderOnline($currentOrder));
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $currentOrderList, $currentOrder);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }

    });
    $this->post('/setUpPasswordOutletManager', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('newPassword'))) {
                return $output;
            }
            global $userId;
            $managerPassword = new stdClass();
            $managerPassword->userId = $userId;
            $managerPassword->newPassword = HelperMethods::getRequestParam($request, 'newPassword');
            $managerPassword->passwordhash = HelperMethods::getPasswordHash($managerPassword->newPassword);
            $managerPassword->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $UserManager = new UserManager();
            if ($managerUpdatePassword = $UserManager->setUpPasswordOutletManager($managerPassword)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $managerUpdatePassword);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/verifiedMobileNumberOutletManager', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('verificationCode', 'typeId', 'actionType'))) {
                return $output;
            }
            global $userId;
            $managerVerifiedMobile = new stdClass();
            $managerVerifiedMobile->userId = $userId;
            $managerVerifiedMobile->verificationCode = HelperMethods::getRequestParam($request, 'verificationCode');
            $managerVerifiedMobile->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $managerVerifiedMobile->actionType = HelperMethods::getRequestParam($request, 'actionType');

            $UserManager = new UserManager();
            if ($verifiedMobileManager = $UserManager->verifiedMobileNumberOutletManager($managerVerifiedMobile)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $verifiedMobileManager);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/willLoginWithOtpOutletManager', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('typeId', 'actionType'))) {
                return $output;
            }
            global $userId;
            $managerLoginWithOtp = new stdClass();
            $managerLoginWithOtp->userId = $userId;
            $managerLoginWithOtp->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $managerLoginWithOtp->actionType = HelperMethods::getRequestParam($request, 'actionType');

            $UserManager = new UserManager();
            if ($loginWithOtpManager = $UserManager->willLoginWithOtpOutletManager($managerLoginWithOtp)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $loginWithOtpManager);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });

    $this->post('/getOutletManagerOrderOnlineList', function ($request, $response) {
        try {

            global $userId;
            $managerOrderOnline = new stdClass();
            $managerOrderOnline->userId = $userId;
            $managerOrderOnline->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $managerOrderOnline->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $managerOrderOnline->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $managerOrderOnline->portionId = HelperMethods::getRequestParam($request, 'portionId');
            $managerOrderOnline->customizationId = HelperMethods::getRequestParam($request, 'customizationId');
            $managerOrderOnline->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $managerOrderOnline->orderOnline = HelperMethods::getRequestParam($request, 'orderOnline');
            $managerOrderOnline->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $managerOrderOnline->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $UserManager = new UserManager();
            if ($onlineOrderList = $UserManager->getOutletManagerOrderOnlineList($managerOrderOnline)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $onlineOrderList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateOrderOnlineStatus', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId', 'orderStatus'))) {
                return $output;
            }
            global $userId;
            $orderOnlineStatus = new stdClass();
            $orderOnlineStatus->userId = $userId;
            $orderOnlineStatus->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $orderOnlineStatus->orderStatus = HelperMethods::getRequestParam($request, 'orderStatus');
            $orderOnlineStatus->deliveryMethodType = HelperMethods::getRequestParam($request, 'deliveryMethodType');
            $orderOnlineStatus->deliveryBoyId = HelperMethods::getRequestParam($request, 'deliveryBoyId');
            $UserManager = new UserManager();
            if ($updateOnlineStatus = $UserManager->updateOrderOnlineStatus($orderOnlineStatus)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $updateOnlineStatus);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/createReservation', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('outletId', 'reservationName', 'date', 'time', 'noOfPerson'))) {
                return $output;
            }
            global $userId;
            $createReservation = new stdClass();
            $createReservation->userId = $userId;
            $createReservation->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $createReservation->reservationName = HelperMethods::getRequestParam($request, 'reservationName');
            $createReservation->date = HelperMethods::getRequestParam($request, 'date');
            $createReservation->time = HelperMethods::getRequestParam($request, 'time');
            $createReservation->noOfPerson = HelperMethods::getRequestParam($request, 'noOfPerson');
            $createReservation->language = HelperMethods::getRequestParam($request, 'language');

            $UserManager = new UserManager();
            if ($reservation = $UserManager->createReservation($createReservation)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $reservation);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getReservationList', function ($request, $response) {
        try {
            global $userId;
            $ReservationList = new stdClass();
            $ReservationList->userId = $userId;
            $ReservationList->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $ReservationList->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $UserManager = new UserManager();
            if ($reservationList = $UserManager->getReservationList($ReservationList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $reservationList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getDeliveryBoyAssignOrderList', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('latitude', 'longitude'))) {
                return $output;
            }
            global $userId;
            $assignOrder = new stdClass();
            $assignOrder->userId = $userId;
            $assignOrder->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $assignOrder->deliveryBoyId = HelperMethods::getRequestParam($request, 'deliveryBoyId');
            $assignOrder->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $assignOrder->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $assignOrder->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $assignOrder->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $assignOrder->portionId = HelperMethods::getRequestParam($request, 'portionId');
            $assignOrder->customizationId = HelperMethods::getRequestParam($request, 'customizationId');
            $assignOrder->outletId = HelperMethods::getRequestParam($request, 'outletId');

            $UserManager = new UserManager();
            if ($assignOrderList = $UserManager->getDeliveryBoyAssignOrderList($assignOrder)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $assignOrderList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateRiderStatus', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('riderStatus'))) {
                return $output;
            }
            global $userId;
            $riderStatus = new stdClass();
            $riderStatus->userId = $userId;
            $riderStatus->riderId = HelperMethods::getRequestParam($request, 'riderId');
            $riderStatus->riderStatus = HelperMethods::getRequestParam($request, 'riderStatus');
            $UserManager = new UserManager();
            if ($updateStatus = $UserManager->updateRiderStatus($riderStatus)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $updateStatus);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getOutletRiderList', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('riderStatus'))) {
                return $output;
            }
            global $userId;
            $onlineRiderList = new stdClass();
            $onlineRiderList->userId = $userId;
            $onlineRiderList->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $onlineRiderList->riderId = HelperMethods::getRequestParam($request, 'riderId');
            $onlineRiderList->riderStatus = HelperMethods::getRequestParam($request, 'riderStatus');
            $UserManager = new UserManager();
            if ($riderList = $UserManager->getOutletRiderList($onlineRiderList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $riderList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getRiderList', function ($request, $response) {
        try {
            global $userId;
            $riderList = new stdClass();
            $riderList->userId = $userId;
            $riderList->riderId = HelperMethods::getRequestParam($request, 'riderId');
            $riderList->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $riderList->onDuty = HelperMethods::getRequestParam($request, 'onDuty');
            $UserManager = new UserManager();
            if ($outletRiderList = $UserManager->getRiderList($riderList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $outletRiderList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getRiderOrderList', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('riderId'))) {
                return $output;
            }
            global $userId;
            $riderOrderList = new stdClass();
            $riderOrderList->userId = $userId;
            $riderOrderList->riderId = HelperMethods::getRequestParam($request, 'riderId');
            $riderOrderList->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $riderOrderList->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $riderOrderList->itemId = HelperMethods::getRequestParam($request, 'itemId');
            $riderOrderList->portionId = HelperMethods::getRequestParam($request, 'portionId');
            $riderOrderList->custmizationId = HelperMethods::getRequestParam($request, 'custmizationId');
            $riderOrderList->outletId = HelperMethods::getRequestParam($request, 'outletId');
            $UserManager = new UserManager();
            if ($orderList = $UserManager->getRiderOrderList($riderOrderList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $orderList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/updateUserPauseJob', function ($request, $response) {
        try {
//            if ($output = HelperMethods::verifyRequiredParams($request, $response, array( 'jobId', 'serviceDate'))) {
//                return $output;
//            }
            global $userId;
            $pauseJob = new stdClass();
            $pauseJob->userId = $userId;
            $pauseJob->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $pauseJob->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $pauseJob->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $pauseJob->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();

            if ($pause = $UserManager->updateUserPauseJob($pauseJob)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $pause);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/updateServiceTimeRequestByUser', function ($request, $response) {
        try {
            global $userId;
            $requestTime = new stdClass();
            $requestTime->userId = $userId;
            $requestTime->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $requestTime->serviceTimeRequestId = HelperMethods::getRequestParam($request, 'serviceTimeRequestId');
            $requestTime->orderSelectedDateId = HelperMethods::getRequestParam($request, 'orderSelectedDateId');
            $requestTime->startDate = HelperMethods::getRequestParam($request, 'startDate');
            $requestTime->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $requestTime->timeId = HelperMethods::getRequestParam($request, 'timeId');
            $requestTime->dayId = HelperMethods::getRequestParam($request, 'dayId');
            $requestTime->serviceTypeId = HelperMethods::getRequestParam($request, 'serviceTypeId');
            $requestTime->statusTypeId = HelperMethods::getRequestParam($request, 'statusTypeId');
            $requestTime->requestStatusTypeId = HelperMethods::getRequestParam($request, 'requestStatusTypeId');
            $requestTime->requestText = HelperMethods::getRequestParam($request, 'requestText');
            $requestTime->selectedDates = HelperMethods::getRequestParam($request, 'selectedDates');
            $requestTime->language = HelperMethods::getRequestParam($request, 'language');
            $requestTime->serviceRequestObject = HelperMethods::getRequestParam($request, 'serviceRequestObject');
            $UserManager = new UserManager();

            if ($changeTime = $UserManager->updateServiceTimeRequestByUser($requestTime)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $changeTime);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/updateCustomerNameImage', function ($request, $response) {
        try {
            global $userId;
            $changeName = new stdClass();
            $changeName->userId = 57;
            $changeName->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $changeName->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $changeName->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $changeName->profileImage = HelperMethods::getRequestParam($request, 'profileImage');
            $changeName->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($customerName = $UserManager->updateCustomerNameImage($changeName)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $customerName);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/sendMobileOtp', function ($request, $response) {
        try {
            global $userId;
            $sendOtp = new stdClass();
            $sendOtp->userId = $userId;
            $sendOtp->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $sendOtp->mobileOtp = HelperMethods::generateVerificationCode();
            //$sendOtp->mobileOtp = HelperMethods::getRequestParam($request, 'mobileOtp');
            $sendOtp->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($otp = $UserManager->sendMobileOtp($sendOtp)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $otp);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/sendEmailOtp', function ($request, $response) {
        try {
            global $userId;
            $sendOtp = new stdClass();
            $sendOtp->userId = $userId;
            $sendOtp->email = HelperMethods::getRequestParam($request, 'email');
            $sendOtp->emailOtp = HelperMethods::generateVerificationCode();
            //$sendOtp->mobileOtp = HelperMethods::getRequestParam($request, 'mobileOtp');
            $sendOtp->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($emailChange = $UserManager->sendEmailOtp($sendOtp)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $emailChange);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/updateCustomerMobile', function ($request, $response) {
        try {
            global $userId;
            $changeMobile = new stdClass();
            $changeMobile->userId = $userId;
            $changeMobile->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $changeMobile->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $changeMobile->verificationCode = HelperMethods::getRequestParam($request, 'verificationCode');
            $changeMobile->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($mobile = $UserManager->updateCustomerMobile($changeMobile)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $mobile);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/updateCustomerEmail', function ($request, $response) {
        try {
            global $userId;
            $changeEmail = new stdClass();
            $changeEmail->userId = $userId;
            $changeEmail->email = HelperMethods::getRequestParam($request, 'email');
            $changeEmail->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $changeEmail->verificationCode = HelperMethods::getRequestParam($request, 'verificationCode');
            $changeEmail->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($email = $UserManager->updateCustomerEmail($changeEmail)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $email);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/changeUserPasswordByUser', function ($request, $response) {
        try {
            global $userId;
            $changePassword = new stdClass();
            $changePassword->userId = $userId;
            $changePassword->oldPassword = HelperMethods::getRequestParam($request, 'oldPassword');
            $changePassword->passwordText = HelperMethods::getRequestParam($request, 'passwordText');
            //$changePassword->passwordhash = HelperMethods::getPasswordHash($changePassword->passwordText);
            $changePassword->passwordhash = HelperMethods::getPasswordHash($changePassword->passwordText);
            //$changePassword->passwordhash = HelperMethods::getRequestParam($request, 'passwordhash');
            $changePassword->language = HelperMethods::getRequestParam($request, 'language');
            $UserManager = new UserManager();
            if ($password = $UserManager->changeUserPasswordByUser($changePassword)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $password);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });


    $this->post('/getUserCashbackList', function ($request, $response) {
        try {
            global $userId;
            $cashback = new stdClass();
            $cashback->userId = $userId;
            $cashback->societyId = HelperMethods::getRequestParam($request, 'societyId');
            $cashback->cityId = HelperMethods::getRequestParam($request, 'cityId');
            $cashback->searchText = HelperMethods::getRequestParam($request, 'searchText');
            $cashback->language = "en";
            $UserManager = new UserManager();
            if ($cashbackUserList = $UserManager->getUserCashbackList($cashback)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $cashbackUserList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });


    $this->post('/addCashbackToUser', function ($request, $response) {
        try {
            global $userId;
            $cashback = new stdClass();
            $cashback->userId = $userId;
            $cashback->customerId = HelperMethods::getRequestParam($request, 'customerId');
            $cashback->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $cashback->amount = HelperMethods::getRequestParam($request, 'amount');
            $cashback->amountType = HelperMethods::getRequestParam($request, 'amountType');
            $cashback->comment = HelperMethods::getRequestParam($request, 'comment');
            $cashback->validDate = HelperMethods::getRequestParam($request, 'validDate');
            $cashback->language = "en";
            $UserManager = new UserManager();
            if ($UserManager->addUserCashback($cashback)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });



    $this->post('/getUserCashbackDetails', function ($request, $response) {
        try {
            global $userId;
            $cashback = new stdClass();
            $cashback->userId = $userId;
            $cashback->customerId = HelperMethods::getRequestParam($request, 'customerId');;
            $cashback->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $cashback->language = "en";
            $UserManager = new UserManager();
            if ($cashbackUserList = $UserManager->getUserCashbackDetails($cashback)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $cashbackUserList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });



    $this->post('/addCouponToUser', function ($request, $response) {
        try {
            global $userId;
            $cashback = new stdClass();
            $cashback->userId = HelperMethods::getRequestParam($request, 'userId');
            $cashback->couponId = HelperMethods::getRequestParam($request, 'couponId');
            $cashback->language = "en";
            $UserManager = new UserManager();
            if ($UserManager->addCouponToUser($cashback)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/resetPassword', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('customerUserId', 'typeId'))) {
                return $output;
            }
            global $userId;
            $resetPassword = new stdClass();
            $resetPassword->userId = $userId;
            $resetPassword->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $resetPassword->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $UserManager = new UserManager();
            if ($resetPass = $UserManager->resetPassword($resetPassword)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $resetPass);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {

            return HelperMethods::handleException($response, $e);

        }
    });
    $this->post('/getUserPauseJobList', function ($request, $response) {
        try {
            global $userId;
            $pauseList = new stdClass();
            $pauseList->userId = HelperMethods::getRequestParam($request, 'userId');
            $pauseList->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $pauseList->language = "en";
            $UserManager = new UserManager();
            if ($pauseJobList=$UserManager->getUserPauseJobList($pauseList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $pauseJobList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/updateUserUnpauseJob', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('orderId', 'prefferdDate', 'serviceType'))) {
                return $output;
            }
            global $userId;
            $unpauseJob = new stdClass();
            $unpauseJob->userId = $userId;
            $unpauseJob->orderId = HelperMethods::getRequestParam($request, 'orderId');
            $unpauseJob->prefferdDate = HelperMethods::getRequestParam($request, 'prefferdDate');
            $unpauseJob->serviceType = HelperMethods::getRequestParam($request, 'serviceType');
            $UserManager = new UserManager();
            if ($unpause = $UserManager->updateUserUnpauseJob($unpauseJob)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, $userId, NULL), $unpause);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/createBusinessLocation', function ($request, $response) {
        try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
            $newLocation = new stdClass();
            $newLocation->userId = HelperMethods::getRequestParam($request, 'userId');
            $newLocation->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $newLocation->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $newLocation->locationName = HelperMethods::getRequestParam($request, 'locationName');
            $newLocation->businessLegalName = HelperMethods::getRequestParam($request, 'businessLegalName');
            $newLocation->locationIcon = HelperMethods::getRequestParam($request, 'locationIcon');
            $newLocation->locationLogo = HelperMethods::getRequestParam($request, 'locationLogo');
            $newLocation->GSTIN = HelperMethods::getRequestParam($request, 'GSTIN');
            $newLocation->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $newLocation->email = HelperMethods::getRequestParam($request, 'email');
            $newLocation->address = HelperMethods::getRequestParam($request, 'address');
            $newLocation->locality = HelperMethods::getRequestParam($request, 'locality');
            $newLocation->city = HelperMethods::getRequestParam($request, 'city');
            $newLocation->state = HelperMethods::getRequestParam($request, 'state');
            $newLocation->country = HelperMethods::getRequestParam($request, 'country');
            $newLocation->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $newLocation->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $newLocation->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $newLocation->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($location = $userManager->createBusinessLocation($newLocation)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $location);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/createSuperAdmin', function($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
                return $output;
            }
            $createAdmin = new stdClass();
            $createAdmin->userId = HelperMethods::getRequestParam($request, 'userId');
            $createAdmin->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $createAdmin->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $createAdmin->email = HelperMethods::getRequestParam($request, 'email');
            $createAdmin->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
            $createAdmin->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $createAdmin->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $createAdmin->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $createAdmin->address = HelperMethods::getRequestParam($request, 'address');
            $createAdmin->locality = HelperMethods::getRequestParam($request, 'locality');
            $createAdmin->city = HelperMethods::getRequestParam($request, 'city');
            $createAdmin->state = HelperMethods::getRequestParam($request, 'state');
            $createAdmin->country = HelperMethods::getRequestParam($request, 'country');
            $createAdmin->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $createAdmin->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $createAdmin->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $createAdmin->token = HelperMethods::getRequestParam($request, 'token');
            $createAdmin->password = HelperMethods::getRequestParam($request, 'password');
            $createAdmin->passwordHash = HelperMethods::getPasswordHash( $createAdmin->password);
            $createAdmin->accountStatus = HelperMethods::getRequestParam($request, 'accountStatus');
            $createAdmin->isEmailVerified = HelperMethods::getRequestParam($request, 'isEmailVerified');
            $createAdmin->isMobileVerified = HelperMethods::getRequestParam($request, 'isMobileVerified');
            $createAdmin->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
            $createAdmin->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ( $createSuperAdmin = $userManager->createSuperAdmin($createAdmin)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL),  $createSuperAdmin);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL,NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/createCustomer', function($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
                return $output;
            }
            $createCustomer = new stdClass();
            $createCustomer->userId = HelperMethods::getRequestParam($request, 'userDetailsId');
            $createCustomer->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $createCustomer->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $createCustomer->email = HelperMethods::getRequestParam($request, 'email');
            $createCustomer->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
            $createCustomer->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $createCustomer->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $createCustomer->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $createCustomer->address = HelperMethods::getRequestParam($request, 'address');
            $createCustomer->locality = HelperMethods::getRequestParam($request, 'locality');
            $createCustomer->city = HelperMethods::getRequestParam($request, 'city');
            $createCustomer->state = HelperMethods::getRequestParam($request, 'state');
            $createCustomer->country = HelperMethods::getRequestParam($request, 'country');
            $createCustomer->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $createCustomer->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $createCustomer->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $createCustomer->token = HelperMethods::getRequestParam($request, 'token');
            $createCustomer->password = HelperMethods::getRequestParam($request, 'password');
            $createCustomer->passwordHash = HelperMethods::getPasswordHash( $createCustomer->password);
            $createCustomer->accountStatus = HelperMethods::getRequestParam($request, 'accountStatus');
            $createCustomer->isEmailVerified = HelperMethods::getRequestParam($request, 'isEmailVerified');
            $createCustomer->isMobileVerified = HelperMethods::getRequestParam($request, 'isMobileVerified');
            $createCustomer->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
            $createCustomer->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ( $createCustomer = $userManager->createCustomer($createCustomer)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL),  $createCustomer);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL,NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/createAddress', function($request, $response) {
        try {

            if($output=HelperMethods::verifyRequiredParams($request, $response, array())) {
                return $output;
            }
            $address = new stdClass();
            $address->userId = HelperMethods::getRequestParam($request, 'userId');
            $address->addressId = HelperMethods::getRequestParam($request,'addressId');
            $address->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $address->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $address->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $address->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $address->email = HelperMethods::getRequestParam($request,'email' );
            $address->address = HelperMethods::getRequestParam($request, 'address');
            $address->locality = HelperMethods::getRequestParam($request, 'locality');
            $address->city = HelperMethods::getRequestParam($request, 'city');
            $address->state = HelperMethods::getRequestParam($request, 'state');
            $address->country = HelperMethods::getRequestParam($request, 'country');
            $address->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $address->addressType = HelperMethods::getRequestParam($request, 'addressType');
            $address->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $address->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $userManager = new UserManager();
            if($address = $userManager->createAddress($address)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $address);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/createBranchManager', function($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
                return $output;
            }
            $newBranchManager = new stdClass();
            $newBranchManager->userId = HelperMethods::getRequestParam($request, 'userId');
            $newBranchManager->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $newBranchManager->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $newBranchManager->email = HelperMethods::getRequestParam($request, 'email');
            $newBranchManager->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
            $newBranchManager->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $newBranchManager->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $newBranchManager->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $newBranchManager->address = HelperMethods::getRequestParam($request, 'address');
            $newBranchManager->locality = HelperMethods::getRequestParam($request, 'locality');
            $newBranchManager->city = HelperMethods::getRequestParam($request, 'city');
            $newBranchManager->state = HelperMethods::getRequestParam($request, 'state');
            $newBranchManager->country = HelperMethods::getRequestParam($request, 'country');
            $newBranchManager->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $newBranchManager->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $newBranchManager->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $newBranchManager->token = HelperMethods::getRequestParam($request, 'token');
            $newBranchManager->password = HelperMethods::getRequestParam($request, 'password');
            $newBranchManager->passwordHash = HelperMethods::getPasswordHash($newBranchManager->password);
            $newBranchManager->accountStatus = HelperMethods::getRequestParam($request, 'accountStatus');
            $newBranchManager->isEmailVerified = HelperMethods::getRequestParam($request, 'isEmailVerified');
            $newBranchManager->isMobileVerified = HelperMethods::getRequestParam($request, 'isMobileVerified');
            $newBranchManager->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
            $newBranchManager->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($branchManager = $userManager->createBranchManager($newBranchManager)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $branchManager);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL,NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/createAuditor', function($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
                return $output;
            }
            $createAuditor = new stdClass();
            $createAuditor->userId = HelperMethods::getRequestParam($request, 'userDetailsId');
            $createAuditor->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $createAuditor->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $createAuditor->email = HelperMethods::getRequestParam($request, 'email');
            $createAuditor->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
            $createAuditor->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $createAuditor->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $createAuditor->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $createAuditor->address = HelperMethods::getRequestParam($request, 'address');
            $createAuditor->locality = HelperMethods::getRequestParam($request, 'locality');
            $createAuditor->city = HelperMethods::getRequestParam($request, 'city');
            $createAuditor->state = HelperMethods::getRequestParam($request, 'state');
            $createAuditor->country = HelperMethods::getRequestParam($request, 'country');
            $createAuditor->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $createAuditor->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $createAuditor->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $createAuditor->token = HelperMethods::getRequestParam($request, 'token');
            $createAuditor->password = HelperMethods::getRequestParam($request, 'password');
            $createAuditor->passwordHash = HelperMethods::getPasswordHash( $createAuditor->password);
            $createAuditor->accountStatus = HelperMethods::getRequestParam($request, 'accountStatus');
            $createAuditor->isEmailVerified = HelperMethods::getRequestParam($request, 'isEmailVerified');
            $createAuditor->isMobileVerified = HelperMethods::getRequestParam($request, 'isMobileVerified');
            $createAuditor->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
            $createAuditor->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ( $createAuditor = $userManager->createAuditor($createAuditor)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL),  $createAuditor);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL,NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

    $this->post('/createLocationRegion', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())){
                return $output;
            }
            $locationRegion = new stdClass();
            $locationRegion->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $locationRegion->regionId = HelperMethods::getRequestParam($request, 'regionId');
            $locationRegion->regionName = HelperMethods::getRequestParam($request, 'regionName');
            $userManager = new UserManager();
            if ($region = $userManager->createLocationRegion($locationRegion)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $region);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/createRegionalHead', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
                return $output;
            }
            $regionalHead = new stdClass();
            $regionalHead->userId = HelperMethods::getRequestParam($request, 'userId');
            $regionalHead->locationId = HelperMethods::getRequestParam($request,'locationId');
            $regionalHead->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $regionalHead->email = HelperMethods::getRequestParam($request, 'email');
            $regionalHead->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
            $regionalHead->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $regionalHead->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $regionalHead->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $regionalHead->address = HelperMethods::getRequestParam($request, 'address');
            $regionalHead->locality = HelperMethods::getRequestParam($request, 'locality');
            $regionalHead->city = HelperMethods::getRequestParam($request, 'city');
            $regionalHead->state = HelperMethods::getRequestParam($request, 'state');
            $regionalHead->country = HelperMethods::getRequestParam($request, 'country');
            $regionalHead->zipCode = HelperMethods::getRequestParam($request, 'zipCode');
            $regionalHead->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $regionalHead->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $regionalHead->token = HelperMethods::getRequestParam($request, 'token');
            $regionalHead->password = HelperMethods::getRequestParam($request, 'password');
            $regionalHead->passwordHash = HelperMethods::getPasswordHash($regionalHead->password);
            $regionalHead->accountStatus = HelperMethods::getRequestParam($request, 'accountStatus');
            $regionalHead->isEmailVerified = HelperMethods::getRequestParam($request, 'isEmailVerified');
            $regionalHead->isMobileVerified = HelperMethods::getRequestParam($request, 'isMobileVerified');
            $regionalHead->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
            $regionalHead->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($regionalHead = $userManager->createRegionalHead($regionalHead)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $regionalHead);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
$this->post('/createUsers', function ($request, $response) {
        try {
//            if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
//                return $output;
//            }
            global $userId;
            $users = new stdClass();
            $users->userId = $userId;
            $users->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $users->phone = HelperMethods::getRequestParam($request, 'phone');
            $users->email = HelperMethods::getRequestParam($request, 'email');
            $users->dialingCode = HelperMethods::getRequestParam($request, 'dialingCode');
            $users->firstName = HelperMethods::getRequestParam($request, 'firstName');
            $users->middleName = HelperMethods::getRequestParam($request, 'middleName');
            $users->lastName = HelperMethods::getRequestParam($request, 'lastName');
            $users->status = HelperMethods::getRequestParam($request, 'status');
            $users->branchId = HelperMethods::getRequestParam($request, 'branchId');
            $users->regionId = HelperMethods::getRequestParam($request, 'regionId');
            $users->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $users->passwordText = HelperMethods::getRequestParam($request, 'password');
            $users->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $users->passwordHash = HelperMethods::getPasswordHash($users->passwordText);

            $userManager = new UserManager();
            if ($user = $userManager->createUsers($users)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $user);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
     $this->post('/createSite', function ($request, $response) {
        try {
//        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('businessId', 'locationId', 'locationName', 'businessLegalName', 'locationIcon', 'locationLogo', 'GSTIN',  'phone', 'email', 'address', 'city', 'state', 'country', 'zipCode', 'latitude', 'longitude'))) {
//            return $output;
//        }
            global $userId;
            $newLocation = new stdClass();
            $newLocation->userId = $userId;
            $newLocation->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $newLocation->regionId = HelperMethods::getRequestParam($request, 'regionId');
            $newLocation->branchId = HelperMethods::getRequestParam($request, 'branchId');
            $newLocation->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $newLocation->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $newLocation->locationName = HelperMethods::getRequestParam($request, 'locationName');
            $newLocation->mobile = HelperMethods::getRequestParam($request, 'mobile');
            $newLocation->email = HelperMethods::getRequestParam($request, 'email');
            $newLocation->address = HelperMethods::getRequestParam($request, 'address');
            $newLocation->city = HelperMethods::getRequestParam($request, 'city');
            $newLocation->state = HelperMethods::getRequestParam($request, 'state');
            $newLocation->country = HelperMethods::getRequestParam($request, 'country');
            $newLocation->billingValue = HelperMethods::getRequestParam($request, 'billingValue');
            $newLocation->status = HelperMethods::getRequestParam($request, 'status');
            $newLocation->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $newLocation->latitude = HelperMethods::getRequestParam($request, 'latitude');
            $newLocation->longitude = HelperMethods::getRequestParam($request, 'longitude');
            $newLocation->unitType = HelperMethods::getRequestParam($request, 'unitType');
            $newLocation->unitCode = HelperMethods::getRequestParam($request, 'unitCode');
            $newLocation->service = HelperMethods::getRequestParam($request, 'service');
            $newLocation->softArea = HelperMethods::getRequestParam($request, 'softArea');
            $newLocation->segment = HelperMethods::getRequestParam($request, 'segment');
            $newLocation->csat = HelperMethods::getRequestParam($request, 'csat');
            $newLocation->osas = HelperMethods::getRequestParam($request, 'osas');
            $newLocation->contactPersonName = HelperMethods::getRequestParam($request, 'contactPersonName');
            $newLocation->qrCode = HelperMethods::getRequestParam($request, 'qrCode');
            $newLocation->siteType = HelperMethods::getRequestParam($request, 'siteType');
            $userManager = new UserManager();
            if ($location = $userManager->createSite($newLocation)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $location);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
 $this->post('/getInspectionList', function ($request, $response) {
        try {
            $location = new stdClass();
            $location->userId = HelperMethods::getRequestParam($request, 'userId');
            $location->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $location->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $location->status = HelperMethods::getRequestParam($request, 'status');
            $location->inspectionId = HelperMethods::getRequestParam($request, 'inspectionId');
             $location->branchId = HelperMethods::getRequestParam($request, 'branchId');
            $location->regionId = HelperMethods::getRequestParam($request, 'regionId');
            $userManager = new UserManager();
            if ($location = $userManager->getInspectionList($location)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $location);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
  $this->post('/addInspection', function ($request, $response) {
        try {
            global $userId;
            $inspection = new stdClass();
            $inspection->userId = $userId;
            $inspection->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $inspection->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $inspection->endDate = HelperMethods::getRequestParam($request, 'endDate');
            $inspection->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $inspection->userTypeId = HelperMethods::getRequestParam($request, 'userTypeId');
            $userManager = new UserManager();
            if ($location = $userManager->addInspection($inspection)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $location);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getDashboardDetails', function ($request, $response) {
        try {
            global $userId;
            $dashboard = new stdClass();
            $dashboard->userId = $userId;
            $dashboard->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $dashboard->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $dashboard->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($dashboardDetails = $userManager->getDashboardDetails($dashboard)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $dashboardDetails);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getAuditPendingInspectionList', function ($request, $response) {
        try {
            global $userId;
            $inspectionList = new stdClass();
            $inspectionList->userId = $userId;
            $inspectionList->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $inspectionList->locationId = HelperMethods::getRequestParam($request, 'locationId');
             $inspectionList->branchId = HelperMethods::getRequestParam($request, 'branchId');
            $inspectionList->regionId = HelperMethods::getRequestParam($request, 'regionId');
            $inspectionList->auditUserId = HelperMethods::getRequestParam($request, 'auditUserId');
            $inspectionList->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($pendingInspectionList = $userManager->getAuditPendingInspectionList($inspectionList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $pendingInspectionList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/sendMessageUsers', function ($request, $response) {
        try {
            global $userId;
            $sendMessage = new stdClass();
            $sendMessage->userId = $userId;
            $sendMessage->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $sendMessage->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $sendMessage->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($userMessage = $userManager->sendMessageUsers($sendMessage)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $userMessage);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
     $this->post('/sendPdfFilesUsers', function ($request, $response) {
        try {
            global $userId;
            $sendEmail = new stdClass();
            $sendEmail->userId = $userId;
            $sendEmail->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $sendEmail->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $sendEmail->auditId = HelperMethods::getRequestParam($request, 'auditId');
            $sendEmail->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($userEmail = $userManager->sendPdfFilesUsers($sendEmail)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $userEmail);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/sendPdfFilesUsersOsas', function ($request, $response) {
        try {
            global $userId;
            $sendEmail = new stdClass();
            $sendEmail->userId = $userId;
            $sendEmail->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $sendEmail->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $sendEmail->auditId = HelperMethods::getRequestParam($request, 'auditId');
            $sendEmail->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($userEmail = $userManager->sendPdfFilesUsersOsas($sendEmail)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $userEmail);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getPendingQuestionStatus', function ($request, $response) {
        try {
            global $userId;
            $status = new stdClass();
            $status->userId = $userId;
            $status->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $status->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($statusDetails = $userManager->getPendingQuestionStatus($status)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $statusDetails);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/updateAuditStatus', function ($request, $response) {
        try {
            global $userId;
            $status = new stdClass();
            $status->userId = $userId;
            $status->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $status->auditId = HelperMethods::getRequestParam($request, 'auditId');
            $status->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($statusDetails = $userManager->updateAuditStatus($status)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $statusDetails);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getAdminUserList', function ($request, $response) {
        try {
            global $userId;
            $userList = new stdClass();
            $userList->userId = $userId;
            $userList->typeId = HelperMethods::getRequestParam($request, 'typeId');
            $userList->customerUserId = HelperMethods::getRequestParam($request, 'customerUserId');
            $userList->searchText = HelperMethods::getRequestParam($request, 'searchText');
            $userList->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($userDetailsList = $userManager->getAdminUserList($userList)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $userDetailsList);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    
    $this->post('/deleteBusiness', function ($request, $response) {
        try {
            if ($output = HelperMethods::verifyRequiredParams($request, $response, array('businessId'))) {
                return $output;
            }
            global $userId;
            $deleteBusiness = new stdClass();
            $deleteBusiness->userId = $userId;
            $deleteBusiness->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $userManager = new UserManager();
            if ($delete = $userManager->deleteBusiness($deleteBusiness)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $delete);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
     $this->post('/saveAuditAnswerOSAS', function ($request, $response) {
        try {
            global $userId;
            $answer = new stdClass();
            $answer->userId = $userId;
            $answer->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
            $answer->questionId = HelperMethods::getRequestParam($request, 'questionId');
            $answer->auditorId = HelperMethods::getRequestParam($request, 'auditorId');
            $answer->auditId = HelperMethods::getRequestParam($request, 'auditId');
            $answer->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $answer->summitAnswer = HelperMethods::getRequestParam($request, 'summitAnswer');
            $userManager = new UserManager();
            if ($answer = $userManager->saveAuditAnswerOSAS($answer)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $answer);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
    $this->post('/getAdminInspectionOsasList', function ($request, $response) {
        try {
            $location = new stdClass();
            $location->userId = HelperMethods::getRequestParam($request, 'userId');
            $location->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $location->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $location->status = HelperMethods::getRequestParam($request, 'status');
            $location->inspectionId = HelperMethods::getRequestParam($request, 'inspectionId');
            $location->branchId = HelperMethods::getRequestParam($request, 'branchId');
            $location->regionId = HelperMethods::getRequestParam($request, 'regionId');
            $userManager = new UserManager();
            if ($location = $userManager->getAdminInspectionOsasList($location)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $location);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
     $this->post('/getLocationQuestionAnswer', function ($request, $response) {
        try {
            global $userId;
            $reportDetails = new stdClass();
            $reportDetails->userId = $userId;
            $reportDetails->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $reportDetails->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $reportDetails->auditId = HelperMethods::getRequestParam($request, 'auditId');
            $reportDetails->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($userEmail = $userManager->getLocationQuestionAnswer($reportDetails)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $userEmail);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });
     $this->post('/getLocationOSASQuestionAnswer', function ($request, $response) {
        try {
            global $userId;
            $reportDetails = new stdClass();
            $reportDetails->userId = $userId;
            $reportDetails->businessId = HelperMethods::getRequestParam($request, 'businessId');
            $reportDetails->locationId = HelperMethods::getRequestParam($request, 'locationId');
            $reportDetails->auditId = HelperMethods::getRequestParam($request, 'auditId');
            $reportDetails->language = HelperMethods::getRequestParam($request, 'language');
            $userManager = new UserManager();
            if ($userEmail = $userManager->getLocationOSASQuestionAnswer($reportDetails)) {
                $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $userEmail);
                return $response->withJson($output, ResponseCode::SUCCESS);
            } else {
                $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
                return $response->withJson($output, ResponseCode::SUCCESS);
            }
        } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
        }
    });

})->add($authenticate);

$app->post('/getAddressDetails', function ($request, $response) {
    try {
        if($output=HelperMethods::verifyRequiredParams($request, $response, array('userId'))) {
                return $output;
        }
        $addressList = new stdClass();
        $addressList->customerId = HelperMethods::getRequestParam($request, 'customerId');
        $addressList->addressId = HelperMethods::getRequestParam($request, 'addressId');
        $UserManager = new UserManager();
        if ($address = $UserManager->getAddressDetails($addressList)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $address);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
            return HelperMethods::handleException($response, $e);
    }
});

$app->post('/logoutUser', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $logout = new stdClass();
        $logout->userId = HelperMethods::getRequestParam($request, 'userId');
        $logout->typeId = HelperMethods::getRequestParam($request, 'typeId');
        $logout->token = HelperMethods::getRequestParam($request, 'token');
        $logout->ipAddress = HelperMethods::getRequestParam($request, 'ipAddress');
        $logout->os = HelperMethods::getRequestParam($request, 'os');
        $logout->version = HelperMethods::getRequestParam($request, 'version');
        $logout->deviceId = HelperMethods::getRequestParam($request, 'deviceId');
        $logout->deviceToken = HelperMethods::getRequestParam($request, 'deviceToken');
        $logout->deviceType = HelperMethods::getRequestParam($request, 'deviceType');
        $logout->deviceModel = HelperMethods::getRequestParam($request, 'deviceModel');
        $logout->appVersion = HelperMethods::getRequestParam($request, 'appVersion');
        $logout->userAppLanguage = HelperMethods::getRequestParam($request, 'userAppLanguage');
        $userManager = new UserManager();
        if ($logout = $userManager->logoutUser($logout)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $logout);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getBusinessDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $business = new stdClass();
        $business->userId = HelperMethods::getRequestParam($request, 'userId');
        $business->businessId = HelperMethods::getRequestParam($request, 'businessId');
        $business->language = HelperMethods::getRequestParam($request, 'language');
        $userManager = new UserManager();
        if ($details = $userManager->getBusinessDetails($business)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $details);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});


$app->post('/deleteLocation', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array('businessId', 'locationId'))) {
            return $output;
        }
        $deleteLocation = new stdClass();
        $deleteLocation->businessId = HelperMethods::getRequestParam($request, 'businessId');
        $deleteLocation->locationId = HelperMethods::getRequestParam($request, 'locationId');
        $userManager = new UserManager();
        if ($delete = $userManager->deleteLocation($deleteLocation)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $delete);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getLocationDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $location = new stdClass();
        $location->userId = HelperMethods::getRequestParam($request, 'userId');
        $location->businessId = HelperMethods::getRequestParam($request, 'businessId');
        $location->locationId = HelperMethods::getRequestParam($request, 'locationId');
        $location->regionId = HelperMethods::getRequestParam($request, 'regionId');
        $location->branchId = HelperMethods::getRequestParam($request, 'branchId');
        $location->language = HelperMethods::getRequestParam($request, 'language');
        $location->searchText = HelperMethods::getRequestParam($request, 'searchText');
        $userManager = new UserManager();
        if ($details = $userManager->getLocationDetails($location)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $details);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getUsersDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $userDetails = new stdClass();
        $userDetails->userId = HelperMethods::getRequestParam($request, 'userId');
        $userDetails->locationId = HelperMethods::getRequestParam($request, 'locationId');
        $userDetails->typeId = HelperMethods::getRequestParam($request, 'typeId');
        $userDetails->language = HelperMethods::getRequestParam($request, 'language');
        $userManager = new UserManager();
        if ($details = $userManager->getUsersDetails($userDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $details);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getLocationRegionDetails', function ($request, $response) {
    try {
        $regionDetails = new stdClass();
        $regionDetails->locationId = HelperMethods::getRequestParam($request, 'locationId');
        $regionDetails->regionId = HelperMethods::getRequestParam($request, 'regionId');
        $userManager = new UserManager();
        if ($region = $userManager->getLocationRegionDetails($regionDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $region);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/createCategory', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $category = new stdClass();
        $category->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $category->categoryName = HelperMethods::getRequestParam($request, 'categoryName');
        $category->language = HelperMethods::getRequestParam($request, 'language');
        $userManager = new UserManager();
        if ($category = $userManager->createCategory($category)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $category);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getCategoryDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $categoryDetails = new stdClass();
        $categoryDetails->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $userManager = new UserManager();
        if ($category = $userManager->getCategoryDetails($categoryDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $category);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/createSubCategory', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $subCategory = new stdClass();
        $subCategory->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $subCategory->subCategoryId = HelperMethods::getRequestParam($request, 'subCategoryId');
        $subCategory->questionName = HelperMethods::getRequestParam($request, 'questionName');
        $subCategory->language = HelperMethods::getRequestParam($request, 'language');
        $userManager = new UserManager();
        if ($category = $userManager->createSubCategory($subCategory)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $category);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        print_r("3");
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getSubCategoryDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $categoryDetails = new stdClass();
        $categoryDetails->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $categoryDetails->subCategoryId = HelperMethods::getRequestParam($request, 'subCategoryId');
        $userManager = new UserManager();
        if ($category = $userManager->getSubCategoryDetails($categoryDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $category);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/createQuestion', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $question = new stdClass();
        $question->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $question->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $question->subCategoryId = HelperMethods::getRequestParam($request, 'subCategoryId');
        $question->question = HelperMethods::getRequestParam($request, 'question');
        $userManager = new UserManager();
        if ($question = $userManager->createQuestion($question)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $question);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getQuestionsDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $getQuestion = new stdClass();
        $getQuestion->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $getQuestion->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $getQuestion->subCategoryId = HelperMethods::getRequestParam($request, 'subCategoryId');
        $userManager = new UserManager();
        if ($question = $userManager->getQuestionsDetails($getQuestion)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $question);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/createAnswer', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $formAnswer = new stdClass();
        $formAnswer->answerId = HelperMethods::getRequestParam($request, 'answerId');
        $formAnswer->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $formAnswer->shortAnswer = HelperMethods::getRequestParam($request, 'shortAnswer');
        $formAnswer->description = HelperMethods::getRequestParam($request, 'description');
        $formAnswer->exactLocation = HelperMethods::getRequestParam($request, 'exactLocation');
        $formAnswer->status = HelperMethods::getRequestParam($request, 'status');
        $userManager = new UserManager();
        if ($answer = $userManager->createAnswer($formAnswer)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $answer);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getAnswerDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $getAnswer = new stdClass();
        $getAnswer->answerId = HelperMethods::getRequestParam($request, 'answerId');
        $getAnswer->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $userManager = new UserManager();
        if ($answer = $userManager->getAnswerDetails($getAnswer)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $answer);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/createFeedbackPatientDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $patientDetails = new stdClass();
        $patientDetails->feedbackDetailsId  = HelperMethods::getRequestParam($request, 'feedbackDetailsId');
        $patientDetails->firstName = HelperMethods::getRequestParam($request, 'firstName');
        $patientDetails->middleName = HelperMethods::getRequestParam($request, 'middleName');
        $patientDetails->lastName = HelperMethods::getRequestParam($request, 'lastName');
        $patientDetails->mobile = HelperMethods::getRequestParam($request, 'mobile');
        $patientDetails->ipNumber = HelperMethods::getRequestParam($request, 'ipNumber');
        $patientDetails->email = HelperMethods::getRequestParam($request, 'email');
        $userManager = new UserManager();
        if ($patientDetails = $userManager->createFeedbackPatientDetails($patientDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $patientDetails);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getFeedbackPatientDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $feedbackDetails = new stdClass();
        $feedbackDetails->feedbackDetailsId = HelperMethods::getRequestParam($request, 'feedbackDetailsId');
        $userManager = new UserManager();
        if ($feedbackDetails = $userManager->getFeedbackPatientDetails($feedbackDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL), $feedbackDetails);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/createFeedbackQuestions', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $feedbackQuestion = new stdClass();
        $feedbackQuestion->feedbackQuestionId = HelperMethods::getRequestParam($request, 'feedbackQuestionId');
        $feedbackQuestion->questions = HelperMethods::getRequestParam($request, 'questions');
        $userManager = new UserManager();
        if ($feedbackQuestion = $userManager->createFeedbackQuestions($feedbackQuestion)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $feedbackQuestion);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/getFeedbackQuestionDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $feedbackDetails = new stdClass();
        $feedbackDetails->feedbackQuestionId = HelperMethods::getRequestParam($request, 'feedbackQuestionId');
        $userManager = new UserManager();
        if ($details = $userManager->getFeedbackQuestionDetails($feedbackDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $details);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/createFeedbackAnswers', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $feedbackAnswer = new stdClass();
        $feedbackAnswer->feedbackAnswerId = HelperMethods::getRequestParam($request, 'feedbackAnswerId');
        $feedbackAnswer->feedbackQuestionId = HelperMethods::getRequestParam($request, 'feedbackQuestionId');
        $feedbackAnswer->feedbackPatientDetailsId = HelperMethods::getRequestParam($request, 'feedbackPatientDetailsId');
        $feedbackAnswer->answer = HelperMethods::getRequestParam($request, 'answer');
        $feedbackAnswer->rating = HelperMethods::getRequestParam($request, 'rating');
        $userManager = new UserManager();
        if ($feedbackAnswer = $userManager->createFeedbackAnswers($feedbackAnswer)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $feedbackAnswer);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getFeedbackAnswerDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $feedbackDetails = new stdClass();
        $feedbackDetails->feedbackAnswerId = HelperMethods::getRequestParam($request, 'feedbackAnswerId');
        $feedbackDetails->feedbackQuestionId = HelperMethods::getRequestParam($request, 'feedbackQuestionId');
        $feedbackDetails->feedbackPatientDetailsId = HelperMethods::getRequestParam($request, 'feedbackPatientDetailsId');
        $feedbackDetails->questions = HelperMethods::getRequestParam($request, 'answer');
        $feedbackDetails->rating = HelperMethods::getRequestParam($request, 'rating');
        $userManager = new UserManager();
        if ($details = $userManager->getFeedbackAnswerDetails($feedbackDetails)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $details);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/dashboardDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $total = new stdClass();
        $userManager = new UserManager();
        if ($total = $userManager->dashboardDetails($total)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $total);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getAuditDashboardDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $total = new stdClass();
        $userManager = new UserManager();
        if ($total = $userManager->getAuditDashboardDetails($total)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $total);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});
$app->post('/createAuditCategory', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $auditCategory = new stdClass();
        $auditCategory->userId = HelperMethods::getRequestParam($request, 'userId');
        $auditCategory->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $auditCategory->categoryName = HelperMethods::getRequestParam($request, 'categoryName');
        $userManager = new UserManager();
        if ($category = $userManager->createAuditCategory($auditCategory)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $category);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getAuditCategoryDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $getAuditCategory = new stdClass();
        $getAuditCategory->userId = HelperMethods::getRequestParam($request, 'userId');
        $getAuditCategory->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $getAuditCategory->language = HelperMethods::getRequestParam($request, 'language');
        $userManager = new UserManager();
        if ($category = $userManager->getAuditCategoryDetails($getAuditCategory)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $category);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/createAuditQuestion', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $auditQuestion = new stdClass();
        $auditQuestion->userId = HelperMethods::getRequestParam($request, 'userId');
        $auditQuestion->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $auditQuestion->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $auditQuestion->question = HelperMethods::getRequestParam($request, 'question');
        $userManager = new UserManager();
        if ($question = $userManager->createAuditQuestion($auditQuestion)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $question);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/getAuditQuestionDetails', function ($request, $response) {
    try {
        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
            return $output;
        }
        $getQuestion = new stdClass();
        $getQuestion->userId = HelperMethods::getRequestParam($request, 'userId');
        $getQuestion->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $getQuestion->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $getQuestion->language = HelperMethods::getRequestParam($request, 'language');
        $userManager = new UserManager();
        if ($question = $userManager->getAuditQuestionDetails($getQuestion)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $question);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});

$app->post('/createAuditAnswer', function ($request, $response) {
    try {
//        if ($output = HelperMethods::verifyRequiredParams($request, $response, array())) {
//            return $output;
//        }
        global $userId;
        $answer = new stdClass();
        $answer->userId = $userId;
        $answer->categoryId = HelperMethods::getRequestParam($request, 'categoryId');
        $answer->questionId = HelperMethods::getRequestParam($request, 'questionId');
        $answer->auditorId = HelperMethods::getRequestParam($request, 'auditorId');
        $answer->auditId = HelperMethods::getRequestParam($request, 'auditId');
        $answer->locationId = HelperMethods::getRequestParam($request, 'locationId');
        $answer->image = HelperMethods::getRequestParam($request, 'image');
        $answer->submitReport = HelperMethods::getRequestParam($request, 'submitReport');
        $userManager = new UserManager();
        if ($answer = $userManager->createAuditAnswer($answer)) {
            $output = HelperMethods::prepareResponse(Status::SUCCESS, BusinessMessages::getMessage(BusinessMessages::SUCCESS, NULL, NULL), $answer);
            return $response->withJson($output, ResponseCode::SUCCESS);
        } else {
            $output = HelperMethods::prepareResponse(Status::FAILED, BusinessMessages::getMessage(BusinessMessages::FAILED, NULL, NULL));
            return $response->withJson($output, ResponseCode::SUCCESS);
        }
    } catch (Exception $e) {
        return HelperMethods::handleException($response, $e);
    }
});


