<?php
/**
 * Created by PhpStorm.
 * User: Narendra Kumar
 * Date: 30-11-2017
 * Time: 12:15 PM
 */

class Converter
{
    public static function getAppObject($row)
    {
        $obj = new stdClass();
        $obj->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $obj->appName = HelperMethods::getColumnValue($row, CommonDbColumns::$appName, DataType::STRING);
        $obj->appLogoUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$appLogoUrl, DataType::STRING);
        $obj->appAboutUsText = HelperMethods::getColumnValue($row, CommonDbColumns::$appAboutUsText, DataType::STRING);
        $obj->appSupportEmail = HelperMethods::getColumnValue($row, CommonDbColumns::$appSupportEmail, DataType::STRING);
        $obj->activeFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$activeFlag, DataType::INTEGER);
        $obj->startDate = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
        $obj->endDate = HelperMethods::getColumnValue($row, CommonDbColumns::$endDate, DataType::STRING);
        return $obj;
    }

    public static function getRegionObject($row)
    {
        $region = new stdClass();
        $region->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $region->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $region->regionName = HelperMethods::getColumnValue($row, CommonDbColumns::$regionName, DataType::STRING);
        $region->distanceUnit = HelperMethods::getColumnValue($row, CommonDbColumns::$distanceUnit, DataType::STRING);
        $region->countryId = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
        $region->fcmFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$fcmFlag, DataType::INTEGER);
        $region->msgFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$msgFlag, DataType::INTEGER);
        $region->serviceFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceFlag, DataType::INTEGER);
        $region->activeFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$activeFlag, DataType::INTEGER);
        $region->coordinates = HelperMethods::getColumnValue($row, CommonDbColumns::$coordinates, DataType::STRING);
        $region->coordinates = explode(',', $region->coordinates);
        for ($i = 0; $i < count($region->coordinates); $i++) {
            $region->coordinates[$i] = explode(' ', $region->coordinates[$i]);
        }
        $region->createDatetime = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        $region->modifyDatetime = HelperMethods::getColumnValue($row, CommonDbColumns::$modifyDatetime, DataType::DATETIME);
        return $region;
    }

    public static function getServiceObject($row)
    {
        $service = new stdClass();
        $service->serviceId = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceId, DataType::INTEGER);
        $service->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $service->serviceName = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceName, DataType::STRING);
        $service->activeFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$activeFlag, DataType::INTEGER);
        $service->title = HelperMethods::getColumnValue($row, CommonDbColumns::$title, DataType::STRING);
        $service->note = HelperMethods::getColumnValue($row, CommonDbColumns::$note, DataType::STRING);
        $service->description = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
        $iconImage = HelperMethods::getColumnValue($row, CommonDbColumns::$iconUrl, DataType::STRING);
        $service->iconUrl = $iconImage == "" ? "" : RESOURCES_FOLDER_URL . "services/" . $iconImage . "?" . time();
        return $service;
    }

    public static function getUserObject($row)
    {
        $user = new stdClass();
        $user->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
        $user->passwordHash = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordHash, DataType::STRING);
        $user->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        $user->passwordText = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
        $user->deviceType = HelperMethods::getColumnValue($row, 'device_type', DataType::STRING);
        return $user;
    }


    public static function getUserCashbackObject($rows)
    {
        /*print_r($rows);
        die;*/
        $cashback = array();
        $data = array();
        foreach ($rows as $key => $val) {
            $cashback['userId'] = HelperMethods::getColumnValue($val, 'user_id', DataType::INTEGER);
            $cashback['typeId'] = HelperMethods::getColumnValue($val, 'type_id', DataType::STRING);
            $cashback['firstName'] = HelperMethods::getColumnValue($val, 'first_name', DataType::STRING);
            $cashback['middleName'] = HelperMethods::getColumnValue($val, 'middle_name', DataType::STRING);
            $cashback['lastName'] = HelperMethods::getColumnValue($val, 'last_name', DataType::STRING);
            $cashback['email'] = HelperMethods::getColumnValue($val, 'email', DataType::STRING);
            $cashback['mobile'] = HelperMethods::getColumnValue($val, 'mobile', DataType::STRING);
            $cashback['accountStatus'] = HelperMethods::getColumnValue($val, 'account_status', DataType::STRING);
            $cashback['state'] = HelperMethods::getColumnValue($val, 'state', DataType::STRING);
            $cashback['city'] = HelperMethods::getColumnValue($val, 'city', DataType::STRING);
            $cashback['societyName'] = HelperMethods::getColumnValue($val, 'society_name', DataType::STRING);
            $cashback['address'] = HelperMethods::getColumnValue($val, 'address', DataType::STRING);
            $cashback['amount'] = HelperMethods::getColumnValue($val, 'cashback_amount', DataType::INTEGER);
            $cashback['validDate'] = HelperMethods::getColumnValue($val, 'cashback_validity', DataType::DATE);
            $data[] = $cashback;
        }
        return $data;
    }


    public static function getUserCashbackDetailsObject($rows)
    {
        /*print_r($rows);
        die;*/
        $cashback = array();
        $data = array();
        foreach ($rows as $key => $val) {
            $cashback['userId'] = HelperMethods::getColumnValue($val, 'user_id', DataType::INTEGER);
            $cashback['typeId'] = HelperMethods::getColumnValue($val, 'type_id', DataType::STRING);
            $cashback['firstName'] = HelperMethods::getColumnValue($val, 'first_name', DataType::STRING);
            $cashback['middleName'] = HelperMethods::getColumnValue($val, 'middle_name', DataType::STRING);
            $cashback['lastName'] = HelperMethods::getColumnValue($val, 'last_name', DataType::STRING);
            $cashback['email'] = HelperMethods::getColumnValue($val, 'email', DataType::STRING);
            $cashback['mobile'] = HelperMethods::getColumnValue($val, 'mobile', DataType::STRING);
            $cashback['accountStatus'] = HelperMethods::getColumnValue($val, 'account_status', DataType::STRING);
            $cashback['state'] = HelperMethods::getColumnValue($val, 'state', DataType::STRING);
            $cashback['city'] = HelperMethods::getColumnValue($val, 'city', DataType::STRING);
            $cashback['societyName'] = HelperMethods::getColumnValue($val, 'society_name', DataType::STRING);
            $cashback['address'] = HelperMethods::getColumnValue($val, 'address', DataType::STRING);
            $cashback['amount'] = HelperMethods::getColumnValue($val, 'amount', DataType::INTEGER);
            $cashback['validDate'] = HelperMethods::getColumnValue($val, 'cashback_validity', DataType::DATE);
            $cashback['amountType'] = HelperMethods::getColumnValue($val, 'description', DataType::DATE);
            $data[] = $cashback;
        }
        return $data;
    }

    public static function getDriverObject($row)
    {
        $driver = new stdClass();
        if (count($row)) {
            $driver->driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
            $driver->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $driver->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
            $driver->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $driver->statusTypeId = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeId, DataType::INTEGER);
            $driver->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
            $driver->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
            $driver->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
            $driver->birthDate = HelperMethods::getColumnValue($row, CommonDbColumns::$birthDate, DataType::STRING);
            $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
            $driver->profileUrl = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $driver->appId . "/drivers/" . $driver->driverId . "/" . $profileUrl . "?" . time();
            $driver->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
            $driver->email = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $driver->dialingCode = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
            $driver->phone = HelperMethods::getColumnValue($row, CommonDbColumns::$phone, DataType::STRING);
            $driver->rating = HelperMethods::getColumnValue($row, CommonDbColumns::$rating, DataType::STRING);
            $driver->referralCode = HelperMethods::getColumnValue($row, CommonDbColumns::$referralCode, DataType::STRING);
            $driver->accountStatus = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status, DataType::INTEGER);
            $driver->accountStatusText = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $driver->region = HelperMethods::getColumnValue($row, CommonDbColumns::$regionName, DataType::STRING);

        }
        return $driver;
    }

    public static function getVehicleObject($row)
    {
        $vehicle = new stdClass();
        $vehicle->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
        $services = explode(",", HelperMethods::getColumnValue($row, CommonDbColumns::$services, DataType::STRING));
        for ($i = 0; $i < sizeof($services); $i++) {
            $services[$i] = intval($services[$i]);
        }
        $vehicle->services = $services;
        $frontView = HelperMethods::getColumnValue($row, CommonDbColumns::$frontView, DataType::STRING);
        $vehicle->frontView = $frontView == "" ? "" : RESOURCES_FOLDER_URL . "1/vehicles/" . $vehicle->vehicleId . "/" . $frontView . "?" . time();
        $sideView = HelperMethods::getColumnValue($row, CommonDbColumns::$sideView, DataType::STRING);
        $vehicle->sideView = $frontView == "" ? "" : RESOURCES_FOLDER_URL . "1/vehicles/" . $vehicle->vehicleId . "/" . $sideView . "?" . time();
        $backView = HelperMethods::getColumnValue($row, CommonDbColumns::$backView, DataType::STRING);
        $vehicle->backView = $frontView == "" ? "" : RESOURCES_FOLDER_URL . "1/vehicles/" . $vehicle->vehicleId . "/" . $backView . "?" . time();
        $vehicle->make = HelperMethods::getColumnValue($row, CommonDbColumns::$make, DataType::STRING);
        $vehicle->model = HelperMethods::getColumnValue($row, CommonDbColumns::$model, DataType::STRING);
        $vehicle->plateNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        $vehicle->color = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
        return $vehicle;
    }

    public static function getVehicleServiceObject($row)
    {
        $service = self::getServiceObject($row);
        $service->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
        return $service;
    }

    public static function getPassengerObject($row)
    {
        $passenger = new stdClass();
        $passenger->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $passenger->passengerId = HelperMethods::getColumnValue($row, CommonDbColumns::$passengerId, DataType::INTEGER);
        $passenger->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
        $passenger->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $passenger->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
        $passenger->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
        $passenger->profileUrl = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $passenger->appId . "/passengers/" . $passenger->passengerId . "/" . $profileUrl . "?" . time();
        $passenger->birthDate = HelperMethods::getColumnValue($row, CommonDbColumns::$birthDate, DataType::DATE);
        $passenger->username = HelperMethods::getColumnValue($row, CommonDbColumns::$username, DataType::STRING);
        $passenger->email = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
        $passenger->dialingCode = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::INTEGER);
        $passenger->phone = HelperMethods::getColumnValue($row, CommonDbColumns::$phone, DataType::STRING);
        $passenger->referralCode = HelperMethods::getColumnValue($row, CommonDbColumns::$referralCode, DataType::STRING);
        $passenger->phoneVerified = HelperMethods::getColumnValue($row, CommonDbColumns::$phoneVerified, DataType::INTEGER);
        $passenger->emailVerified = HelperMethods::getColumnValue($row, CommonDbColumns::$emailVerified, DataType::INTEGER);
        $passenger->rating = HelperMethods::getColumnValue($row, CommonDbColumns::$rating, DataType::STRING);
        $passenger->stripeCustomerId = HelperMethods::getColumnValue($row, CommonDbColumns::$stripe_customer_id, DataType::STRING);
        $passenger->invitationUrl = str_replace("{{referralCode}}", $passenger->referralCode, Configuration::getConfiguration($passenger->appId, Configuration::INVITATION_URL));
        $passenger->totalPoints = HelperMethods::getColumnValue($row, 'total_points', DataType::INTEGER);
        $passenger->totalPointsValue = HelperMethods::getColumnValue($row, 'points_value', DataType::DOUBLE);
        $passenger->defaultPaymentMode = HelperMethods::getColumnValue($row, 'default_payment_mode', DataType::INTEGER);
        $passenger->totalTrip = HelperMethods::getColumnValue($row, 'trip_count', DataType::INTEGER);
        $passenger->language = HelperMethods::getColumnValue($row, 'user_app_language', DataType::STRING);
        return $passenger;
    }

    public static function getPaymentCardObject($row)
    {
        $card = new stdClass();
        $card->userPaymentCardId = HelperMethods::getColumnValue($row, CommonDbColumns::$userPaymentCardId, DataType::INTEGER);
        $card->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
        $card->cardNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$cardNumber, DataType::STRING);
        $card->expiry = HelperMethods::getColumnValue($row, CommonDbColumns::$expiry, DataType::STRING);
        $card->nameOnCard = HelperMethods::getColumnValue($row, CommonDbColumns::$nameOnCard, DataType::STRING);
        $card->cvv = HelperMethods::getColumnValue($row, CommonDbColumns::$cvv, DataType::INTEGER);
        $card->createDatetime = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        $card->modifyDatetime = HelperMethods::getColumnValue($row, CommonDbColumns::$modifyDatetime, DataType::DATETIME);
        return $card;
    }

    public static function getLocationObject($row)
    {
        $location = new stdClass();
        $location->userSavedLocationId = HelperMethods::getColumnValue($row, CommonDbColumns::$userSavedLocationId, DataType::INTEGER);
        $location->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
        $location->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        $location->address = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
        $location->latitude = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
        $location->longitude = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
        $location->nickName = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
        return $location;
    }

    public static function getNearbyDriverObject($row)
    {
        $driver = new stdClass();
        $driver->driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
        $driver->latitude = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
        $driver->longitude = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
        $driver->serviceId = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceId, DataType::STRING);
        if ($driver->serviceId) {
            $driver->serviceId = explode(',', $driver->serviceId);
        }
        $driver->distance = HelperMethods::getColumnValue($row, CommonDbColumns::$distance, DataType::STRING);
        $driver->eta = HelperMethods::getColumnValue($row, CommonDbColumns::$eta, DataType::INTEGER);
        return $driver;
    }

    public static function getRegionServiceXrefObject($row)
    {
        $data = new stdClass();
        $data->regionServiceXrefId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionServiceXrefId, DataType::INTEGER);
        $data->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $data->serviceId = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceId, DataType::INTEGER);
        $data->serviceName = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceName, DataType::STRING);
        $data->baseFare = HelperMethods::getColumnValue($row, CommonDbColumns::$baseFare, DataType::STRING);
        $data->minimumFare = HelperMethods::getColumnValue($row, CommonDbColumns::$minimumFare, DataType::STRING);
        $data->perMileFare = HelperMethods::getColumnValue($row, CommonDbColumns::$perMileFare, DataType::STRING);
        $data->timeFare = HelperMethods::getColumnValue($row, CommonDbColumns::$timeFare, DataType::STRING);
        $data->waitingTimeFare = HelperMethods::getColumnValue($row, CommonDbColumns::$waitingTimeFare, DataType::STRING);
        $data->tax = HelperMethods::getColumnValue($row, CommonDbColumns::$tax, DataType::STRING);
        $data->tax1 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax1, DataType::STRING);
        $data->tax2 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax2, DataType::STRING);
        $data->tax3 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax3, DataType::STRING);
        $data->tax4 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax4, DataType::STRING);
        $data->tipToDriver = HelperMethods::getColumnValue($row, CommonDbColumns::$tipToDriver, DataType::STRING);
        $data->tripCancellationFee = HelperMethods::getColumnValue($row, CommonDbColumns::$tripCancellationFee, DataType::STRING);
        $data->bookingFee = HelperMethods::getColumnValue($row, CommonDbColumns::$bookingFee, DataType::STRING);
        $data->serviceCharge = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceCharge, DataType::STRING);
        $data->cashFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$cashFlag, DataType::STRING);
        $data->surgeStatus = HelperMethods::getColumnValue($row, CommonDbColumns::$surgeStatus, DataType::STRING);
        return $data;
    }

    public static function getFareEstimationObject($row)
    {
        $data = new stdClass();
        $data->driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
        $data->latitude = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
        $data->longitude = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
        $data->serviceId = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceId, DataType::INTEGER);
        $data->serviceName = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceName, DataType::STRING);
        $data->description = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
        $iconImage = HelperMethods::getColumnValue($row, CommonDbColumns::$iconUrl, DataType::STRING);
        $data->iconUrl = $iconImage == "" ? "" : RESOURCES_FOLDER_URL . "services/" . $iconImage . "?" . time();
        $data->distance = HelperMethods::getColumnValue($row, CommonDbColumns::$distance, DataType::STRING);
        $data->eta = HelperMethods::getColumnValue($row, CommonDbColumns::$eta, DataType::INTEGER);
        $data->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $data->baseFare = HelperMethods::getColumnValue($row, CommonDbColumns::$baseFare, DataType::STRING);
        $data->minimumFare = HelperMethods::getColumnValue($row, CommonDbColumns::$minimumFare, DataType::STRING);
        $data->perMileFare = HelperMethods::getColumnValue($row, CommonDbColumns::$perMileFare, DataType::STRING);
        $data->timeFare = HelperMethods::getColumnValue($row, CommonDbColumns::$timeFare, DataType::STRING);
        $data->waitingTimeFare = HelperMethods::getColumnValue($row, CommonDbColumns::$minimumFare, DataType::STRING);
        $data->tax = HelperMethods::getColumnValue($row, CommonDbColumns::$tax, DataType::STRING);
        $data->tax1 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax1, DataType::STRING);
        $data->tax2 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax2, DataType::STRING);
        $data->tax3 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax3, DataType::STRING);
        $data->tax4 = HelperMethods::getColumnValue($row, CommonDbColumns::$tax4, DataType::STRING);
        $data->tipToDriver = HelperMethods::getColumnValue($row, CommonDbColumns::$tipToDriver, DataType::STRING);
        $data->tripCancellationFee = HelperMethods::getColumnValue($row, CommonDbColumns::$tripCancellationFee, DataType::STRING);
        $data->bookingFee = HelperMethods::getColumnValue($row, CommonDbColumns::$bookingFee, DataType::STRING);
        $data->serviceCharge = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceCharge, DataType::STRING);
        $data->cashFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$cashFlag, DataType::STRING);
        $data->surgeStatus = HelperMethods::getColumnValue($row, CommonDbColumns::$surgeStatus, DataType::STRING);
        $data->currencySymbol = HelperMethods::getColumnValue($row, 'currency_symbol', DataType::STRING);
        return $data;
    }

    public static function getNewTripObject($row)
    {
        $newTrip = new stdClass();
        $newTrip->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $newTrip->driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
        $newTrip->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $newTrip->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $newTrip->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
        $newTrip->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
        $newTrip->profileUrl = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $newTrip->appId . "/drivers/" . $newTrip->driverId . "/" . $profileUrl . "?" . time();
        $newTrip->rating = HelperMethods::getColumnValue($row, CommonDbColumns::$rating, DataType::STRING);
        $newTrip->dialingCode = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
        $newTrip->phone = HelperMethods::getColumnValue($row, CommonDbColumns::$phone, DataType::STRING);
        return $newTrip;
    }

    public static function getTripLocationObject($row)
    {
        $tripLocation = new stdClass();
        $tripLocation->latitude = HelperMethods::getColumnValue($row, CommonDbColumns::$currentLatitude, DataType::STRING);
        $tripLocation->longitude = HelperMethods::getColumnValue($row, CommonDbColumns::$currentLongitude, DataType::STRING);
        $tripLocation->tripStatusId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
        $tripLocation->suggestedPath = HelperMethods::getColumnValue($row, 'suggested_path', DataType::STRING);
        $hours = number_format(HelperMethods::getColumnValue($row, 'trip_google_eta', DataType::INTEGER) / 3600, 0) > 0 ? number_format(HelperMethods::getColumnValue($row, 'trip_google_eta', DataType::INTEGER) / 3600, 0) . " Hours" : '';
        $minutes = number_format(((HelperMethods::getColumnValue($row, 'trip_google_eta', DataType::INTEGER) % 3600) / 60), 0) > 0 ? number_format(((HelperMethods::getColumnValue($row, 'trip_google_eta', DataType::INTEGER) % 3600) / 60), 0) . " Minutes" : "";
        $tripLocation->googleEta = ($hours == '' && $minutes == '') ? '' : $hours . " " . $minutes;
        $tripLocation->googleDistance = HelperMethods::getColumnValue($row, 'trip_google_distance', DataType::STRING);
        return $tripLocation;
    }

    public static function getTripDetailObject($row)
    {
        $trip = new stdClass();
        $trip->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $trip->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $trip->tripStatusId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
        $trip->chargeTypeId = HelperMethods::getColumnValue($row, CommonDbColumns::$chargeTypeId, DataType::INTEGER);
        $trip->paymentModeId = HelperMethods::getColumnValue($row, CommonDbColumns::$paymentModeId, DataType::INTEGER);
        $trip->userPaymentCardId = HelperMethods::getColumnValue($row, CommonDbColumns::$userPaymentCardId, DataType::INTEGER);
        $trip->sourceLatitude = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceLatitude, DataType::STRING);
        $trip->sourceLongitude = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceLongitude, DataType::STRING);
        $trip->sourceAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
        $trip->destinationLatitude = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationLatitude, DataType::STRING);
        $trip->destinationLongitude = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationLongitude, DataType::STRING);
        $trip->destinationAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
        $trip->driverNote = HelperMethods::getColumnValue($row, CommonDbColumns::$driverNote, DataType::STRING);
        $trip->totalFare = HelperMethods::getColumnValue($row, CommonDbColumns::$totalFare, DataType::STRING);
        $trip->userPayable = HelperMethods::getColumnValue($row, CommonDbColumns::$payableFare, DataType::STRING);
        $trip->companyEarning = HelperMethods::getColumnValue($row, 'company_percent', DataType::STRING);
        $trip->driverEarning = HelperMethods::getColumnValue($row, 'driver_percent', DataType::STRING);
        $trip->travelDistance = HelperMethods::getColumnValue($row, CommonDbColumns::$travelDistance, DataType::STRING);
        $trip->tipGiven = HelperMethods::getColumnValue($row, CommonDbColumns::$tipGiven, DataType::STRING);
        $trip->driverFeedback = HelperMethods::getColumnValue($row, CommonDbColumns::$driverFeedback, DataType::STRING);
        $trip->userFeedback = HelperMethods::getColumnValue($row, CommonDbColumns::$userFeedback, DataType::STRING);
        $trip->driverRating = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRating, DataType::STRING);
        $trip->userRating = HelperMethods::getColumnValue($row, CommonDbColumns::$userRating, DataType::STRING);
        $trip->totalCoveredDistance = HelperMethods::getColumnValue($row, CommonDbColumns::$totalCoveredDistance, DataType::STRING);
        $trip->mapUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$mapUrl, DataType::STRING);
        $trip->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        $trip->scheduleTime = HelperMethods::getColumnValue($row, CommonDbColumns::$scheduleTime, DataType::DATETIME);
        $trip->waitingTime = HelperMethods::getColumnValue($row, CommonDbColumns::$waitingTime, DataType::STRING);
        $trip->endDate = HelperMethods::getColumnValue($row, CommonDbColumns::$endDate, DataType::DATETIME);
        $trip->timeTaken = HelperMethods::getColumnValue($row, CommonDbColumns::$timeTaken, DataType::STRING);
        $trip->myEarnings = HelperMethods::getColumnValue($row, CommonDbColumns::$myEarnings, DataType::STRING);
        return $trip;
    }

    public static function getUserTripHistoryObject($row)
    {
        $obj = new stdClass();
        $obj->driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
        $obj->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
        $obj->profileUrl = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $obj->appId . "/drivers/" . $obj->driverId . "/" . $profileUrl . "?" . time();
        $obj->serviceId = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceId, DataType::INTEGER);
        $obj->serviceName = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceName, DataType::STRING);
        $obj->activeFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$activeFlag, DataType::INTEGER);
        $obj->title = HelperMethods::getColumnValue($row, CommonDbColumns::$title, DataType::STRING);
        $obj->note = HelperMethods::getColumnValue($row, CommonDbColumns::$note, DataType::STRING);
        $obj->description = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
        $iconImage = HelperMethods::getColumnValue($row, CommonDbColumns::$iconUrl, DataType::STRING);
        $obj->iconUrl = $iconImage == "" ? "" : RESOURCES_FOLDER_URL . "services/" . $iconImage . "?" . time();
        $obj->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
        $obj->frontView = HelperMethods::getColumnValue($row, CommonDbColumns::$frontView, DataType::STRING);
        $obj->sideView = HelperMethods::getColumnValue($row, CommonDbColumns::$sideView, DataType::STRING);
        $obj->backView = HelperMethods::getColumnValue($row, CommonDbColumns::$backView, DataType::STRING);
        $obj->make = HelperMethods::getColumnValue($row, CommonDbColumns::$make, DataType::STRING);
        $obj->model = HelperMethods::getColumnValue($row, CommonDbColumns::$model, DataType::STRING);
        $obj->plateNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        $obj->color = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
        $obj->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $obj->tripStatusId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
        $obj->paymentModeId = HelperMethods::getColumnValue($row, CommonDbColumns::$paymentModeId, DataType::INTEGER);
        $obj->userPaymentCardId = HelperMethods::getColumnValue($row, CommonDbColumns::$userPaymentCardId, DataType::INTEGER);
        $obj->sourceLatitude = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceLatitude, DataType::STRING);
        $obj->sourceLongitude = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceLongitude, DataType::STRING);
        $obj->sourceAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
        $obj->destinationLatitude = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationLatitude, DataType::STRING);
        $obj->destinationLongitude = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationLongitude, DataType::STRING);
        $obj->destinationAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
        $obj->driverNote = HelperMethods::getColumnValue($row, CommonDbColumns::$driverNote, DataType::STRING);
        $obj->totalFare = HelperMethods::getColumnValue($row, CommonDbColumns::$totalFare, DataType::STRING);
        $obj->payableFare = HelperMethods::getColumnValue($row, CommonDbColumns::$payableFare, DataType::STRING);
        $obj->travelDistance = HelperMethods::getColumnValue($row, CommonDbColumns::$travelDistance, DataType::STRING);
        $obj->tipGiven = HelperMethods::getColumnValue($row, CommonDbColumns::$tipGiven, DataType::STRING);
        $obj->feedback = HelperMethods::getColumnValue($row, CommonDbColumns::$driverFeedback, DataType::STRING);
        $obj->driverRating = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRating, DataType::STRING);
        $obj->totalCoveredDistance = HelperMethods::getColumnValue($row, CommonDbColumns::$totalCoveredDistance, DataType::STRING);
        $obj->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        return $obj;
    }

    public static function getDriverTripHistoryObject($row)
    {
        $obj = new stdClass();
        $obj->passengerId = HelperMethods::getColumnValue($row, CommonDbColumns::$passengerId, DataType::INTEGER);
        $obj->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
        $obj->profileUrl = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $obj->appId . "/passengers/" . $obj->passengerId . "/" . $profileUrl . "?" . time();
        $obj->serviceId = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceId, DataType::INTEGER);
        $obj->serviceName = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceName, DataType::STRING);
        $obj->activeFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$activeFlag, DataType::INTEGER);
        $obj->title = HelperMethods::getColumnValue($row, CommonDbColumns::$title, DataType::STRING);
        $obj->note = HelperMethods::getColumnValue($row, CommonDbColumns::$note, DataType::STRING);
        $obj->description = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
        $iconImage = HelperMethods::getColumnValue($row, CommonDbColumns::$iconUrl, DataType::STRING);
        $obj->iconUrl = $iconImage == "" ? "" : RESOURCES_FOLDER_URL . "services/" . $iconImage . "?" . time();
        $obj->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
        $obj->frontView = HelperMethods::getColumnValue($row, CommonDbColumns::$frontView, DataType::STRING);
        $obj->sideView = HelperMethods::getColumnValue($row, CommonDbColumns::$sideView, DataType::STRING);
        $obj->backView = HelperMethods::getColumnValue($row, CommonDbColumns::$backView, DataType::STRING);
        $obj->make = HelperMethods::getColumnValue($row, CommonDbColumns::$make, DataType::STRING);
        $obj->model = HelperMethods::getColumnValue($row, CommonDbColumns::$model, DataType::STRING);
        $obj->plateNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        $obj->color = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
        $obj->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $obj->tripStatusId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
        $obj->paymentModeId = HelperMethods::getColumnValue($row, CommonDbColumns::$paymentModeId, DataType::INTEGER);
        $obj->userPaymentCardId = HelperMethods::getColumnValue($row, CommonDbColumns::$userPaymentCardId, DataType::INTEGER);
        $obj->sourceLatitude = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceLatitude, DataType::STRING);
        $obj->sourceLongitude = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceLongitude, DataType::STRING);
        $obj->sourceAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
        $obj->destinationLatitude = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationLatitude, DataType::STRING);
        $obj->destinationLongitude = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationLongitude, DataType::STRING);
        $obj->destinationAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
        $obj->driverNote = HelperMethods::getColumnValue($row, CommonDbColumns::$driverNote, DataType::STRING);
        $obj->totalFare = HelperMethods::getColumnValue($row, CommonDbColumns::$totalFare, DataType::STRING);
        $obj->payableFare = HelperMethods::getColumnValue($row, CommonDbColumns::$payableFare, DataType::STRING);
        $obj->travelDistance = HelperMethods::getColumnValue($row, CommonDbColumns::$travelDistance, DataType::STRING);
        $obj->tipGiven = HelperMethods::getColumnValue($row, CommonDbColumns::$tipGiven, DataType::STRING);
        $obj->driverFeedback = HelperMethods::getColumnValue($row, CommonDbColumns::$driverFeedback, DataType::STRING);
        $obj->userFeedback = HelperMethods::getColumnValue($row, CommonDbColumns::$userFeedback, DataType::STRING);
        $obj->driverRating = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRating, DataType::STRING);
        $obj->userRating = HelperMethods::getColumnValue($row, CommonDbColumns::$userRating, DataType::STRING);
        $obj->totalCoveredDistance = HelperMethods::getColumnValue($row, CommonDbColumns::$totalCoveredDistance, DataType::STRING);
        $obj->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        $obj->timeTaken = HelperMethods::getColumnValue($row, CommonDbColumns::$timeTaken, DataType::STRING);
        $obj->myEarnings = HelperMethods::getColumnValue($row, CommonDbColumns::$myEarnings, DataType::STRING);
        return $obj;
    }

    public static function getOperatorTripHistoryObject($row)
    {
        $trip = new stdClass();
        $trip->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $trip->tripStatusId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
        $trip->sourceAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
        $trip->destinationAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
        $trip->driverName = HelperMethods::getColumnValue($row, CommonDbColumns::$driverName, DataType::STRING);
        $trip->passengerName = HelperMethods::getColumnValue($row, CommonDbColumns::$passengerName, DataType::STRING);
        $trip->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        $trip->status = HelperMethods::getColumnValue($row, 'trip_status_text', DataType::DATETIME);
        return $trip;
    }

    public static function getUserTripEarningObject($dataSet)
    {
        $tripHistory = array();
        $tripData = array();
        $trip = array();
        $date = '';

        foreach ($dataSet as $row) {
            if ($date != $row[CommonDbColumns::$date]) {
                if ($date != "") {
                    $tripHistory[] = $tripData;
                    $tripData = array();
                    $trip = array();
                }
                $date = $row[CommonDbColumns::$date];
                $tripData["date"] = HelperMethods::getColumnValue($row, CommonDbColumns::$date, DataType::STRING);
                $tripData["onlineHour"] = HelperMethods::getColumnValue($row, CommonDbColumns::$onlineHours, DataType::STRING);
                $tripData["myEarnings"] = HelperMethods::getColumnValue($row, CommonDbColumns::$myEarnings, DataType::STRING);
                $tripData["trips"] = array();

                $trip["appId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
                $trip["passengerId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$passengerId, DataType::INTEGER);
                $trip["firstName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
                $trip["middleName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
                $trip["lastName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
                $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
                $trip["profileUrl"] = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $trip["appId"] . "/passengers/" . $trip["passengerId"] . "/" . $profileUrl . "?" . time();;
                $trip["vehicleId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
                $trip["make"] = HelperMethods::getColumnValue($row, CommonDbColumns::$make, DataType::STRING);
                $trip["model"] = HelperMethods::getColumnValue($row, CommonDbColumns::$model, DataType::STRING);
                $trip["plateNumber"] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
                $trip["tripId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
                $trip["tripStatusId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
                $trip["sourceAddress"] = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
                $trip["destinationAddress"] = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
                $trip["totalFare"] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalFare, DataType::STRING);
                $trip["tipGiven"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tipGiven, DataType::STRING);
                $trip["driverRating"] = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRating, DataType::STRING);
                $trip["userRating"] = HelperMethods::getColumnValue($row, CommonDbColumns::$userRating, DataType::STRING);
                $trip["createDate"] = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::STRING);
                $tripData["trips"][] = $trip;
            } else {
                $trip["appId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
                $trip["passengerId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$passengerId, DataType::INTEGER);
                $trip["firstName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
                $trip["middleName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
                $trip["lastName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
                $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
                $trip["profileUrl"] = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $trip["appId"] . "/passengers/" . $trip["passengerId"] . "/" . $profileUrl . "?" . time();;
                $trip["vehicleId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
                $trip["make"] = HelperMethods::getColumnValue($row, CommonDbColumns::$make, DataType::STRING);
                $trip["model"] = HelperMethods::getColumnValue($row, CommonDbColumns::$model, DataType::STRING);
                $trip["plateNumber"] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
                $trip["tripId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
                $trip["tripStatusId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripStatusId, DataType::INTEGER);
                $trip["sourceAddress"] = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
                $trip["destinationAddress"] = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
                $trip["totalFare"] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalFare, DataType::STRING);
                $trip["tipGiven"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tipGiven, DataType::STRING);
                $trip["driverRating"] = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRating, DataType::STRING);
                $trip["userRating"] = HelperMethods::getColumnValue($row, CommonDbColumns::$userRating, DataType::STRING);
                $trip["createDate"] = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::STRING);
                $tripData["trips"][] = $trip;
            }
        }
        $tripHistory[] = $tripData;
        return $tripHistory;
    }

    public static function getDriverWeeklyReport($row)
    {
        $obj = new stdClass();
        $obj->totalTrip = HelperMethods::getColumnValue($row, CommonDbColumns::$totalTrip, DataType::INTEGER);
        $obj->totalEarning = HelperMethods::getColumnValue($row, CommonDbColumns::$totalEarning, DataType::STRING);
        $obj->totalOnline = HelperMethods::getColumnValue($row, CommonDbColumns::$totalOnline, DataType::STRING);
        return $obj;
    }

    public static function getDriverWeeklyDetailReport($row)
    {
        $obj = new stdClass();
        $obj->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $obj->passengerId = HelperMethods::getColumnValue($row, CommonDbColumns::$passengerId, DataType::INTEGER);
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
        $obj->profileUrl = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $obj->appId . "/passengers/" . $obj->passengerId . "/" . $profileUrl . "?" . time();
        $obj->tripDate = HelperMethods::getColumnValue($row, CommonDbColumns::$tripDate, DataType::STRING);
        $obj->sourceAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
        $obj->destinationAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
        $obj->totalEarning = HelperMethods::getColumnValue($row, CommonDbColumns::$totalEarning, DataType::STRING);
        $obj->serviceName = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceName, DataType::STRING);
        $obj->tripTime = HelperMethods::getColumnValue($row, CommonDbColumns::$tripTime, DataType::STRING);
        return $obj;
    }

    public static function getNotificationTemplateObject($row)
    {
        $notificationTemplate = new stdClass();
        $notificationTemplate->templateCode = HelperMethods::getColumnValue($row, CommonDbColumns::$templateCode, DataType::INTEGER);
        $notificationTemplate->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $notificationTemplate->templateText = HelperMethods::getColumnValue($row, CommonDbColumns::$templateText, DataType::STRING);
        $notificationTemplate->isSos = HelperMethods::getColumnValue($row, CommonDbColumns::$isSos, DataType::INTEGER);
        $notificationTemplate->fcmFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$fcmFlag, DataType::INTEGER);
        $notificationTemplate->msgFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$msgFlag, DataType::INTEGER);
        return $notificationTemplate;
    }

    public static function getDocumentStatusObject($row)
    {
        $obj = new stdClass();
        $obj->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $obj->documentTypeId = HelperMethods::getColumnValue($row, CommonDbColumns::$documentTypeId, DataType::INTEGER);
        $obj->statusFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$statusFlag, DataType::INTEGER);
        return $obj;
    }

    public static function getCountryObject($row)
    {
        $obj = new stdClass();
        $obj->countryId = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
        $obj->countryName = HelperMethods::getColumnValue($row, CommonDbColumns::$countryName, DataType::STRING);
        $obj->shortCode = HelperMethods::getColumnValue($row, CommonDbColumns::$shortCode, DataType::STRING);
        $obj->dialingCode = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
        $obj->countryFlagUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$countryFlagUrl, DataType::STRING);
        $obj->currency = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
        $obj->activeFlag = HelperMethods::getColumnValue($row, CommonDbColumns::$activeFlag, DataType::INTEGER);
        return $obj;
    }

    public static function getMyNetworkObject($row)
    {
        $obj = new stdClass();
        $obj->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
        $obj->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $obj->dialingCode = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
        $obj->phone = HelperMethods::getColumnValue($row, CommonDbColumns::$phone, DataType::STRING);
        $obj->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::STRING);
        return $obj;
    }

    public static function getDriverBasicProfile($row)
    {
        $obj = new stdClass();
        $appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $obj->profilePic = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING) == null ? null : RESOURCES_FOLDER_URL . $appId . "/drivers/" . $driverId . "/" . HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl . "?" . time(), DataType::STRING);
        return $obj;
    }

    public static function getDriverDashboardObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['allTrips'] = HelperMethods::getColumnValue($row, CommonDbColumns::$trips, DataType::INTEGER);
            $obj[$key]['allReferals'] = HelperMethods::getColumnValue($row, CommonDbColumns::$referals, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getDriverRequestObject($row)
    {
        $obj = new stdClass();
        $obj->driverRequestId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRequestId, DataType::INTEGER);
        $obj->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        $obj->reason = HelperMethods::getColumnValue($row, CommonDbColumns::$reason, DataType::STRING);
        $obj->requestStatus = HelperMethods::getColumnValue($row, CommonDbColumns::$requestStatus, DataType::STRING);
        $obj->oldFirstName = HelperMethods::getColumnValue($row, CommonDbColumns::$oldFirstName, DataType::STRING);
        $obj->newFirstName = HelperMethods::getColumnValue($row, CommonDbColumns::$newFirstName, DataType::STRING);
        $obj->oldMiddleName = HelperMethods::getColumnValue($row, CommonDbColumns::$oldMiddleName, DataType::STRING);
        $obj->newMiddleName = HelperMethods::getColumnValue($row, CommonDbColumns::$newMiddleName, DataType::STRING);
        $obj->oldLastName = HelperMethods::getColumnValue($row, CommonDbColumns::$oldLastName, DataType::STRING);
        $obj->newLastName = HelperMethods::getColumnValue($row, CommonDbColumns::$newLastName, DataType::STRING);
        $obj->oldDateOfBirth = HelperMethods::getColumnValue($row, CommonDbColumns::$oldDateOfBirth, DataType::STRING);
        $obj->newDateOfBirth = HelperMethods::getColumnValue($row, CommonDbColumns::$newDateOfBirth, DataType::STRING);
        $obj->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::STRING);
        return $obj;
    }

    public static function getDriverDocChangeRequestObject($row)
    {
        $obj = new stdClass();
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->middleName = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $obj->driverRequestDocChangeId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverRequestDocChangeId, DataType::INTEGER);
        $obj->documentId = HelperMethods::getColumnValue($row, CommonDbColumns::$documentId, DataType::INTEGER);
        $obj->tableCode = HelperMethods::getColumnValue($row, CommonDbColumns::$tableCode, DataType::INTEGER);
        $obj->pkValue = HelperMethods::getColumnValue($row, CommonDbColumns::$pkValue, DataType::INTEGER);
        $obj->documentTypeId = HelperMethods::getColumnValue($row, CommonDbColumns::$documentTypeId, DataType::INTEGER);
        $obj->documentType = HelperMethods::getColumnValue($row, CommonDbColumns::$documentType, DataType::STRING);
        $obj->documentNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$documentNumber, DataType::STRING);
        $obj->documentExpiry = HelperMethods::getColumnValue($row, CommonDbColumns::$documentExpiry, DataType::STRING);
        $obj->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::STRING);
        return $obj;
    }

    public static function getCodeTypeObject($row)
    {
        $obj = new stdClass();
        $obj->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        $obj->shortCode = HelperMethods::getColumnValue($row, CommonDbColumns::$shortCode, DataType::STRING);
        $obj->description = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
        $obj->category = HelperMethods::getColumnValue($row, CommonDbColumns::$category, DataType::STRING);
        return $obj;
    }

    public static function getDocumentObject($row)
    {
        $obj = new stdClass();
        $obj->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $obj->driverId = HelperMethods::getColumnValue($row, CommonDbColumns::$driverId, DataType::INTEGER);
        $obj->documentId = HelperMethods::getColumnValue($row, CommonDbColumns::$documentId, DataType::INTEGER);
        $obj->tableCode = HelperMethods::getColumnValue($row, CommonDbColumns::$tableCode, DataType::INTEGER);
        $obj->pkValue = HelperMethods::getColumnValue($row, CommonDbColumns::$pkValue, DataType::INTEGER);
        $obj->documentTypeId = HelperMethods::getColumnValue($row, CommonDbColumns::$documentTypeId, DataType::INTEGER);
        $obj->documentType = HelperMethods::getColumnValue($row, CommonDbColumns::$documentType, DataType::STRING);

        if ($obj->tableCode == 102) {
            $image = HelperMethods::getColumnValue($row, CommonDbColumns::$documentImageUrl, DataType::STRING);
            $obj->documentImageUrl = $image == "" ? "" : RESOURCES_FOLDER_URL . $obj->appId . "/drivers/" . $obj->pkValue . "/" . $image . "?" . time();
        } elseif ($obj->tableCode == 103) {
            $image = HelperMethods::getColumnValue($row, CommonDbColumns::$documentImageUrl, DataType::STRING);
            $obj->documentImageUrl = $image == "" ? "" : RESOURCES_FOLDER_URL . $obj->appId . "/vehicles/" . $obj->pkValue . "/" . $image . "?" . time();
        }

        $obj->documentNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$documentNumber, DataType::STRING);
        $obj->documentExpiry = HelperMethods::getColumnValue($row, CommonDbColumns::$documentExpiry, DataType::STRING);
        return $obj;
    }

    public static function getTripOutstandingObject($row)
    {
        $obj = new stdClass();
        $obj->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $obj->sourceAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$sourceAddress, DataType::STRING);
        $obj->destinationAddress = HelperMethods::getColumnValue($row, CommonDbColumns::$destinationAddress, DataType::STRING);
        $obj->payableFare = HelperMethods::getColumnValue($row, CommonDbColumns::$payableFare, DataType::STRING);
        $obj->createDate = HelperMethods::getColumnValue($row, CommonDbColumns::$createDatetime, DataType::DATETIME);
        return $obj;
    }

    public static function getCompanyDetailObject($row)
    {
        $obj = new stdClass();
        $obj->companyId = HelperMethods::getColumnValue($row, CommonDbColumns::$companyId, DataType::INTEGER);
        $obj->appId = HelperMethods::getColumnValue($row, CommonDbColumns::$appId, DataType::INTEGER);
        $obj->companyName = HelperMethods::getColumnValue($row, CommonDbColumns::$companyName, DataType::STRING);
        $obj->companyLogo = HelperMethods::getColumnValue($row, CommonDbColumns::$companyLogo, DataType::STRING);
        $obj->registrationNumber = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        $obj->taxAccount = HelperMethods::getColumnValue($row, CommonDbColumns::$taxAccount, DataType::STRING);
        $obj->regionId = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
        $obj->contactPerson = HelperMethods::getColumnValue($row, CommonDbColumns::$contactPerson, DataType::STRING);
        $obj->address = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
        $obj->startDate = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
        $obj->endDate = HelperMethods::getColumnValue($row, CommonDbColumns::$endDate, DataType::STRING);
        return $obj;
    }

    public static function getNetworkEarningObject($row)
    {
        $obj = new stdClass();
        $obj->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
        $obj->firstName = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
        $obj->lastName = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
        $obj->typeId = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        $obj->myEarning = HelperMethods::getColumnValue($row, CommonDbColumns::$myEarnings, DataType::STRING);
        $obj->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
        $obj->tripDate = HelperMethods::getColumnValue($row, CommonDbColumns::$tripDate, DataType::DATETIME);
        $obj->onlineHours = HelperMethods::getColumnValue($row, CommonDbColumns::$onlineHours, DataType::STRING);
        return $obj;
    }

    public static function getNetworkEarningObjectN($dataSet)
    {
        $networkEarnings = array();
        $networkData = array();
        $network = array();
        $date = '';

        foreach ($dataSet as $row) {
            if ($date != $row[CommonDbColumns::$tripDate]) {
                if ($date != "") {
                    $networkEarnings[] = $networkData;
                    $networkData = array();
                    $network = array();
                }

                $date = HelperMethods::getColumnValue($row, CommonDbColumns::$tripDate, DataType::STRING);
                $networkData["date"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripDate, DataType::STRING);
                $networkData["totalEarning"] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalEarning, DataType::STRING);
                $networkData["network"] = array();

                $network["userId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
                $network["firstName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
                $network["lastName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
                $network["typeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
                $network["tripId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
                $network["earning"] = HelperMethods::getColumnValue($row, CommonDbColumns::$earning, DataType::STRING);
                $network['profileUrl'] = "";
                $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
                if ($network["typeId"] == 1001 && $profileUrl != "") {
                    $network['profileUrl'] = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $row[CommonDbColumns::$appId] . "/passengers/" . $row[CommonDbColumns::$passengerId] . "/" . $profileUrl . "?" . time();
                }
                if ($network["typeId"] == 1002 && $profileUrl != "") {
                    $network['profileUrl'] = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $row[CommonDbColumns::$appId] . "/drivers/" . $row[CommonDbColumns::$driverId] . "/" . $profileUrl . "?" . time();
                }
                $networkData["network"][] = $network;
            } else {
                $network["userId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
                $network["firstName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
                $network["lastName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
                $network["typeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
                $network["tripId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
                $network["earning"] = HelperMethods::getColumnValue($row, CommonDbColumns::$earning, DataType::STRING);
                $network['profileUrl'] = "";
                $profileUrl = HelperMethods::getColumnValue($row, CommonDbColumns::$profileUrl, DataType::STRING);
                if ($network["typeId"] == 1001 && $profileUrl != "") {
                    $network['profileUrl'] = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $row[CommonDbColumns::$appId] . "/passengers/" . $row[CommonDbColumns::$passengerId] . "/" . $profileUrl . "?" . time();
                } elseif ($network["typeId"] == 1002 && $profileUrl != "") {
                    $network['profileUrl'] = $profileUrl == "" ? "" : RESOURCES_FOLDER_URL . $row[CommonDbColumns::$appId] . "/drivers/" . $row[CommonDbColumns::$driverId] . "/" . $profileUrl . "?" . time();
                }
                $networkData["network"][] = $network;
            }
        }
        $networkEarnings[] = $networkData;
        return $networkEarnings;
    }


    public static function getUserPointsTransactionObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]->userId = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]->points = HelperMethods::getColumnValue($row, CommonDbColumns::$points, DataType::DOUBLE);
            $obj[$key]->pointsValue = HelperMethods::getColumnValue($row, CommonDbColumns::$points_value, DataType::DOUBLE);
            $obj[$key]->relatedUserId = HelperMethods::getColumnValue($row, CommonDbColumns::$related_user_id, DataType::INTEGER);
            $obj[$key]->relatedUserTypeId = HelperMethods::getColumnValue($row, CommonDbColumns::$related_user_type_id, DataType::INTEGER);
            $obj[$key]->date = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::DATETIME);
            $obj[$key]->transactionType = HelperMethods::getColumnValue($row, CommonDbColumns::$transaction_type_id, DataType::INTEGER);
            $obj[$key]->tripId = HelperMethods::getColumnValue($row, CommonDbColumns::$tripId, DataType::INTEGER);
            $obj[$key]->relatedUserName = HelperMethods::getColumnValue($row, CommonDbColumns::$related_user_name, DataType::STRING);
        }
        return $obj;
    }


    public static function getCountObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['count'] = HelperMethods::getColumnValue($row, 'count', DataType::INTEGER);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['statusId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getBagdadDriverAddressObject($row)
    {
        $obj = new stdClass();
        if (count($row)) {
            $obj->addressId = HelperMethods::getColumnValue($row, 'address_id', DataType::INTEGER);
            $obj->driverId = HelperMethods::getColumnValue($row, 'pk_value', DataType::INTEGER);
            $obj->cardNumber = HelperMethods::getColumnValue($row, 'card_number', DataType::STRING);
            $obj->dateOfIssue = HelperMethods::getColumnValue($row, 'date_of_issue', DataType::STRING);
            $obj->cityOfIssue = HelperMethods::getColumnValue($row, 'city_of_issue', DataType::STRING);
            $obj->recordNumber = HelperMethods::getColumnValue($row, 'record_number', DataType::STRING);
            $obj->pageNumber = HelperMethods::getColumnValue($row, 'page_number', DataType::STRING);
            $obj->city = HelperMethods::getColumnValue($row, 'city', DataType::STRING);
            $obj->state = HelperMethods::getColumnValue($row, 'province', DataType::STRING);
            $obj->zipCode = HelperMethods::getColumnValue($row, 'postal_code', DataType::STRING);
            $obj->neighbourhood = HelperMethods::getColumnValue($row, 'neighbourhood', DataType::STRING);
            $obj->houseNumber = HelperMethods::getColumnValue($row, 'house_number', DataType::STRING);
            $obj->street = HelperMethods::getColumnValue($row, 'street', DataType::STRING);
            $obj->status = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $frontImage = HelperMethods::getColumnValue($row, 'document_front_image', DataType::STRING);
            $backImage = HelperMethods::getColumnValue($row, 'document_back_image', DataType::STRING);
            $obj->frontImage = $frontImage == "" ? "" : RESOURCES_FOLDER_URL . '1/drivers/' . $obj->driverId . '/' . $frontImage . "?" . time();
            $obj->backImage = $backImage == "" ? "" : RESOURCES_FOLDER_URL . '1/drivers/' . $obj->driverId . '/' . $backImage . "?" . time();

        }
        return $obj;
    }

    public static function getBagdadDriverIdenificationObject($row)
    {
        $obj = new stdClass();
        if (count($row)) {
            $obj->documentId = HelperMethods::getColumnValue($row, 'document_id', DataType::INTEGER);
            $obj->documentType = HelperMethods::getColumnValue($row, 'document_type_id', DataType::INTEGER);
            $obj->identificationNumber = HelperMethods::getColumnValue($row, 'document_number', DataType::INTEGER);
            $obj->driverId = HelperMethods::getColumnValue($row, 'pk_value', DataType::INTEGER);
            $obj->dateOfIssue = HelperMethods::getColumnValue($row, 'date_of_issue', DataType::STRING);
            $obj->cityOfIssue = HelperMethods::getColumnValue($row, 'city_of_issue', DataType::STRING);
            $obj->recordNumber = HelperMethods::getColumnValue($row, 'record_number', DataType::STRING);
            $obj->pageNumber = HelperMethods::getColumnValue($row, 'page_number', DataType::STRING);
            $obj->status = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $obj->dob = HelperMethods::getColumnValue($row, 'dob', DataType::STRING);
            $frontImage = HelperMethods::getColumnValue($row, 'document_image_url', DataType::STRING);
            $backImage = HelperMethods::getColumnValue($row, 'back_image', DataType::STRING);
            $obj->frontImage = $frontImage == "" ? "" : RESOURCES_FOLDER_URL . '1/drivers/' . $obj->driverId . '/' . $frontImage . "?" . time();
            $obj->backImage = $backImage == "" ? "" : RESOURCES_FOLDER_URL . '1/drivers/' . $obj->driverId . '/' . $backImage . "?" . time();

        }
        return $obj;
    }

    public static function getBagdadDriverLicenseObject($row)
    {
        $obj = new stdClass();
        if (count($row)) {
            $obj->driverId = HelperMethods::getColumnValue($row, 'pk_value', DataType::INTEGER);
            $obj->documentId = HelperMethods::getColumnValue($row, 'document_id', DataType::INTEGER);
            $obj->documentType = HelperMethods::getColumnValue($row, 'document_type_id', DataType::INTEGER);
            $obj->licenseNumber = HelperMethods::getColumnValue($row, 'document_number', DataType::INTEGER);
            $obj->expiry = HelperMethods::getColumnValue($row, 'document_expiry', DataType::STRING);
            $obj->status = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $frontImage = HelperMethods::getColumnValue($row, 'document_image_url', DataType::STRING);
            $backImage = HelperMethods::getColumnValue($row, 'back_image', DataType::STRING);
            $obj->frontImage = $frontImage == "" ? "" : RESOURCES_FOLDER_URL . '1/drivers/' . $obj->driverId . '/' . $frontImage . "?" . time();
            $obj->backImage = $backImage == "" ? "" : RESOURCES_FOLDER_URL . '1/drivers/' . $obj->driverId . '/' . $backImage . "?" . time();

        }
        return $obj;
    }

    public static function getBagdadDriverVehicleObject($row)
    {
        $obj = new stdClass();
        if (count($row)) {
            $obj->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj->make = HelperMethods::getColumnValue($row, CommonDbColumns::$make, DataType::STRING);
            $obj->model = HelperMethods::getColumnValue($row, CommonDbColumns::$model, DataType::STRING);
            $obj->color = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj->services = HelperMethods::getColumnValue($row, CommonDbColumns::$services, DataType::STRING);
            $obj->serviceIds = HelperMethods::getColumnValue($row, 'service_ids', DataType::STRING);
            $obj->status = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $obj->statusText = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $frontImage = HelperMethods::getColumnValue($row, 'front_view', DataType::STRING);
            $leftSideImage = HelperMethods::getColumnValue($row, 'side_view', DataType::STRING);
            $rightSideImage = HelperMethods::getColumnValue($row, 'side_right_image', DataType::STRING);
            $backImage = HelperMethods::getColumnValue($row, 'back_view', DataType::STRING);
            $obj->frontImage = $frontImage == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $frontImage . "?" . time();
            $obj->leftImage = $leftSideImage == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $leftSideImage . "?" . time();
            $obj->rightImage = $rightSideImage == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $rightSideImage . "?" . time();
            $obj->backImage = $backImage == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $backImage . "?" . time();

        }
        return $obj;
    }

    public static function getBagdadDriverVehicleRegistrationObject($row)
    {
        $obj = new stdClass();
        if (count($row)) {

            $obj->documentId = HelperMethods::getColumnValue($row, CommonDbColumns::$documentId, DataType::INTEGER);
            $obj->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$pkValue, DataType::INTEGER);
            $obj->status = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $obj->registrationNumber = HelperMethods::getColumnValue($row, 'document_number', DataType::STRING);
            $obj->idenitifationNumber = HelperMethods::getColumnValue($row, 'certificate_number', DataType::STRING);
            $obj->expiry = HelperMethods::getColumnValue($row, CommonDbColumns::$documentExpiry, DataType::DATETIME);
            $frontImage = HelperMethods::getColumnValue($row, 'document_image_url', DataType::STRING);
            $backImage = HelperMethods::getColumnValue($row, 'back_image', DataType::STRING);
            $obj->frontImage = $frontImage == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $frontImage . "?" . time();
            $obj->backImage = $backImage == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $backImage . "?" . time();

        }
        return $obj;
    }

    public static function getBagdadDriverVehiclePlateObject($row)
    {
        $obj = new stdClass();
        if (count($row)) {
            $obj->paletId = HelperMethods::getColumnValue($row, 'vehicle_plate_id', DataType::INTEGER);
            $obj->vehicleId = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj->status = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $obj->plateNumber = HelperMethods::getColumnValue($row, 'plate_number', DataType::STRING);
            $obj->city = HelperMethods::getColumnValue($row, 'city', DataType::STRING);
            $obj->country = HelperMethods::getColumnValue($row, 'country', DataType::STRING);
            $image = HelperMethods::getColumnValue($row, 'plate_image', DataType::STRING);
            $obj->image = $image == "" ? "" : RESOURCES_FOLDER_URL . '1/vehicles/' . $obj->vehicleId . '/' . $image . "?" . time();

        }
        return $obj;
    }


    public static function getCompanyAdminLoginObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['companyUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_user_id, DataType::INTEGER);
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['companyFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_first_name, DataType::STRING);
            $obj[$key]['companyMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_middle_name, DataType::STRING);
            $obj[$key]['companyLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_last_name, DataType::STRING);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_mobile, DataType::STRING);
            $obj[$key]['companyTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_type_id, DataType::INTEGER);
            $obj[$key]['companyToken'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_token, DataType::STRING);
        }
        return $obj;
    }

    public static function getOutletAdminLoginObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['outletUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_user_id, DataType::INTEGER);
            $obj[$key]['outletFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['outletMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['outletLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['outletMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['outletEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['outletTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['outletToken'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
        }
        return $obj;
    }

    public static function getCompanyRegisterObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyEmailId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['companyPhone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_Phone, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['CompanyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['companyGstinNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);

        }
        return $obj;

    }

    public static function getCompanyLocationObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyId, DataType::INTEGER);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationName, DataType::STRING);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyName, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyLogo, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyStatus, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getCompanyOutletObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyId, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLocationId, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletId, DataType::INTEGER);
            $obj[$key]['typeid'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCountry, DataType::INTEGER);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletZipcode, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_legal_name, DataType::STRING);
            $obj[$key]['outletGstinNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_gstin_number, DataType::STRING);
            $obj[$key]['outletCreateDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCreateDate, DataType::DATETIME);
            $obj[$key]['companyGstinNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyGstinNumber, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyDisplayName, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyLegalName, DataType::STRING);
            $obj[$key]['companyCreateDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyCreateDate, DataType::DATETIME);
            $obj[$key]['companyModifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyModifiedDate, DataType::DATETIME);
            $obj[$key]['locCreateDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locCreateDate, DataType::DATETIME);
            $obj[$key]['locModifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locModifiedDate, DataType::DATETIME);
            $obj[$key]['printKot'] = HelperMethods::getColumnValue($row, CommonDbColumns::$print_kot, DataType::INTEGER);
            $obj[$key]['printReceipt '] = HelperMethods::getColumnValue($row, CommonDbColumns::$printReceipt, DataType::INTEGER);
            $obj[$key]['smsGateway'] = HelperMethods::getColumnValue($row, CommonDbColumns::$smsGateway, DataType::INTEGER);
            $obj[$key]['minimumOrderAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$minimumOrderAmount, DataType::DOUBLE);
            $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$outletImage, DataType::STRING);
            $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
            //$obj[$key]["outletImage"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : (strpos($imageOne, 'http') !== false) ? $imageOne : RESOURCES_FOLDER_URL . "outletImages/" . $imageOne;
            // $obj["outletImage"] = is_null($imageOne) || $imageOne=='' ? NO_IMAGE : RESOURCES_FOLDER_URL."outletImages/".$imageOne;

        }
        return $obj;
    }

    public static function getCompanyOutletAdminObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminFirstName, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminMiddleName, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminLastName, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminEmail, DataType::STRING);
            $obj[$key]['phoneNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminMobile, DataType::INTEGER);
            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminPassword, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminAddress, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminCity, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminState, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminCountry, DataType::INTEGER);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAdminZipcode, DataType::INTEGER);

        }
        return $obj;
    }

    public static function getCompanyOutletCategoryObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletId, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryName, DataType::STRING);
            $obj[$key]['categoryDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryDescription, DataType::STRING);
            $obj[$key]['categoryStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryStatus, DataType::INTEGER);
            $obj[$key]['categoryLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryLogo, DataType::STRING);
        }
        return $obj;
    }

    public static function getCompanyOutletSubCategoryObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['CategoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletId, DataType::INTEGER);
            $obj[$key]['subCategoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$subCategoryId, DataType::INTEGER);
            $obj[$key]['subCategoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletSubCategoryName, DataType::STRING);
            $obj[$key]['subCategoryDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletSubCategoryDescription, DataType::STRING);
            $obj[$key]['subCategoryLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletSubCategoryLogo, DataType::STRING);
        }
        return $obj;
    }

    public static function getOutletItemObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['CategoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
            $obj[$key]['subCategoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletSubCategoryId, DataType::INTEGER);
            $obj[$key]['itemName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
            $obj[$key]['image1'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
            $obj[$key]['image2'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage2, DataType::STRING);
            $obj[$key]['image3'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage3, DataType::STRING);
            $obj[$key]['image4'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage4, DataType::STRING);
            $obj[$key]['image5'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage5, DataType::STRING);
            $obj[$key]['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
            $obj[$key]['isDiscountAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
            $obj[$key]['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
            $obj[$key]['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
            $obj[$key]['itemPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
            return $obj;
        }
    }

    /**
     * @param $rows
     * @return array
     */
    public static function getItemListObject($rows)

    {
        // print_r($rows);
        $category = array();// category
        $categories = array(); // car=tegories
        $item = array();//items
        $items = array(); //items
        $portions = array(); // portions, customizations
        $customizations = array(); // portions, customizations
        $itemId = 0; //category id
        $subMenuId = 0; //item id
        $portionId = 0;
        $customizationId = 0;
        $portionarray = array();
        $custarray = array();
        foreach ($rows as $row) {
            if ($itemId != $row["category_id"]) {
                if ($itemId != 0) {
                    if ($subMenuId != $row["item_id"]) {
                        $item["portions"] = $portions;
                        $item["cust"] = $customizations;
                        $items[] = $item;
                        $category["items"] = $items;
                        $categories[] = $category;
                        $category = array();
                        $items = array();
                        $portions = array();
                        $customizations = array();
                        $portionarray = array();
                        $custarray = array();
                    }
                }
                $itemId = $row["category_id"];
                $category["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                $category["categoryName"] = HelperMethods::getColumnValue($row, "category_name", DataType::STRING);
                if ($subMenuId != HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER)) {
                    $item["itemId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    $item["image"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : RESOURCES_FOLDER_URL . "itemImages/" . $imageOne;
                    $item["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                    $item["itemName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
                    $item['isDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
                    $item['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
                    $item['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
                    $item['itemPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
                    $item['taxType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxType, DataType::INTEGER);
                    $item['itemDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemDescription, DataType::STRING);
                    $item['preDiscountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$preDiscountPercent, DataType::DOUBLE);
                    $subMenuId = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                } else {
                    //echo "isP :" . $item['isPortionAllowed'] . ", porId :" . HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) . ", Inarr : " . in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray) . ", portId ; " . $portionId;
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                }
            } else {
                if ($subMenuId != HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER)) {
                    $item["portions"] = $portions;
                    $item["cust"] = $customizations;
                    $items[] = $item;
                    $item["itemId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    $item["itemImageOne"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : RESOURCES_FOLDER_URL . "itemImages/" . $imageOne;
                    $item["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                    $item["itemName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
                    $item['isDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
                    $item['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
                    $item['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
                    $item['itemPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
                    $item['taxType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxType, DataType::INTEGER);
                    $item['itemDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemDescription, DataType::STRING);
                    $item['preDiscountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$preDiscountPercent, DataType::DOUBLE);
                    $subMenuId = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                } else {
                    //echo "isP :" . $item['isPortionAllowed'] . "porId :" . HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) . "Inarr : " . in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray) . "portId ; " . $portionId;
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                }

            }
        }
        $item["portions"] = $portions;
        $item["cust"] = $customizations;
        $items[] = $item;
        $category["items"] = $items;
        $categories[] = $category;
        return $categories;
    }

    public static function outletCashierLoginDetailsObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_legal_name, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['companyShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_short_name, DataType::STRING);
            $obj[$key]['companyGstInNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::STRING);
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierEmail, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierMobile, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sessionToken, DataType::STRING);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['OutletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_legal_name, DataType::STRING);
            $obj[$key]['outletShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_short_name, DataType::STRING);
            $obj[$key]['outletGstInNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_gstin_number, DataType::STRING);
            $obj[$key]['outLetAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
            $obj[$key]['sgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
            $obj[$key]['igst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
            $obj[$key]['outletCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_code, DataType::STRING);
            $obj[$key]['lastBillOrderNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_bill_order_number, DataType::STRING);
            $obj[$key]['serviceCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_charge, DataType::DOUBLE);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['cashierCurrency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierCurrency, DataType::STRING);
            $obj[$key]['outletTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_type_id, DataType::STRING);
            $obj[$key]['paymentMode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode, DataType::STRING);
            $obj[$key]['kot']['header'] = str_replace(array('{{outletName}}', '{{nl}}', '{{companyName}}', '{{address}}'), array($obj[$key]['OutletDisplayName'], "\n", $obj[$key]['companyDisplayName'], $obj[$key]['outLetAddress']), HelperMethods::getColumnValue($row, CommonDbColumns::$kot_header, DataType::STRING));
            $obj[$key]['kot']['footer'] = str_replace(array('{{outletName}}', '{{nl}}', '{{companyName}}', '{{address}}'), array($obj[$key]['OutletDisplayName'], "\n", $obj[$key]['companyDisplayName'], $obj[$key]['outLetAddress']), HelperMethods::getColumnValue($row, CommonDbColumns::$kot_footer, DataType::STRING));
            $obj[$key]['invoice']['header'] = str_replace(array('{{outletName}}', '{{nl}}', '{{companyName}}', '{{address}}'), array($obj[$key]['OutletDisplayName'], "\n", $obj[$key]['companyDisplayName'], $obj[$key]['outLetAddress']), HelperMethods::getColumnValue($row, CommonDbColumns::$kotHeader, DataType::STRING));
            $obj[$key]['invoice']['footer'] = str_replace(array('{{outletName}}', '{{nl}}', '{{companyName}}', '{{address}}'), array($obj[$key]['OutletDisplayName'], "\n", $obj[$key]['companyDisplayName'], $obj[$key]['outLetAddress']), HelperMethods::getColumnValue($row, CommonDbColumns::$kotFooter, DataType::STRING));
            $obj[$key]['isPhoneMandatory'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_phone_mandatory, DataType::INTEGER);
            $obj[$key]['isCashPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_cash_payment_enable, DataType::INTEGER);
            $obj[$key]['isCardPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_card_payment_enable, DataType::INTEGER);
            $obj[$key]['isPayTmPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_payTm_payment_enable, DataType::INTEGER);
            $obj[$key]['printKot'] = HelperMethods::getColumnValue($row, CommonDbColumns::$print_kot, DataType::INTEGER);
            $obj[$key]['printReceipt'] = HelperMethods::getColumnValue($row, CommonDbColumns::$printReceipt, DataType::INTEGER);
            $obj[$key]['smsGateway'] = HelperMethods::getColumnValue($row, CommonDbColumns::$smsGateway, DataType::INTEGER);
            return $obj;
        }
    }

    public static function foodCourtCashierLoginDetailsObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_legal_name, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['companyShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_short_name, DataType::STRING);
            $obj[$key]['companyGstInNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::STRING);
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierEmail, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierMobile, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sessionToken, DataType::STRING);
            $obj[$key]['foodCourtName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtName, DataType::STRING);
            $obj[$key]['foodCourtId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$food_court_id, DataType::INTEGER);
            $obj[$key]['foodCourtLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtLogo, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['cashierCurrency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierCurrency, DataType::STRING);
            $obj[$key]['paymentMode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode, DataType::STRING);
            $obj[$key]['securityAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$security_amount, DataType::DOUBLE);
            $obj[$key]['isCardSecurityAmountRefundable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_refundable, DataType::INTEGER);
            $obj[$key]['isCardSecurityAmountRefundableText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_refundable_text, DataType::STRING);
            $obj[$key]['userTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
            $obj[$key]['isPhoneMandatory'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isPhoneMandatory, DataType::STRING);
            return $obj;
        }
    }

    public static function getFoodCourtCashierListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['cashierFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashier_first_name, DataType::STRING);
            $obj[$key]['cashierMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashier_middle_name, DataType::STRING);
            $obj[$key]['cashierLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashier_last_name, DataType::STRING);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_legal_name, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['companyShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_short_name, DataType::STRING);
            $obj[$key]['companyGstInNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::STRING);
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierEmail, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierMobile, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sessionToken, DataType::STRING);
            $obj[$key]['foodCourtName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtName, DataType::STRING);
            $obj[$key]['foodCourtLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtLogo, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['cashierCurrency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierCurrency, DataType::STRING);
            $obj[$key]['paymentMode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode, DataType::STRING);
            return $obj;
        }
    }

    public static function createFoodCourtCashierObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['foodCourtCashierFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashier_first_name, DataType::STRING);
            $obj[$key]['foodCourtCashierMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashier_middle_name, DataType::STRING);
            $obj[$key]['foodCourtCashierLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashier_last_name, DataType::STRING);
            $obj[$key]['foodCourtCashierEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierEmail, DataType::STRING);
            $obj[$key]['foodCourtCashierMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierMobile, DataType::STRING);
            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierPassword, DataType::STRING);
            $obj[$key]['passwordText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierPasswordText, DataType::STRING);
            $obj[$key]['foodCourtCashierAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierAddress, DataType::STRING);
            $obj[$key]['foodCourtCashierCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierCity, DataType::STRING);
            $obj[$key]['foodCourtCashierState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierState, DataType::STRING);
            $obj[$key]['foodCourtCashierCountry'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierCountry, DataType::INTEGER);
            $obj[$key]['foodCourtCashierZipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierZipcode, DataType::INTEGER);
            return $obj;
        }
    }

    public static function getCreateOrderObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['customerNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['totalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
            $obj[$key]['changeAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
            $obj[$key]['payableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
            $obj[$key]['discoutPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discout_percent, DataType::DOUBLE);
            $obj[$key]['discountPercentAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
            $obj[$key]['cgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
            $obj[$key]['igst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
            $obj[$key]['sgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
            $obj[$key]['serviceTaxPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
            $obj[$key]['serviceTaxAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
            $obj[$key]['cgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
            $obj[$key]['igstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
            $obj[$key]['sgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst_amount, DataType::DOUBLE);
            $obj[$key]['localOrederId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$local_oreder_id, DataType::INTEGER);
            $obj[$key]['SlipString'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_string, DataType::STRING);

            return $obj;
        }
    }

    public static function getCompanyOutletListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletId, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_display_name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_legal_name, DataType::STRING);
            $obj[$key]['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletTypeId, DataType::INTEGER);
            $obj[$key]['outletGstinNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_gist_number, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
            $obj[$key]['lattitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCountry, DataType::INTEGER);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletZipcode, DataType::INTEGER);
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyId, DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_legal_name, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['companyGstinNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationName, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['formStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$formStatus, DataType::INTEGER);


        }
        return $obj;
    }

    public static function getOrderItemListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['totalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
            $obj[$key]['changedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$changed_amount, DataType::DOUBLE);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
            $obj[$key]['payableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
            $obj[$key]['discountPercentAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
            $obj[$key]['cgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
            $obj[$key]['sgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
            $obj[$key]['igst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
            $obj[$key]['taxAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$tax_amount, DataType::DOUBLE);
            $obj[$key]['serviceTaxPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
            $obj[$key]['serviceTaxAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
            $obj[$key]['cgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
            $obj[$key]['igstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
            $obj[$key]['slipId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_id, DataType::INTEGER);
            $obj[$key]['invoice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$invoice, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['itemName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_name, DataType::STRING);
            $obj[$key]['logo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$logo, DataType::STRING);
            $obj[$key]['totalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
            $obj[$key]['changeAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
            $obj[$key]['discountAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
            $obj[$key]['payableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
            $obj[$key]['isTaxExamption'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_tax_examption, DataType::DOUBLE);
            $obj[$key]['portionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_name, DataType::STRING);
            $obj[$key]['quantity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$quantity, DataType::STRING);
            $obj[$key]['portionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_name, DataType::STRING);
            $obj[$key]['portionPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_price, DataType::DOUBLE);
            $obj[$key]['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
            $obj[$key]['portionDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
            $obj[$key]['custmizationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$custmization_name, DataType::STRING);
            $obj[$key]['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
            $obj[$key]['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
            $obj[$key]['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
            $obj[$key]['paymentModeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
            $obj[$key]['paymentAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
            $obj[$key]['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);

            return $obj;
        }
    }

    public static function getOrderListObject($rows)

    {

        $order = array();// category
        $orders = array(); // car=tegories
        $item = array();//items
        $items = array(); //items
        $portions = array(); // portions, customizations
        $portion = array(); // portions, customizations
        $customizations = array(); // portions, customizations
        $customization = array(); // portions, customizations
        $itemId = 0; //category id
        $subMenuId = 0; //item id
        $portionId = 0;
        $customizationId = 0;
        $orderId = 0;
        $portionarray = array();
        $custarray = array();
        $status = array();
        $payment = array();
        $payments = array();
        $orderCheckpayment = array();
        foreach ($rows as $k => $row) {
            if ($orderId != $row["order_id"]) {
                if ($orderId != 0) {
                    if ($orderId != $row["order_id"]) {
                        $item["portionsDetails"] = $portions;
                        $item["customizationsDetails"] = $customizations;
                        $items[] = $item;
                        $order["itemDetails"] = $items;
                        $order["paymentsDetails"] = $payments;
                        $orders[] = $order;
                        $payments = array();
                        $payment = array();
                        $order = array();
                        $customizations = array();
                        $items = array();
                        $item = array();
                        $portion = array();
                        $portions = array();
                        $orderCheckpayment = array();
                        $portionarray = array();
                        $custarray = array();
                    }
                }
                $orderId = $row['order_id'];
                $order["orderId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                $order['orderCustomerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
                $order['customerPhone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
                $order['customerDailingCode'] = HelperMethods::getColumnValue($row, 'dailing_code', DataType::STRING);

                $order['orderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                $order['orderTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                $order['orderTotalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                $order['changedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$changed_amount, DataType::DOUBLE);
                $order['orderPercentDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                $order['orderPayableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                $order['orderPercentDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
                $order['orderCgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
                $order['orderSgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
                $order['orderIgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
                $order['orderAmountDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$tax_amount, DataType::DOUBLE);
                $order['orderServiceCharges'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
                $order['orderServiceChargesAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
                $order['orderCgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
                $order['orderIgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
                $order['orderSgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst_amount, DataType::DOUBLE);
                $order['orderCreatedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                $order['orderModifiedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_modified_date, DataType::DATETIME);
                $order['slipId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_id, DataType::INTEGER);

                $status['orderStatusCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                $status['orderStatusName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status_name, DataType::STRING);
                $status['orderStatusTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_time, DataType::DATETIME);
                $order['orderStatus'] = $status;

                if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                    $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::DOUBLE);
                    $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                    $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                    $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::DATETIME);
                    $payments[] = $payment;
                    $orderCheckpayment[] = $row['payment_mode_id'];
                }


                $itemId = $row['item_id'];
                $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);

                if ($row['is_portion_allowed'] == 1) {
                    //print_r($row['is_customization_allowed']);die;
                    //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                    $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                    $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                    $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                    $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                    $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                    $portions[] = $portion;
                    $portionarray[] = $row['portion_id'];

                }
                if ($row['is_customization_allowed'] == 1) {
                    $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                    $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                    $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                    $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                    $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                    $customizations[] = $customization;
                    $custarray[] = $row['custmization_id'];

                }

            } else {
                if ($orderId == $row['order_id']) {
                    if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                        // echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                        $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::DOUBLE);
                        $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                        $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                        $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::DATETIME);
                        $payments[] = $payment;
                        $orderCheckpayment[] = $row['payment_mode_id'];
                    }
                }
                if ($itemId != $row['item_id']) {
                    $item["portionsDetails"] = $portions;
                    $item["customizationsDetails"] = $customizations;
                    $items[] = $item;
                    $portions = array();
                    $customizations = array();
                    $item = array();
                    $custarray = array();
                    $portionarray = array();
                    // echo "8 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                    $itemId = $row['item_id'];
                    $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                    $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                    $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                    $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                    $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                    $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                    $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                    $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                    $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);

                    if ($row['is_portion_allowed'] == 1) {

                        //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        if (!in_array($row['portion_id'], $portionarray)) {
                            $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                            $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                            $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                            $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                            $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                            $portions[] = $portion;
                        }

                    }
                    if ($row['is_customization_allowed'] == 1) {
                        if (!in_array($row['custmization_id'], $custarray)) {
                            //print_r($row['is_customization_allowed']);die;
                            // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                            $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                            $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                            $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                            $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                            $customizations[] = $customization;
                        }


                    }
                } else {
                    // echo "9 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                    if ($row['is_portion_allowed'] == 1) {

                        //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        if (!in_array($row['portion_id'], $portionarray)) {
                            $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                            $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                            $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                            $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                            $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                            //$portions[] = $portion;
                        }

                    }
                    if ($row['is_customization_allowed'] == 1) {
                        if (!in_array($row['custmization_id'], $custarray)) {
                            //print_r($row['is_customization_allowed']);die;
                            // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                            $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                            $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                            $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                            $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                            //$customizations[] = $customization;
                        }


                    }
                }
            }
            //echo "\n";
        }
        $item["portionsDetails"] = $portions;
        $item["customizationsDetails"] = $customizations;
        $items[] = $item;
        $order['itemDetails'] = $items;
        $orders[] = $order;
        return $orders;

    }

    public static function getCardObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::STRING);
            $obj[$key]['cardId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_id, DataType::INTEGER);
            $obj[$key]['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['cardStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['foodCourtId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$food_court_id, DataType::INTEGER);
            $obj[$key]['foodCourtName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtName, DataType::STRING);

            return $obj;
        }

    }

    public static function getAssingedCardDetailsObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::STRING);
            $obj[$key]['cardId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_id, DataType::INTEGER);
            $obj[$key]['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['securityAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$security_amount, DataType::DOUBLE);
            $obj[$key]['topUpAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_top_up, DataType::DOUBLE);
            $obj[$key]['initialAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$initial_amount, DataType::DOUBLE);
            $obj[$key]['usedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_used, DataType::DOUBLE);
            $obj[$key]['returnAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$return_amount, DataType::DOUBLE);
        }
        return $obj;
    }

    public static function getCodeListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['category'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category, DataType::STRING);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['shortCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$short_code, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);

        }
        return $obj;
    }

    public static function getFoodCourtCardListObject($rows)
    {

        $card = array();
        $cards = array();
        $outlet = array();
        $outlets = array();
        $orders = array();
        $order = array();
        $outletId = 0;
        $cardId = 0;
        //echo "\n";
        foreach ($rows as $key => $row) {
            //print_r($row);
            // echo "1.Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
            if ($cardId != $row["card_id"]) {

                //echo "2.Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
                if ($cardId != 0) {
                    // echo "3Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
                    if ($cardId != $row["card_id"]) {


                        //echo "Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
                        $orders[] = $order;
                        $outlet['orders'] = $orders;
                        $outlets[] = $outlet;
                        $card["outlets"] = $outlets;
                        $cards[] = $card;
                        $orders = array();
                        $order = array();
                        $card = array();
                        $outlets = array();
                        $outlet = array();
                    }
                }
                $cardId = $row["card_id"];
//                $card['cardId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_id, DataType::INTEGER);
//                $card['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::STRING);
//                $card['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
//


                $card['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::STRING);
                $card['cardId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_id, DataType::INTEGER);
                $card['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
                $card['securityAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$security_amount, DataType::DOUBLE);
                $card['topUpAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_top_up, DataType::DOUBLE);
                $card['initialAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$initial_amount, DataType::DOUBLE);
                $card['usedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_used, DataType::DOUBLE);
                $card['returnAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$return_amount, DataType::DOUBLE);
                $card['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                $card['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
                $card['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
                $card['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
                $card['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
                $card['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
                $card['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
                $card['isSecurityAmountRefundable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_refundable, DataType::INTEGER);
                $card['isSecurityAmountRefundableText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_refundable . "_text", DataType::STRING);

                if (!is_null($row['outlet_id'])) {
                    $outlet['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                    $outlet['displayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_name, DataType::STRING);
                    $outlet['legalName'] = HelperMethods::getColumnValue($row, 'legal_name', DataType::STRING);

                    $outletId = $row['outlet_id'];

                    $order['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                    $order['payableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $data = json_decode(HelperMethods::getColumnValue($row, CommonDbColumns::$order_json, DataType::STRING), true);
                    $order['items'] = $data['itemDetails'];
                    $orders[] = $order;
                    $order = array();
                }

            } else {
                //echo "4Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
                if ($outletId != $row['outlet_id'] && !is_null($row['outlet_id'])) {
                    //echo "6Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
                    $outlet['orders'] = $orders;
                    $outlets[] = $outlet;
                    $order = array();
                    $orders = array();
                    $outlet = array();

                    $outlet['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                    $outlet['displayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_name, DataType::STRING);
                    $outlet['legalName'] = HelperMethods::getColumnValue($row, 'legal_name', DataType::STRING);
                    $outletId = $row['outlet_id'];

                    $order['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                    $order['payableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $data = json_decode(HelperMethods::getColumnValue($row, CommonDbColumns::$order_json, DataType::STRING), true);
                    $order['items'] = $data['itemDetails'];
                    $orders[] = $order;
                    $order = array();
                } else {
                    if (!is_null($row['outlet_id'])) {
                        // echo "5Key = " . $key . "  card= " . $row['card_id'] . " outlet = " . $row['outlet_id'] . "\n";
                        $order['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                        $order['payableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                        $data = json_decode(HelperMethods::getColumnValue($row, CommonDbColumns::$order_json, DataType::STRING), true);
                        $order['items'] = $data['itemDetails'];
                        $orders[] = $order;
                        $order = array();
                    }

                }
            }
        }
        if (count($orders)) {

            $outlet["orders"] = $orders;
        }
        if (count($outlet)) {
            $outlets[] = $outlet;

        }
        if (count($outlets)) {
            $card["outlets"] = $outlets;


        }
        $cards[] = $card;

        return $cards;
    }

    public static function getNearByOutletListObject($rows)
    {
        $status = array();
        $existsOutlet = array();
        $obj = array();
        $i = 0;
        $resultArray = array();
        foreach ($rows as $key => $row) {
            if (!in_array(HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER), $existsOutlet)) {
                if ($key != 0) {
                    isset($obj['taxDetails']) ? 1 : $obj['taxDetails'] = array();
                    $resultArray[$i] = $obj;
                    $obj = array();
                    $obj['taxDetails'] = array();
                    $i++;
                }
                $existsOutlet[] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                $obj['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                $obj['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletDisplayName, DataType::STRING);
                $obj['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLegalName, DataType::STRING);
                $obj['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
                $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$outletImage, DataType::STRING);
                //$obj["outletImage"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : (strpos($imageOne, 'http') !== false) ? $imageOne : RESOURCES_FOLDER_URL . "outletImages/" . $imageOne;
                $obj['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
                $obj['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
                $obj['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
                $obj['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
                $obj['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);
                $obj['zipCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletZipcode, DataType::INTEGER);
                $obj['outletCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_code, DataType::INTEGER);
                $obj['lastBillOrderNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_bill_order_number, DataType::INTEGER);
                $obj['cgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
                $obj['sgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
                $obj['serviceCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_charge, DataType::DOUBLE);
                $obj['isPhoneMandatory'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_phone_mandatory, DataType::INTEGER);
                $obj['isCashPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_cash_payment_enable, DataType::INTEGER);
                $obj['isPaytmPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_payTm_payment_enable, DataType::INTEGER);
                $obj['isCardPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_card_payment_enable, DataType::INTEGER);
                $obj['igst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
                $obj['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
                $obj['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
                $obj['ratingNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_rating, DataType::DOUBLE);
                $obj['reviewCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_review, DataType::INTEGER);
                $obj['isAllowedDelivery'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_allowed_delivery, DataType::INTEGER);
                $obj['minimumAmountFreeDelivery'] = HelperMethods::getColumnValue($row, CommonDbColumns::$minimumAmountFreeDelivery, DataType::DOUBLE);
                $obj['merchantRazorpayId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$merchantRazorpayId, DataType::INTEGER);
                $status['id'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                $status['taxName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxName, DataType::STRING);
                $status['taxId'] = HelperMethods::getColumnValue($row, 'outlet_tax_id', DataType::INTEGER);
                $status['taxValue'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxValue, DataType::DOUBLE);
                $status['taxStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxStatus, DataType::INTEGER);
                if (!is_null($row['tax_name'])) {
                    $obj['taxDetails'][] = $status;
                }
//        echo "status outlet id up = >".$status['id']."outlerId obj = >". $obj['outletId']."\n";
//        print_r($row);
//        $status = array();
            } else {
                $status['id'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                $status['taxId'] = HelperMethods::getColumnValue($row, 'outlet_tax_id', DataType::INTEGER);
                $status['taxName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxName, DataType::STRING);
                $status['taxValue'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxValue, DataType::DOUBLE);
                $status['taxStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxStatus, DataType::INTEGER);
                if (!is_null($row['tax_name'])) {
                    $obj['taxDetails'][] = $status;
                }
//        echo "status outlet id down = >".$status['id']."outlerId obj = >". $obj['outletId']."\n";
//        $status = array();
            }
        }
        if (count($obj)) {
            isset($obj['taxDetails']) ? 1 : $obj['taxDetails'] = array();
            $resultArray [$i] = $obj;
        }
        return $resultArray;
    }

    public static function createOutletCashierObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['outletCashierEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierEmail, DataType::STRING);
            $obj[$key]['outletCashierMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cashierMobile, DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['legalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_legal_name, DataType::STRING);
            $obj[$key]['displayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['shortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_short_name, DataType::STRING);
            $obj[$key]['gistNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::INTEGER);
            $obj[$key]['companyStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyStatus, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLegalName, DataType::STRING);
            $obj[$key]['outletGistNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletGistNumber, DataType::INTEGER);
            $obj[$key]['outletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['outletLatitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
            $obj[$key]['outletLongitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
            $obj[$key]['outletCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['outletState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);
            $obj[$key]['outletZipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletZipcode, DataType::INTEGER);
            $obj[$key]['outletTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_type_id, DataType::INTEGER);
            $obj[$key]['outletShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletShortName, DataType::STRING);
            $obj[$key]['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
            $obj[$key]['outletStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletStatus, DataType::INTEGER);
            $obj[$key]['outletCgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCgst, DataType::DOUBLE);
            $obj[$key]['outletSgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletSgst, DataType::DOUBLE);
            $obj[$key]['outletIgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletIgst, DataType::DOUBLE);
            $obj[$key]['outletCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_code, DataType::INTEGER);
            $obj[$key]['lastBillOrderNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_bill_order_number, DataType::STRING);
            $obj[$key]['serviceCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_charge, DataType::DOUBLE);
            $obj[$key]['paymentMode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode, DataType::INTEGER);
            $obj[$key]['isPhoneMandatory'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isPhoneMandatory, DataType::INTEGER);
            $obj[$key]['isCashPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_cash_payment_enable, DataType::INTEGER);
            $obj[$key]['isCardPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_card_payment_enable, DataType::INTEGER);
            $obj[$key]['isPayTmPaymentEnable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_payTm_payment_enable, DataType::INTEGER);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);

            return $obj;
        }
    }

    public static function getCompanyOutletlistCompanyAdminObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLegalName, DataType::STRING);
            $obj[$key]['outletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['outletTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_type_id, DataType::STRING);
            $obj[$key]['outletLatitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::LONG_DOUBLE);
            $obj[$key]['outletLongitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::LONG_DOUBLE);
            $obj[$key]['outletCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['outletState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);;
            $obj[$key]['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['orderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_count, DataType::INTEGER);
            $obj[$key]['totalSales'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_sales, DataType::DOUBLE);
            $obj[$key]['averageValue'] = HelperMethods::getColumnValue($row, CommonDbColumns::$average_value, DataType::DOUBLE);


        }
        return $obj;
    }

    public static function getCompanyOutletOrderReportCompanyAdminObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLegalName, DataType::STRING);
            $obj[$key]['outletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['outletLatitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
            $obj[$key]['outletLongitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
            $obj[$key]['outletCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['outletState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);;
            $obj[$key]['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['TotalSales'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_sales, DataType::DOUBLE);
            $obj[$key]['averageValue'] = HelperMethods::getColumnValue($row, CommonDbColumns::$average_value, DataType::DOUBLE);
            $obj[$key]['totalOrder'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_count, DataType::INTEGER);
            $obj[$key]['totalCompleteOrderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$complete_order_count, DataType::INTEGER);
            $obj[$key]['totalPendingOrderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pending_order_count, DataType::INTEGER);
            $obj[$key]['diningOrderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dining_order_count, DataType::INTEGER);
            $obj[$key]['deliveryOrderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$delivery_order_count, DataType::INTEGER);
            $obj[$key]['pickupOrderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pickup_order_count, DataType::INTEGER);

        }
        return $obj;

    }

    public static function createFoodCourtObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['foodCourtId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$food_court_id, DataType::INTEGER);
            $obj[$key]['foodCourtType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtType, DataType::INTEGER);
            $obj[$key]['foodCourtName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtName, DataType::STRING);
            $obj[$key]['foodCourtLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtLogo, DataType::STRING);
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyId, DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$legalName, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$displayName, DataType::STRING);
            $obj[$key]['companyGistNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$gstin_number, DataType::STRING);
            $obj[$key]['companyStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyStatus, DataType::INTEGER);
            $obj[$key]['companyCountryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
            $obj[$key]['shortCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$short_code, DataType::STRING);
            $obj[$key]['foodCourtLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtLogo, DataType::STRING);
            $obj[$key]['isPhoneMandatory'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isPhoneMandatory, DataType::INTEGER);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['securityAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$security_amount, DataType::DOUBLE);
            $obj[$key]['isRefundable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_refundable, DataType::INTEGER);

        }
        return $obj;

    }

    public static function getCompanyOutletOrderReportAndSalesCompanyAdminObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['orderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_count, DataType::INTEGER);
            $obj[$key]['totalSales'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sales, DataType::DOUBLE);
            $obj[$key]['averageValue'] = HelperMethods::getColumnValue($row, CommonDbColumns::$average_sales, DataType::DOUBLE);
            $obj[$key]['date'] = HelperMethods::getColumnValue($row, CommonDbColumns::$date, DataType::DATETIME);
            $obj[$key]['orderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_count, DataType::INTEGER);
            $obj[$key]['percentageSales'] = HelperMethods::getColumnValue($row, CommonDbColumns::$percentage_sales, DataType::DOUBLE);
            $obj[$key]['currencySymbol'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);

        }
        return $obj;

    }

    public static function getCustomerSignupDetailsObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['isBasicDetails'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isBasicDetails, DataType::INTEGER);
            $obj[$key]['isAddressDetails'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isAddressDetails, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['profilePic'] = HelperMethods::getColumnValue($row, CommonDbColumns::$profilePic, DataType::STRING);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['gender'] = HelperMethods::getColumnValue($row, CommonDbColumns::$gender, DataType::STRING);
            $obj[$key]['State'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['isPasswordAvailable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isPasswordAvailable, DataType::INTEGER);
            $obj[$key]['otp'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile_verification_otp, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['mobileOtp'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobileOtp, DataType::INTEGER);
            $obj[$key]['emailOtp'] = HelperMethods::getColumnValue($row, CommonDbColumns::$emailOtp, DataType::INTEGER);
            $obj[$key]['userStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usersStatus, DataType::INTEGER);
            return $obj;
        }

    }

    public static function getCustomerAddressDetailsObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['userAddressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userAddressId, DataType::INTEGER);
            $obj[$key]['isBasicDetails'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isBasicDetails, DataType::INTEGER);
            $obj[$key]['isAddressDetails'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isAddressDetails, DataType::INTEGER);
            $obj[$key]['cityId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityId, DataType::INTEGER);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyName, DataType::STRING);
            $obj[$key]['customerAddressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['flatNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$flatNumber, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            return $obj;
        }

    }

    public static function getUserVehicleListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['renewDay'] = HelperMethods::getColumnValue($row, CommonDbColumns::$renewDay, DataType::INTEGER);
            $obj[$key]['VehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['fuelType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$fuelType, DataType::STRING);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['color'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['registrationDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationDate, DataType::STRING);
            $obj[$key]['parkingInformation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['packageId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['packageName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['vehicleTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeId, DataType::INTEGER);
            $obj[$key]['VehicleTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeName, DataType::STRING);
            $obj[$key]['userAddressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userAddressId, DataType::INTEGER);
            //  $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['societyStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['societyStatusMsg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyStatusMessage, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['nickName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
            $obj[$key]['flatNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$flatNumber, DataType::STRING);
            $obj[$key]['vehicleWheelerTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleWheelerTypeId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['dayId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayId, DataType::INTEGER);
            $obj[$key]['preferredTimeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['servicePrefTimeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_time_id, DataType::INTEGER);
            $obj[$key]['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
            $obj[$key]['isSubscriptionActive'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isSubscription, DataType::INTEGER);
            $obj[$key]['planTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getUserOrderListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['VehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['subscriptionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['subscriptionItemId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['userWalletAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userWalletAmount, DataType::DOUBLE);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::DATE);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::DATE);
            $obj[$key]['amountPaid'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['totalWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalWashes, DataType::INTEGER);
            $obj[$key]['validity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$validity, DataType::INTEGER);
            $obj[$key]['preferredTimeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['preferredTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['color'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        }
        return $obj;
    }


    public static function getCategoryListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['CategoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['vehicleTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleType, DataType::INTEGER);
            $obj[$key]['categoryImg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryImg, DataType::STRING);
            $obj[$key]['vehicleWheelerType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleWheelerTypeId, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getCategoryPlanListObject($rows)
    {
        // print_r($rows);
        $plan = array();
        $existsPlan = array();
        $obj = array();
        $i = 0;
        $resultArray = array();
        foreach ($rows as $key => $row) {
            if (!in_array(HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER), $existsPlan)) {
                if ($key != 0) {
                    isset($obj['superSaver']) ? 1 : $obj['superSaver'] = array();
                    $resultArray[$i] = $obj;
                    $obj = array();
                    $obj['superSaver'] = array();
                    $i++;
                }
                // print_r($rows);

                $existsPlan[] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
                $obj['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
                $obj['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
                $obj['innerWashAvailable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$innerWashAvailable, DataType::INTEGER);
                $obj['packName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
                $obj['planTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planTypeId, DataType::INTEGER);
//                $obj['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
                $obj['dailyOriginalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dailyOriginalPrice, DataType::DOUBLE);
                $obj['dailyFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dailyFinalPrice, DataType::DOUBLE);
                // $obj['totalWashes'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalWashes, DataType::INTEGER);
                $obj['taxPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxPercent, DataType::DOUBLE);
                $plan['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
                $plan['superPlanName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
                $plan['totalWashes'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superTotalWashes, DataType::INTEGER);
                $plan['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superDiscount, DataType::DOUBLE);
                $plan['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superDescription, DataType::STRING);
                $plan['finalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superFinalPrice, DataType::DOUBLE);
                $plan['originalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superOriginalPrice, DataType::STRING);
                $plan['validity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superValidity, DataType::INTEGER);
                $plan['image'] = HelperMethods::getColumnValue($row, CommonDbColumns::$PlanImage, DataType::STRING);
                $planDecriptionIds = HelperMethods::getColumnValue($row, 'plan_description_ids', DataType::STRING);
                $planDecriptionText = HelperMethods::getColumnValue($row, 'plan_description', DataType::STRING);
                $planDecriptionStatusText = HelperMethods::getColumnValue($row, 'plan_status_text', DataType::STRING);
                $planDecriptionIdsArray = explode(',', $planDecriptionIds);
                $planDecriptionTextArray = explode(',', $planDecriptionText);
                $planDecriptionStatusTextArray = explode(',', $planDecriptionStatusText);
                $obj['description'] = array();
                foreach ($planDecriptionIdsArray as $k => $v) {
                    $object = new stdClass();
                    $object->descriptionId = $v;
                    $object->descriptionText = $planDecriptionTextArray[$k];
                    $object->descriptionStatusText = $planDecriptionStatusTextArray[$k];
                    $obj['description'][] = $object;
                }
                if (!is_null($row['super_plan_id']) && $row['type_id'] == 9000) {
                    $obj['superSaver'][] = $plan;
                }
            } else {
                $plan['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
                $plan['superPlanName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
                $plan['totalWashes'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superTotalWashes, DataType::INTEGER);
                $plan['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superDiscount, DataType::DOUBLE);
                $plan['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superDescription, DataType::STRING);
                $plan['finalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superFinalPrice, DataType::DOUBLE);
                $plan['originalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superOriginalPrice, DataType::STRING);
                $plan['validity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superValidity, DataType::INTEGER);
                $plan['image'] = HelperMethods::getColumnValue($row, CommonDbColumns::$PlanImage, DataType::STRING);
                if (!is_null($row['super_plan_id']) && $row['type_id'] == 9000) {
                    $obj['superSaver'][] = $plan;
                }
            }
        }
        if (count($obj)) {
            isset($obj['superSaver']) ? 1 : $obj['superSaver'] = array();
            $resultArray [$i] = $obj;
        }
        return $resultArray;
    }

    public static function getSocietyListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['cityId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityId, DataType::INTEGER);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getCityListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['cityId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityId, DataType::INTEGER);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);

        }
        return $obj;
    }

    public static function getTimeListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['timeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['time'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['timeType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);

        }
        return $obj;
    }

    public static function getVehicleBrandListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['vehicleWheelerTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleWheelerTypeId, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getUserWalletAmount($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userWalletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userWalletId, DataType::INTEGER);
            $obj[$key]['walletAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$walletAmount, DataType::DOUBLE);
            return $obj;
        }

    }

    public static function getVehicleModelListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['vehicleTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeId, DataType::INTEGER);
            $obj[$key]['VehicleTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeName, DataType::STRING);
            $obj[$key]['carTypeWeightage'] = HelperMethods::getColumnValue($row, CommonDbColumns::$carTypeWeightage, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getUserWalletHistoryObject($rows)
    {
        //print_r($rows);die;
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['userWalletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userWalletId, DataType::INTEGER);
            $obj[$key]['walletAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$walletAmount, DataType::DOUBLE);
            $obj[$key]['transactionAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionAmount, DataType::DOUBLE);
            $obj[$key]['transactionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionId, DataType::STRING);
            $obj[$key]['payoutType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payoutType, DataType::INTEGER);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['vehicleTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeId, DataType::INTEGER);
            $obj[$key]['VehicleTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeName, DataType::STRING);
            $obj[$key]['carTypeWeightage'] = HelperMethods::getColumnValue($row, CommonDbColumns::$carTypeWeightage, DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['CategoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['categoryImg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryImg, DataType::STRING);
        }
        return $obj;
    }

    public static function getWasherDetailsObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['gender'] = HelperMethods::getColumnValue($row, CommonDbColumns::$gender, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dailingCode, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['profilePic'] = HelperMethods::getColumnValue($row, CommonDbColumns::$profilePic, DataType::STRING);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['State'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            return $obj;
        }

    }

    public static function getWashJobListStatusDetailsObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['washerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerUserId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, 'user_order_id', DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['preferredTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['preferredTimeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['vehicleColor'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['jobStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobStatusType, DataType::INTEGER);
            $obj[$key]['additionalParkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['jobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobId, DataType::INTEGER);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $service = array();
            if ((HelperMethods::getColumnValue($row, 'order_select_date_ids', DataType::INTEGER) != "")) {
                $ids = explode(',', HelperMethods::getColumnValue($row, 'order_select_date_ids', DataType::STRING));
                $dates = explode(',', HelperMethods::getColumnValue($row, 'service_type_list', DataType::STRING));
                $serviceText = explode(',', HelperMethods::getColumnValue($row, 'description_list', DataType::STRING));
                $serviceStartDate = explode(',', HelperMethods::getColumnValue($row, 'local_start_date_service', DataType::STRING));
                $serviceEndDate = explode(',', HelperMethods::getColumnValue($row, 'local_end_date_service', DataType::STRING));
                foreach ($ids as $k => $id) {
                    $d = array();
                    $d['selectedDateId'] = (int)$id;
                    $d['serviceType'] = (int)$dates[$k];
                    $d['serviceTypeText'] = $serviceText[$k];
                    $d['serviceStartDate'] = $serviceStartDate[$k];
                    $d['serviceEndDate'] = $serviceEndDate[$k];
                    $service[] = $d;
                }
            }
            $obj[$key]['serviceList'] = $service;
        }
        return $obj;
    }

    public static function getWashJobListStatusDetailsTestObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['washerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerUserId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, 'user_order_id', DataType::INTEGER);
            $obj[$key]['customerFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['customerMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['customerLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['preferredTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['preferredTimeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
            $obj[$key]['allotTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$endDate, DataType::STRING);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modified_date, DataType::STRING);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['vehicleColor'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['jobStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobStatusType, DataType::INTEGER);
            $obj[$key]['additionalParkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['flatNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$flatNumber, DataType::STRING);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['jobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobId, DataType::INTEGER);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $obj[$key]['statusTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeText, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $images = HelperMethods::getColumnValue($row, CommonDbColumns::$image . 's', DataType::STRING);
            $imageArray = array();
            if (strlen($images)) {
                $images = str_replace(',', ',' . RESOURCES_FOLDER_URL . 'jobImages/', RESOURCES_FOLDER_URL . 'jobImages/' . $images);
                $imageArray = explode(',', $images);
            }
            $obj[$key]['images'] = $imageArray;

        }
        return $obj;
    }

    public static function getWashJobListStatusDetails2Object($dataSet)
    {
        // print_r($dataSet);
        $washServices = array();
        $networkData = array();
        $service = array();
        $wash = 0;

        foreach ($dataSet as $row) {
            if ($wash != $row['service_type']) {
                if ($wash != 0) {
                    $washServices[] = $networkData;
                    $networkData = array();
                    $service = array();
                }

                $wash = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceType, DataType::INTEGER);
                $networkData['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
                $networkData['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                $networkData['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
                $networkData['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
                $networkData['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
                $networkData['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
                $networkData['preferredTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::STRING);
                $networkData['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::STRING);
                $networkData['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
                $networkData['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
                $networkData['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
                $networkData['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
                $networkData['vehicleColor'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
                $networkData['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
                $networkData['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
                $networkData['jobStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobStatusType, DataType::INTEGER);
                $networkData['additionalParkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
                $networkData['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
                $networkData['jobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobId, DataType::INTEGER);
                $networkData["service"] = array();

                $service["selectedDateId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
                $service["serviceType"] = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceType, DataType::INTEGER);
                $service["serviceTypeText"] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);

                $networkData["service"][] = $service;
            } else {
                $service["selectedDateId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
                $service["serviceType"] = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceType, DataType::INTEGER);
                $service["serviceTypeText"] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
                $networkData["service"][] = $service;
            }
        }
        $washServices[] = $networkData;
        return $washServices;
    }

    public static function getSubscriptionHistoryObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['dayId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayId, DataType::INTEGER);
            $obj[$key]['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
            $obj[$key]['planTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['renewDay'] = HelperMethods::getColumnValue($row, CommonDbColumns::$renewDay, DataType::INTEGER);
            $obj[$key]['isSubscriptionActive'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isSubscription, DataType::INTEGER);
            $obj[$key]['servicePrefTimeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_time_id, DataType::INTEGER);
            $obj[$key]['orderAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['VehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['fuelType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$fuelType, DataType::STRING);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['color'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['registrationDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationDate, DataType::STRING);
            $obj[$key]['parkingInformation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['packageId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['packageName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['validity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$validity, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            //$obj[$key]['totalWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalWashes, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            //$obj[$key]['totalWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outerWash, DataType::INTEGER);
            $obj[$key]['totalInnerWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$innerWash, DataType::INTEGER);
            $obj[$key]['totalOuterWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outerWash, DataType::INTEGER);
            $obj[$key]['totalAirCheck'] = HelperMethods::getColumnValue($row, CommonDbColumns::$airCheck, DataType::INTEGER);
            $obj[$key]['totalStepneyChange'] = HelperMethods::getColumnValue($row, CommonDbColumns::$stepneyChange, DataType::INTEGER);
            $obj[$key]['pauseJobStartDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pauseJobStartDate, DataType::STRING);
            $obj[$key]['pauseJobEndDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pauseJobEndDate, DataType::STRING);
            $obj[$key]['pauseJobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pauseJobId, DataType::INTEGER);
            // $obj[$key]['outerWashTypeId'] = 8001;
            //$obj[$key]['outerWashName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outerWashText, DataType::STRING);
            $obj[$key]['usedOuterWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countOuterWash, DataType::INTEGER);
            $obj[$key]['usedInnerWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeInnerWash, DataType::INTEGER);
            $obj[$key]['usedAirCheck'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeAirCheck, DataType::INTEGER);
            $obj[$key]['usedStepneyChange'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeStepneyChange, DataType::INTEGER);
            $obj[$key]['prefferedTimeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedTimeId, DataType::INTEGER);
            $obj[$key]['preferedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['vehicleTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeId, DataType::INTEGER);
            $obj[$key]['VehicleTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeName, DataType::STRING);
            $obj[$key]['superPlanName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
            $obj[$key]['orderDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
            $service = array();
            if (strlen(HelperMethods::getColumnValue($row, 'order_select_date_ids', DataType::STRING))) {
                $ids = explode(',', HelperMethods::getColumnValue($row, 'order_select_date_ids', DataType::STRING));
                $dates = explode(',', HelperMethods::getColumnValue($row, 'preffered_dates', DataType::STRING));
                $serviceType = explode(',', HelperMethods::getColumnValue($row, 'service_types', DataType::STRING));
                $timeIds = explode(',', HelperMethods::getColumnValue($row, 'time_ids', DataType::STRING));
                foreach ($ids as $k => $id) {
                    $d = array();
                    $d['orderSelectDateId'] = (int)$id;
                    $d['prefferDate'] = $dates[$k];
                    $d['serviceTypeId'] = (int)$serviceType[$k];
                    $d['timeId'] = (int)$timeIds[$k];
                    $service[] = $d;
                }
            }
            $obj[$key]['serviceList'] = $service;
            // $hdates = array();
//            if (strlen(HelperMethods::getColumnValue($row, 'holiday_ids', DataType::STRING))) {
//                $ids = explode(',', HelperMethods::getColumnValue($row, 'holiday_ids', DataType::STRING));
//                $dates = explode(',', HelperMethods::getColumnValue($row, 'holiday_date_list', DataType::STRING));
//                foreach ($ids as $k => $id) {
//                    $d = array();
//                    $d['holidayId'] = $id;
//                    $d['holidaysDate'] = $dates[$k];
//                    $hdates[] = $d;
//                }
//            }
//            $obj[$key]['holidaysList'] = $hdates;
        }
        return $obj;
    }

    public static function getUserBySelectedDateServiceObject($dataSet)
    {
        // print_r($dataSet);
        $washServices = array();
        $networkData = array();
        $service = array();
        $wash = 0;

        foreach ($dataSet as $row) {
            if ($wash != $row['type_id']) {
                if ($wash != 0) {
                    $washServices[] = $networkData;
                    $networkData = array();
                    $service = array();
                }

                $wash = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
                $networkData["typeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
                $networkData["typeIdText"] = HelperMethods::getColumnValue($row, 'description', DataType::STRING);
                $networkData["usageService"] = HelperMethods::getColumnValue($row, CommonDbColumns::$usageService, DataType::INTEGER);
                $networkData["totalServiceCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalSerice, DataType::INTEGER);
                $networkData["service"] = array();

                $service["selectedDateId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
                $service["requestTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::DATETIME);
                $service["prefferedDate"] = HelperMethods::getColumnValue($row, CommonDbColumns::$prefferedDate, DataType::DATETIME);
                $service["prefferedTimeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
                $service["prefferedTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
                $service["jobStartDateTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
                $service["jobEndDateTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);

                $networkData["service"][] = $service;
            } else {
                $service["selectedDateId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
                $service["requestTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::DATETIME);
                $service["prefferedDate"] = HelperMethods::getColumnValue($row, CommonDbColumns::$prefferedDate, DataType::DATETIME);
                $service["prefferedTimeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
                $service["prefferedTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
                $service["jobStartDateTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
                $service["jobEndDateTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);

                $networkData["service"][] = $service;
            }
        }
        $washServices[] = $networkData;
        return $washServices;
    }

    public static function getShinerDetailsObject2($dataSet)
    {
        // print_r($dataSet);
        $washServices = array();
        $networkData = array();
        $service = array();
        $wash = 0;

        foreach ($dataSet as $row) {

            $service["typeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $service["jobId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobId, DataType::INTEGER);
            $service["serviceTypeText"] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            // $service["image"] = HelperMethods::getColumnValue($row, CommonDbColumns::$image, DataType::STRING);
            $washerImage = HelperMethods::getColumnValue($row, CommonDbColumns::$image . 's', DataType::STRING);
            if (strlen($washerImage)) {
                $washerImage = RESOURCES_FOLDER_URL . "jobImages/" . str_replace(',', ',' . RESOURCES_FOLDER_URL . "jobImages/", $washerImage);
                $images = explode(',', $washerImage);
            } else {
                $images = array();
            }
            $service['images'] = array_unique($images);
            $networkData[] = $service;

        }

        return $networkData;
    }

    public static function getShinerOrderDetailsObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['gender'] = HelperMethods::getColumnValue($row, CommonDbColumns::$gender, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dailingCode, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['profilePic'] = HelperMethods::getColumnValue($row, CommonDbColumns::$profilePic, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['State'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]["serviceStartTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$job_start_date, DataType::DATETIME);
            $obj[$key]["serviceEndTime"] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
            $obj[$key]['VehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['fuelType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$fuelType, DataType::STRING);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['color'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['registrationDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationDate, DataType::STRING);
            $obj[$key]['parkingInformation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['vehicleType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
        }
        return $obj;
    }

// old
    public static function getCustomerLoginDetailsObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {


            $obj['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj['profilePic'] = HelperMethods::getColumnValue($row, CommonDbColumns::$profilePic, DataType::STRING);
            $obj['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
            $obj['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj['State'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj['CountryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj['mobileVerificationOtp'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile_verification_otp, DataType::INTEGER);
            $obj['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status, DataType::STRING);
            $obj['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status_text, DataType::STRING);
            //return $obj;
        }
        return $obj;
    }

    public static function getCustomerAddressLoginObject($row)
    {
        $orderDeliveryAddress = array();
        if (count($row)) {
            $orderDeliveryAddress['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
            $orderDeliveryAddress['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $orderDeliveryAddress['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $orderDeliveryAddress['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $orderDeliveryAddress['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $orderDeliveryAddress['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
            $orderDeliveryAddress['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
            $orderDeliveryAddress['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $orderDeliveryAddress['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $orderDeliveryAddress['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $orderDeliveryAddress['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $orderDeliveryAddress['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $orderDeliveryAddress['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $orderDeliveryAddress['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
        }
        return $orderDeliveryAddress;
    }

    public static function getCompanyOutletCategoryListCompanyAdminObject($rows)
    {
//print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLegalName, DataType::STRING);
            $obj[$key]['outletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['outletCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['outletState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);;
            $obj[$key]['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryDescription, DataType::STRING);
            $obj[$key]['categoryStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryStatus, DataType::INTEGER);
            $obj[$key]['CategoryLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryLogo, DataType::STRING);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
        }
        return $obj;

    }

    public
    static function getCompanyOutletItemListCompanyAdminObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['itemId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
            $obj[$key]['itemName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_name, DataType::STRING);
            $obj[$key]['orderItemCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_item_count, DataType::INTEGER);
            $obj[$key]['orderItemPortionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$orderItemPortion, DataType::INTEGER);
            $obj[$key]['orderItemQuantity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$quantity, DataType::INTEGER);
            $obj[$key]['orderItemPortionCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$orderItemPortionCount, DataType::INTEGER);
        }
        return $obj;

    }

    public
    static function getCompanyOutletPortionObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['portionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_id, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['portionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_name, DataType::STRING);


        }
        return $obj;

    }

    public
    static function getCompanyOutletPortionListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['portionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_id, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['portionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_name, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portionStatus, DataType::INTEGER);
            $obj[$key]['portionStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portionStatusText, DataType::STRING);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$legal_name, DataType::STRING);
            $obj[$key]['outletShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$shortName, DataType::STRING);


        }
        return $obj;

    }

    public
    static function getCompanyOutletCustomizationObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['customizationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_id, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['customizationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_name, DataType::STRING);
            $obj[$key]['customizationAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customizationAmount, DataType::DOUBLE);


        }
        return $obj;

    }

    public
    static function getCompanyOutletCustomizationListObject($rows)
    {

        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['customizationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_id, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['customizationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_name, DataType::STRING);
            $obj[$key]['customizationAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customizationAmount, DataType::DOUBLE);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customizationStatus, DataType::INTEGER);
            $obj[$key]['customizationStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customizationStatusText, DataType::STRING);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$legal_name, DataType::STRING);


        }
        return $obj;

    }

    public static function getOutletItemListObject($rows)
    {
        //  print_r($rows);
        $category = array();// category
        $categories = array(); // car=tegories
        $item = array();//items
        $items = array(); //items
        $portions = array(); // portions, customizations
        $customizations = array(); // portions, customizations
        $itemId = 0; //category id
        $subMenuId = 0; //item id
        $portionId = 0;
        $customizationId = 0;
        $portionarray = array();
        $custarray = array();
        foreach ($rows as $row) {
            if ($itemId != $row["category_id"]) {
                if ($itemId != 0) {
                    if ($subMenuId != $row["item_id"]) {
                        $item["portions"] = $portions;
                        $item["cust"] = $customizations;
                        $items[] = $item;
                        $category["items"] = $items;
                        $categories[] = $category;
                        $category = array();
                        $items = array();
                        $portions = array();
                        $customizations = array();
                        $portionarray = array();
                        $custarray = array();
                    }
                }
                $itemId = $row["category_id"];
                $category["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                $category["categoryName"] = HelperMethods::getColumnValue($row, "category_name", DataType::STRING);
                if ($subMenuId != HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER)) {
                    $item["portions"] = $portions;
                    $item["cust"] = $customizations;
                    $portions = array();
                    $customizations = array();
                    $portionarray = array();
                    $custarray = array();
                    $item["itemId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $item["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                    $item["itemName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    //$item["image"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : (strpos($imageOne, 'http') !== false) ? $imageOne : RESOURCES_FOLDER_URL . "itemImages/" . $imageOne;
                    //$item["image"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    $item["starCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$star_count, DataType::DOUBLE);
                    $item["portionCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_count, DataType::INTEGER);
                    $item["customizationCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_count, DataType::INTEGER);
                    $item["reviewCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$review_count, DataType::INTEGER);
                    $item["itemDescription"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemDescription, DataType::STRING);
                    $item['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
                    $item['isDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
                    $item['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
                    $item['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
                    $item['originalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
                    $item['selingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                    $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                    $item['taxType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxType, DataType::INTEGER);
                    $item['taxTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxTypeText, DataType::STRING);
                    $item['itemType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_type, DataType::INTEGER);
                    $item['itemTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_type_text, DataType::STRING);
                    $item['preDiscountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$preDiscountPercent, DataType::DOUBLE);
                    $subMenuId = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                } else {
                    //echo "isP :" . $item['isPortionAllowed'] . ", porId :" . HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) . ", Inarr : " . in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray) . ", portId ; " . $portionId;
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                }
            } else {
                if ($subMenuId != HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER)) {
                    $item["portions"] = $portions;
                    $item["cust"] = $customizations;
                    $portions = array();
                    $customizations = array();
                    $portionarray = array();
                    $custarray = array();
                    $items[] = $item;
                    $item["itemId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    //$item["image"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : RESOURCES_FOLDER_URL . "itemImages/" . $imageOne;
                    $item["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                    $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    //$item["image"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : (strpos($imageOne, 'http') !== false) ? $imageOne : RESOURCES_FOLDER_URL . "itemImages/" . $imageOne;
                    $item["itemName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    // $item["image"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
                    $item["starCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$star_count, DataType::DOUBLE);
                    $item["portionCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_count, DataType::INTEGER);
                    $item["customizationCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_count, DataType::INTEGER);
                    $item["reviewCount"] = HelperMethods::getColumnValue($row, CommonDbColumns::$review_count, DataType::INTEGER);
                    $item["itemDescription"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemDescription, DataType::STRING);
                    $item['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
                    $item['isDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
                    $item['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
                    $item['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
                    $item['originalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
                    $item['selingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                    $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                    $item['taxType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxType, DataType::INTEGER);
                    $item['taxTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxTypeText, DataType::STRING);
                    $item['itemType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_type, DataType::INTEGER);
                    $item['itemTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_type_text, DataType::STRING);
                    $item['preDiscountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$preDiscountPercent, DataType::DOUBLE);
                    $subMenuId = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                } else {
                    //echo "isP :" . $item['isPortionAllowed'] . "porId :" . HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) . "Inarr : " . in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray) . "portId ; " . $portionId;
                    if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                        $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionId = $portion['portionId'];
                        array_push($portionarray, $portionId);
                    }
                    if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                        $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                        $customizations[] = $customization;
                        $customizationId = $customization['customizationId'];
                        array_push($custarray, $customizationId);
                    }
                }

            }
        }
        $item["portions"] = $portions;
        $item["cust"] = $customizations;
        $items[] = $item;
        $category["items"] = $items;
        $categories[] = $category;
        return $categories;
    }

    public
    static function getItemReviewListObject($rows)
    {
//print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['itemId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
            $obj[$key]['itemName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_name, DataType::STRING);
            $obj[$key]['image'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemImage1, DataType::STRING);
            $obj[$key]['noOfStar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$noOfStar, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);


        }
        return $obj;

    }

    public static function getOutletReviewListObject($rows)
    {
//print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['outletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$legal_name, DataType::STRING);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_name, DataType::STRING);
            $obj[$key]['image'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_image, DataType::STRING);
            $obj[$key]['noOfStar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$noOfStar, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);


        }
        return $obj;

    }

    public
    static function getCustomerOrderListObject($rows)

    {
        // print_r($rows);
        if (count($rows)) {
            $orders = array(); // car=tegories
            $item = array();//items
            $items = array(); //items
            $portions = array(); // portions, customizations
            $portion = array(); // portions, customizations
            $customizations = array(); // portions, customizations
            $customization = array(); // portions, customizations
            $itemId = 0; //category id
            $subMenuId = 0; //item id
            $portionId = 0;
            $customizationId = 0;
            $orderId = 0;
            $portionarray = array();
            $custarray = array();
            $status = array();
            $address = array();
            $payment = array();
            $payments = array();
            $orderCheckpayment = array();
            foreach ($rows as $k => $row) {
                if ($orderId != $row["order_id"]) {
                    if ($orderId != 0) {
                        if ($orderId != $row["order_id"]) {
                            $item["portionsDetails"] = $portions;
                            $item["customizationsDetails"] = $customizations;
                            $items[] = $item;
                            $order["itemDetails"] = $items;
                            $order["paymentsDetails"] = $payments;
                            $orders[] = $order;
                            $payments = array();
                            $payment = array();
                            $order = array();
                            $customizations = array();
                            $items = array();
                            $item = array();
                            $portion = array();
                            $portions = array();
                            $orderCheckpayment = array();
                            $portionarray = array();
                            $custarray = array();
                        }
                    }
                    $orderJsonArray = json_decode($row['order_json'], true);
                    $orderTax = isset($orderJsonArray['orderTaxDetails']) ? $orderJsonArray['orderTaxDetails'] : array();
                    $orderId = $row['order_id'];
                    $order["orderId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                    $order['orderCustomerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
                    $order['orderCustomerName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $order['orderCustomerEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
                    $order['orderLat'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_latitude, DataType::DOUBLE);
                    $order['orderLong'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_longitude, DataType::DOUBLE);
                    $order['orderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $order['orderOutletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                    $order['orderOutletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
                    $order['orderOutletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_address, DataType::STRING);
                    $order['orderTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderTotalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $order['changedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$changed_amount, DataType::DOUBLE);
                    $order['orderPercentDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $order['orderPayableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $order['orderPercentDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
                    $order['orderCgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
                    $order['orderSgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
                    $order['orderIgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
                    $order['orderAmountDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$tax_amount, DataType::DOUBLE);
                    $order['orderServiceCharges'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
                    $order['orderServiceChargesAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
                    $order['orderCgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
                    $order['orderIgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
                    $order['orderSgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst_amount, DataType::DOUBLE);
                    $order['orderCreatedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderModifiedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_modified_date, DataType::DATETIME);
                    $order['slipId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_id, DataType::INTEGER);
                    $order['onlineOfflineOrderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type, DataType::INTEGER);
                    $order['onlineOfflineOrderTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_text, DataType::STRING);
                    $order['restaurantCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_extra_charge, DataType::DOUBLE);
                    $order['taxDetails'] = $orderTax;

                    $status['orderStatusCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $status['orderStatusName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status_name, DataType::STRING);
                    $status['orderStatusTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_time, DataType::DATETIME);
                    $order['orderStatus'] = $status;

                    $address['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
                    $address['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $address['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
                    $address['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
                    $address['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
                    $address['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
                    $address['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
                    $address['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
                    $address['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
                    $address['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
                    $address['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
                    $address['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
                    $address['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
                    $address['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
                    $order['orderDeliveryAddress'] = $address;

                    if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                        //echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                        $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                        $payment['transactionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionId, DataType::STRING);
                        $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                        $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                        $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                        $payments[] = $payment;
                        $orderCheckpayment[] = $row['payment_mode_id'];
                    }


                    $itemId = $row['item_id'];
                    $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                    $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                    $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                    $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                    $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                    $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                    $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                    $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                    $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                    $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                    $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);

                    if ($row['is_portion_allowed'] == 1) {
                        //print_r($row['is_customization_allowed']);die;
                        //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                        $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                        $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionarray[] = $row['portion_id'];

                    }
                    if ($row['is_customization_allowed'] == 1) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                        $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customizations[] = $customization;
                        $custarray[] = $row['custmization_id'];

                    }

                } else {
                    if ($orderId == $row['order_id']) {
                        if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                            // echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                            $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                            $payment['transactionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionId, DataType::STRING);
                            $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                            $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                            $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                            $payments[] = $payment;
                            $orderCheckpayment[] = $row['payment_mode_id'];
                        }
                    }
                    if ($itemId != $row['item_id']) {
                        $item["portionsDetails"] = $portions;
                        $item["customizationsDetails"] = $customizations;
                        $items[] = $item;
                        $portions = array();
                        $customizations = array();
                        $item = array();
                        $custarray = array();
                        $portionarray = array();
                        // echo "8 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $itemId = $row['item_id'];
                        $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                        $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                        $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                        $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                        $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                        $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                        $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                        $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                        $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                        $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                        $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                        $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                        $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                        $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                        $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                        if ($row['is_portion_allowed'] == 1) {

                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                $portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customizations[] = $customization;
                            }


                        }
                    } else {
                        // echo "9 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        if ($row['is_portion_allowed'] == 1) {

                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                //$portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                //$customizations[] = $customization;
                            }
                        }
                    }
                }
                //echo "\n";
            }
            $item["portionsDetails"] = $portions;
            $item["customizationsDetails"] = $customizations;
            $items[] = $item;
            $order['itemDetails'] = $items;
            //$orders[] = $order;
            $order["paymentsDetails"] = $payments;
            $orders[] = $order;
            return $orders;
        } else {
            return array();
        }
    }

    public
    static function getCustomerOrderHistoryObject($rows)

    {
        // print_r($rows);
        if (count($rows)) {
            $order = array(); // category
            $orders = array(); // car=tegories
            $item = array();//items
            $items = array(); //items
            $portions = array(); // portions, customizations
            $portion = array(); // portions, customizations
            $customizations = array(); // portions, customizations
            $customization = array(); // portions, customizations
            $itemId = 0; //category id
            $subMenuId = 0; //item id
            $portionId = 0;
            $customizationId = 0;
            $orderId = 0;
            $portionarray = array();
            $custarray = array();
            $status = array();
            $payment = array();
            $payments = array();
            $orderCheckpayment = array();
            $checkOrderItem = array();
            foreach ($rows as $k => $row) {
                if ($orderId != $row["order_id"]) {
                    if ($orderId != 0) {
                        if ($orderId != $row["order_id"]) {
                            $item["portionsDetails"] = $portions;
                            $item["customizationsDetails"] = $customizations;
                            $items[] = $item;
                            $order["itemDetails"] = $items;
                            $order["paymentsDetails"] = $payments;
                            $orders[] = $order;
                            $payments = array();
                            $payment = array();
                            $order = array();
                            $customizations = array();
                            $items = array();
                            $item = array();
                            $portion = array();
                            $portions = array();
                            $orderCheckpayment = array();
                            $portionarray = array();
                            $custarray = array();
                            $checkOrderItem = array();
                        }
                    }
                    $orderJsonArray = json_decode($row['order_json'], true);
                    $orderTax = isset($orderJsonArray['orderTaxDetails']) ? $orderJsonArray['orderTaxDetails'] : array();
                    $orderId = $row['order_id'];
                    $order["orderId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                    $order['orderCustomerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
                    $order['orderCustomerName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $order['orderCustomerEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);

                    $order['riderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deliveryBoyId, DataType::INTEGER);
                    $order['riderPhone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderPhone, DataType::INTEGER);
                    $order['riderEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderEmail, DataType::STRING);
                    $order['riderImg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderImg, DataType::STRING);
                    $order['riderFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $order['riderMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
                    $order['riderLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
                    $order['riderAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
                    $order['riderCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
                    $order['riderState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
                    $order['riderZipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
                    $order['riderLatitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
                    $order['riderLongitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
                    $order['riderStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::STRING);
                    $order['riderStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$rider_status_text, DataType::STRING);
                    $order['riderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderType, DataType::INTEGER);


                    $order['orderLat'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_latitude, DataType::DOUBLE);
                    $order['orderLong'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_longitude, DataType::DOUBLE);
                    $order['orderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $order['orderOutletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                    $order['orderOutletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
                    $order['orderOutletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_address, DataType::STRING);
                    $order['orderTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderTotalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $order['changedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$changed_amount, DataType::DOUBLE);
                    $order['orderPercentDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $order['orderPayableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $order['orderPercentDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
                    $order['orderCgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
                    $order['orderSgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
                    $order['orderIgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
                    $order['orderAmountDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$tax_amount, DataType::DOUBLE);
                    $order['orderServiceCharges'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
                    $order['orderServiceChargesAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
                    $order['orderCgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
                    $order['orderIgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
                    $order['orderSgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst_amount, DataType::DOUBLE);
                    $order['orderCreatedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderModifiedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_modified_date, DataType::DATETIME);
                    $order['slipId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_id, DataType::INTEGER);
                    $order['taxDetails'] = $orderTax;
                    $status['orderStatusCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $status['orderStatusName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status_name, DataType::STRING);
                    $status['orderStatusTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_time, DataType::DATETIME);
                    $order['orderStatus'] = $status;

                    if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                        // echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                        $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                        $payment['transactionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionId, DataType::STRING);
                        $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                        $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                        $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                        $payments[] = $payment;
                        $orderCheckpayment[] = $row['payment_mode_id'];
                    }
                    $itemId = $row['item_id'];
                    //print_r($row['item_id']);
                    $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                    $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                    $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                    $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                    $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                    $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                    $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                    $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                    $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                    $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                    $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);

                    //$itemId[] =  $row['item_id'];
                    if ($row['is_portion_allowed'] == 1) {
                        //print_r($row['is_customization_allowed']);die;
                        //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                        $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                        $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionarray[] = $row['portion_id'];

                    }
                    if ($row['is_customization_allowed'] == 1) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                        $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customizations[] = $customization;
                        $custarray[] = $row['custmization_id'];

                    }
                } else {
                    if ($orderId == $row['order_id']) {
                        if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                            //echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                            $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                            $payment['transactionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionId, DataType::STRING);
                            $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                            $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                            $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                            $payments[] = $payment;
                            $orderCheckpayment[] = $row['payment_mode_id'];
                        }
                    }
                    if ($itemId != $row['item_id']) {
                        $item["portionsDetails"] = $portions;
                        $item["customizationsDetails"] = $customizations;
                        $items[] = $item;
                        $portions = array();
                        $customizations = array();
                        $item = array();
                        $custarray = array();
                        $portionarray = array();
                        //echo "8 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $itemId = $row['item_id'];
                        $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                        $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                        $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                        $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                        $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                        $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                        $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                        $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                        $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                        $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                        $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                        $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                        $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                        $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                        //$items[] = $item;

                        if ($row['is_portion_allowed'] == 1) {
//            echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                $portions[] = $portion;
                            }
                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customizations[] = $customization;
                            }
                        }
                    } else {
                        //echo "9 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        if ($row['is_portion_allowed'] == 1) {
                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                //$portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                //echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                //$customizations[] = $customization;
                            }
                        }
                    }
                }
                // echo "\n";
            }
            $item["portionsDetails"] = $portions;
            $item["customizationsDetails"] = $customizations;
            $items[] = $item;
            $order['itemDetails'] = $items;
            $order["paymentsDetails"] = $payments;
            $orders[] = $order;
            return $orders;
        } else {
            return array();
        }
    }

    public static function getCustomerAddressObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
            $obj[$key]['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
        }
        return $obj;

    }

    public static function getCustomerAddressListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            //$obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, 'mobile', DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, 'firstName', DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, 'middleName', DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, 'lastName', DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            //$obj[$key]['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['pinCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pinCode, DataType::INTEGER);
            $obj[$key]['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);

        }
        return $obj;

    }

    public static function getCustomerOrderOnlineObject($rows)
    {
        //  print_r($rows);
        $returnData = array();
        foreach ($rows as $key => $row) {
            $orderId = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);

            $orderStatus = new stdClass();
            $orderStatus->orderStatusCode = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $orderStatus->orderStatusName = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id . '_text', DataType::STRING);
            $orderStatus->orderStatusTime = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
            $data = json_decode(HelperMethods::getColumnValue($row, CommonDbColumns::$order_json, DataType::STRING), true);
            $data['orderId'] = $orderId;
            $data['isRiderMandatory'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isRiderMandatory, DataType::INTEGER);
            $data['riderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderStatus, DataType::INTEGER);
            $data['riderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deliveryBoyId, DataType::INTEGER);
            $data['riderPhone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderPhone, DataType::INTEGER);
            $data['riderEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderEmail, DataType::STRING);
            $data['riderImg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderImg, DataType::STRING);
            $data['riderFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $data['riderMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $data['riderLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $data['riderAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $data['riderCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $data['riderState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $data['riderZipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $data['riderLatitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $data['riderLongitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $data['riderStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::STRING);
            $data['riderStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$rider_status_text, DataType::STRING);

            $data['orderStatus'][0] = $orderStatus;
            $returnData[] = $data;
        }
        return $returnData;

    }

    public static function getOrderStatusCountObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['orderCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$count, DataType::INTEGER);
            $obj[$key]['orderStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$orderStatusText, DataType::STRING);

        }
        return $obj;

    }

    public static function getUpdateCustomerAddressListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
            $obj[$key]['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['byDefaultAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$byDefaultAddress, DataType::INTEGER);
        }

        return $obj;

    }

    public static function getOutletManagerOutletDetailsObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletId, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_legal_name, DataType::STRING);
            $obj[$key]['outletLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLogo, DataType::STRING);
            $obj[$key]['outletGistNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_gstin_number, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCountry, DataType::INTEGER);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletZipcode, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);


        }
        return $obj;
    }

    public static function getOutletManagerOutletDetailsAuthObject($rows)
    {
        //print_r($rows);die;
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);

            return $obj;
        }

    }

    public static function getOutletMangerOrderListObject($rows)
    {
        //print_r($rows);
        if (count($rows)) {
            $order = array(); // category
            $orders = array(); // car=tegories
            $item = array(); // items
            $items = array(); // items
            $portions = array(); // portions, customizations
            $portion = array(); // portions, customizations
            $customizations = array(); // portions, customizations
            $customization = array(); // portions, customizations
            $itemId = 0; //category id
            $subMenuId = 0; //item id
            $portionId = 0;
            $customizationId = 0;
            $orderId = 0;
            $portionarray = array();
            $custarray = array();
            $status = array();
            $address = array();
            $payment = array();
            $payments = array();
            $orderCheckpayment = array();
            foreach ($rows as $k => $row) {
                if ($orderId != $row["order_id"]) {
                    if ($orderId != 0) {
                        if ($orderId != $row["order_id"]) {
                            $item["portionsDetails"] = $portions;
                            $item["customizationsDetails"] = $customizations;
                            $items[] = $item;
                            $order["itemDetails"] = $items;
                            $order["paymentsDetails"] = $payments;
                            $orders[] = $order;
                            $payments = array();
                            $payment = array();
                            $order = array();
                            $customizations = array();
                            $items = array();
                            $item = array();
                            $portion = array();
                            $portions = array();
                            $orderCheckpayment = array();
                            $portionarray = array();
                            $custarray = array();
                        }
                    }
                    $orderId = $row['order_id'];
                    $order["orderId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                    $order['orderCustomerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
                    $order['orderCustomerName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $order['orderCustomerEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
                    $order['orderOutletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
                    $order['orderOutletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_address, DataType::STRING);
                    $order['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
                    $order['orderLat'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_latitude, DataType::DOUBLE);
                    $order['orderLong'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_longitude, DataType::DOUBLE);
                    $order['orderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $order['orderOutletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                    $order['orderOutletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
                    $order['orderTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderTotalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $order['changedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$changed_amount, DataType::DOUBLE);
                    $order['orderPercentDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $order['orderPayableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $order['orderPercentDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
                    $order['orderCgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
                    $order['orderSgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
                    $order['orderIgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
                    $order['orderAmountDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$tax_amount, DataType::DOUBLE);
                    $order['orderServiceCharges'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
                    $order['orderServiceChargesAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
                    $order['orderCgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
                    $order['orderIgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
                    $order['orderSgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst_amount, DataType::DOUBLE);
                    $order['orderCreatedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderModifiedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_modified_date, DataType::DATETIME);
                    $order['slipId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_id, DataType::INTEGER);
                    $order['onlineOfflineOrderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type, DataType::STRING);
                    $order['onlineOfflineOrderTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_text, DataType::STRING);
                    $order['restaurantCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_extra_charge, DataType::DOUBLE);

                    $order['statusDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$code_description, DataType::STRING);
                    $order['orderStatusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $order['orderStatusCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$count, DataType::INTEGER);

                    $status['orderStatusCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $status['orderStatusName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status_name, DataType::STRING);
                    $status['orderStatusTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_time, DataType::DATETIME);
                    $order['orderStatus'] = $status;

                    $address['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
                    $address['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $address['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
                    $address['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
                    $address['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
                    $address['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
                    $address['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
                    $address['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
                    $address['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
                    $address['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
                    $address['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
                    $address['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
                    $address['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
                    $address['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
                    $order['orderDeliveryAddress'] = $address;

                    if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                        //echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                        $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                        $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                        $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                        $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                        $payments[] = $payment;
                        $orderCheckpayment[] = $row['payment_mode_id'];
                    }


                    $itemId = $row['item_id'];
                    $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                    $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                    $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                    $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                    $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                    $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                    $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                    $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                    $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                    $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                    $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                    if ($row['is_portion_allowed'] == 1) {
                        //print_r($row['is_customization_allowed']);die;
                        //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                        $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                        $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionarray[] = $row['portion_id'];

                    }
                    if ($row['is_customization_allowed'] == 1) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                        $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customizations[] = $customization;
                        $custarray[] = $row['custmization_id'];

                    }

                } else {
                    if ($orderId == $row['order_id']) {
                        if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                            // echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                            $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                            $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                            $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                            $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                            $payments[] = $payment;
                            $orderCheckpayment[] = $row['payment_mode_id'];
                        }
                    }
                    if ($itemId != $row['item_id']) {
                        $item["portionsDetails"] = $portions;
                        $item["customizationsDetails"] = $customizations;
                        $items[] = $item;
                        $portions = array();
                        $customizations = array();
                        $item = array();
                        $custarray = array();
                        $portionarray = array();
                        // echo "8 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $itemId = $row['item_id'];
                        $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                        $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                        $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                        $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                        $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                        $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                        $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                        $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                        $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                        $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                        $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                        $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                        $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                        $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                        $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                        if ($row['is_portion_allowed'] == 1) {

                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                $portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customizations[] = $customization;
                            }


                        }
                    } else {
                        // echo "9 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        if ($row['is_portion_allowed'] == 1) {

                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                //$portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                //$customizations[] = $customization;
                            }
                        }
                    }
                }
                //echo "\n";
            }
            $item["portionsDetails"] = $portions;
            $item["customizationsDetails"] = $customizations;
            $items[] = $item;
            $order['itemDetails'] = $items;
            $order["paymentsDetails"] = $payments;
            $orders[] = $order;
            return $orders;
        } else {
            return array();
        }


    }

    public static function getCompanyLocationListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationName, DataType::STRING);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['timezone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timezone, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['countryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
        }
        return $obj;
    }

    public static function getCountryListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['countryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
            $obj[$key]['countryFlagUrl'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryFlagUrl, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
            $obj[$key]['timezone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timezone, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['shortCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$short_code, DataType::STRING);

        }
        return $obj;
    }

    public static function getOutletItemListObjectNew($rows)
    {
        //  print_r($rows);
        if (count($rows)) {
            $category = array();// category
            $categories = array(); // car=tegories
            $item = array();//items
            $items = array(); //items
            $portions = array(); // portions, customizations
            $customizations = array(); // portions, customizations
            $itemId = 0; //category id
            $subMenuId = 0; //item id
            $portionId = 0;
            $customizationId = 0;
            $portionarray = array();
            $custarray = array();
            foreach ($rows as $row) {
                if ($itemId != $row["category_id"]) {
                    if ($itemId != 0) {
                        if ($subMenuId != $row["item_id"]) {
                            $item["portions"] = $portions;
                            $item["cust"] = $customizations;
                            $items[] = $item;
                            $category["items"] = $items;
                            $categories[] = $category;
                            $category = array();
                            $items = array();
                            $portions = array();
                            $customizations = array();
                            $portionarray = array();
                            $custarray = array();
                        }
                    }
                    $itemId = $row["category_id"];
                    $category["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                    $category["categoryName"] = HelperMethods::getColumnValue($row, "category_name", DataType::STRING);
                    if ($subMenuId != HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER)) {
                        $item["portions"] = $portions;
                        $item["cust"] = $customizations;
                        $portions = array();
                        $customizations = array();
                        $portionarray = array();
                        $custarray = array();
                        $item["itemId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        $item["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                        $item["itemName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                        $item['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
                        $item['isDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
                        $item['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
                        $item['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
                        $item['itemPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
                        $item['itemDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemDescription, DataType::STRING);
                        $item['preDiscountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$preDiscountPercent, DataType::DOUBLE);
                        $subMenuId = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                            $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                            $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                            $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                            $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                            $portions[] = $portion;
                            $portionId = $portion['portionId'];
                            array_push($portionarray, $portionId);
                        }
                        if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                            $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                            $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                            $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                            $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                            $customizations[] = $customization;
                            $customizationId = $customization['customizationId'];
                            array_push($custarray, $customizationId);
                        }
                    } else {
                        //echo "isP :" . $item['isPortionAllowed'] . ", porId :" . HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) . ", Inarr : " . in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray) . ", portId ; " . $portionId;
                        if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                            $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                            $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                            $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                            $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                            $portions[] = $portion;
                            $portionId = $portion['portionId'];
                            array_push($portionarray, $portionId);
                        }
                        if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                            $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                            $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                            $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                            $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                            $customizations[] = $customization;
                            $customizationId = $customization['customizationId'];
                            array_push($custarray, $customizationId);
                        }
                    }
                } else {
                    if ($subMenuId != HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER)) {
                        $item["portions"] = $portions;
                        $item["cust"] = $customizations;
                        $portions = array();
                        $customizations = array();
                        $portionarray = array();
                        $custarray = array();
                        $items[] = $item;
                        $item["itemId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        $item["categoryId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCategoryId, DataType::INTEGER);
                        $item["itemName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                        $item['isPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsPortionAllowed, DataType::INTEGER);
                        $item['isDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountAllowed, DataType::INTEGER);
                        $item['isTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::INTEGER);
                        $item['isCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsCustomizationAllowed, DataType::INTEGER);
                        $item['itemPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemPrice, DataType::DOUBLE);
                        $item['itemDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemDescription, DataType::STRING);
                        $item['preDiscountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$preDiscountPercent, DataType::DOUBLE);
                        $subMenuId = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                            $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                            $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                            $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                            $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                            $portions[] = $portion;
                            $portionId = $portion['portionId'];
                            array_push($portionarray, $portionId);
                        }
                        if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                            $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                            $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                            $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                            $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                            $customizations[] = $customization;
                            $customizationId = $customization['customizationId'];
                            array_push($custarray, $customizationId);
                        }
                    } else {
                        //echo "isP :" . $item['isPortionAllowed'] . "porId :" . HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) . "Inarr : " . in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray) . "portId ; " . $portionId;
                        if (($item['isPortionAllowed'] == 1 && HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER), $portionarray))) {
                            $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                            $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                            $portion['status'] = HelperMethods::getColumnValue($row, 'portion_status', DataType::INTEGER);
                            $portion['price'] = HelperMethods::getColumnValue($row, 'portion_amount', DataType::DOUBLE);
                            $portions[] = $portion;
                            $portionId = $portion['portionId'];
                            array_push($portionarray, $portionId);
                        }
                        if (($item['isCustomizationAllowed'] == 1 && HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER) != 0 && !in_array(HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER), $custarray))) {
                            $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                            $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                            $customization['status'] = HelperMethods::getColumnValue($row, 'custmization_status', DataType::INTEGER);
                            $customization['price'] = HelperMethods::getColumnValue($row, 'custmization_amount', DataType::DOUBLE);
                            $customizations[] = $customization;
                            $customizationId = $customization['customizationId'];
                            array_push($custarray, $customizationId);
                        }
                    }

                }
            }

            $item["portions"] = $portions;
            $item["cust"] = $customizations;
            $items[] = $item;
            $category["items"] = $items;
            $categories[] = $category;
            return $categories;
        } else {
            return array();
        }
    }

    public static function getCustomerDetailsObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['State'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usersStatus, DataType::INTEGER);
            $obj[$key]['point'] = HelperMethods::getColumnValue($row, CommonDbColumns::$points, DataType::INTEGER);
            $obj[$key]['societyStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['customerStatusMsg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userStatusMessage, DataType::STRING);
            return $obj;
        }

    }

    public static function getCustomerAddressDetailsListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
            $obj[$key]['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
        }
        return $obj;

    }

    public static function getOutletUserListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['userMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['userEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['UserTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$accountStatus, DataType::INTEGER);
            $obj[$key]['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status_text, DataType::STRING);
            $obj[$key]['dob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dob, DataType::DATE);
            $obj[$key]['anniversary'] = HelperMethods::getColumnValue($row, CommonDbColumns::$anniversary, DataType::DATE);
            $obj[$key]['alterNatePhone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$alterNatePhone, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getOutletRiderDetails($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['riderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deliveryBoyId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletAddress, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLatitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletLongitude, DataType::DOUBLE);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCity, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletState, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletCountry, DataType::INTEGER);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletZipcode, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
            $obj[$key]['riderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderType, DataType::INTEGER);


        }
        return $obj;
    }

    public static function getOutletRiderListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['deliveryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
            $obj[$key]['userMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['userEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['UserTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$accountStatus, DataType::INTEGER);
            $obj[$key]['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status_text, DataType::STRING);
        }
        return $obj;
    }

    public static function getReservationListObject($rows)
    {
        //print_r($rows);die;
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['reservationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$reservationName, DataType::STRING);
            $obj[$key]['reservationDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$reservationDate, DataType::ng);
            $obj[$key]['reservationTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$reservationTime, DataType::TIME);
            $obj[$key]['noOfPeople'] = HelperMethods::getColumnValue($row, CommonDbColumns::$noOfPeople, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['UserTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$accountStatus, DataType::INTEGER);
            $obj[$key]['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status_text, DataType::STRING);
            $obj[$key]['outletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outDisplayName, DataType::STRING);
        }
        return $obj;
    }

    public static function getOutletAssignOrderListObject($rows)
    {
        //print_r($rows);
        if (count($rows)) {
            $order = array(); // category
            $orders = array(); // car=tegories
            $item = array(); // items
            $items = array(); // items
            $portions = array(); // portions, customizations
            $portion = array(); // portions, customizations
            $customizations = array(); // portions, customizations
            $customization = array(); // portions, customizations
            $itemId = 0; //category id
            $subMenuId = 0; //item id
            $portionId = 0;
            $customizationId = 0;
            $orderId = 0;
            $portionarray = array();
            $custarray = array();
            $status = array();
            $address = array();
            $payment = array();
            $payments = array();
            $orderCheckpayment = array();
            foreach ($rows as $k => $row) {
                if ($orderId != $row["order_id"]) {
                    if ($orderId != 0) {
                        if ($orderId != $row["order_id"]) {
                            $item["portionsDetails"] = $portions;
                            $item["customizationsDetails"] = $customizations;
                            $items[] = $item;
                            $order["itemDetails"] = $items;
                            $order["paymentsDetails"] = $payments;
                            $orders[] = $order;
                            $payments = array();
                            $payment = array();
                            $order = array();
                            $customizations = array();
                            $items = array();
                            $item = array();
                            $portion = array();
                            $portions = array();
                            $orderCheckpayment = array();
                            $portionarray = array();
                            $custarray = array();
                        }
                    }
                    $orderId = $row['order_id'];
                    $order["orderId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
                    $order['orderCustomerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_id, DataType::INTEGER);
                    $order['orderCustomerName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $order['orderCustomerEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
                    $order['orderOutletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
                    $order['orderOutletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_address, DataType::STRING);
                    $order['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
                    $order['orderLat'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_latitude, DataType::DOUBLE);
                    $order['orderLong'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customer_longitude, DataType::DOUBLE);
                    $order['orderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $order['orderOutletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
                    $order['orderOutletName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
                    $order['orderTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderTotalAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $order['changedAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$changed_amount, DataType::DOUBLE);
                    $order['orderPercentDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $order['orderPayableAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $order['orderPercentDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent_amount, DataType::DOUBLE);
                    $order['orderCgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst, DataType::DOUBLE);
                    $order['orderSgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst, DataType::DOUBLE);
                    $order['orderIgst'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst, DataType::DOUBLE);
                    $order['orderAmountDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$tax_amount, DataType::DOUBLE);
                    $order['orderServiceCharges'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_percent, DataType::DOUBLE);
                    $order['orderServiceChargesAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_tax_amount, DataType::DOUBLE);
                    $order['orderCgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cgst_amount, DataType::DOUBLE);
                    $order['orderIgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$igst_amount, DataType::DOUBLE);
                    $order['orderSgstAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$sgst_amount, DataType::DOUBLE);
                    $order['orderCreatedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_created_date, DataType::DATETIME);
                    $order['orderModifiedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_modified_date, DataType::DATETIME);
                    $order['slipId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$slip_id, DataType::INTEGER);
                    $order['onlineOfflineOrderType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type, DataType::STRING);
                    $order['onlineOfflineOrderTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_text, DataType::STRING);
                    $order['restaurantCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_extra_charge, DataType::DOUBLE);

                    $order['statusDescription'] = HelperMethods::getColumnValue($row, CommonDbColumns::$code_description, DataType::STRING);
                    $order['orderStatusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $order['orderStatusCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$count, DataType::INTEGER);

                    $status['orderStatusCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
                    $status['orderStatusName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status_name, DataType::STRING);
                    $status['orderStatusTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_time, DataType::DATETIME);
                    $order['orderStatus'] = $status;

                    $address['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerAddressId, DataType::INTEGER);
                    $address['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
                    $address['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
                    $address['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
                    $address['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
                    $address['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::INTEGER);
                    $address['addressTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressTypeText, DataType::STRING);
                    $address['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
                    $address['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
                    $address['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
                    $address['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
                    $address['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
                    $address['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
                    $address['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
                    $order['orderDeliveryAddress'] = $address;

                    if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                        //echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                        $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                        $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                        $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                        $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                        $payments[] = $payment;
                        $orderCheckpayment[] = $row['payment_mode_id'];
                    }


                    $itemId = $row['item_id'];
                    $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                    $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                    $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                    $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                    $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                    $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                    $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                    $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                    $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                    $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                    $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                    $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                    $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                    $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                    $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                    $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                    if ($row['is_portion_allowed'] == 1) {
                        //print_r($row['is_customization_allowed']);die;
                        //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                        $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                        $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                        $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                        $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                        $portions[] = $portion;
                        $portionarray[] = $row['portion_id'];

                    }
                    if ($row['is_customization_allowed'] == 1) {
                        $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                        $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                        $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                        $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                        $customizations[] = $customization;
                        $custarray[] = $row['custmization_id'];

                    }

                } else {
                    if ($orderId == $row['order_id']) {
                        if (!in_array($row['payment_mode_id'], $orderCheckpayment)) {
                            // echo "1 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['payment_mode_id'] . "\n";
                            $payment['paymentType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_mode_id, DataType::INTEGER);
                            $payment['paymentTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_type_name_text, DataType::STRING);
                            $payment['paidAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payment_amount, DataType::DOUBLE);
                            $payment['cardNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$card_number, DataType::INTEGER);
                            $payments[] = $payment;
                            $orderCheckpayment[] = $row['payment_mode_id'];
                        }
                    }
                    if ($itemId != $row['item_id']) {
                        $item["portionsDetails"] = $portions;
                        $item["customizationsDetails"] = $customizations;
                        $items[] = $item;
                        $portions = array();
                        $customizations = array();
                        $item = array();
                        $custarray = array();
                        $portionarray = array();
                        // echo "8 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        $itemId = $row['item_id'];
                        $item["itemProductId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemId, DataType::INTEGER);
                        $item["itemProductName"] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemName, DataType::STRING);
                        $item['itemIsPortionAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_portion_allowed, DataType::INTEGER);
                        $item['itemProductQty'] = HelperMethods::getColumnValue($row, CommonDbColumns::$item_quantity, DataType::DOUBLE);
                        $item['itemIsDiscountEditable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsDiscountEditable, DataType::INTEGER);
                        $item['itemIsTaxExceptions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemIsTaxExections, DataType::DOUBLE);
                        $item['itemIsCustomizationAllowed'] = HelperMethods::getColumnValue($row, CommonDbColumns::$is_customization_allowed, DataType::INTEGER);
                        $item['itemBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$base_price, DataType::DOUBLE);
                        $item['itemOrigenalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$itemOrigenalPrice, DataType::DOUBLE);
                        $item['itemSellingPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selling_price, DataType::DOUBLE);
                        $item['itemTotalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$total_amount, DataType::DOUBLE);
                        $item['itemChangeBasePrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$change_amount, DataType::DOUBLE);
                        $item['itemDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_amount, DataType::DOUBLE);
                        $item['itemFinalPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payable_amount, DataType::DOUBLE);
                        $item['itemDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::DOUBLE);
                        $item['extraCharge'] = HelperMethods::getColumnValue($row, CommonDbColumns::$extra_charge, DataType::DOUBLE);
                        if ($row['is_portion_allowed'] == 1) {

                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                $portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customizations[] = $customization;
                            }


                        }
                    } else {
                        // echo "9 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                        if ($row['is_portion_allowed'] == 1) {

                            //echo "4 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                            if (!in_array($row['portion_id'], $portionarray)) {
                                $portion['portionId'] = HelperMethods::getColumnValue($row, 'portion_id', DataType::INTEGER);
                                $portion['portionName'] = HelperMethods::getColumnValue($row, 'portion_name', DataType::STRING);
                                $portion['portionPrice'] = HelperMethods::getColumnValue($row, 'portion_price', DataType::DOUBLE);
                                $portion['portionDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc, DataType::DOUBLE);
                                $portion['discAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$portion_disc_amount, DataType::DOUBLE);
                                //$portions[] = $portion;
                            }

                        }
                        if ($row['is_customization_allowed'] == 1) {
                            if (!in_array($row['custmization_id'], $custarray)) {
                                //print_r($row['is_customization_allowed']);die;
                                // echo "5 key = " . $k . " orderId = " . $row['order_id'] . " ItemId = " . $row['item_id'] . "\n";
                                $customization['customizationId'] = HelperMethods::getColumnValue($row, 'custmization_id', DataType::INTEGER);
                                $customization['customizationName'] = HelperMethods::getColumnValue($row, 'custmization_name', DataType::STRING);
                                $customization['customizationPrice'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_price, DataType::DOUBLE);
                                $customization['customizationDisc'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                $customization['customizationDiscAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customization_disc_amount, DataType::DOUBLE);
                                //$customizations[] = $customization;
                            }
                        }
                    }
                }
                //echo "\n";
            }
            $item["portionsDetails"] = $portions;
            $item["customizationsDetails"] = $customizations;
            $items[] = $item;
            $order['itemDetails'] = $items;
            $order["paymentsDetails"] = $payments;
            $orders[] = $order;
            return $orders;
        } else {
            return array();
        }
    }

    public static function getOutletOnlineRiderListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['riderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deliveryBoyId, DataType::INTEGER);
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_Display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_legal_name, DataType::STRING);
            $obj[$key]['userMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['userEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['countryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['UserTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$accountStatus, DataType::INTEGER);
            $obj[$key]['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status_text, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::STRING);
            $obj[$key]['riderStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderStatusText, DataType::STRING);
            $obj[$key]['riderTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderTypeId, DataType::INTEGER);
            $obj[$key]['riderTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderTypeText, DataType::STRING);
        }
        return $obj;
    }

    public static function getRiderListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['deliveryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deliveryBoyId, DataType::INTEGER);
            $obj[$key]['userMobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['userEmail'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['MiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['zipcode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['countryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['UserTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$accountStatus, DataType::INTEGER);
            $obj[$key]['accountStatusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status_text, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::STRING);
            $obj[$key]['riderStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$riderStatusText, DataType::STRING);
        }
        return $obj;
    }

    public static function getFoodCourtListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['companyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_id, DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_name, DataType::STRING);
            $obj[$key]['companyLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_logo, DataType::STRING);
            $obj[$key]['companyLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_legal_name, DataType::STRING);
            $obj[$key]['companyDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_display_name, DataType::STRING);
            $obj[$key]['companyShortName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_short_name, DataType::STRING);
            $obj[$key]['companyGstInNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$company_gstin_number, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$type_id, DataType::INTEGER);
            $obj[$key]['foodCourtId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$food_court_id, DataType::INTEGER);
            $obj[$key]['foodCourtName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtName, DataType::STRING);
            $obj[$key]['foodCourtLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$foodCourtLogo, DataType::STRING);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            return $obj;
        }
    }

    public static function getOutletTaxListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['outletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outlet_id, DataType::INTEGER);
            $obj[$key]['outletTaxId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outletTaxId, DataType::INTEGER);
            $obj[$key]['outletDisplayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$display_Name, DataType::STRING);
            $obj[$key]['outletLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$legal_name, DataType::STRING);
            $obj[$key]['outletAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['taxName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxName, DataType::STRING);
            $obj[$key]['taxValue'] = HelperMethods::getColumnValue($row, CommonDbColumns::$taxValue, DataType::DOUBLE);
            $obj[$key]['isAllowedTax'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isAllowedTax, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            return $obj;
        }
    }

    public static function getUserAppSettingListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['countryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryId, DataType::INTEGER);
            $obj[$key]['countryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::STRING);
            $obj[$key]['countryFlagUrl'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countryFlagUrl, DataType::STRING);
            $obj[$key]['currency'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency, DataType::STRING);
            $obj[$key]['timezone'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timezone, DataType::STRING);
            $obj[$key]['currencyCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$currency_code, DataType::STRING);
            $obj[$key]['shortCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$short_code, DataType::STRING);

        }
        return $obj;
    }


    public static function getJobImagesObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['typeIdText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $washerImage = HelperMethods::getColumnValue($row, CommonDbColumns::$image . 's', DataType::STRING);
            $obj[$key]['selectedDateId'] = HelperMethods::getColumnValue($row, 'order_select_date_id', DataType::INTEGER);
            if (strlen($washerImage)) {
                $washerImage = RESOURCES_FOLDER_URL . "jobImages/" . str_replace(',', ',' . RESOURCES_FOLDER_URL . "jobImages/", $washerImage);
                $images = explode(',', $washerImage);
                $imageNew = array_unique($images);
                $images = explode(',', implode(',', $imageNew));
            } else {
                $images = array();
            }
            $obj[$key]['images'] = array_unique($images);

        }
        return $obj;
    }

    public static function getShinerDetailsObject($dataSet)
    {
        //print_r($dataSet);
        $obj = array();
        foreach ($dataSet as $key => $row) {
            //$obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]["typeId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]["jobId"] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobId, DataType::INTEGER);
            $obj[$key]["serviceTypeText"] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $washerImage = HelperMethods::getColumnValue($row, CommonDbColumns::$image . 's', DataType::STRING);
            //  $obj[$key]['selectedDateId'] = HelperMethods::getColumnValue($row,'order_select_date_id', DataType::INTEGER);
            if (strlen($washerImage)) {
                $washerImage = RESOURCES_FOLDER_URL . "jobImages/" . str_replace(',', ',' . RESOURCES_FOLDER_URL . "jobImages/", $washerImage);
                $images = explode(',', $washerImage);
                $imageNew = array_unique($images);
                $images = explode(',', implode(',', $imageNew));
            } else {
                $images = array();
            }
            $obj[$key]['images'] = array_unique($images);

        }
        return $obj;
    }

    public static function getCompanyJobListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            //$obj[$key]['washerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerUserId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, 'user_order_id', DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['amount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$amount, DataType::DOUBLE);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
            $obj[$key]['preferredTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['preferredTimeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, CommonDbColumns::$discount_percent, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['vehicleColor'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['jobStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobStatusType, DataType::INTEGER);
            $obj[$key]['additionalParkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['jobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$jobId, DataType::INTEGER);
            $obj[$key]['serviceTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $obj[$key]['statusTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeText, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['washerFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerFirstName, DataType::STRING);
            $obj[$key]['washerLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerLastName, DataType::STRING);
            $obj[$key]['actualTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['modifiedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerDisplayTime, DataType::STRING);
            $obj[$key]['jobDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
            $images = HelperMethods::getColumnValue($row, CommonDbColumns::$image . 's', DataType::STRING);
            $imageArray = array();
            if (strlen($images)) {
                $images = str_replace(',', ',' . RESOURCES_FOLDER_URL . 'jobImages/', RESOURCES_FOLDER_URL . 'jobImages/' . $images);
                $imageArray = explode(',', $images);
            }
            $obj[$key]['images'] = $imageArray;
        }
        return $obj;
    }

    public static function getSocietyByWasherListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['washerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            // $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getSocietyByUserListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['remainingDays'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingDays, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getCompanyWasherListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['washerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['userName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['cityId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityId, DataType::INTEGER);
            // $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
        }
        return $obj;
    }

    public static function getSubscritionListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['remainingDays'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingDays, DataType::INTEGER);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::STRING);
        }
        return $obj;
    }


    public static function getPlanSubscritionListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, 'plan_id', DataType::INTEGER);
            $obj[$key]['name'] = HelperMethods::getColumnValue($row, 'name', DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, 'description', DataType::STRING);
            $obj[$key]['originalPrice'] = HelperMethods::getColumnValue($row, 'original_price', DataType::STRING);
            $obj[$key]['finalPrice'] = HelperMethods::getColumnValue($row, 'final_price', DataType::STRING);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, 'discount_percent', DataType::STRING);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, 'category_id', DataType::INTEGER);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, 'start_date', DataType::DATE);
            $obj[$key]['dailyOriginalPrice'] = HelperMethods::getColumnValue($row, 'daily_original_price', DataType::STRING);
            $obj[$key]['dailyFinalPrice'] = HelperMethods::getColumnValue($row, 'daily_final_price', DataType::INTEGER);
            $obj[$key]['dailyDescription'] = HelperMethods::getColumnValue($row, 'daily_description', DataType::STRING);
            $obj[$key]['totalWash'] = HelperMethods::getColumnValue($row, 'total_wash', DataType::STRING);
            $obj[$key]['taxPercent'] = HelperMethods::getColumnValue($row, 'tax_percent', DataType::STRING);
            $image = HelperMethods::getColumnValue($row, 'image', DataType::STRING);
            $obj[$key]['image'] = $image == NULL ? "" : RESOURCES_FOLDER_URL . "planImage/" . $image;
            $obj[$key]['validity'] = HelperMethods::getColumnValue($row, 'validity', DataType::STRING);
            $obj[$key]['innerWash'] = HelperMethods::getColumnValue($row, 'inner_wash', DataType::STRING);
            $obj[$key]['outerWash'] = HelperMethods::getColumnValue($row, 'outer_wash', DataType::STRING);
            $obj[$key]['airCheck'] = HelperMethods::getColumnValue($row, 'air_check', DataType::STRING);
            $obj[$key]['stepneyChange'] = HelperMethods::getColumnValue($row, 'stepney_change', DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, 'type_id', DataType::STRING);
            $obj[$key]['innerWashAvailable'] = HelperMethods::getColumnValue($row, 'inner_wash_available', DataType::STRING);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, 'categoryName', DataType::STRING);
        }
        return $obj;
    }

    public static function getUserTransactionListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['userWalletId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userWalletId, DataType::INTEGER);
            $obj[$key]['walletAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$walletAmount, DataType::DOUBLE);
            $obj[$key]['transactionAmount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionAmount, DataType::DOUBLE);
            $obj[$key]['transactionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$transactionId, DataType::STRING);
            $obj[$key]['payoutType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$payoutType, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
        }
        return $obj;
    }

    public static function getDayListObject($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['dayId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayId, DataType::INTEGER);
            $obj[$key]['dayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayName, DataType::STRING);
        }
        return $obj;
    }

    public static function getCompanyUserListObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['customerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['userStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usersStatus, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyNameText, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['pincode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['vehicleColor'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['vehicleModel'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['vehicleBrand'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['remainingDays'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingDays, DataType::INTEGER);
            $obj[$key]['remainingOuterService'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingOuterService, DataType::INTEGER);
            $obj[$key]['remainingInnerService'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingInnerService, DataType::INTEGER);
            $obj[$key]['remainingStepneyService'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingStepneyService, DataType::INTEGER);
            $obj[$key]['remainingAirService'] = HelperMethods::getColumnValue($row, CommonDbColumns::$remainingAirService, DataType::INTEGER);
            $obj[$key]['outerWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$outerWash, DataType::INTEGER);
            $obj[$key]['innerWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$innerWash, DataType::INTEGER);
            $obj[$key]['airCheck'] = HelperMethods::getColumnValue($row, CommonDbColumns::$airCheck, DataType::INTEGER);
            $obj[$key]['stepneyChange'] = HelperMethods::getColumnValue($row, CommonDbColumns::$stepneyChange, DataType::INTEGER);
            $obj[$key]['planNameText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
            $obj[$key]['activationStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$activationStatus, DataType::INTEGER);
            $obj[$key]['cityId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityId, DataType::INTEGER);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['vehicleWheelerTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleWheelerTypeId, DataType::INTEGER);
            $obj[$key]['flatNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$flatNumber, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['nickName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
            $obj[$key]['additionalParkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
            $obj[$key]['dayId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayId, DataType::INTEGER);
            $obj[$key]['timeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['servicePrefTimeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_time_id, DataType::INTEGER);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$paymentTypeId, DataType::INTEGER);
//            $service = array();
//            if (strlen(HelperMethods::getColumnValue($row, 'order_select_date_ids', DataType::STRING))) {
//                $ids = explode(',', HelperMethods::getColumnValue($row, 'order_select_date_ids', DataType::STRING));
//               // $dates = explode(',', HelperMethods::getColumnValue($row, 'preffered_dates', DataType::STRING));
//                $ServiceName = explode(',', HelperMethods::getColumnValue($row, 'service_types', DataType::STRING));
//                foreach ($ids as $k => $id) {
//                    $d = array();
//                    $d['orderSelectDateId'] = $id;
//                    //$d['prefferDate'] = $dates[$k];
//                   $d['description'] = $ServiceName[$k];
//                    $service[] = $d;
//                }
//            }
//            $obj[$key]['serviceList'] = $service;
        }
        return $obj;
    }

    public static function getUserInnerWashServiceListListObject($rows)
    {
        // print_r($rows);
        $status = ['6000' => 'NEW',
            '6001' => 'STARTED',
            '6002' => 'END',
            '6003' => 'REASSIGNED',
            '6004' => 'MISSING',
            '6005' => 'NOT AVAILIABLE',
            '6006' => 'CANCEL',
            '6007' => 'MARK_ABSENT',
            '6008' => 'MARK_COMPLETE',
            '6009' => 'ABSENT',
            '6010' => 'PAUSE_JOB',
        ];
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['jobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerJobId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['orderSelectDateId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
            $obj[$key]['serviceType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceType, DataType::INTEGER);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $obj[$key]['PreeferTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['prefferDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$prefferedDate, DataType::STRING);
            $obj[$key]['serviceEnd'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['status'] = $status[$obj[$key]['statusTypeId']];#HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeText, DataType::STRING);
        }
        return $obj;
    }

    public static function getUserOuterWashListListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            // $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['washerJobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerJobId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $obj[$key]['validity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$validity, DataType::INTEGER);
            $obj[$key]['totalWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalWashes, DataType::INTEGER);
            $obj[$key]['totalInnerWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalInnerWash, DataType::INTEGER);
            $obj[$key]['totalAirCheck'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalAirCheck, DataType::INTEGER);
            $obj[$key]['totalStepneyChange'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalStepneyChange, DataType::INTEGER);
            $obj[$key]['completeJobCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countOuterWash, DataType::INTEGER);
            $obj[$key]['completeInnerWashCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeInnerWash, DataType::INTEGER);
            $obj[$key]['completeAirCheckCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeAirCheck, DataType::INTEGER);
            $obj[$key]['completeStepneyChangeCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeStepneyChange, DataType::INTEGER);
            $obj[$key]['usegesServiceCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usegesServiceCount, DataType::INTEGER);
            $obj[$key]['serviceEnd'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeText, DataType::STRING);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['serviceTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['dateTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::STRING);
            $images = HelperMethods::getColumnValue($row, CommonDbColumns::$image . 's', DataType::STRING);
            $imageArray = array();
            if (strlen($images)) {
                $images = str_replace(',', ',' . RESOURCES_FOLDER_URL . 'jobImages/', RESOURCES_FOLDER_URL . 'jobImages/' . $images);
                $imageArray = explode(',', $images);
            }
            $obj[$key]['images'] = $imageArray;
        }
        return $obj;
    }

    public static function getMissingJobListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['jobId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerJobId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::STRING);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryDescription, DataType::STRING);
            $obj[$key]['serviceTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['statusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeText, DataType::STRING);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['customerFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerFirstName, DataType::STRING);
            $obj[$key]['customerMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerMiddleName, DataType::STRING);
            $obj[$key]['customerLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$customerLastName, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        }
        return $obj;
    }

    public static function getCompanyWasherDetailsListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['washerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['completeJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeJob, DataType::INTEGER);
            $obj[$key]['pendingJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pendingJob, DataType::INTEGER);
            $obj[$key]['allotJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$allotJob, DataType::INTEGER);
            $obj[$key]['absentJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$absentJob, DataType::INTEGER);
            $obj[$key]['missedJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$missedJob, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getUserAddressListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['customerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['userAddressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userAddressId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
//            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
//            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
//            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyAddress, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['nickName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['flatNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$flatNumber, DataType::STRING);
            //$obj[$key]['nickName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
        }
        return $obj;
    }

    public static function getUserListObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['customerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['userStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usersStatus, DataType::INTEGER);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyNameText, DataType::STRING);
            $obj[$key]['societyTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['pincode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
        }
        return $obj;
    }

    public static function getUserServiceCountObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['totalWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalWashes, DataType::INTEGER);
            $obj[$key]['totalInnerWash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalInnerWash, DataType::INTEGER);
            $obj[$key]['totalAirCheck'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalAirCheck, DataType::INTEGER);
            $obj[$key]['totalStepneyChange'] = HelperMethods::getColumnValue($row, CommonDbColumns::$totalStepneyChange, DataType::INTEGER);
            $obj[$key]['completeJobCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$countOuterWash, DataType::INTEGER);
            $obj[$key]['completeInnerWashCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeInnerWash, DataType::INTEGER);
            $obj[$key]['completeAirCheckCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeAirCheck, DataType::INTEGER);
            $obj[$key]['completeStepneyChangeCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeStepneyChange, DataType::INTEGER);
            $obj[$key]['usegesServiceCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usegesServiceCount, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getCompanyVehicleListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['vehicleWasherXrefId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleWasherXrefId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['renewDay'] = HelperMethods::getColumnValue($row, CommonDbColumns::$renewDay, DataType::INTEGER);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['fuelType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$fuelType, DataType::STRING);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['color'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['registrationDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationDate, DataType::STRING);
            $obj[$key]['parkingInformation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingInformation, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$parkingLocation, DataType::STRING);
            $obj[$key]['packageId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['packageName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['vehicleTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeId, DataType::INTEGER);
            $obj[$key]['VehicleTypeName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleTypeName, DataType::STRING);
            $obj[$key]['userAddressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userAddressId, DataType::INTEGER);
            //  $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['societyStatusType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['societyStatusMsg'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyStatusMessage, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['nickName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
            $obj[$key]['parkingLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$nickName, DataType::STRING);
            $obj[$key]['flatNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$flatNumber, DataType::STRING);
            $obj[$key]['vehicleWheelerTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleWheelerTypeId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['washerFirstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerFirstName, DataType::STRING);
            //$obj[$key]['washerMiddleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['washerLastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$washerLastName, DataType::STRING);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $obj[$key]['serviceTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_type_id, DataType::STRING);

        }
        return $obj;
    }

    public static function getCompanyUserSubscriptionRenewListObject($rows)
    {
        //print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['customerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::INTEGER);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['userStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$usersStatus, DataType::INTEGER);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyNameText, DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['pincode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipcode, DataType::INTEGER);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country_name, DataType::STRING);
            $obj[$key]['cityName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityName, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['vehicleColor'] = HelperMethods::getColumnValue($row, CommonDbColumns::$color, DataType::STRING);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['planNameText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
            $obj[$key]['activationStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$activationStatus, DataType::INTEGER);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['statusText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$text_status, DataType::STRING);
        }
        return $obj;
    }

    public static function getWasherJobCountObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['completeJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$completeJob, DataType::INTEGER);
            $obj[$key]['pendingJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pendingJob, DataType::INTEGER);
            $obj[$key]['allotJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$allotJob, DataType::INTEGER);
            $obj[$key]['absentJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$absentJob, DataType::INTEGER);
            $obj[$key]['missedJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$missedJob, DataType::INTEGER);
            return $obj;
        }

    }

    public static function getPlanList($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$category_id, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            // $obj[$key]['missedJob'] = HelperMethods::getColumnValue($row, CommonDbColumns::$missedJob, DataType::INTEGER);
        }
        return $obj;

    }

    public static function getSuperPlanList($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
            $obj[$key]['superPlanName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planNameText, DataType::STRING);
            $obj[$key]['validity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$validity, DataType::INTEGER);
        }
        return $obj;

    }

    public static function getVehicleListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['superPlanId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$superPlanId, DataType::INTEGER);
            $obj[$key]['vehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
        }
        return $obj;

    }

    public static function getAppOfferImageListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['appOfferImageId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['image'] = HelperMethods::getColumnValue($row, CommonDbColumns::$image, DataType::STRING);
            $obj[$key]['time'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::TIME);
            $obj[$key]['isAvailable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isAvailable, DataType::INTEGER);

        }
        return $obj;
    }

    public static function getAppDetailsObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['apiVersion'] = HelperMethods::getColumnValue($row, CommonDbColumns::$apiVersion, DataType::STRING);
            $obj[$key]['appVersion'] = HelperMethods::getColumnValue($row, CommonDbColumns::$appVersion, DataType::STRING);
            $obj[$key]['iosAppVersion'] = HelperMethods::getColumnValue($row, CommonDbColumns::$iosAppVersion, DataType::STRING);
            //$obj[$key]['isAvailable'] = HelperMethods::getColumnValue($row, CommonDbColumns::$isAvailable, DataType::INTEGER);

        }
        return $obj;
    }

    public static function getUserChangeDateTimeRequestListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['customerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_id, DataType::INTEGER);
            $obj[$key]['serviceTimeRequestId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$serviceTimeRequestId, DataType::INTEGER);
            $obj[$key]['serviceTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$service_type_id, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['cityId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$cityId, DataType::INTEGER);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$societyId, DataType::INTEGER);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['serviceTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$servicetypeText, DataType::STRING);
            $obj[$key]['statusTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeText, DataType::STRING);
            $obj[$key]['timeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['time'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['oldTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$oldTime, DataType::STRING);
            $obj[$key]['dayId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayId, DataType::INTEGER);
            $obj[$key]['dayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dayName, DataType::STRING);
            $obj[$key]['oldDayName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$oldDayName, DataType::STRING);
            $obj[$key]['societyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['statusTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$statusTypeId, DataType::INTEGER);
            $obj[$key]['orderSelectedDateId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
            $obj[$key]['prefferedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$prefferedDate, DataType::STRING);
            $obj[$key]['OldPrefferedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$oldPrefferedDate, DataType::STRING);
            $obj[$key]['requestDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::STRING);
        }
        return $obj;

    }

    public static function getUserSubscriptionActiveListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {

            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['planTypeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['VehicleId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$vehicleId, DataType::INTEGER);
            $obj[$key]['brandId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandId, DataType::INTEGER);
            $obj[$key]['brandName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$brandName, DataType::STRING);
            $obj[$key]['modelId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelId, DataType::INTEGER);
            $obj[$key]['modelName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modelName, DataType::STRING);
            $obj[$key]['registrationNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$registrationNumber, DataType::STRING);
            $obj[$key]['packageName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['planId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$planId, DataType::INTEGER);
            $obj[$key]['planName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$name, DataType::STRING);
        }
        return $obj;
    }

    public static function getUserInnerWashListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['orderSelectedDateId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
            $obj[$key]['prefferedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$prefferedDate, DataType::STRING);
            $obj[$key]['timeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getUserServiceTimeDetailsObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            // $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['orderSelectedDateId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
            $obj[$key]['timeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['preferedTime'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
        }
        return $obj;
    }

    public static function getMonthlyReportObject($rows)
    {
        print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            // $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$order_id, DataType::INTEGER);
            $obj[$key]['userCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$selectedDateId, DataType::INTEGER);
            $obj[$key]['activeSubscriptionCount'] = HelperMethods::getColumnValue($row, CommonDbColumns::$timeId, DataType::INTEGER);
            $obj[$key]['noOfHatchBackCar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['noOfSedanCar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['noOfSUVCar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['noOfHatchBackCar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
            $obj[$key]['noOfHatchBackCar'] = HelperMethods::getColumnValue($row, CommonDbColumns::$time, DataType::STRING);
        }
        return $obj;
    }


    public static function getCouponListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['couponId'] = HelperMethods::getColumnValue($row, 'coupon_id', DataType::INTEGER);
            $obj[$key]['couponName'] = HelperMethods::getColumnValue($row, 'title', DataType::STRING);
            $obj[$key]['shortCode'] = HelperMethods::getColumnValue($row, 'short_code', DataType::STRING);
            $obj[$key]['societyId'] = HelperMethods::getColumnValue($row, 'society_id', DataType::INTEGER);
            $obj[$key]['discountPercent'] = HelperMethods::getColumnValue($row, 'discount_percent', DataType::INTEGER);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, 'description', DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, 'status', DataType::INTEGER);
            $obj[$key]['useType'] = HelperMethods::getColumnValue($row, 'use_type', DataType::INTEGER);
            $image = HelperMethods::getColumnValue($row, 'image', DataType::STRING);
            $obj[$key]['validDate'] = HelperMethods::getColumnValue($row, 'valid_date', DataType::DATE);
            $obj[$key]['image'] = $image == NULL ? "" : RESOURCES_FOLDER_URL . 'couponImages/' . $image;
        }
        return $obj;
    }

    public static function getCodeTypeListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['TypeId'] = HelperMethods::getColumnValue($row, 'type_id', DataType::INTEGER);
            $obj[$key]['shortCode'] = HelperMethods::getColumnValue($row, 'short_code', DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, 'description', DataType::STRING);
        }
        return $obj;
    }
    public static function getUserPauseJobListObject($rows)
    {
        // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['orderId'] = HelperMethods::getColumnValue($row, 'order_id', DataType::INTEGER);
            $obj[$key]['prefferdDate'] = HelperMethods::getColumnValue($row, 'preffered_date', DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, 'description', DataType::STRING);
            $obj[$key]['serviceType'] = HelperMethods::getColumnValue($row, 'service_type', DataType::STRING);
        }
        return $obj;
    }

    public static function getCompanyDetails($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, 'dialing_code', DataType::INTEGER);
            $obj[$key]['companyName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$companyName, DataType::STRING);
            $obj[$key]['companyAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['companyCity'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['companyState'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['companyCountry'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['companyPinCode'] = HelperMethods::getColumnValue($row, 'zip_code', DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, 'latitude', DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, 'longitude', DataType::DOUBLE);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['ipAddress'] = HelperMethods::getColumnValue($row, 'ip_address', DataType::DOUBLE);
            $obj[$key]['passwordText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
            $obj[$key]['passwordHash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordHash, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, 'account_status', DataType::STRING);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, 'token', DataType::STRING);
            $obj[$key]['deviceToken'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceToken, DataType::STRING);
            $obj[$key]['os'] = HelperMethods::getColumnValue($row, CommonDbColumns::$os, DataType::STRING);
            $obj[$key]['version'] = HelperMethods::getColumnValue($row, CommonDbColumns::$version, DataType::DOUBLE);
            $obj[$key]['deviceType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceType, DataType::STRING);
            $obj[$key]['deviceModel'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceModel, DataType::STRING);
            $obj[$key]['appVersion'] = HelperMethods::getColumnValue($row, CommonDbColumns::$appVersion, DataType::DOUBLE);
            $obj[$key]['deviceId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceId, DataType::STRING);
            $obj[$key]['language'] = HelperMethods::getColumnValue($row, 'language', DataType::STRING);
        }
        return $obj;
    }

    public static function getLoginDetails($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, last_name, DataType::STRING);
//            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
            $obj[$key]['passwordHash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordHash, DataType::STRING);
            $obj[$key]['token'] = HelperMethods::getColumnValue($row, CommonDbColumns::$token, DataType::STRING);
            $obj[$key]['language'] = HelperMethods::getColumnValue($row, CommonDbColumns::$language, DataType::STRING);
            $obj[$key]['ipAddress'] = HelperMethods::getColumnValue($row, CommonDbColumns::$ipAddress, DataType::DOUBLE);
            $obj[$key]['os'] = HelperMethods::getColumnValue($row, CommonDbColumns::$os, DataType::STRING);
            $obj[$key]['version'] = HelperMethods::getColumnValue($row, CommonDbColumns::$version, DataType::DOUBLE);
            $obj[$key]['deviceId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceId, DataType::STRING);
            $obj[$key]['deviceToken'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceToken, DataType::STRING);
            $obj[$key]['deviceType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceType, DataType::STRING);
            $obj[$key]['deviceModel'] = HelperMethods::getColumnValue($row, CommonDbColumns::$deviceModel, DataType::STRING);
            $obj[$key]['appVersion'] = HelperMethods::getColumnValue($row, CommonDbColumns::$appVersion, DataType::DOUBLE);
            $obj[$key]['userAppLanguage'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userAppLanguage, DataType::STRING);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, location_id, DataType::STRING);
            $obj[$key]['branchId'] = HelperMethods::getColumnValue($row, branch_id, DataType::INTEGER);
            $obj[$key]['regionId'] = HelperMethods::getColumnValue($row, region_id, DataType::INTEGER);

        }
        return $obj;
    }

//    public static function getUserDetailsList($rows)
//    {
//        $obj = array();
//        foreach ($rows as $key => $row) {
//            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
//            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
//            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
//            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, 'dialing_code', DataType::INTEGER);
//            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstname, DataType::STRING);
//            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middlename, DataType::STRING);
//            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastname, DataType::STRING);
//            $obj[$key]['City'] = HelperMethods::getColumnValue($row, CommonDbColumns::$City, DataType::STRING);
//            $obj[$key]['State'] = HelperMethods::getColumnValue($row, CommonDbColumns::$State, DataType::STRING);
//            $obj[$key]['Country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$Country, DataType::STRING);
//            $obj[$key]['pinCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$pinCode, DataType::INTEGER);
//            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
//            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
//            $obj[$key]['PasswordText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
//            $obj[$key]['passwordHash'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordHash, DataType::STRING);
//            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATE);
//            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATE);
//            $obj[$key]['createdBy'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdBy, DataType::STRING);
//            $obj[$key]['modifiedBy'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedBy, DataType::STRING);
//            return $obj;
//        }
//    }

    public static function getCustomerDetails($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, 'user_id', DataType::INTEGER);
            $obj[$key]['customerId'] = HelperMethods::getColumnValue($row, 'customer_id', DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['businessId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId, DataType::INTEGER);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
            $obj[$key]['profilePic'] = HelperMethods::getColumnValue($row, 'profile_pic', DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$account_status, DataType::STRING);
            $obj[$key]['userAppLanguage'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userAppLanguage, DataType::STRING);
            $obj[$key]['language'] = HelperMethods::getColumnValue($row, CommonDbColumns::$language, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATE);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATE);
//            $obj[$key]['createdBy'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdBy, DataType::STRING);
//            $obj[$key]['modifiedBy'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedBy, DataType::STRING);
        }
        return $obj;
    }

    public static function getBusinessDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['businessId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId,DataType::INTEGER);
            $obj[$key]['businessName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessName, DataType::STRING);
            $obj[$key]['businessLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessLegalName, DataType::STRING);
            $obj[$key]['businessIcon'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessIcon, DataType::STRING);
            $obj[$key]['businessLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessLogo, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['GSTIN'] = HelperMethods::getColumnValue($row, CommonDbColumns::$GSTIN, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['zipCode'] = HelperMethods::getColumnValue($row, 'zip_code', DataType::INTEGER);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modified_date, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
             $obj[$key]['contactPersonName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$contactPersonName, DataType::STRING);
            $obj[$key]['accountStatus'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::INTEGER);
            $obj[$key]['siteType'] = HelperMethods::getColumnValue($row, site_type_id, DataType::INTEGER);
        }
        return $obj;
    }

    public static function getLocationDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['businessId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['businessName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessName, DataType::STRING);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['businessLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessLegalName, DataType::STRING);
            $obj[$key]['locationIcon'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationIcon, DataType::STRING);
            $obj[$key]['locationLogo'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationLogo, DataType::STRING);
            $obj[$key]['GSTIN'] = HelperMethods::getColumnValue($row, CommonDbColumns::$GSTIN, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['zipCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipCode, DataType::INTEGER);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['ModifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['StartDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
            $obj[$key]['branchName'] = HelperMethods::getColumnValue($row, branch_name, DataType::STRING);
            $obj[$key]['regionName'] = HelperMethods::getColumnValue($row, region_name, DataType::STRING);
            $obj[$key]['regionId'] = HelperMethods::getColumnValue($row, region_id, DataType::INTEGER);
            $obj[$key]['branchId'] = HelperMethods::getColumnValue($row, branch_id, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, customer_exam_type, DataType::INTEGER);
            $obj[$key]['contactPersonName'] = HelperMethods::getColumnValue($row, contact_name, DataType::STRING);
            $obj[$key]['unitCode'] = HelperMethods::getColumnValue($row, unit_code, DataType::STRING);
            $obj[$key]['softArea'] = HelperMethods::getColumnValue($row, soft, DataType::STRING);
            $obj[$key]['segment'] = HelperMethods::getColumnValue($row, segment, DataType::STRING);
            $obj[$key]['service'] = HelperMethods::getColumnValue($row, service, DataType::STRING);
            $obj[$key]['csat'] = HelperMethods::getColumnValue($row, csat, DataType::STRING);
            $obj[$key]['osas'] = HelperMethods::getColumnValue($row, osas, DataType::STRING);
            $obj[$key]['unitType'] = HelperMethods::getColumnValue($row, site_type, DataType::INTEGER);
            $obj[$key]['billingValue'] = HelperMethods::getColumnValue($row, billing_value, DataType::DOUBLE);
            $obj[$key]['qrCode'] = HelperMethods::getColumnValue($row, qr_code, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, status, DataType::INTEGER);
            $obj[$key]['siteType'] = HelperMethods::getColumnValue($row, site_type_id, DataType::INTEGER);

        }
        return $obj;
    }

    public static function getAddressDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['addressId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns:: $lastName, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['zipCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipCode, DataType::INTEGER);
            $obj[$key]['addressType'] = HelperMethods::getColumnValue($row, CommonDbColumns::$addressType, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::DOUBLE);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::DOUBLE);
        }
        return $obj;
    }
    public static function getUsersDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['userDetailsId'] = HelperMethods::getColumnValue($row, 'user_details_id', DataType::INTEGER);
             $obj[$key]['siteType'] = HelperMethods::getColumnValue($row, site_type_id, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['businessName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessName, DataType::STRING);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['locality'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locality, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['zipCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipCode, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
        }
        return $obj;
    }
    public static function getRegionDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['regionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$regionId, DataType::INTEGER);
            $obj[$key]['regionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$regionName, DataType::STRING);
            $obj[$key]['createdBy'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdBy, DataType::STRING);
            //$obj[$key]['modifiedBy'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedBy, DataType::STRING);
            //$obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getCategoryDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getSubCategoryDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['subCategoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$subCategoryId, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['questionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$questionName, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getQuestionDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['questionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$questionId, DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['subCategoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$subCategoryId, DataType::INTEGER);
            $obj[$key]['questionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$questionName, DataType::STRING);
            $obj[$key]['question'] = HelperMethods::getColumnValue($row, CommonDbColumns::$questions, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getAnswerDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['answerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$answerId, DataType::INTEGER);
            $obj[$key]['questionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$questionId, DataType::INTEGER);
            $obj[$key]['shortAnswer'] = HelperMethods::getColumnValue($row, CommonDbColumns::$shortAnswer, DataType::STRING);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['exactLocation'] = HelperMethods::getColumnValue($row, CommonDbColumns::$exactLocation, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, CommonDbColumns::$status, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getFeedbackPatientDetails($rows)
    {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['feedback_details_id'] = HelperMethods::getColumnValue($row, CommonDbColumns::$feedbackDetailsId, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$firstName, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middleName, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$lastName, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['ipNumber'] = HelperMethods::getColumnValue($row, CommonDbColumns::$ipNumber, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);

        }
        return $obj;
    }
    public static function getFeedbackQuestionDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['feedbackQuestionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$feedbackQuestionId, DataType::INTEGER);
            $obj[$key]['questions'] = HelperMethods::getColumnValue($row, CommonDbColumns::$questions, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getFeedbackAnswerDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['feedbackAnswerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$feedbackAnswerId, DataType::INTEGER);
            $obj[$key]['feedbackQuestionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$feedbackQuestionId, DataType::INTEGER);
            $obj[$key]['feedbackDetailsId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$feedbackDetailsId, DataType::INTEGER);
            $obj[$key]['answer'] = HelperMethods::getColumnValue($row, CommonDbColumns::$answer, DataType::STRING);
            $obj[$key]['rating'] = HelperMethods::getColumnValue($row, CommonDbColumns::$rating, DataType::DOUBLE);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getAuditCategoryDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getAuditQuestionDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['auditQuestionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$auditQuestionId, DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['question'] = HelperMethods::getColumnValue($row, CommonDbColumns::$question, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);

        }
        return $obj;
    }
    public static function getAuditAnswerDetails($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['answerId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$answerId, DataType::INTEGER);
            $obj[$key]['auditQuestionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$auditQuestionId, DataType::INTEGER);
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['auditorId'] = HelperMethods::getColumnValue($row, 'user_details_id', DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['answer'] = HelperMethods::getColumnValue($row, CommonDbColumns::$answer, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
    public static function getAuditImage($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['categoryId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryId, DataType::INTEGER);
            $obj[$key]['auditorId'] = HelperMethods::getColumnValue($row, 'user_details_id', DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            //    $obj[$key]['submitReport'] = HelperMethods::getColumnValue($row, CommonDbColumns::$submitReport, DataType::STRING);
//            $imageOne = HelperMethods::getColumnValue($row, CommonDbColumns::$submitReport, DataType::STRING);
//            $obj["image"] = is_null($imageOne) || $imageOne == '' ? NO_IMAGE : (strpos($imageOne, 'http') !== false) ? $imageOne : RESOURCES_FOLDER_URL . "submitReport/" . $imageOne;
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
        }
        return $obj;
    }
       public static function getRegionListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['regionId'] = HelperMethods::getColumnValue($row, region_id, DataType::INTEGER);
            $obj[$key]['name'] = HelperMethods::getColumnValue($row, name, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, status, DataType::INTEGER);
           }
        return $obj;
    }
    public static function getBranchListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['branchId'] = HelperMethods::getColumnValue($row, branch_id, DataType::INTEGER);
            $obj[$key]['name'] = HelperMethods::getColumnValue($row, name, DataType::STRING);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, status, DataType::INTEGER);
        }
        return $obj;
    }
    public static function getUnitUserListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['businessId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['businessName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessName, DataType::STRING);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['businessLegalName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessLegalName, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['userTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$user_type_text, DataType::STRING);
        }
        return $obj;
    }
 public static function getInspectionListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['businessId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['inspectionId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::INTEGER);
            $obj[$key]['complete'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::INTEGER);
            $obj[$key]['pending'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::INTEGER);
            $obj[$key]['alloted'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::INTEGER);
            $obj[$key]['averageScore'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::INTEGER);
        }
        return $obj;
    }
    public static function getDashboardDetailsObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['castPending'] = HelperMethods::getColumnValue($row, csat_pending, DataType::INTEGER);
            $obj[$key]['csatAlloted'] = HelperMethods::getColumnValue($row, csat_alloted, DataType::INTEGER);
            $obj[$key]['csatAlert'] = HelperMethods::getColumnValue($row, csat_alert, DataType::INTEGER);
            $obj[$key]['csatComplete'] = HelperMethods::getColumnValue($row, csat_complete, DataType::INTEGER);
            $obj[$key]['osasComplete'] = HelperMethods::getColumnValue($row, osas_complete, DataType::INTEGER);
            $obj[$key]['osasPending'] = HelperMethods::getColumnValue($row, osas_pending, DataType::INTEGER);
            $obj[$key]['osasAllot'] = HelperMethods::getColumnValue($row, osas_allot, DataType::INTEGER);
            $obj[$key]['osasAlert'] = HelperMethods::getColumnValue($row, osas_alert, DataType::INTEGER);
        }
        return $obj;
    }
    public static function getAuditPendingInspectionListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['businessId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['businessName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessName, DataType::STRING);
            $obj[$key]['qrCode'] = HelperMethods::getColumnValue($row, qr_code, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
             $obj[$key]['auditId'] = HelperMethods::getColumnValue($row, audit_id, DataType::INTEGER);
            $obj[$key]['status'] = HelperMethods::getColumnValue($row, type_id, DataType::INTEGER);
             $obj[$key]['maxDistance'] = HelperMethods::getColumnValue($row, max_distance, DataType::INTEGER);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::DATE);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::DATE);
            $obj[$key]['siteType'] = HelperMethods::getColumnValue($row, site_type_id, DataType::INTEGER);
        }
        return $obj;
    }
    public static function getCsatDashboardDetailsObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['castPending'] = HelperMethods::getColumnValue($row, csat_pending, DataType::INTEGER);
            $obj[$key]['totalIFMUnit'] = HelperMethods::getColumnValue($row, total_ifm_unit, DataType::INTEGER);
            $obj[$key]['totalSoftUnit'] = HelperMethods::getColumnValue($row, total_soft_unit, DataType::INTEGER);
            $obj[$key]['totalTechnicalUnit'] = HelperMethods::getColumnValue($row, total_technical_unit, DataType::INTEGER);
            $obj[$key]['totalIFMAuditUnitComplete'] = HelperMethods::getColumnValue($row, total_ifm_audit_complete, DataType::INTEGER);
            $obj[$key]['totalSoftAuditUnitComplete'] = HelperMethods::getColumnValue($row, total_soft_audit_complete, DataType::INTEGER);
            $obj[$key]['totalTechnicalAuditUnitComplete'] = HelperMethods::getColumnValue($row, total_technical_audit_complete, DataType::INTEGER);
            $obj[$key]['totalIFMCSATComplteUnit'] = HelperMethods::getColumnValue($row, total_ifm_csat_complete, DataType::INTEGER);
            $obj[$key]['totalSoftCSATCompleteUnit'] = HelperMethods::getColumnValue($row, total_soft_csat_complete, DataType::INTEGER);
            $obj[$key]['totalTechnicalCSATCompleteUnit'] = HelperMethods::getColumnValue($row, total_technical_csat_complete, DataType::INTEGER);
            $obj[$key]['csatAlloted'] = HelperMethods::getColumnValue($row, csat_alloted, DataType::INTEGER);
            $obj[$key]['csatAlert'] = HelperMethods::getColumnValue($row, csat_alert, DataType::INTEGER);
            $obj[$key]['csatComplete'] = HelperMethods::getColumnValue($row, csat_complete, DataType::INTEGER);
            $obj[$key]['auditComplete'] = HelperMethods::getColumnValue($row, audit_complete, DataType::INTEGER);
            $obj[$key]['auditPending'] = HelperMethods::getColumnValue($row, audit_pending, DataType::INTEGER);
            $obj[$key]['northRegionComplete'] = HelperMethods::getColumnValue($row, north_region_complete, DataType::INTEGER);
            $obj[$key]['eastRegionComplete'] = HelperMethods::getColumnValue($row, east_region_complete, DataType::INTEGER);
            $obj[$key]['southRegionComplete'] = HelperMethods::getColumnValue($row, south_region_complete, DataType::INTEGER);
            $obj[$key]['westRegionComplete'] = HelperMethods::getColumnValue($row, west_region_complete, DataType::INTEGER);
            $obj[$key]['centralRegionComplete'] = HelperMethods::getColumnValue($row, central_region_complete, DataType::INTEGER);
            $obj[$key]['northRegionPending'] = HelperMethods::getColumnValue($row, north_region_pending, DataType::INTEGER);
            $obj[$key]['eastRegionPending'] = HelperMethods::getColumnValue($row, east_region_pending, DataType::INTEGER);
            $obj[$key]['southRegionPending'] = HelperMethods::getColumnValue($row, south_region_pending, DataType::INTEGER);
            $obj[$key]['westRegionPending'] = HelperMethods::getColumnValue($row, west_region_pending, DataType::INTEGER);
            $obj[$key]['centralRegionPending'] = HelperMethods::getColumnValue($row, central_region_pending, DataType::INTEGER);
            $obj[$key]['northRegionCompleteAudit'] = HelperMethods::getColumnValue($row, north_region_complete_audit, DataType::INTEGER);
            $obj[$key]['eastRegionCompleteAudit'] = HelperMethods::getColumnValue($row, east_region_complete_audit, DataType::INTEGER);
            $obj[$key]['southRegionCompleteAudit'] = HelperMethods::getColumnValue($row, south_region_complete_audit, DataType::INTEGER);
            $obj[$key]['westRegionCompleteAudit'] = HelperMethods::getColumnValue($row, west_region_complete_audit, DataType::INTEGER);
            $obj[$key]['centralRegionCompleteAudit'] = HelperMethods::getColumnValue($row, central_region_complete_audit, DataType::INTEGER);
            $obj[$key]['northRegionPendingAudit'] = HelperMethods::getColumnValue($row, north_region_pending_audit, DataType::INTEGER);
            $obj[$key]['eastRegionPendingAudit'] = HelperMethods::getColumnValue($row, east_region_pending_audit, DataType::INTEGER);
            $obj[$key]['southRegionPendingAudit'] = HelperMethods::getColumnValue($row, south_region_pending_audit, DataType::INTEGER);
            $obj[$key]['westRegionPendingAudit'] = HelperMethods::getColumnValue($row, west_region_pending_audit, DataType::INTEGER);
            $obj[$key]['centralRegionPendingAudit'] = HelperMethods::getColumnValue($row, central_region_pending_audit, DataType::INTEGER);
            $obj[$key]['northRegionCompleteAuditRedAlert'] = HelperMethods::getColumnValue($row, north_region_complete_redAlert, DataType::INTEGER);
            $obj[$key]['eastRegionCompleteAuditRedAlert'] = HelperMethods::getColumnValue($row, east_region_complete_redAlert, DataType::INTEGER);
            $obj[$key]['southRegionCompleteRedAlert'] = HelperMethods::getColumnValue($row, south_region_complete_redAlert, DataType::INTEGER);
            $obj[$key]['westRegionCompleteAuditRedAlert'] = HelperMethods::getColumnValue($row, west_region_complete_redAlert, DataType::INTEGER);
            $obj[$key]['centralRegionCompleteAuditRedAlert'] = HelperMethods::getColumnValue($row, central_region_complete_redAlert, DataType::INTEGER);
            $obj[$key]['northRegionPendingAuditRedAlert'] = HelperMethods::getColumnValue($row, north_region_pending_redAlert, DataType::INTEGER);
            $obj[$key]['eastRegionPendingAuditRedAlert'] = HelperMethods::getColumnValue($row, east_region_pending_redAlert, DataType::INTEGER);
            $obj[$key]['southRegionPendingAuditRedAlert'] = HelperMethods::getColumnValue($row, south_region_pending_aredAlert, DataType::INTEGER);
            $obj[$key]['westRegionPendingAuditRedAlert'] = HelperMethods::getColumnValue($row, west_region_pending_redAlert, DataType::INTEGER);
            $obj[$key]['centralRegionPendingRedAlert'] = HelperMethods::getColumnValue($row, central_region_pending_redAlert, DataType::INTEGER);
            $obj[$key]['redAlertTotal'] = HelperMethods::getColumnValue($row, redAlert_total, DataType::INTEGER);
            
            $obj[$key]['northRegionPendingEng'] = HelperMethods::getColumnValue($row, north_region_pending_eng, DataType::INTEGER);
            $obj[$key]['eastRegionPendingEng'] = HelperMethods::getColumnValue($row, east_region_pending_eng, DataType::INTEGER);
            $obj[$key]['southRegionPendingEng'] = HelperMethods::getColumnValue($row, south_region_pending_eng, DataType::INTEGER);
            $obj[$key]['westRegionPendingEng'] = HelperMethods::getColumnValue($row, west_region_pending_eng, DataType::INTEGER);
            $obj[$key]['centralRegionPendingEng'] = HelperMethods::getColumnValue($row, central_region_pending_eng, DataType::INTEGER);

            $obj[$key]['northRegionCompleteEng'] = HelperMethods::getColumnValue($row, north_region_complete_eng, DataType::INTEGER);
            $obj[$key]['eastRegionCompleteEng'] = HelperMethods::getColumnValue($row, east_region_complete_eng, DataType::INTEGER);
            $obj[$key]['southRegionCompleteEng'] = HelperMethods::getColumnValue($row, south_region_complete_eng, DataType::INTEGER);
            $obj[$key]['westRegionCompleteEng'] = HelperMethods::getColumnValue($row, west_region_complete_eng, DataType::INTEGER);
            $obj[$key]['centralRegionCompleteEng'] = HelperMethods::getColumnValue($row, central_region_complete_eng, DataType::INTEGER);
            
            $obj[$key]['engPending'] = HelperMethods::getColumnValue($row, eng_pending, DataType::INTEGER);
            $obj[$key]['engComplete'] = HelperMethods::getColumnValue($row, eng_complete, DataType::INTEGER);
            $obj[$key]['engTotal'] = HelperMethods::getColumnValue($row, eng_total, DataType::INTEGER);
              $obj[$key]['auditTotal'] = HelperMethods::getColumnValue($row, audit_total, DataType::INTEGER);
            $obj[$key]['cstTotal'] = HelperMethods::getColumnValue($row, csat_total, DataType::INTEGER);

        }
        return $obj;
    }
    public static function getOsasDashboardDetailsObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['osasComplete'] = HelperMethods::getColumnValue($row, osas_complete, DataType::INTEGER);
            $obj[$key]['osasPending'] = HelperMethods::getColumnValue($row, osas_pending, DataType::INTEGER);
            $obj[$key]['osasAllot'] = HelperMethods::getColumnValue($row, osas_allot, DataType::INTEGER);
            $obj[$key]['osasAlert'] = HelperMethods::getColumnValue($row, osas_alert, DataType::INTEGER);
        }
        return $obj;
    }
     public static function getAuditReportObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['question'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessId, DataType::INTEGER);
            $obj[$key]['maxMarks'] = HelperMethods::getColumnValue($row, max_marks, DataType::INTEGER);
            $obj[$key]['weightage'] = HelperMethods::getColumnValue($row, weightage, DataType::INTEGER);
            $obj[$key]['total'] = HelperMethods::getColumnValue($row, total_score, DataType::DOUBLE);
            $obj[$key]['totaMarks'] = HelperMethods::getColumnValue($row, total_marks, DataType::DOUBLE);
            $obj[$key]['answer'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['auditScore'] = HelperMethods::getColumnValue($row, audit_score, DataType::DOUBLE);
            $obj[$key]['csatScore'] = HelperMethods::getColumnValue($row, csat_score, DataType::DOUBLE);
            $obj[$key]['reportDate'] = HelperMethods::getColumnValue($row, created_date, DataType::STRING);
             $obj[$key]['auditScoreOne'] = HelperMethods::getColumnValue($row, audit_score_one, DataType::DOUBLE);
            $obj[$key]['auditScoreTwo'] = HelperMethods::getColumnValue($row, audit_score_two, DataType::DOUBLE);
            $obj[$key]['auditScoreThree'] = HelperMethods::getColumnValue($row, audit_score_three, DataType::DOUBLE);
            $obj[$key]['auditScoreFour'] = HelperMethods::getColumnValue($row, audit_score_four, DataType::DOUBLE);
            $obj[$key]['auditScoreFive'] = HelperMethods::getColumnValue($row, audit_score_five, DataType::DOUBLE);
            $obj[$key]['auditScoreSix'] = HelperMethods::getColumnValue($row, audit_score_six, DataType::DOUBLE);
            $obj[$key]['auditScoreSeven'] = HelperMethods::getColumnValue($row, audit_score_seven, DataType::DOUBLE);
            $obj[$key]['csatAnswerONe'] = HelperMethods::getColumnValue($row, csat_score_one, DataType::INTEGER);
            $obj[$key]['csatAnswertwo'] = HelperMethods::getColumnValue($row, csat_score_two, DataType::INTEGER);
            $obj[$key]['csatAnswerthree'] = HelperMethods::getColumnValue($row, csat_score_three, DataType::INTEGER);
            $obj[$key]['csatAnswerfour'] = HelperMethods::getColumnValue($row, csat_score_four, DataType::INTEGER);
            $obj[$key]['csatAnswerfive'] = HelperMethods::getColumnValue($row, csat_score_five, DataType::INTEGER);
            $obj[$key]['engineeringScore'] = HelperMethods::getColumnValue($row, eng_total_score, DataType::STRING);
            $obj[$key]['engineeringScoreOne'] = HelperMethods::getColumnValue($row, egn_score_one, DataType::DOUBLE);
            $obj[$key]['engineeringScoreTwo'] = HelperMethods::getColumnValue($row, egn_score_two, DataType::DOUBLE);
            $obj[$key]['engineeringScoreThree'] = HelperMethods::getColumnValue($row, egn_score_three, DataType::DOUBLE);
            $obj[$key]['engineeringScoreFour'] = HelperMethods::getColumnValue($row, egn_score_four, DataType::DOUBLE);
            $obj[$key]['engineeringScoreFive'] = HelperMethods::getColumnValue($row, egn_score_five, DataType::DOUBLE);
            $obj[$key]['engineeringScoreSix'] = HelperMethods::getColumnValue($row, egn_score_six, DataType::DOUBLE);
             return $obj;
        }
       
    }
    public static function getAuditReportListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['question'] = HelperMethods::getColumnValue($row, CommonDbColumns::$question, DataType::STRING);
            $obj[$key]['answer'] = HelperMethods::getColumnValue($row, CommonDbColumns::$answer, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['date'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::STRING);

        }
        return $obj;
    }
    public static function getLocationAuditCSATListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
         $obj[$key]['auditId'] = HelperMethods::getColumnValue($row, business_location_audit_xref_id, DataType::INTEGER);
            $obj[$key]['scheduledDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::DATE);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::DATE);
            $obj[$key]['statusTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['submissionDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::DATE);
             $obj[$key]['auditScore'] = HelperMethods::getColumnValue($row, audit_score, DataType::INTEGER);
            $obj[$key]['csatScore'] = HelperMethods::getColumnValue($row, csat_score, DataType::INTEGER);
            $obj[$key]['osasScore'] = HelperMethods::getColumnValue($row, osas_score, DataType::INTEGER);
            $obj[$key]['locationId'] = HelperMethods::getColumnValue($row, location_id, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['branchName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$branchName, DataType::STRING);
            $obj[$key]['regionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$regionName, DataType::STRING);

        }
        return $obj;
    }
    public static function getLocationAuditOSASListObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
             $obj[$key]['OSASId'] = HelperMethods::getColumnValue($row, business_location_audit_xref_id, DataType::INTEGER);
            $obj[$key]['scheduledDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localStartDate, DataType::STRING);
            $obj[$key]['endDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$localEndDate, DataType::STRING);
            $obj[$key]['statusTypeText'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['submissionDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$created_date, DataType::STRING);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['totalUnit'] = HelperMethods::getColumnValue($row, total_unit, DataType::INTEGER);
            $obj[$key]['completeOSAS'] = HelperMethods::getColumnValue($row, complete_osas, DataType::INTEGER);
            $obj[$key]['passOSAS'] = HelperMethods::getColumnValue($row, pass_count, DataType::INTEGER);
            $obj[$key]['failOSAS'] = HelperMethods::getColumnValue($row, fail_count, DataType::INTEGER);
             $obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['branchName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$branchName, DataType::STRING);
            $obj[$key]['regionName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$regionName, DataType::STRING);
            $obj[$key]['osasScore'] = HelperMethods::getColumnValue($row, osas_score, DataType::STRING);
            $obj[$key]['auditId'] = HelperMethods::getColumnValue($row, business_location_audit_xref_id, DataType::INTEGER);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, type_id, DataType::INTEGER);



        }
        return $obj;
    }
    public static function getAdminUserDetailsObject($rows) {
       // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['userId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['customerUserId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$userId, DataType::INTEGER);
            $obj[$key]['userDetailsId'] = HelperMethods::getColumnValue($row, 'user_details_id', DataType::INTEGER);
            //$obj[$key]['locationId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$locationId, DataType::INTEGER);
            $obj[$key]['businessName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$businessName, DataType::STRING);
            //$obj[$key]['locationName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$location_name, DataType::STRING);
            $obj[$key]['mobile'] = HelperMethods::getColumnValue($row, CommonDbColumns::$mobile, DataType::STRING);
            $obj[$key]['email'] = HelperMethods::getColumnValue($row, CommonDbColumns::$email, DataType::STRING);
            $obj[$key]['typeId'] = HelperMethods::getColumnValue($row, CommonDbColumns::$typeId, DataType::INTEGER);
            $obj[$key]['description'] = HelperMethods::getColumnValue($row, CommonDbColumns::$description, DataType::STRING);
            $obj[$key]['dialingCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$dialingCode, DataType::INTEGER);
            $obj[$key]['firstName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$first_name, DataType::STRING);
            $obj[$key]['middleName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$middle_name, DataType::STRING);
            $obj[$key]['lastName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$last_name, DataType::STRING);
            $obj[$key]['address'] = HelperMethods::getColumnValue($row, CommonDbColumns::$address, DataType::STRING);
            $obj[$key]['city'] = HelperMethods::getColumnValue($row, CommonDbColumns::$city, DataType::STRING);
            $obj[$key]['state'] = HelperMethods::getColumnValue($row, CommonDbColumns::$state, DataType::STRING);
            $obj[$key]['country'] = HelperMethods::getColumnValue($row, CommonDbColumns::$country, DataType::STRING);
            $obj[$key]['password'] = HelperMethods::getColumnValue($row, CommonDbColumns::$passwordText, DataType::STRING);
            $obj[$key]['zipCode'] = HelperMethods::getColumnValue($row, CommonDbColumns::$zipCode, DataType::STRING);
            $obj[$key]['latitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$latitude, DataType::STRING);
            $obj[$key]['longitude'] = HelperMethods::getColumnValue($row, CommonDbColumns::$longitude, DataType::STRING);
            $obj[$key]['createdDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$createdDate, DataType::DATETIME);
            $obj[$key]['modifiedDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$modifiedDate, DataType::DATETIME);
            $obj[$key]['startDate'] = HelperMethods::getColumnValue($row, CommonDbColumns::$startDate, DataType::DATETIME);
            $locations = array();
            if ((HelperMethods::getColumnValue($row, 'location_id', DataType::INTEGER) != "")) {
                $ids = explode(',', HelperMethods::getColumnValue($row, 'location_id', DataType::STRING));
                $locationName = explode(',', HelperMethods::getColumnValue($row, 'location_name', DataType::STRING));
                $branchName = explode(',', HelperMethods::getColumnValue($row, 'branch_name', DataType::STRING));
                $regionName = explode(',', HelperMethods::getColumnValue($row, 'region_name', DataType::STRING));
                foreach ($ids as $k => $id) {
                    $d = array();
                    $d['locationId'] = (int)$id;
                    $d['locationName'] = $locationName[$k];
                    $d['branchName'] = $branchName[$k];
                    $d['regionName'] = $regionName[$k];
                    $locations[] = $d;
                }
            }
            $obj[$key]['locationList'] = $locations;
        }
        return $obj;
    }
    public static function getLocationQuestionAnswerObjectOld($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['question'] = HelperMethods::getColumnValue($row, CommonDbColumns::$question, DataType::STRING);
            $obj[$key]['maxMarks'] = HelperMethods::getColumnValue($row, max_marks, DataType::INTEGER);
            $obj[$key]['weightage'] = HelperMethods::getColumnValue($row, weightage, DataType::INTEGER);
            $obj[$key]['total'] = HelperMethods::getColumnValue($row, total_score, DataType::DOUBLE);
            $obj[$key]['totaMarks'] = HelperMethods::getColumnValue($row, total_marks, DataType::DOUBLE);
            $obj[$key]['answer'] = HelperMethods::getColumnValue($row, CommonDbColumns::$answer, DataType::INTEGER);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['auditScore'] = HelperMethods::getColumnValue($row, audit_score, DataType::DOUBLE);
            $obj[$key]['csatScore'] = HelperMethods::getColumnValue($row, csat_score, DataType::DOUBLE);
            $obj[$key]['reportDate'] = HelperMethods::getColumnValue($row, created_date, DataType::STRING);
        }
        return $obj;
    }
     public static function getLocationQuestionAnswerObject($rows) {
       // print_r($rows);
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['maxMarks'] = HelperMethods::getColumnValue($row, max_marks, DataType::INTEGER);
            $obj[$key]['weightage'] = HelperMethods::getColumnValue($row, weightage, DataType::INTEGER);
            $obj[$key]['total'] = HelperMethods::getColumnValue($row, total_score, DataType::DOUBLE);
            $obj[$key]['totaMarks'] = HelperMethods::getColumnValue($row, total_marks, DataType::DOUBLE);
            $obj[$key]['categoryName'] = HelperMethods::getColumnValue($row, CommonDbColumns::$categoryName, DataType::STRING);
            $obj[$key]['auditScore'] = HelperMethods::getColumnValue($row, audit_score, DataType::DOUBLE);
            $obj[$key]['csatScore'] = HelperMethods::getColumnValue($row, csat_score, DataType::DOUBLE);
            $obj[$key]['reportDate'] = HelperMethods::getColumnValue($row, created_date, DataType::STRING);
            $obj[$key]['image'] = HelperMethods::getColumnValue($row, image, DataType::STRING);
            $locations = array();
            if ((HelperMethods::getColumnValue($row, 'category_id', DataType::INTEGER) != "")) {
                $ids = explode(',', HelperMethods::getColumnValue($row, 'audit_question_id', DataType::STRING));
                $question = explode(',', HelperMethods::getColumnValue($row, 'question', DataType::STRING));
                $answer = explode(',', HelperMethods::getColumnValue($row, 'answer', DataType::STRING));
                foreach ($ids as $k => $id) {
                    $d = array();
                    $d['questionId'] = (int)$id;
                    $d['question'] = $question[$k];
                    $d['answer'] = $answer[$k];
                    $locations[] = $d;
                }
            }
            $obj[$key]['report'] = $locations;
        }
        return $obj;
    }
    public static function getLocationOSASReportObject($rows) {
        $obj = array();
        foreach ($rows as $key => $row) {
            $obj[$key]['oneAnswer'] = HelperMethods::getColumnValue($row, answer_one, DataType::STRING);
            $obj[$key]['twoAnswer'] = HelperMethods::getColumnValue($row, answer_two, DataType::STRING);
            $obj[$key]['threeAnswer'] = HelperMethods::getColumnValue($row, answer_three, DataType::STRING);
            $obj[$key]['answer'] = HelperMethods::getColumnValue($row, answer, DataType::STRING);
        }
        return $obj;
    }
}

